import { ActivatedRoute, ActivatedRouteSnapshot, Router } from '@angular/router';
import { User } from '../models/user';
import { NgAuthService } from '../ng-auth.service';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export interface RedirectOptions {
    url?: any;
    onlyIfExact?: ActivatedRoute | ActivatedRouteSnapshot;
    showChildRoles?: boolean;
}
export declare class RedirectHandler {
    protected ngAuthService: NgAuthService;
    protected router: Router;
    constructor(ngAuthService: NgAuthService, router: Router);
    redirectOrReturn(redirectOptions: RedirectOptions): Observable<void>;
    hasReturnUrl(): boolean;
    handleReturnUrl(showChildRoles?: boolean): Observable<void>;
    redirectUserToUrl(user: User, returnUrl: string, skipLocationChange?: boolean): void;
    redirectUserToRoute(user: User, route: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RedirectHandler, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RedirectHandler>;
}
