import { EventEmitter, OnInit } from '@angular/core';
import { NgForm } from '@angular/forms';
import { Award } from '../../models/award';
import { PersonAward } from '../../models/person-award';
import { MemberAward } from '../../models/member-award';
import { OrganizationAward } from '../../models/organization-award';
import { AwardService } from '../../services/award.service';
import { RecipientAwardCertificate } from '../../models/recipient-award-certificate';
import { SelectChangeEvent } from '../../../select/models/select-change-event';
import * as i0 from "@angular/core";
export interface RecipientAwardRequest {
    id: number;
    award: Award;
    presented_at: number;
    extra_information?: string;
    public_extra_information?: string;
    certificates?: RecipientAwardCertificate[];
}
export declare class RecipientAwardFormComponent implements OnInit {
    private awardService;
    recipientAward: PersonAward | MemberAward | OrganizationAward;
    save: EventEmitter<RecipientAwardRequest>;
    cancel: EventEmitter<void>;
    form: NgForm;
    certificateEnabled: boolean;
    certificates: RecipientAwardCertificate[];
    awards: Award[];
    selectedAward: Award;
    constructor(awardService: AwardService);
    ngOnInit(): void;
    get awardGroupByRenderer(): (award: Award) => string;
    loadAwards(): void;
    saveRecipientAward(): void;
    awardSelectionChange($event: SelectChangeEvent): void;
    certificatesEmitReceiver(pac: RecipientAwardCertificate[]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RecipientAwardFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RecipientAwardFormComponent, "ws-recipient-award-form", never, { "recipientAward": { "alias": "recipientAward"; "required": false; }; "certificateEnabled": { "alias": "certificateEnabled"; "required": false; }; "certificates": { "alias": "certificates"; "required": false; }; }, { "save": "save"; "cancel": "cancel"; }, never, never, false, never>;
}
