import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { FetchParams, MulticastOptions, RequestOptions, WsService } from '../../common/services/ws.service';
import { WorldskillsAngularLibService } from '../../worldskills-angular-lib.service';
import { Award, AwardContainer, AwardRequest } from '../models/award';
import * as i0 from "@angular/core";
export declare class AwardService extends WsService<any> {
    private wsi;
    private http;
    private apiAwardsURL;
    constructor(wsi: WorldskillsAngularLibService, http: HttpClient);
    getList(entityId?: number): Observable<AwardContainer>;
    getListUnderWSIEntity(): Observable<AwardContainer>;
    get(awardId: number): Observable<Award>;
    create(awardRequest: AwardRequest, rOpt?: RequestOptions): Observable<Award>;
    create(awardRequest: AwardRequest, params: FetchParams, rOpt?: RequestOptions): Observable<Award>;
    create(awardRequest: AwardRequest, mOpt: MulticastOptions, rOpt?: RequestOptions): Observable<Award>;
    create(awardRequest: AwardRequest, params: FetchParams, mOpt: MulticastOptions, rOpt?: RequestOptions): Observable<Award>;
    update(awardId: number, awardRequest: AwardRequest, rOpt?: RequestOptions): Observable<Award>;
    update(awardId: number, awardRequest: AwardRequest, params: FetchParams, rOpt?: RequestOptions): Observable<Award>;
    update(awardId: number, awardRequest: AwardRequest, mOpt: MulticastOptions, rOpt?: RequestOptions): Observable<Award>;
    update(awardId: number, awardRequest: AwardRequest, params: FetchParams, mOpt: MulticastOptions, rOpt?: RequestOptions): Observable<Award>;
    delete(awardId: number): Observable<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<AwardService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AwardService>;
}
