import { EventEmitter } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { NgbDate, NgbPopover, NgbPopoverConfig, NgbTimeStruct } from '@ng-bootstrap/ng-bootstrap';
import { Datetime } from '../datetime';
import { NgbDateStruct } from '@ng-bootstrap/ng-bootstrap/datepicker/ngb-date-struct';
import * as i0 from "@angular/core";
export declare class DatetimePickerComponent implements ControlValueAccessor {
    private config;
    disabled: boolean;
    readonly: boolean;
    get opacity(): number;
    inputDatetimeFormat: string;
    hourStep: number;
    minuteStep: number;
    secondStep: number;
    seconds: boolean;
    maxDate: NgbDateStruct;
    minDate: NgbDateStruct;
    showTimePickerToggle: boolean;
    value: Datetime;
    model: NgbDate | null;
    popover: NgbPopover;
    change: EventEmitter<Datetime>;
    onChange: (value: Datetime) => void;
    onTouched: () => void;
    constructor(config: NgbPopoverConfig);
    writeValue(obj: Datetime): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    onInputChange($event: any): void;
    toggleDateTimeState(): void;
    onDateChange(date: NgbDate): void;
    onTimeChange(event: NgbTimeStruct): void;
    onAccept(): void;
    inputBlur($event: any): void;
    toNgbDate(date: Date): NgbDate;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatetimePickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatetimePickerComponent, "ws-datetime-picker", never, { "disabled": { "alias": "disabled"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "inputDatetimeFormat": { "alias": "inputDatetimeFormat"; "required": false; }; "hourStep": { "alias": "hourStep"; "required": false; }; "minuteStep": { "alias": "minuteStep"; "required": false; }; "secondStep": { "alias": "secondStep"; "required": false; }; "seconds": { "alias": "seconds"; "required": false; }; "maxDate": { "alias": "maxDate"; "required": false; }; "minDate": { "alias": "minDate"; "required": false; }; }, { "change": "change"; }, never, never, false, never>;
}
