import { HttpClient } from '@angular/common/http';
import { BehaviorSubject, Observable } from 'rxjs';
import { WorldskillsAngularLibService } from '../../worldskills-angular-lib.service';
import { EntityFetchParams } from '../models/entity-tree-fetch-params';
import { EntityTreeListView } from '../../auth/models/entity-tree-list-view';
import { CacheStorageService } from '../../cache/services/cache-storage.service';
import * as i0 from "@angular/core";
export declare class EntityTreeService {
    private cache;
    protected wsi: WorldskillsAngularLibService;
    protected http: HttpClient;
    constructor(cache: CacheStorageService, wsi: WorldskillsAngularLibService, http: HttpClient);
    private subjects;
    endpoint: string;
    subject: BehaviorSubject<EntityTreeListView>;
    static equals(a: EntityFetchParams, b: EntityFetchParams): boolean;
    clearCache(params?: EntityFetchParams): void;
    getCachedSubject(params?: EntityFetchParams, fetchOnCreate?: boolean): BehaviorSubject<EntityTreeListView>;
    list(params?: EntityFetchParams, legacyCaching?: boolean): Observable<EntityTreeListView>;
    listCached(params?: EntityFetchParams, cacheTime?: number): Observable<EntityTreeListView>;
    static ɵfac: i0.ɵɵFactoryDeclaration<EntityTreeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<EntityTreeService>;
}
