import { EventEmitter, OnInit, TemplateRef } from '@angular/core';
import { Language } from '../../i18n/language';
import { User } from '../../auth/models/user';
import { NgAuthService } from '../../auth/ng-auth.service';
import { WorldskillsAngularLibService } from '../../worldskills-angular-lib.service';
import { WsiTranslateService } from '../../i18n/wsi-translate.service';
import * as i0 from "@angular/core";
export declare class AuthFooterComponent implements OnInit {
    private ngAuthService;
    private wsi;
    private translator;
    date: any;
    languages: Language[];
    selectedLanguage: Language;
    col1Template: TemplateRef<any>;
    col2Template: TemplateRef<any>;
    col3Template: TemplateRef<any>;
    col4Template: TemplateRef<any>;
    col5Template: TemplateRef<any>;
    col6Template: TemplateRef<any>;
    onLogin: EventEmitter<void>;
    onLogout: EventEmitter<void>;
    loginLabel: string;
    logoutLabel: string;
    languageChange: EventEmitter<Language>;
    autoLoginOnLogout: boolean;
    currentUser: User;
    col1DefaultTemplate: TemplateRef<any>;
    col6DefaultTemplate: TemplateRef<any>;
    colDefaultTemplate: TemplateRef<any>;
    supportEmail?: string;
    constructor(ngAuthService: NgAuthService, wsi: WorldskillsAngularLibService, translator: WsiTranslateService);
    ngOnInit(): void;
    login(): void;
    logout(): void;
    changeLanguage(model: Language): void;
    isLanguageSelected(model: Language): boolean;
    languagePrompt(): void;
    getLanguages(): Language[];
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthFooterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AuthFooterComponent, "ws-auth-footer", never, { "col1Template": { "alias": "col1Template"; "required": false; }; "col2Template": { "alias": "col2Template"; "required": false; }; "col3Template": { "alias": "col3Template"; "required": false; }; "col4Template": { "alias": "col4Template"; "required": false; }; "col5Template": { "alias": "col5Template"; "required": false; }; "col6Template": { "alias": "col6Template"; "required": false; }; "loginLabel": { "alias": "loginLabel"; "required": false; }; "logoutLabel": { "alias": "logoutLabel"; "required": false; }; "autoLoginOnLogout": { "alias": "autoLoginOnLogout"; "required": false; }; }, { "onLogin": "onLogin"; "onLogout": "onLogout"; "languageChange": "languageChange"; }, never, never, false, never>;
}
