import { EventEmitter, OnInit, TemplateRef } from '@angular/core';
import { Router } from '@angular/router';
import { MenuItem } from '../menu-item';
import { User } from '../../auth/models/user';
import { NgAuthService } from '../../auth/ng-auth.service';
import * as i0 from "@angular/core";
export declare class AuthHeaderComponent implements OnInit {
    private router;
    private ngAuthService;
    appName: string;
    menuItems: Array<MenuItem>;
    onLogin: EventEmitter<void>;
    onLogout: EventEmitter<void>;
    appNameTemplate: TemplateRef<any>;
    menuTemplate: TemplateRef<any>;
    autoLoginOnLogout: boolean;
    currentUser: User;
    constructor(router: Router, ngAuthService: NgAuthService);
    ngOnInit(): void;
    isRouteActive(route: any): boolean;
    login(): void;
    logout(): void;
    get userRoles(): string[];
    get initials(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuthHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AuthHeaderComponent, "ws-auth-header", never, { "appName": { "alias": "appName"; "required": false; }; "menuItems": { "alias": "menuItems"; "required": false; }; "appNameTemplate": { "alias": "appNameTemplate"; "required": false; }; "menuTemplate": { "alias": "menuTemplate"; "required": false; }; "autoLoginOnLogout": { "alias": "autoLoginOnLogout"; "required": false; }; }, { "onLogin": "onLogin"; "onLogout": "onLogout"; }, never, never, false, never>;
}
