import { TranslateService } from '@ngx-translate/core';
import { Language } from './language';
import { Subject } from 'rxjs';
import { User } from '../auth/models/user';
import * as i0 from "@angular/core";
export declare class WsiTranslateService {
    translator: TranslateService;
    availableLanguages: {
        ar_AE: {};
        en: {
            translations: string;
            edit_all_translations: string;
            add_translation: string;
            remove: string;
            auth: {
                login: string;
                logout: string;
            };
            dialogue: {
                close: string;
            };
            footer: {
                copyright: {
                    contact: string;
                    privacy: string;
                    terms: string;
                    wsi: string;
                };
                links: {
                    forums: string;
                    glossary: string;
                    'infrastructure.lists': string;
                    'my.worldskills': string;
                    registrations: string;
                    'skill.management': string;
                    wiw: string;
                };
                translation: {
                    language: string;
                    missing: string;
                };
            };
            polls: {
                vote_note_allowed: string;
                buttons: {
                    abstain: string;
                    delete: string;
                    edit: string;
                    'export.results': string;
                    extend: string;
                    'clear.vote': string;
                    reset: string;
                    'view.choices': string;
                    'view.results': string;
                    vote: string;
                    open: string;
                    close: string;
                };
                'created.by': string;
                messages: {
                    abstained: string;
                    anon: string;
                    choices: string;
                    voted: string;
                };
                points: string;
                status: string;
                selection: string;
                to: string;
                votes: string;
            };
            dates: {
                just_now: string;
                minute_ago: string;
                minutes_ago: string;
                hour_ago: string;
                hours_ago: string;
                yesterday: string;
                days_ago: string;
                week_ago: string;
                weeks_ago: string;
                soon: string;
                in_a_minute: string;
                in_n_minutes: string;
                in_an_hour: string;
                in_n_hours: string;
                tomorrow: string;
                in_n_days: string;
                in_a_week: string;
                in_n_weeks: string;
            };
            modals: {
                cancel: string;
                no: string;
                ok: string;
                yes: string;
            };
        };
        de: {
            auth: {
                login: string;
                logout: string;
            };
            dialogue: {
                close: string;
            };
            footer: {
                copyright: {
                    contact: string;
                    privacy: string;
                    terms: string;
                    wsi: string;
                };
                links: {
                    forums: string;
                    glossary: string;
                    'infrastructure.lists': string;
                    'my.worldskills': string;
                    registrations: string;
                };
                translation: {
                    language: string;
                    missing: string;
                };
            };
            polls: {
                buttons: {
                    abstain: string;
                    edit: string;
                    delete: string;
                    reset: string;
                };
            };
        };
        fr: {};
        fi: {
            auth: {
                login: string;
                logout: string;
            };
            dialogue: {
                close: string;
            };
            footer: {
                copyright: {
                    contact: string;
                    terms: string;
                    wsi: string;
                    privacy: string;
                };
                links: {
                    forums: string;
                    glossary: string;
                    'infrastructure.lists': string;
                    'my.worldskills': string;
                    registrations: string;
                    'skill.management': string;
                    wiw: string;
                };
                translation: {
                    language: string;
                    missing: string;
                };
            };
            polls: {
                buttons: {
                    abstain: string;
                    delete: string;
                    edit: string;
                    'export.results': string;
                    extend: string;
                    'clear.vote': string;
                    reset: string;
                    'view.choices': string;
                    'view.results': string;
                    vote: string;
                };
                'created.by': string;
                messages: {
                    anon: string;
                    choices: string;
                    voted: string;
                    abstained: string;
                };
                points: string;
                selection: string;
                status: string;
                to: string;
                votes: string;
            };
            dates: {
                minutes_ago: string;
                minute_ago: string;
                hour_ago: string;
                hours_ago: string;
                yesterday: string;
                week_ago: string;
                weeks_ago: string;
                soon: string;
                in_a_minute: string;
                in_n_minutes: string;
                in_an_hour: string;
                tomorrow: string;
                in_n_days: string;
                in_a_week: string;
                in_n_weeks: string;
                just_now: string;
                days_ago: string;
                in_n_hours: string;
            };
        };
        pt_BR: {};
        ru_RU: {};
        tt_RU: {};
        zh_CN: {};
    };
    onLangChanged: Subject<Language>;
    constructor(translator: TranslateService);
    init(code: string): any;
    mergeMissingKeys(obj: any, context: any): any;
    setUserLanguage(user: User): void;
    getCurrentOrDefaultCode(): string;
    getSelectedLanguage(): Language;
    static ɵfac: i0.ɵɵFactoryDeclaration<WsiTranslateService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<WsiTranslateService>;
}
