import { WorldskillsAngularLibService } from '../worldskills-angular-lib.service';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Poll } from './models/poll';
import { Option } from './models/option';
import { Page } from './models/page';
import { Result } from './models/result';
import { Vote } from './models/vote';
import { VoteEntry } from './models/vote-entry';
import { Track } from './models/track';
import { Abstain } from './models/abstain';
import * as i0 from "@angular/core";
export declare class PollService {
    protected wsi: WorldskillsAngularLibService;
    protected http: HttpClient;
    endpoint: string;
    constructor(wsi: WorldskillsAngularLibService, http: HttpClient);
    list(params: any): Observable<Page<Poll>>;
    select(params: any): Observable<Poll[]>;
    get(id: number): Observable<Poll>;
    getAbstains(id: number): Observable<Abstain[]>;
    getResults(id: number): Observable<Result[]>;
    getTrackRecords(id: number): Observable<Track[]>;
    hasVoted(id: number): Observable<Vote>;
    create(model: Poll): Observable<Poll>;
    update(id: number, model: Poll): Observable<Poll>;
    open(id: number, start: Date, expiry: Date): Observable<any>;
    close(id: number): Observable<any>;
    delete(id: number): Observable<any>;
    undelete(id: number): Observable<any>;
    reset(id: number, start: Date, expiry: Date): Observable<any>;
    extend(id: number, expiry: Date): Observable<any>;
    addVote(pollId: number, votes: VoteEntry): Observable<Option>;
    addAbstain(pollId: number): Observable<any>;
    unvote(pollId: number): Observable<any>;
    unAbstain(pollId: number): Observable<any>;
    copy(pollId: number): Observable<Poll>;
    export(id: number): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<PollService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PollService>;
}
