import { OnInit, TemplateRef, EventEmitter } from '@angular/core';
import { Poll } from '../models/poll';
import { Result } from '../models/result';
import { Vote } from '../models/vote';
import { Subscription } from 'rxjs';
import { VoteEntry } from '../models/vote-entry';
import { OptionHandler } from '../models/optionHandler';
import { Track } from '../models/track';
import { WsiToastService } from '../../alerts/wsi-toast.service';
import * as i0 from "@angular/core";
export declare class VoteControlComponent implements OnInit {
    private toasts;
    personId: any;
    useToastNotifications: boolean;
    showEditButton: boolean;
    showExtendButton: boolean;
    showResetButton: boolean;
    showDeleteButton: boolean;
    showExportButton: boolean;
    showOpenButton: boolean;
    showCloseButton: boolean;
    poll: Poll;
    results: Result[];
    voted: Vote;
    votedDependsOn: Vote;
    tracks: Track[];
    confirmBeforeVote: boolean;
    confirmBeforeAbstain: boolean;
    optionHandler: OptionHandler;
    isOwner: boolean;
    beforeOptionsTemplate: TemplateRef<any>;
    optionsDefaultTemplate: TemplateRef<any>;
    optionsTemplate: TemplateRef<any>;
    afterOptionsTemplate: TemplateRef<any>;
    beforeResultTemplate: TemplateRef<any>;
    resultDefaultTemplate: TemplateRef<any>;
    resultTemplate: TemplateRef<any>;
    afterResultTemplate: TemplateRef<any>;
    controlBarLeftTemplate: TemplateRef<any>;
    controlBarRightTemplate: TemplateRef<any>;
    titleTemplate: TemplateRef<any>;
    footerTemplate: TemplateRef<any>;
    questionTemplate: TemplateRef<any>;
    edit: EventEmitter<Poll>;
    extend: EventEmitter<Poll>;
    reset: EventEmitter<Poll>;
    delete: EventEmitter<Poll>;
    viewChange: EventEmitter<string>;
    voteSelected: EventEmitter<VoteEntry[]>;
    abstainSelected: EventEmitter<any>;
    voteRemoved: EventEmitter<VoteEntry[]>;
    exportClicked: EventEmitter<any>;
    openClicked: EventEmitter<Poll>;
    closeClicked: EventEmitter<Poll>;
    view: string;
    subscription: Subscription;
    state: string;
    selection: VoteEntry[];
    dateFormat: string;
    constructor(toasts: WsiToastService);
    ngOnInit(): void;
    ngOnChanges(): void;
    init(): void;
    calculateState(): void;
    notifyInfo(message: string): void;
    notifySuccess(title: string, message: string): void;
    notifyError(title: string, message: string): void;
    selected(model: VoteEntry[]): void;
    vote(): void;
    abstain(): void;
    unvote(): void;
    changeView(view: string): void;
    viewResultsState(): boolean;
    hasVotesSelected(): boolean;
    editClick(poll: Poll): void;
    extendClick(poll: Poll): void;
    resetClick(poll: Poll): void;
    deleteClick(poll: Poll): void;
    openClick(poll: Poll): void;
    closeClick(poll: Poll): void;
    getVoteText(entry: VoteEntry): string;
    isWhiteListed(): boolean;
    showVoteButton(): boolean;
    showAbstainButton(): boolean;
    showClearVoteButton(): boolean;
    showManageButton(): boolean;
    showWhoVoted(): boolean;
    export(): void;
    useDateRange(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<VoteControlComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<VoteControlComponent, "ws-vote-control", never, { "personId": { "alias": "personId"; "required": false; }; "useToastNotifications": { "alias": "useToastNotifications"; "required": false; }; "showEditButton": { "alias": "showEditButton"; "required": false; }; "showExtendButton": { "alias": "showExtendButton"; "required": false; }; "showResetButton": { "alias": "showResetButton"; "required": false; }; "showDeleteButton": { "alias": "showDeleteButton"; "required": false; }; "showExportButton": { "alias": "showExportButton"; "required": false; }; "showOpenButton": { "alias": "showOpenButton"; "required": false; }; "showCloseButton": { "alias": "showCloseButton"; "required": false; }; "poll": { "alias": "poll"; "required": false; }; "results": { "alias": "results"; "required": false; }; "voted": { "alias": "voted"; "required": false; }; "votedDependsOn": { "alias": "votedDependsOn"; "required": false; }; "tracks": { "alias": "tracks"; "required": false; }; "confirmBeforeVote": { "alias": "confirmBeforeVote"; "required": false; }; "confirmBeforeAbstain": { "alias": "confirmBeforeAbstain"; "required": false; }; "optionHandler": { "alias": "optionHandler"; "required": false; }; "isOwner": { "alias": "isOwner"; "required": false; }; "beforeOptionsTemplate": { "alias": "beforeOptionsTemplate"; "required": false; }; "optionsDefaultTemplate": { "alias": "optionsDefaultTemplate"; "required": false; }; "optionsTemplate": { "alias": "optionsTemplate"; "required": false; }; "afterOptionsTemplate": { "alias": "afterOptionsTemplate"; "required": false; }; "beforeResultTemplate": { "alias": "beforeResultTemplate"; "required": false; }; "resultDefaultTemplate": { "alias": "resultDefaultTemplate"; "required": false; }; "resultTemplate": { "alias": "resultTemplate"; "required": false; }; "afterResultTemplate": { "alias": "afterResultTemplate"; "required": false; }; "controlBarLeftTemplate": { "alias": "controlBarLeftTemplate"; "required": false; }; "controlBarRightTemplate": { "alias": "controlBarRightTemplate"; "required": false; }; "titleTemplate": { "alias": "titleTemplate"; "required": false; }; "footerTemplate": { "alias": "footerTemplate"; "required": false; }; "questionTemplate": { "alias": "questionTemplate"; "required": false; }; }, { "edit": "edit"; "extend": "extend"; "reset": "reset"; "delete": "delete"; "viewChange": "viewChange"; "voteSelected": "voteSelected"; "abstainSelected": "abstainSelected"; "voteRemoved": "voteRemoved"; "exportClicked": "exportClicked"; "openClicked": "openClicked"; "closeClicked": "closeClicked"; }, never, never, false, never>;
}
