import { AfterViewInit, ChangeDetectorRef, ComponentFactoryResolver, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges, ViewContainerRef } from '@angular/core';
import { NgSelectComponent } from '@ng-select/ng-select';
import { SelectAsyncSearchSettings } from '../models/select-async-search-settings';
import { SelectChangeEvent } from '../models/select-change-event';
import * as i0 from "@angular/core";
export type EntryReader<T = any, U = any> = string | Array<string> | ((obj: T) => U);
export declare class SelectDirective implements OnInit, OnChanges, OnDestroy, AfterViewInit {
    private ngSelectComponent;
    private changeDetectorRef;
    private viewContainerRef;
    private componentFactoryResolver;
    entryReader: [
        EntryReader,
        EntryReader,
        EntryReader | undefined
    ] | [
        EntryReader,
        EntryReader
    ] | {
        labelReader: EntryReader;
        valueReader: EntryReader;
        groupReader?: EntryReader;
    };
    items: any;
    wsChange: EventEmitter<SelectChangeEvent>;
    labelReader: EntryReader;
    valueReader: EntryReader;
    groupReader: EntryReader;
    asyncSearch: SelectAsyncSearchSettings;
    private originalItems;
    private asyncHandler;
    constructor(ngSelectComponent: NgSelectComponent, changeDetectorRef: ChangeDetectorRef, viewContainerRef: ViewContainerRef, componentFactoryResolver: ComponentFactoryResolver);
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    private updateItems;
    private readObjectLabel;
    private readObjectValue;
    private readObjectGroup;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectDirective, [{ optional: true; host: true; self: true; }, null, null, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SelectDirective, "[wsSelect]", never, { "entryReader": { "alias": "wsSelect"; "required": false; }; "items": { "alias": "items"; "required": false; }; "labelReader": { "alias": "labelReader"; "required": false; }; "valueReader": { "alias": "valueReader"; "required": false; }; "groupReader": { "alias": "groupReader"; "required": false; }; "asyncSearch": { "alias": "asyncSearch"; "required": false; }; }, { "wsChange": "wsChange"; }, never, never, false, never>;
}
