import * as i0 from '@angular/core';
import { Injectable, Component, Pipe, Input, EventEmitter, Output, ViewChild, forwardRef, HostBinding, ElementRef, SimpleChange, Host, Optional, Self, Directive, TemplateRef, NgModule } from '@angular/core';
import { ReplaySubject, Subject, of, BehaviorSubject, throwError, combineLatest, Subscription, forkJoin, Observable } from 'rxjs';
import * as i2 from '@angular/common';
import { getLocaleId, getLocaleDateTimeFormat, FormatWidth, getLocaleTimeFormat, getLocaleDateFormat, getLocaleNumberSymbol, NumberSymbol, getLocaleEraNames, getLocaleExtraDayPeriodRules, getLocaleExtraDayPeriods, getLocaleDayPeriods, getLocaleDayNames, getLocaleMonthNames, FormStyle, TranslationWidth, DatePipe, formatDate as formatDate$1, CommonModule } from '@angular/common';
import * as i1 from '@ngx-translate/core';
import { TranslateModule, TranslateLoader } from '@ngx-translate/core';
import * as i2$1 from '@angular/router';
import { NavigationEnd, RouterModule, ActivatedRoute } from '@angular/router';
import * as i1$1 from '@ng-bootstrap/ng-bootstrap';
import { NgbDate, ModalDismissReasons, NgbModule } from '@ng-bootstrap/ng-bootstrap';
import * as i2$2 from '@angular/forms';
import { NG_VALUE_ACCESSOR, FormsModule } from '@angular/forms';
import * as moment from 'moment';
import * as i3 from '@ng-select/ng-select';
import { NgSelectModule } from '@ng-select/ng-select';
import * as i2$3 from '@angular/common/http';
import { HttpParams, HttpRequest, HttpEventType, HttpClient, provideHttpClient, withInterceptorsFromDi, HttpHeaders } from '@angular/common/http';
import { v4 } from 'uuid';
import { map, share, debounceTime, take, filter, startWith } from 'rxjs/operators';
import * as i2$4 from 'angular-oauth2-oidc';
import * as Sentry from '@sentry/browser';
import { TranslateHttpLoader } from '@ngx-translate/http-loader';

class WorldskillsAngularLibService {
    constructor() {
        // default configuration
        this.defaultSupportEmailAddress = 'webmaster@worldskills.org';
        this.appConfigSubject = new ReplaySubject(1);
        this.httpConfigSubject = new ReplaySubject(1);
        this.serviceConfigSubject = new ReplaySubject(1);
        this.authConfigSubject = new ReplaySubject(1);
        this.appConfigSubject.next({ notAuthorizedRoute: ['/not-authorized'] });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WorldskillsAngularLibService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WorldskillsAngularLibService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WorldskillsAngularLibService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

class WorldskillsAngularLibComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WorldskillsAngularLibComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: WorldskillsAngularLibComponent, selector: "ws-worldskills-angular-lib", ngImport: i0, template: `
    <p>
      worldskills-angular-lib works!
    </p>
  `, isInline: true }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WorldskillsAngularLibComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-worldskills-angular-lib', template: `
    <p>
      worldskills-angular-lib works!
    </p>
  ` }]
        }], ctorParameters: () => [] });

class AlertService {
    constructor() {
        this.alerts = [];
    }
    remove(id) {
        const index = this.alerts.findIndex(item => item.id === id);
        if (index !== -1) {
            this.alerts.splice(index, 1);
        }
    }
    setAlert(id, type, title, message, closable, wsAlertComponentId) {
        title = title || '';
        message = message || '';
        closable = closable || false;
        wsAlertComponentId = wsAlertComponentId || '';
        this.alerts.push({
            id, type, title, message, closable, wsAlertComponentId
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AlertService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AlertService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AlertService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

class LangUtil {
    static getDefaultLanguages() {
        return [
            { code: 'ar_AE', name: 'Arabic', alt: [] },
            { code: 'pt_BR', name: 'Brazilian', alt: [] },
            { code: 'zh_CN', name: 'Chinese', alt: ['zh'] },
            { code: 'en', name: 'English', alt: [] },
            { code: 'de', name: 'German', alt: [] },
            { code: 'fr', name: 'French', alt: [] },
            { code: 'fi', name: 'Finnish', alt: [] },
            { code: 'it', name: 'Italian', alt: [] },
            { code: 'ru_RU', name: 'Russian', alt: [] },
            { code: 'tt_RU', name: 'Tatar', alt: [] },
        ];
    }
    static getDefaultLanguage() {
        return { code: 'en', name: 'English', alt: [] };
    }
}

class GenericUtil {
    static isNullOrUndefined(obj) {
        return obj === undefined || obj === null;
    }
    static getValueOrDefault(value, defaultValue) {
        return GenericUtil.isNullOrUndefined(value) ? defaultValue : value;
    }
}

// tslint:disable-next-line:variable-name
const ar_AE = {};

const en = {
    translations: "Translations",
    edit_all_translations: "Edit All Translations",
    add_translation: "Add Translation",
    remove: "Remove",
    auth: {
        login: 'Login',
        logout: 'Logout'
    },
    dialogue: {
        close: 'Close'
    },
    footer: {
        copyright: {
            contact: 'Contact',
            privacy: 'Privacy',
            terms: 'Terms',
            wsi: 'WorldSkills International'
        },
        links: {
            forums: 'Forums',
            glossary: 'Glossary',
            'infrastructure.lists': 'Infrastructure Lists',
            'my.worldskills': 'myWorldSkills',
            registrations: 'Registrations',
            'skill.management': 'Skill Management',
            wiw: 'Who-is-Who'
        },
        translation: {
            language: 'Language',
            missing: 'Missing Translation ?'
        }
    },
    polls: {
        "vote_note_allowed": "You are not permitted to vote on this poll",
        buttons: {
            abstain: 'Abstain',
            delete: 'Delete',
            edit: 'Edit',
            'export.results': 'Export Results',
            extend: 'Extend',
            'clear.vote': 'Clear Vote',
            reset: 'Reset',
            'view.choices': 'View Choices',
            'view.results': 'View Results',
            vote: 'vote',
            open: "Open",
            close: "Close"
        },
        'created.by': 'Created By',
        messages: {
            abstained: 'You have chosen to abstain from voting.',
            anon: 'his vote is anonymous.',
            choices: 'Your Choice(s):',
            voted: 'You have already voted!'
        },
        points: 'points',
        status: 'Status',
        selection: 'selection',
        to: 'to',
        votes: 'votes'
    },
    dates: {
        just_now: 'Just now',
        minute_ago: 'a minute ago',
        minutes_ago: 'minutes ago',
        hour_ago: 'an hour ago',
        hours_ago: 'hours ago',
        yesterday: 'Yesterday',
        days_ago: 'days ago',
        week_ago: 'a week ago',
        weeks_ago: 'weeks ago',
        soon: 'Soon',
        in_a_minute: 'in a minute',
        in_n_minutes: 'in {{ number }} minutes',
        in_an_hour: 'in an hour',
        in_n_hours: 'in {{ number }} hours',
        tomorrow: 'Tomorrow',
        in_n_days: 'in {{ number }} days',
        in_a_week: 'in a week',
        in_n_weeks: 'in {{ number }} weeks'
    },
    modals: {
        cancel: 'Cancel',
        no: 'no',
        ok: 'Ok',
        yes: 'Yes'
    }
};

const fr = {};

// tslint:disable-next-line:variable-name
const pt_BR = {};

// tslint:disable-next-line:variable-name
const ru_RU = {};

// tslint:disable-next-line:variable-name
const tt_RU = {};

// tslint:disable-next-line:variable-name
const zh_CN = {};

const fi = {
    auth: {
        login: 'Kirjaudu sisään',
        logout: 'Kirjaudu ulos'
    },
    dialogue: {
        close: 'Sulje'
    },
    footer: {
        copyright: {
            contact: 'Yhteystiedot',
            terms: 'Käyttöehdot',
            wsi: 'WorldSkills International',
            privacy: 'Tietosuojakäytäntö'
        },
        links: {
            forums: 'Foorumi',
            glossary: 'Sanasto',
            'infrastructure.lists': 'Infralistat',
            'my.worldskills': 'Oma profiili',
            registrations: 'Rekisteröinti',
            'skill.management': 'Lajien hallinta',
            wiw: 'Henkilöhakemisto'
        },
        translation: {
            language: 'Kieli',
            missing: 'Puuttuuko käännös?'
        }
    },
    polls: {
        buttons: {
            abstain: 'Pidättäydyn äänestämästä',
            delete: 'Poista',
            edit: 'Muokkaa',
            'export.results': 'Vie tulokset',
            extend: 'Laajenna',
            'clear.vote': 'Nollaa ääni',
            reset: 'Nollaa',
            'view.choices': 'Katso vaihtoehdot',
            'view.results': 'Katso tulokset',
            vote: 'Äänestä'
        },
        'created.by': 'Luonut',
        messages: {
            anon: 'Anonyymi ääni.',
            choices: 'Valintasi:',
            voted: 'Olet jo äänestänyt!',
            abstained: 'Olet pidättäytynyt äänestämästä.'
        },
        points: 'pisteet',
        selection: 'valinta',
        status: 'Tila',
        to: '>',
        votes: 'äänet'
    },
    dates: {
        minutes_ago: 'minuuttia sitten',
        minute_ago: 'Hetki sitten',
        hour_ago: 'Tunti sitten',
        hours_ago: 'tuntia sitten',
        yesterday: 'Eilen',
        week_ago: 'Viikko sitten',
        weeks_ago: 'viikkoa sitten',
        soon: 'Pian',
        in_a_minute: 'Hetken päästä',
        in_n_minutes: '{{ number }} minuutin päästä',
        in_an_hour: 'Tunnin päästä',
        tomorrow: 'Huomenna',
        in_n_days: '{{ number }} päivän päästä',
        in_a_week: 'viikon päästä',
        in_n_weeks: '{{ number }} viikon päästä',
        just_now: 'Nyt',
        days_ago: 'päivää sitten',
        in_n_hours: '{{ number }} tunnin päästä'
    }
};

const de = {
    auth: {
        login: 'Login',
        logout: 'Logout'
    },
    dialogue: {
        close: 'Schliessen'
    },
    footer: {
        copyright: {
            contact: 'Kontakt',
            privacy: 'Datenschutz',
            terms: 'Bestimmungen',
            wsi: 'WorldSkills International'
        },
        links: {
            forums: 'Foren',
            glossary: 'Glossar',
            'infrastructure.lists': 'Infrastruktur-Listen',
            'my.worldskills': 'myWorldSkills',
            registrations: 'Registrierungen'
        },
        translation: {
            language: 'Sprache',
            missing: 'Fehlende Übersetzung?'
        }
    },
    polls: {
        buttons: {
            abstain: 'Enthaltung',
            edit: 'Bearbeiten',
            delete: 'Löschen',
            reset: 'Zurücksetzen'
        }
    }
};

class WsiTranslateService {
    constructor(translator) {
        this.translator = translator;
        this.availableLanguages = { ar_AE, en, de, fr, fi, pt_BR, ru_RU, tt_RU, zh_CN };
        this.onLangChanged = new Subject();
        const lang = this.getSelectedLanguage();
        this.translator.setDefaultLang(LangUtil.getDefaultLanguage().code);
        this.translator.use(lang.code).subscribe(next => { }, error => {
            console.warn(`Failed to load lang '${lang.code}', default language will be used`);
        }, () => {
            this.init(lang.code);
        });
        // update language on changes
        this.translator.onLangChange.subscribe(newCode => {
            sessionStorage.setItem('lang', newCode.lang);
        });
    }
    /*
      Initialize a specific lang code
    */
    init(code) {
        const current = this.getCurrentOrDefaultCode();
        sessionStorage.setItem('lang', code);
        let lang = this.availableLanguages[code];
        if (GenericUtil.isNullOrUndefined(lang)) {
            lang = en;
        }
        if (code !== 'en') {
            lang = this.mergeMissingKeys(lang, en);
        }
        this.translator.setTranslation(code, lang, true);
        if (current !== code) {
            this.onLangChanged.next(this.getSelectedLanguage());
        }
    }
    mergeMissingKeys(obj, context) {
        if (GenericUtil.isNullOrUndefined(obj)) {
            return obj;
        }
        Object.keys(context).forEach(key => {
            const actual = Object.keys(obj).find(x => x === key);
            if (!actual) {
                // replace missing keys or objects
                obj[key] = context[key];
            }
            else {
                // loop through nested objects that were not replace
                if (typeof actual === 'object') {
                    obj[key] = this.mergeMissingKeys(obj[key], context[key]);
                }
            }
        });
        return obj;
    }
    /*
      Set user preffered language from a user object
    */
    setUserLanguage(user) {
        if (user && user.preferred_lang) {
            this.init(user.preferred_lang);
        }
    }
    /*
      Get the sselected language code
    */
    getCurrentOrDefaultCode() {
        let code = sessionStorage.getItem('lang');
        if (GenericUtil.isNullOrUndefined(code)) {
            code = LangUtil.getDefaultLanguage().code;
        }
        return code;
    }
    /*
      Get the current selected language
    */
    getSelectedLanguage() {
        const code = this.getCurrentOrDefaultCode();
        const matches = LangUtil.getDefaultLanguages().filter(x => x.code === code || x.alt.includes(code));
        if (!GenericUtil.isNullOrUndefined(matches) && matches.length > 0) {
            return matches[0];
        }
        return LangUtil.getDefaultLanguage();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WsiTranslateService, deps: [{ token: i1.TranslateService }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WsiTranslateService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WsiTranslateService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: i1.TranslateService }] });

class WSTranslate {
    constructor(wsiTranslate) {
        this.wsiTranslate = wsiTranslate;
    }
    transform(key) {
        let peices = [key];
        if (typeof key === "string") {
            peices = key.split(".");
        }
        const lang = this.wsiTranslate.getCurrentOrDefaultCode();
        this.wsiTranslate.init(lang);
        const obj = this.wsiTranslate.availableLanguages[lang];
        const flat = this.flatten(obj);
        const value = flat[key];
        if (value === null || value === undefined) {
            return this.wsiTranslate.translator.get(key);
        }
        else {
            return of(value);
        }
    }
    flatten(obj) {
        if (obj === null || obj === undefined) {
            return null;
        }
        const result = {};
        Object.keys(obj).forEach((key) => {
            if (typeof obj[key] === "object") {
                const flatObject = this.flatten(obj[key]);
                Object.keys(flatObject).forEach((flatKey) => {
                    result[`${key}.${flatKey}`] = flatObject[flatKey];
                });
            }
            else {
                result[key] = obj[key];
            }
        });
        return result;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WSTranslate, deps: [{ token: WsiTranslateService }], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.2.12", ngImport: i0, type: WSTranslate, name: "wsTranslate" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WSTranslate, decorators: [{
            type: Pipe,
            args: [{
                    name: "wsTranslate",
                }]
        }], ctorParameters: () => [{ type: WsiTranslateService }] });

class AlertComponent {
    constructor(alertService) {
        this.alertService = alertService;
        this.closeStyle = 'cross'; // cross | button
    }
    // tslint:disable-next-line:typedef
    ngOnInit() {
    }
    // tslint:disable-next-line:typedef use-lifecycle-interface
    ngOnChanges() {
    }
    hasMessage() {
        return this.alert.message && this.alert.message.length > 0;
    }
    hasTitle() {
        return this.alert.title && this.alert.title.length > 0;
    }
    canClose() {
        return this.alert.closable;
    }
    dismiss() {
        this.alertService.remove(this.alert.id);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AlertComponent, deps: [{ token: AlertService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: AlertComponent, selector: "ws-alert", inputs: { alert: "alert", closeStyle: "closeStyle" }, usesOnChanges: true, ngImport: i0, template: "<ng-template #buttonTemplate>\n  <button *ngIf=\"canClose() && closeStyle === 'cross'\" (click)=\"dismiss()\" type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\">\n    <span aria-hidden=\"true\">&times;</span>\n  </button>\n  <div class=\"pull-right\">\n    <button *ngIf=\"canClose() && closeStyle === 'button'\" (click)=\"dismiss()\" type=\"button\" class=\"btn btn-sm btn-danger\" data-dismiss=\"alert\" aria-label=\"Close\">\n      {{ 'dialogue.close' | wsTranslate | async }}\n    </button>\n  </div>\n</ng-template>\n\n<div *ngIf=\"alert\" class=\"alert {{ alert.type }}\" [ngClass]=\"{ 'alert-dismissible': closeStyle === 'cross'}\" role=\"alert\">\n  <h4 *ngIf=\"hasTitle()\" class=\"alert-heading\">\n    {{ alert.title }}\n    <ng-container *ngTemplateOutlet=\"buttonTemplate\"></ng-container>\n  </h4>\n  <span *ngIf=\"hasMessage()\">{{ alert.message }}</span>\n  <span *ngIf=\"!hasTitle()\">\n    <ng-container *ngTemplateOutlet=\"buttonTemplate\"></ng-container>\n  </span>\n</div>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }, { kind: "pipe", type: WSTranslate, name: "wsTranslate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AlertComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-alert', template: "<ng-template #buttonTemplate>\n  <button *ngIf=\"canClose() && closeStyle === 'cross'\" (click)=\"dismiss()\" type=\"button\" class=\"close\" data-dismiss=\"alert\" aria-label=\"Close\">\n    <span aria-hidden=\"true\">&times;</span>\n  </button>\n  <div class=\"pull-right\">\n    <button *ngIf=\"canClose() && closeStyle === 'button'\" (click)=\"dismiss()\" type=\"button\" class=\"btn btn-sm btn-danger\" data-dismiss=\"alert\" aria-label=\"Close\">\n      {{ 'dialogue.close' | wsTranslate | async }}\n    </button>\n  </div>\n</ng-template>\n\n<div *ngIf=\"alert\" class=\"alert {{ alert.type }}\" [ngClass]=\"{ 'alert-dismissible': closeStyle === 'cross'}\" role=\"alert\">\n  <h4 *ngIf=\"hasTitle()\" class=\"alert-heading\">\n    {{ alert.title }}\n    <ng-container *ngTemplateOutlet=\"buttonTemplate\"></ng-container>\n  </h4>\n  <span *ngIf=\"hasMessage()\">{{ alert.message }}</span>\n  <span *ngIf=\"!hasTitle()\">\n    <ng-container *ngTemplateOutlet=\"buttonTemplate\"></ng-container>\n  </span>\n</div>\n" }]
        }], ctorParameters: () => [{ type: AlertService }], propDecorators: { alert: [{
                type: Input
            }], closeStyle: [{
                type: Input
            }] } });

class AlertsComponent {
    constructor(alertService) {
        this.alertService = alertService;
        this.wsAlertComponentId = '';
        this.closeStyle = 'cross'; // cross | button
    }
    // tslint:disable-next-line:typedef
    ngOnInit() {
    }
    get hasAlerts() {
        return this.alertService.alerts.length > 0;
    }
    getMyAlertList() {
        return this.alertService.alerts.filter(a => a.wsAlertComponentId === '' ? true : a.wsAlertComponentId === this.wsAlertComponentId);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AlertsComponent, deps: [{ token: AlertService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: AlertsComponent, selector: "ws-alerts", inputs: { wsAlertComponentId: "wsAlertComponentId", closeStyle: "closeStyle" }, ngImport: i0, template: "<div *ngIf=\"hasAlerts\" class=\"alerts\">\n  <ws-alert *ngFor=\"let item of getMyAlertList()\" [alert]=\"item\" [closeStyle]=\"closeStyle\"></ws-alert>\n</div>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: AlertComponent, selector: "ws-alert", inputs: ["alert", "closeStyle"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AlertsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-alerts', template: "<div *ngIf=\"hasAlerts\" class=\"alerts\">\n  <ws-alert *ngFor=\"let item of getMyAlertList()\" [alert]=\"item\" [closeStyle]=\"closeStyle\"></ws-alert>\n</div>\n" }]
        }], ctorParameters: () => [{ type: AlertService }], propDecorators: { wsAlertComponentId: [{
                type: Input
            }], closeStyle: [{
                type: Input
            }] } });

class PuppeteerBannerComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PuppeteerBannerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: PuppeteerBannerComponent, selector: "ws-puppeteer-banner", inputs: { currentUser: "currentUser" }, ngImport: i0, template: "<div style=\"background-color: #D51067; padding: 10px 20px; color: #fff; text-align: center;\"\n  *ngIf=\"currentUser && currentUser.puppeteer\">\n  {{currentUser.puppeteer.first_name}} {{currentUser.puppeteer.last_name}} logged in as {{currentUser.first_name}}\n  {{currentUser.last_name}}\n</div>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PuppeteerBannerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-puppeteer-banner', template: "<div style=\"background-color: #D51067; padding: 10px 20px; color: #fff; text-align: center;\"\n  *ngIf=\"currentUser && currentUser.puppeteer\">\n  {{currentUser.puppeteer.first_name}} {{currentUser.puppeteer.last_name}} logged in as {{currentUser.first_name}}\n  {{currentUser.last_name}}\n</div>\n" }]
        }], ctorParameters: () => [], propDecorators: { currentUser: [{
                type: Input
            }] } });

class StagingBannerComponent {
    constructor() {
        this.message = 'This is the staging environment. Changes in this environment might get overwritten.';
    }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: StagingBannerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: StagingBannerComponent, selector: "ws-staging-banner", inputs: { message: "message" }, ngImport: i0, template: "<div style=\"background-color: #ff6c0d; padding: 10px 20px; color: #fff; text-align: center;\">{{message}}</div>\n", styles: [""] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: StagingBannerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-staging-banner', template: "<div style=\"background-color: #ff6c0d; padding: 10px 20px; color: #fff; text-align: center;\">{{message}}</div>\n" }]
        }], ctorParameters: () => [], propDecorators: { message: [{
                type: Input
            }] } });

class ArrayUtil {
    // since array concat doesn't trigger UI updates
    static pushMany(first, second) {
        second.forEach(item => first.push(item));
        return first;
    }
    static dedupePrimitive(arr) {
        const clean = [];
        arr.forEach(item => {
            if (clean.indexOf(item) === -1) {
                clean.push(item);
            }
        });
        return clean;
    }
    static isArray(obj) {
        return Array.isArray(obj);
    }
    static flatten(entities) {
        const result = entities.reduce((acc, entity) => entity.children ? [...acc, entity, ...entity.children] : [...acc, entity], []);
        return result;
    }
}

class BreadcrumbsService {
    constructor() {
        this.showHomeItem = true;
        this.linkHomeItem = true;
        this.breadcrumbs = [];
        this.replacements = [];
        this.breadcrumbsSubject = new BehaviorSubject([]);
    }
    build(route, url = '', first = true) {
        if (first) {
            this.breadcrumbs = [];
        }
        if (route.outlet === this.targetOutlet) {
            const path = route.snapshot.url.map(segment => segment.path).join('/');
            url = `${url}/${path}`;
            this.isAtHome = GenericUtil.isNullOrUndefined(this.homeItemRoute) ? false : path === this.homeItemRoute.replace('/', '');
            if (route.snapshot.data.hasOwnProperty('breadcrumb')) {
                let key;
                let label;
                if (typeof route.snapshot.data.breadcrumb === 'string') {
                    key = label = route.snapshot.data.breadcrumb;
                }
                else {
                    key = route.snapshot.data.breadcrumb.key;
                    label = route.snapshot.data.breadcrumb.label;
                }
                const breadcrumb = {
                    key,
                    label,
                    params: route.snapshot.params,
                    url
                };
                // handle key replacements before breadcrumbs are initialized
                const replacementIndex = this.replacements.findIndex(r => r.key === breadcrumb.key);
                if (replacementIndex !== -1) {
                    breadcrumb.label = this.replacements[replacementIndex].value;
                }
                this.breadcrumbs.push(breadcrumb);
                this.breadcrumbsSubject.next(this.breadcrumbs);
            }
            // nothing to do
            if (route.children.length === 0) {
                return;
            }
            route.children.forEach(child => {
                this.build(child, url, false);
            });
        }
    }
    createOrUpdateReplacement(key, value) {
        let index = this.replacements.findIndex(x => x.key === key);
        if (index === -1) {
            const replacement = { key, value };
            this.replacements.push(replacement);
            index = this.replacements.findIndex(x => x.key === key);
        }
        else {
            this.replacements[index].value = value;
        }
        return index;
    }
    replaceLabel(key, value) {
        const replacementIndex = this.createOrUpdateReplacement(key, value);
        if (GenericUtil.isNullOrUndefined(this.breadcrumbs)) {
            return;
        }
        if (this.breadcrumbs.length === 0) {
            return;
        }
        this.breadcrumbs.forEach((b, i) => {
            if (b.key === key) {
                this.breadcrumbs[i].label = value;
            }
        });
        this.breadcrumbsSubject.next(this.breadcrumbs);
    }
    // this method should only be used after the breadcrumb is initialized
    remove(key) {
        const index = this.breadcrumbs.findIndex(x => x.key === key);
        if (index !== -1) {
            this.breadcrumbs.splice(index, 1);
            this.breadcrumbsSubject.next(this.breadcrumbs);
        }
    }
    // this method should only be used after the breadcrumb is initialized
    add(breadcrumb) {
        const index = this.breadcrumbs.findIndex(x => x.key === breadcrumb.key);
        if (index !== -1) {
            throwError(`key "${breadcrumb.key}" already exists`);
            return;
        }
        this.breadcrumbs.push(breadcrumb);
        this.breadcrumbsSubject.next(this.breadcrumbs);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: BreadcrumbsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: BreadcrumbsService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: BreadcrumbsService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

class BreadcrumbsComponent {
    constructor(service, router, route) {
        this.service = service;
        this.router = router;
        this.route = route;
    }
    // tslint:disable-next-line:typedef
    ngOnInit() {
        // listen for dev changes to the breadcrumbs
        this.replacementSubscription = this.service.breadcrumbsSubject.subscribe(next => {
            this.breadcrumbs = [];
            ArrayUtil.pushMany(this.breadcrumbs, next);
        });
        // init
        this.isAtHome = false;
        this.service.homeItemRoute = this.homeItemRoute;
        this.service.targetOutlet = 'primary';
        this.service.build(this.route.root);
        if (!GenericUtil.isNullOrUndefined(this.showHomeItem)) {
            this.service.showHomeItem = true;
        }
        // rebuild on nav change
        this.rebuildSubscription = this.router.events.subscribe((event) => {
            if (event instanceof NavigationEnd) {
                this.service.build(this.route.root);
                this.isAtHome = this.service.isAtHome;
            }
        });
    }
    // tslint:disable-next-line:use-lifecycle-interface typedef
    ngOnChanges() {
        if (!GenericUtil.isNullOrUndefined(this.showHomeItem)) {
            this.service.showHomeItem = true;
        }
        else {
            this.service.showHomeItem = this.showHomeItem;
        }
    }
    // tslint:disable-next-line:use-lifecycle-interface typedef
    ngOnDestroy() {
        if (this.replacementSubscription) {
            this.replacementSubscription.unsubscribe();
        }
        if (this.rebuildSubscription) {
            this.rebuildSubscription.unsubscribe();
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: BreadcrumbsComponent, deps: [{ token: BreadcrumbsService }, { token: i2$1.Router }, { token: i2$1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: BreadcrumbsComponent, selector: "ws-breadcrumbs", inputs: { showHomeItem: "showHomeItem", homeItemRoute: "homeItemRoute", homeItemText: "homeItemText" }, usesOnChanges: true, ngImport: i0, template: "<nav aria-label=\"breadcrumb\" *ngIf=\"breadcrumbs\">\n  <ol class=\"breadcrumb\">\n    <li class=\"breadcrumb-item\" *ngIf=\"service.showHomeItem && !isAtHome\">\n      <a *ngIf=\"service.linkHomeItem\" href=\"{{ homeItemRoute }}\">{{ homeItemText }}</a>\n      <span *ngIf=\"!service.linkHomeItem\">{{ homeItemText }}</span>\n    </li>\n    <li class=\"breadcrumb-item\" *ngIf=\"showHomeItem && isAtHome\">\n      {{ homeItemText }}\n    </li>\n    <li class=\"breadcrumb-item {{ last ? 'active' : '' }}\"\n      *ngFor=\"let breadcrumb of breadcrumbs; let last = last;\">\n      <a *ngIf=\"!last\" [routerLink]=\"[breadcrumb.url, breadcrumb.params]\">\n        {{ breadcrumb.label }}\n      </a>\n      <span *ngIf=\"last\">\n        {{ breadcrumb.label }}\n      </span>\n    </li>\n  </ol>\n</nav>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$1.RouterLink, selector: "[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "info", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: BreadcrumbsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-breadcrumbs', template: "<nav aria-label=\"breadcrumb\" *ngIf=\"breadcrumbs\">\n  <ol class=\"breadcrumb\">\n    <li class=\"breadcrumb-item\" *ngIf=\"service.showHomeItem && !isAtHome\">\n      <a *ngIf=\"service.linkHomeItem\" href=\"{{ homeItemRoute }}\">{{ homeItemText }}</a>\n      <span *ngIf=\"!service.linkHomeItem\">{{ homeItemText }}</span>\n    </li>\n    <li class=\"breadcrumb-item\" *ngIf=\"showHomeItem && isAtHome\">\n      {{ homeItemText }}\n    </li>\n    <li class=\"breadcrumb-item {{ last ? 'active' : '' }}\"\n      *ngFor=\"let breadcrumb of breadcrumbs; let last = last;\">\n      <a *ngIf=\"!last\" [routerLink]=\"[breadcrumb.url, breadcrumb.params]\">\n        {{ breadcrumb.label }}\n      </a>\n      <span *ngIf=\"last\">\n        {{ breadcrumb.label }}\n      </span>\n    </li>\n  </ol>\n</nav>\n" }]
        }], ctorParameters: () => [{ type: BreadcrumbsService }, { type: i2$1.Router }, { type: i2$1.ActivatedRoute }], propDecorators: { showHomeItem: [{
                type: Input
            }], homeItemRoute: [{
                type: Input
            }], homeItemText: [{
                type: Input
            }] } });

class WordmarkComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WordmarkComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: WordmarkComponent, selector: "ws-wordmark", ngImport: i0, template: "<svg width=\"115px\" height=\"22px\" viewBox=\"0 0 220 42\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xml:space=\"preserve\" xmlns:serif=\"http://www.serif.com/\" style=\"fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:1.41421;\" class=\"d-inline-block align-baseline\" aria-label=\"WorldSkills\">\n  <g>\n      <path d=\"M52.271,39.434c-5.36,0 -8.958,-4.397 -8.958,-10.943c0,-6.546 3.598,-10.945 8.958,-10.945c5.358,0 8.959,4.399 8.959,10.945c0,6.546 -3.601,10.943 -8.959,10.943Zm0,-24.453c-9.152,0 -12.397,7.275 -12.397,13.51c0,6.233 3.245,13.509 12.397,13.509c9.151,0 12.398,-7.276 12.398,-13.509c0,-6.235 -3.247,-13.51 -12.398,-13.51Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <path d=\"M70.618,19.724l0,-4.232l-2.916,0l0.003,25.798l3.122,0l0,-12.745l-0.006,-0.165c0.006,-4.753 1.352,-10.434 7.767,-10.434l0.975,0.046l0.012,-0.101l0.156,-3.009l-0.363,-0.002c-4.333,0 -7.269,1.636 -8.75,4.844Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <path d=\"M134.06,20.521c-2.152,-0.71 -3.726,-1.121 -6.297,-1.121c-1.89,0 -4.145,0.664 -4.145,2.906c0,4.179 12.225,1.529 12.225,11.001c0,6.116 -5.614,8.562 -11.333,8.562c-2.68,0 -5.407,-0.457 -7.977,-1.119l0.419,-5.607c2.203,1.069 4.512,1.733 6.924,1.733c1.788,0 4.62,-0.664 4.62,-3.209c0,-5.146 -12.226,-1.632 -12.226,-11.107c0,-5.653 5.09,-8.153 10.599,-8.153c3.306,0 5.46,0.512 7.662,0.97l-0.471,5.144Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <rect x=\"166.803\" y=\"15.051\" width=\"7.034\" height=\"26.239\" style=\"fill:#fff;fill-rule:nonzero;\"></rect>\n      <path d=\"M217.817,20.521c-2.151,-0.71 -3.725,-1.121 -6.296,-1.121c-1.892,0 -4.146,0.664 -4.146,2.906c0,4.179 12.225,1.529 12.225,11.001c0,6.116 -5.613,8.562 -11.333,8.562c-2.678,0 -5.405,-0.457 -7.977,-1.119l0.42,-5.607c2.203,1.069 4.513,1.733 6.926,1.733c1.785,0 4.619,-0.664 4.619,-3.209c0,-5.146 -12.227,-1.632 -12.227,-11.107c0,-5.653 5.09,-8.153 10.602,-8.153c3.305,0 5.454,0.512 7.659,0.97l-0.472,5.144Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <path d=\"M153.067,26.813l9.962,-11.762l-8.292,0l-8.394,10.497l-0.106,0l0,-24.614l-7.032,2.147l0,38.209l7.032,0l0,-12.737l0.106,0l9.027,12.737l8.919,0l-11.222,-14.477Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <path d=\"M101.041,39.334c-7.234,0 -8.017,-7.652 -8.017,-10.942c0,-3.292 0.783,-10.943 8.017,-10.943c5.537,0 8.017,5.495 8.017,10.943c0,5.447 -2.48,10.942 -8.017,10.942Zm11.012,-36.961l-2.995,0.917l0,15.951c-0.652,-1.091 -3.088,-4.428 -8.543,-4.362c-9.031,0.115 -10.927,7.409 -10.927,13.513c0,8.332 4.187,13.512 10.929,13.512c4.014,0 6.73,-1.48 8.541,-4.615l0,4.001l3.121,0l0,-38.956l-0.126,0.039Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <path d=\"M85.984,2.376l-2.997,0.912l0,38.003l3.123,0l0,-38.956l-0.126,0.041Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <path d=\"M178.373,3.081l0,38.209l7.031,0l0,-40.357l-7.031,2.148Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <path d=\"M189.455,3.081l-0.004,0l0,38.209l7.034,0l0,-40.357l-7.03,2.148Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <path d=\"M174.384,5.257c0,-2.165 -1.756,-3.917 -3.917,-3.917c-2.161,0 -3.915,1.752 -3.915,3.917c0,2.163 1.754,3.917 3.915,3.917c2.161,0 3.917,-1.754 3.917,-3.917Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <path d=\"M3.352,15.492l-3.352,0l0.042,0.128c0.16,0.487 8.402,25.375 8.48,25.603l0.022,0.067l3.856,0c0,0 7.249,-22.333 7.292,-22.468l0.239,0c0.045,0.135 7.294,22.468 7.294,22.468l3.858,0l8.753,-25.798l-3.113,0c0,0 -7.354,22.333 -7.4,22.466l-0.238,0c-0.042,-0.133 -7.082,-22.466 -7.082,-22.466l-3.857,0c0,0 -7.407,22.333 -7.453,22.466l-0.237,0c-0.042,-0.136 -7.032,-22.466 -7.032,-22.466l-0.072,0Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n  </g>\n</svg>\n", styles: [""] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WordmarkComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-wordmark', template: "<svg width=\"115px\" height=\"22px\" viewBox=\"0 0 220 42\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xml:space=\"preserve\" xmlns:serif=\"http://www.serif.com/\" style=\"fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:1.41421;\" class=\"d-inline-block align-baseline\" aria-label=\"WorldSkills\">\n  <g>\n      <path d=\"M52.271,39.434c-5.36,0 -8.958,-4.397 -8.958,-10.943c0,-6.546 3.598,-10.945 8.958,-10.945c5.358,0 8.959,4.399 8.959,10.945c0,6.546 -3.601,10.943 -8.959,10.943Zm0,-24.453c-9.152,0 -12.397,7.275 -12.397,13.51c0,6.233 3.245,13.509 12.397,13.509c9.151,0 12.398,-7.276 12.398,-13.509c0,-6.235 -3.247,-13.51 -12.398,-13.51Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <path d=\"M70.618,19.724l0,-4.232l-2.916,0l0.003,25.798l3.122,0l0,-12.745l-0.006,-0.165c0.006,-4.753 1.352,-10.434 7.767,-10.434l0.975,0.046l0.012,-0.101l0.156,-3.009l-0.363,-0.002c-4.333,0 -7.269,1.636 -8.75,4.844Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <path d=\"M134.06,20.521c-2.152,-0.71 -3.726,-1.121 -6.297,-1.121c-1.89,0 -4.145,0.664 -4.145,2.906c0,4.179 12.225,1.529 12.225,11.001c0,6.116 -5.614,8.562 -11.333,8.562c-2.68,0 -5.407,-0.457 -7.977,-1.119l0.419,-5.607c2.203,1.069 4.512,1.733 6.924,1.733c1.788,0 4.62,-0.664 4.62,-3.209c0,-5.146 -12.226,-1.632 -12.226,-11.107c0,-5.653 5.09,-8.153 10.599,-8.153c3.306,0 5.46,0.512 7.662,0.97l-0.471,5.144Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <rect x=\"166.803\" y=\"15.051\" width=\"7.034\" height=\"26.239\" style=\"fill:#fff;fill-rule:nonzero;\"></rect>\n      <path d=\"M217.817,20.521c-2.151,-0.71 -3.725,-1.121 -6.296,-1.121c-1.892,0 -4.146,0.664 -4.146,2.906c0,4.179 12.225,1.529 12.225,11.001c0,6.116 -5.613,8.562 -11.333,8.562c-2.678,0 -5.405,-0.457 -7.977,-1.119l0.42,-5.607c2.203,1.069 4.513,1.733 6.926,1.733c1.785,0 4.619,-0.664 4.619,-3.209c0,-5.146 -12.227,-1.632 -12.227,-11.107c0,-5.653 5.09,-8.153 10.602,-8.153c3.305,0 5.454,0.512 7.659,0.97l-0.472,5.144Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <path d=\"M153.067,26.813l9.962,-11.762l-8.292,0l-8.394,10.497l-0.106,0l0,-24.614l-7.032,2.147l0,38.209l7.032,0l0,-12.737l0.106,0l9.027,12.737l8.919,0l-11.222,-14.477Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <path d=\"M101.041,39.334c-7.234,0 -8.017,-7.652 -8.017,-10.942c0,-3.292 0.783,-10.943 8.017,-10.943c5.537,0 8.017,5.495 8.017,10.943c0,5.447 -2.48,10.942 -8.017,10.942Zm11.012,-36.961l-2.995,0.917l0,15.951c-0.652,-1.091 -3.088,-4.428 -8.543,-4.362c-9.031,0.115 -10.927,7.409 -10.927,13.513c0,8.332 4.187,13.512 10.929,13.512c4.014,0 6.73,-1.48 8.541,-4.615l0,4.001l3.121,0l0,-38.956l-0.126,0.039Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <path d=\"M85.984,2.376l-2.997,0.912l0,38.003l3.123,0l0,-38.956l-0.126,0.041Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <path d=\"M178.373,3.081l0,38.209l7.031,0l0,-40.357l-7.031,2.148Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <path d=\"M189.455,3.081l-0.004,0l0,38.209l7.034,0l0,-40.357l-7.03,2.148Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <path d=\"M174.384,5.257c0,-2.165 -1.756,-3.917 -3.917,-3.917c-2.161,0 -3.915,1.752 -3.915,3.917c0,2.163 1.754,3.917 3.915,3.917c2.161,0 3.917,-1.754 3.917,-3.917Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n      <path d=\"M3.352,15.492l-3.352,0l0.042,0.128c0.16,0.487 8.402,25.375 8.48,25.603l0.022,0.067l3.856,0c0,0 7.249,-22.333 7.292,-22.468l0.239,0c0.045,0.135 7.294,22.468 7.294,22.468l3.858,0l8.753,-25.798l-3.113,0c0,0 -7.354,22.333 -7.4,22.466l-0.238,0c-0.042,-0.133 -7.082,-22.466 -7.082,-22.466l-3.857,0c0,0 -7.407,22.333 -7.453,22.466l-0.237,0c-0.042,-0.136 -7.032,-22.466 -7.032,-22.466l-0.072,0Z\" style=\"fill:#fff;fill-rule:nonzero;\"></path>\n  </g>\n</svg>\n" }]
        }], ctorParameters: () => [] });

class MenuAccessPipe {
    transform(items, isLoggedIn, roles) {
        if (items === null || items === undefined) {
            return [];
        }
        return items.filter(item => {
            // item doesn't exist, don't display it
            if (item === undefined || item === null) {
                return false;
            }
            // item is meant to be hidden
            if (item.hidden) {
                return false;
            }
            // item requires a logged in user
            if (item.requireLogin && !isLoggedIn) {
                return false;
            }
            // item doesn not require role permissions
            if (item.requiredRoles.length === 0) {
                return true;
            }
            // item requires role permissions
            let show = false;
            for (const roleName of item.requiredRoles) {
                show = roles.findIndex(userRoleName => userRoleName === roleName) !== -1;
                if (show) {
                    break;
                }
            }
            return show;
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MenuAccessPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.2.12", ngImport: i0, type: MenuAccessPipe, name: "wsMenuAccessFilter" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MenuAccessPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'wsMenuAccessFilter'
                }]
        }] });

class HeaderComponent {
    constructor(router, route) {
        this.router = router;
        this.route = route;
        this.logoutClick = new EventEmitter();
        this.loginClick = new EventEmitter();
        this.appName = 'Application';
        this.isLoggedIn = false;
        this.showLoginAndLogoutButtons = false;
        this.menuItems = [];
        this.dropDownMenuItems = [];
        this.currentUser = null;
    }
    // tslint:disable-next-line:use-life-cycle-interface typedef
    ngOnInit() {
    }
    // tslint:disable-next-line:use-lifecycle-interface typedef
    ngOnChanges() {
    }
    userRoles() {
        if (this.currentUser === undefined || this.currentUser === null) {
            return [];
        }
        if (this.currentUser.roles === undefined || this.currentUser.roles === null) {
            return [];
        }
        return this.currentUser.roles.map(item => {
            return item.name;
        });
    }
    isRouteActive(item) {
        return item.url === this.router.url || item?.subMenuItems?.some(subItem => subItem.url === this.router.url);
    }
    getActiveParentMenu() {
        let parent = this.menuItems.find(item => item.url === this.router.url);
        if (GenericUtil.isNullOrUndefined(parent)) {
            // get the parent of the active child item.
            const parents = this.menuItems.filter(item => !GenericUtil.isNullOrUndefined(item.subMenuItems));
            parents.forEach(item => {
                if (GenericUtil.isNullOrUndefined(parent)) {
                    const match = item.subMenuItems.find(subItem => subItem.url === this.router.url);
                    if (!GenericUtil.isNullOrUndefined(match)) {
                        parent = item;
                    }
                }
            });
        }
        return parent;
    }
    hasSubMenuItems(item) {
        if (GenericUtil.isNullOrUndefined(item)) {
            return false;
        }
        return !GenericUtil.isNullOrUndefined(item.subMenuItems);
    }
    getSubMenuItems(item) {
        if (GenericUtil.isNullOrUndefined(item)) {
            return [];
        }
        if (GenericUtil.isNullOrUndefined(item.subMenuItems)) {
            return [];
        }
        return item.subMenuItems;
    }
    login() {
        this.loginClick.emit();
    }
    logout() {
        this.logoutClick.emit();
    }
    getInitials() {
        let s = '';
        if (this.currentUser) {
            if (this.currentUser.first_name) {
                s = this.currentUser.first_name.substr(0, 1);
            }
            if (this.currentUser.last_name) {
                s += this.currentUser.last_name.substr(0, 1);
            }
        }
        return s.toUpperCase();
    }
    showMenu() {
        return this.showLoginAndLogoutButtons ? this.isLoggedIn || !GenericUtil.isNullOrUndefined(this.currentUser) : false;
    }
    showLoginButton() {
        return this.showLoginAndLogoutButtons ? !this.isLoggedIn || GenericUtil.isNullOrUndefined(this.currentUser) : false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: HeaderComponent, deps: [{ token: i2$1.Router }, { token: i2$1.ActivatedRoute }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: HeaderComponent, selector: "ws-header", inputs: { appName: "appName", isLoggedIn: "isLoggedIn", showLoginAndLogoutButtons: "showLoginAndLogoutButtons", menuItems: "menuItems", dropDownMenuItems: "dropDownMenuItems", currentUser: "currentUser", linkTitle: "linkTitle", appNameTemplate: "appNameTemplate", menuTemplate: "menuTemplate", subMenuTemplate: "subMenuTemplate" }, outputs: { logoutClick: "logoutClick", loginClick: "loginClick" }, usesOnChanges: true, ngImport: i0, template: "<ng-template #appNameDefaultTemplate>\n    <a class=\"navbar-brand\" href=\"#\">\n        <ws-wordmark></ws-wordmark>\n        <span class=\"ml-1 text-white\">{{ appName }}</span>\n    </a>\n</ng-template>\n\n<ng-template #menuDefaultTemplate>\n    <button class=\"navbar-toggler collapsed\" type=\"button\" data-toggle=\"collapse\" data-target=\"#navbarSupportedContent\"\n            aria-controls=\"navbarSupportedContent\" aria-expanded=\"false\" aria-label=\"Toggle navigation\">\n        Menu\n    </button>\n    <div class=\"collapse navbar-collapse\" id=\"navbarSupportedContent\">\n        <ul class=\"navbar-nav ml-auto\">\n            <li class=\"nav-item {{ isRouteActive(item) ? 'active' : '' }} {{ item.subMenuItems ? 'has-subnav' : ''}}\"\n                *ngFor=\"let item of menuItems | wsMenuAccessFilter: isLoggedIn: userRoles()\">\n                <a class=\"nav-link\" [routerLink]=\"item.params ? [item.url, item.params] : [item.url]\">\n                    {{ item.label }}\n                </a>\n            </li>\n        </ul>\n\n        <div class=\"dropdown ml-2\" *ngIf=\"showMenu()\">\n            <button class=\"btn btn-white rounded-pill\" type=\"button\" data-toggle=\"dropdown\">\n                {{ getInitials() }}\n            </button>\n            <div class=\"dropdown-menu dropdown-menu-right\">\n                <a class=\"dropdown-item disabled\" href=\"#\" tabindex=\"-1\">{{ currentUser.first_name }}\n                    {{ currentUser.last_name }}</a>\n                <div class=\"dropdown-divider\"></div>\n                <a *ngFor=\"let item of dropDownMenuItems | wsMenuAccessFilter: isLoggedIn: userRoles()\" class=\"dropdown-item\" [routerLink]=\"item.params ? [item.url, item.params] : [item.url]\">{{ item.label }}</a>\n                <a class=\"dropdown-item\" href=\"#\" (click)=\"logout(); false;\">{{ 'auth.logout' | wsTranslate | async }}</a>\n            </div>\n        </div>\n        <a class=\"btn btn-light btn-sm ml-2 wsi-login\" (click)=\"login(); false;\"\n           *ngIf=\"showLoginButton()\">{{ 'auth.login' | wsTranslate | async }}</a>\n    </div>\n</ng-template>\n\n\n<ng-template #subMenuDefaultTemplate>\n    <div class=\"collapse navbar-collapse\">\n        <ul class=\"navbar-nav ml-auto\">\n            <li class=\"nav-item {{ isRouteActive(item) ? 'active' : '' }}\"\n                *ngFor=\"let item of getSubMenuItems(getActiveParentMenu()) | wsMenuAccessFilter: isLoggedIn: userRoles()\">\n                <a class=\"nav-link\" [routerLink]=\"item.params ? [item.url, item.params] : [item.url]\">\n                    {{ item.label }}\n                </a>\n            </li>\n        </ul>\n    </div>\n</ng-template>\n\n<nav class=\"navbar navbar-expand-md ws-navbar-main ws-navbar-stripe wsmember-navbar-main wsmember-bg-pink\">\n    <div class=\"container\">\n        <ng-container *ngTemplateOutlet=\"appNameTemplate ? appNameTemplate : appNameDefaultTemplate\"></ng-container>\n        <ng-container *ngTemplateOutlet=\"menuTemplate ? menuTemplate : menuDefaultTemplate\"></ng-container>\n    </div>\n</nav>\n\n<nav class=\"navbar navbar-expand-md ws-navbar-sub\" *ngIf=\"hasSubMenuItems(getActiveParentMenu())\">\n    <div class=\"container\">\n        <ng-container *ngTemplateOutlet=\"subMenuTemplate ? subMenuTemplate : subMenuDefaultTemplate\"></ng-container>\n    </div>\n</nav>", styles: [".has-subnav.active{background-image:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='15px' height='8px' viewBox='0 0 15 8' version='1.1'%3E%3Cg id='Page-1' stroke='none' stroke-width='1' fill='none' fill-rule='evenodd'%3E%3Cpolygon id='Triangle' fill='%230E779F' fill-rule='nonzero' points='7.5 0 15 8 0 8'%3E%3C/polygon%3E%3C/g%3E%3C/svg%3E\");background-position:50% bottom;background-repeat:no-repeat;margin-bottom:-13px}\n"], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i2$1.RouterLink, selector: "[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "info", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "component", type: WordmarkComponent, selector: "ws-wordmark" }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }, { kind: "pipe", type: MenuAccessPipe, name: "wsMenuAccessFilter" }, { kind: "pipe", type: WSTranslate, name: "wsTranslate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: HeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-header', template: "<ng-template #appNameDefaultTemplate>\n    <a class=\"navbar-brand\" href=\"#\">\n        <ws-wordmark></ws-wordmark>\n        <span class=\"ml-1 text-white\">{{ appName }}</span>\n    </a>\n</ng-template>\n\n<ng-template #menuDefaultTemplate>\n    <button class=\"navbar-toggler collapsed\" type=\"button\" data-toggle=\"collapse\" data-target=\"#navbarSupportedContent\"\n            aria-controls=\"navbarSupportedContent\" aria-expanded=\"false\" aria-label=\"Toggle navigation\">\n        Menu\n    </button>\n    <div class=\"collapse navbar-collapse\" id=\"navbarSupportedContent\">\n        <ul class=\"navbar-nav ml-auto\">\n            <li class=\"nav-item {{ isRouteActive(item) ? 'active' : '' }} {{ item.subMenuItems ? 'has-subnav' : ''}}\"\n                *ngFor=\"let item of menuItems | wsMenuAccessFilter: isLoggedIn: userRoles()\">\n                <a class=\"nav-link\" [routerLink]=\"item.params ? [item.url, item.params] : [item.url]\">\n                    {{ item.label }}\n                </a>\n            </li>\n        </ul>\n\n        <div class=\"dropdown ml-2\" *ngIf=\"showMenu()\">\n            <button class=\"btn btn-white rounded-pill\" type=\"button\" data-toggle=\"dropdown\">\n                {{ getInitials() }}\n            </button>\n            <div class=\"dropdown-menu dropdown-menu-right\">\n                <a class=\"dropdown-item disabled\" href=\"#\" tabindex=\"-1\">{{ currentUser.first_name }}\n                    {{ currentUser.last_name }}</a>\n                <div class=\"dropdown-divider\"></div>\n                <a *ngFor=\"let item of dropDownMenuItems | wsMenuAccessFilter: isLoggedIn: userRoles()\" class=\"dropdown-item\" [routerLink]=\"item.params ? [item.url, item.params] : [item.url]\">{{ item.label }}</a>\n                <a class=\"dropdown-item\" href=\"#\" (click)=\"logout(); false;\">{{ 'auth.logout' | wsTranslate | async }}</a>\n            </div>\n        </div>\n        <a class=\"btn btn-light btn-sm ml-2 wsi-login\" (click)=\"login(); false;\"\n           *ngIf=\"showLoginButton()\">{{ 'auth.login' | wsTranslate | async }}</a>\n    </div>\n</ng-template>\n\n\n<ng-template #subMenuDefaultTemplate>\n    <div class=\"collapse navbar-collapse\">\n        <ul class=\"navbar-nav ml-auto\">\n            <li class=\"nav-item {{ isRouteActive(item) ? 'active' : '' }}\"\n                *ngFor=\"let item of getSubMenuItems(getActiveParentMenu()) | wsMenuAccessFilter: isLoggedIn: userRoles()\">\n                <a class=\"nav-link\" [routerLink]=\"item.params ? [item.url, item.params] : [item.url]\">\n                    {{ item.label }}\n                </a>\n            </li>\n        </ul>\n    </div>\n</ng-template>\n\n<nav class=\"navbar navbar-expand-md ws-navbar-main ws-navbar-stripe wsmember-navbar-main wsmember-bg-pink\">\n    <div class=\"container\">\n        <ng-container *ngTemplateOutlet=\"appNameTemplate ? appNameTemplate : appNameDefaultTemplate\"></ng-container>\n        <ng-container *ngTemplateOutlet=\"menuTemplate ? menuTemplate : menuDefaultTemplate\"></ng-container>\n    </div>\n</nav>\n\n<nav class=\"navbar navbar-expand-md ws-navbar-sub\" *ngIf=\"hasSubMenuItems(getActiveParentMenu())\">\n    <div class=\"container\">\n        <ng-container *ngTemplateOutlet=\"subMenuTemplate ? subMenuTemplate : subMenuDefaultTemplate\"></ng-container>\n    </div>\n</nav>", styles: [".has-subnav.active{background-image:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='15px' height='8px' viewBox='0 0 15 8' version='1.1'%3E%3Cg id='Page-1' stroke='none' stroke-width='1' fill='none' fill-rule='evenodd'%3E%3Cpolygon id='Triangle' fill='%230E779F' fill-rule='nonzero' points='7.5 0 15 8 0 8'%3E%3C/polygon%3E%3C/g%3E%3C/svg%3E\");background-position:50% bottom;background-repeat:no-repeat;margin-bottom:-13px}\n"] }]
        }], ctorParameters: () => [{ type: i2$1.Router }, { type: i2$1.ActivatedRoute }], propDecorators: { appName: [{
                type: Input
            }], isLoggedIn: [{
                type: Input
            }], showLoginAndLogoutButtons: [{
                type: Input
            }], menuItems: [{
                type: Input
            }], dropDownMenuItems: [{
                type: Input
            }], currentUser: [{
                type: Input
            }], linkTitle: [{
                type: Input
            }], appNameTemplate: [{
                type: Input
            }], menuTemplate: [{
                type: Input
            }], subMenuTemplate: [{
                type: Input
            }], logoutClick: [{
                type: Output
            }], loginClick: [{
                type: Output
            }] } });

class LogoComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: LogoComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: LogoComponent, selector: "ws-logo", ngImport: i0, template: "<svg width=\"110px\" height=\"65px\" viewBox=\"0 0 220 129\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xml:space=\"preserve\" xmlns:serif=\"http://www.serif.com/\" style=\"fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:1.41421;\" aria-label=\"WorldSkills\">\n  <g>\n      <path d=\"M52.271,126.434c-5.36,0 -8.958,-4.395 -8.958,-10.942c0,-6.547 3.598,-10.944 8.958,-10.944c5.358,0 8.959,4.397 8.959,10.944c0,6.547 -3.601,10.942 -8.959,10.942Zm0,-24.453c-9.152,0 -12.397,7.276 -12.397,13.511c0,6.232 3.245,13.509 12.397,13.509c9.151,0 12.398,-7.277 12.398,-13.509c0,-6.235 -3.247,-13.511 -12.398,-13.511Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M70.618,106.725l0,-4.232l-2.916,0l0.003,25.798l3.122,0l0,-12.745l-0.006,-0.165c0.006,-4.753 1.352,-10.434 7.767,-10.434l0.975,0.046l0.012,-0.101l0.156,-3.009l-0.363,-0.002c-4.333,0 -7.269,1.636 -8.75,4.844Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M134.06,107.522c-2.152,-0.71 -3.726,-1.121 -6.297,-1.121c-1.89,0 -4.145,0.664 -4.145,2.905c0,4.18 12.225,1.53 12.225,11.001c0,6.117 -5.614,8.564 -11.333,8.564c-2.68,0 -5.407,-0.457 -7.977,-1.12l0.419,-5.607c2.203,1.069 4.512,1.733 6.924,1.733c1.788,0 4.62,-0.664 4.62,-3.209c0,-5.146 -12.226,-1.631 -12.226,-11.107c0,-5.653 5.09,-8.153 10.599,-8.153c3.306,0 5.46,0.512 7.662,0.97l-0.471,5.144Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <rect x=\"166.803\" y=\"102.052\" width=\"7.034\" height=\"26.24\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M217.817,107.522c-2.151,-0.71 -3.725,-1.121 -6.296,-1.121c-1.892,0 -4.146,0.664 -4.146,2.905c0,4.18 12.225,1.53 12.225,11.001c0,6.117 -5.613,8.564 -11.333,8.564c-2.678,0 -5.405,-0.457 -7.977,-1.12l0.42,-5.607c2.203,1.069 4.513,1.733 6.926,1.733c1.785,0 4.619,-0.664 4.619,-3.209c0,-5.146 -12.227,-1.631 -12.227,-11.107c0,-5.653 5.09,-8.153 10.602,-8.153c3.305,0 5.454,0.512 7.659,0.97l-0.472,5.144Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M153.067,113.813l9.962,-11.761l-8.292,0l-8.394,10.497l-0.106,0l0,-24.615l-7.032,2.148l0,38.21l7.032,0l0,-12.738l0.106,0l9.027,12.738l8.919,0l-11.222,-14.479Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M101.041,126.336c-7.234,0 -8.017,-7.653 -8.017,-10.943c0,-3.292 0.783,-10.944 8.017,-10.944c5.537,0 8.017,5.495 8.017,10.944c0,5.448 -2.48,10.943 -8.017,10.943Zm11.012,-36.962l-2.995,0.917l0,15.95c-0.652,-1.091 -3.088,-4.428 -8.543,-4.36c-9.031,0.114 -10.927,7.409 -10.927,13.512c0,8.332 4.187,13.511 10.929,13.511c4.014,0 6.73,-1.479 8.541,-4.613l0,4.001l3.121,0l0,-38.957l-0.126,0.039Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M85.984,89.376l-2.997,0.913l0,38.003l3.123,0l0,-38.957l-0.126,0.041Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M178.373,90.082l0,38.21l7.031,0l0,-40.359l-7.031,2.149Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M189.455,90.082l-0.004,0l0,38.21l7.034,0l0,-40.359l-7.03,2.149Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M174.384,92.257c0,-2.165 -1.756,-3.917 -3.917,-3.917c-2.161,0 -3.915,1.752 -3.915,3.917c0,2.163 1.754,3.917 3.915,3.917c2.161,0 3.917,-1.754 3.917,-3.917Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M3.352,102.493l-3.352,0l0.042,0.129c0.16,0.486 8.402,25.375 8.48,25.601l0.022,0.069l3.856,0c0,0 7.249,-22.333 7.292,-22.469l0.239,0c0.045,0.136 7.294,22.469 7.294,22.469l3.858,0l8.753,-25.799l-3.113,0c0,0 -7.354,22.334 -7.4,22.467l-0.238,0c-0.042,-0.134 -7.082,-22.467 -7.082,-22.467l-3.857,0c0,0 -7.407,22.334 -7.453,22.467l-0.237,0c-0.042,-0.137 -7.032,-22.467 -7.032,-22.467l-0.072,0Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M160.498,44.986c0,0 12.347,-2.186 16.389,-12.002c0,0 71.891,14.725 29.452,53.074c0,0 15.749,-14.828 6.953,-26.691c0,0 4.909,14.726 -14.316,24.645c0,0 41.695,-29.617 -38.478,-39.026Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M199.888,39.615c5.028,2.487 8.548,4.931 10.604,6.536c0.905,-25.738 -17.55,-40.127 -17.55,-40.127c-0.536,1.65 -2.147,3.49 -4.448,4.333c-2.301,0.844 -3.682,3.605 -3.682,3.605c9.019,7.501 13.351,16.659 15.076,25.653Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M174.979,34.807c1.089,-1.627 1.394,-2.744 1.394,-2.744c4.752,0.844 9.016,1.957 12.814,3.202c-7.877,-22.459 -22.526,-34.751 -22.526,-34.751c-0.409,1.177 -4.704,3.324 -7.619,4.603c-2.914,1.278 -2.147,6.698 -2.147,6.698c8.01,6.619 13.838,14.721 18.084,22.992Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M205.115,59.685c-0.991,11.081 -7.571,22.845 -7.571,22.845c4.646,-7.067 7.822,-13.702 9.875,-19.884c-0.576,-1.045 -1.354,-2.031 -2.304,-2.961Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M204.253,58.898c-1.084,-0.931 -2.337,-1.804 -3.726,-2.621c-1.154,11.922 -5.13,20.884 -5.13,20.884c2.3,-2.608 4.064,-6.826 4.064,-6.826c0.077,2.991 -2.378,8.897 -2.378,8.897c4.222,-6.783 6.242,-15.026 7.17,-20.334Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M179.302,82.112c-2.556,-1.377 -6.263,-2.842 -13.881,-8.742c5.766,4.341 15.394,7.115 15.394,7.115c-21.256,-10.789 -25.89,-20.57 -25.89,-20.57c-2.046,-0.066 -3.279,1.232 -4.089,1.677c-0.811,0.444 -3.021,0.406 -3.021,0.406c8.101,13.061 31.487,20.114 31.487,20.114Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M169.793,46.953c-7.062,-1.17 -12.249,-1.622 -12.249,-1.622c2.823,-0.709 5.225,-1.571 7.279,-2.509c-9.939,-7.239 -19.842,-9.021 -19.842,-9.021c0,0 -1.841,0.613 -2.097,3.682c-0.254,3.067 -2.607,3.477 -2.607,3.477c37.121,9.919 42.694,40.495 42.694,40.495c-2.531,-13.805 -7.9,-22.625 -7.9,-22.625c5.676,5.829 9.587,20.632 9.587,20.632c-1.259,-15.301 -7.604,-25.618 -14.865,-32.509Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M180.901,49.165c5.345,16.489 5.446,30.449 5.446,30.449c3.955,-7.668 2.914,-25.309 2.914,-25.309c3.681,7.209 3.221,26.844 3.221,26.844c1.888,-10.318 1.961,-19.753 0.878,-28.245c-3.92,-1.502 -8.228,-2.736 -12.459,-3.739Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n  </g>\n</svg>\n", styles: [""] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: LogoComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-logo', template: "<svg width=\"110px\" height=\"65px\" viewBox=\"0 0 220 129\" version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xml:space=\"preserve\" xmlns:serif=\"http://www.serif.com/\" style=\"fill-rule:evenodd;clip-rule:evenodd;stroke-linejoin:round;stroke-miterlimit:1.41421;\" aria-label=\"WorldSkills\">\n  <g>\n      <path d=\"M52.271,126.434c-5.36,0 -8.958,-4.395 -8.958,-10.942c0,-6.547 3.598,-10.944 8.958,-10.944c5.358,0 8.959,4.397 8.959,10.944c0,6.547 -3.601,10.942 -8.959,10.942Zm0,-24.453c-9.152,0 -12.397,7.276 -12.397,13.511c0,6.232 3.245,13.509 12.397,13.509c9.151,0 12.398,-7.277 12.398,-13.509c0,-6.235 -3.247,-13.511 -12.398,-13.511Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M70.618,106.725l0,-4.232l-2.916,0l0.003,25.798l3.122,0l0,-12.745l-0.006,-0.165c0.006,-4.753 1.352,-10.434 7.767,-10.434l0.975,0.046l0.012,-0.101l0.156,-3.009l-0.363,-0.002c-4.333,0 -7.269,1.636 -8.75,4.844Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M134.06,107.522c-2.152,-0.71 -3.726,-1.121 -6.297,-1.121c-1.89,0 -4.145,0.664 -4.145,2.905c0,4.18 12.225,1.53 12.225,11.001c0,6.117 -5.614,8.564 -11.333,8.564c-2.68,0 -5.407,-0.457 -7.977,-1.12l0.419,-5.607c2.203,1.069 4.512,1.733 6.924,1.733c1.788,0 4.62,-0.664 4.62,-3.209c0,-5.146 -12.226,-1.631 -12.226,-11.107c0,-5.653 5.09,-8.153 10.599,-8.153c3.306,0 5.46,0.512 7.662,0.97l-0.471,5.144Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <rect x=\"166.803\" y=\"102.052\" width=\"7.034\" height=\"26.24\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M217.817,107.522c-2.151,-0.71 -3.725,-1.121 -6.296,-1.121c-1.892,0 -4.146,0.664 -4.146,2.905c0,4.18 12.225,1.53 12.225,11.001c0,6.117 -5.613,8.564 -11.333,8.564c-2.678,0 -5.405,-0.457 -7.977,-1.12l0.42,-5.607c2.203,1.069 4.513,1.733 6.926,1.733c1.785,0 4.619,-0.664 4.619,-3.209c0,-5.146 -12.227,-1.631 -12.227,-11.107c0,-5.653 5.09,-8.153 10.602,-8.153c3.305,0 5.454,0.512 7.659,0.97l-0.472,5.144Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M153.067,113.813l9.962,-11.761l-8.292,0l-8.394,10.497l-0.106,0l0,-24.615l-7.032,2.148l0,38.21l7.032,0l0,-12.738l0.106,0l9.027,12.738l8.919,0l-11.222,-14.479Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M101.041,126.336c-7.234,0 -8.017,-7.653 -8.017,-10.943c0,-3.292 0.783,-10.944 8.017,-10.944c5.537,0 8.017,5.495 8.017,10.944c0,5.448 -2.48,10.943 -8.017,10.943Zm11.012,-36.962l-2.995,0.917l0,15.95c-0.652,-1.091 -3.088,-4.428 -8.543,-4.36c-9.031,0.114 -10.927,7.409 -10.927,13.512c0,8.332 4.187,13.511 10.929,13.511c4.014,0 6.73,-1.479 8.541,-4.613l0,4.001l3.121,0l0,-38.957l-0.126,0.039Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M85.984,89.376l-2.997,0.913l0,38.003l3.123,0l0,-38.957l-0.126,0.041Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M178.373,90.082l0,38.21l7.031,0l0,-40.359l-7.031,2.149Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M189.455,90.082l-0.004,0l0,38.21l7.034,0l0,-40.359l-7.03,2.149Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M174.384,92.257c0,-2.165 -1.756,-3.917 -3.917,-3.917c-2.161,0 -3.915,1.752 -3.915,3.917c0,2.163 1.754,3.917 3.915,3.917c2.161,0 3.917,-1.754 3.917,-3.917Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M3.352,102.493l-3.352,0l0.042,0.129c0.16,0.486 8.402,25.375 8.48,25.601l0.022,0.069l3.856,0c0,0 7.249,-22.333 7.292,-22.469l0.239,0c0.045,0.136 7.294,22.469 7.294,22.469l3.858,0l8.753,-25.799l-3.113,0c0,0 -7.354,22.334 -7.4,22.467l-0.238,0c-0.042,-0.134 -7.082,-22.467 -7.082,-22.467l-3.857,0c0,0 -7.407,22.334 -7.453,22.467l-0.237,0c-0.042,-0.137 -7.032,-22.467 -7.032,-22.467l-0.072,0Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M160.498,44.986c0,0 12.347,-2.186 16.389,-12.002c0,0 71.891,14.725 29.452,53.074c0,0 15.749,-14.828 6.953,-26.691c0,0 4.909,14.726 -14.316,24.645c0,0 41.695,-29.617 -38.478,-39.026Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M199.888,39.615c5.028,2.487 8.548,4.931 10.604,6.536c0.905,-25.738 -17.55,-40.127 -17.55,-40.127c-0.536,1.65 -2.147,3.49 -4.448,4.333c-2.301,0.844 -3.682,3.605 -3.682,3.605c9.019,7.501 13.351,16.659 15.076,25.653Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M174.979,34.807c1.089,-1.627 1.394,-2.744 1.394,-2.744c4.752,0.844 9.016,1.957 12.814,3.202c-7.877,-22.459 -22.526,-34.751 -22.526,-34.751c-0.409,1.177 -4.704,3.324 -7.619,4.603c-2.914,1.278 -2.147,6.698 -2.147,6.698c8.01,6.619 13.838,14.721 18.084,22.992Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M205.115,59.685c-0.991,11.081 -7.571,22.845 -7.571,22.845c4.646,-7.067 7.822,-13.702 9.875,-19.884c-0.576,-1.045 -1.354,-2.031 -2.304,-2.961Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M204.253,58.898c-1.084,-0.931 -2.337,-1.804 -3.726,-2.621c-1.154,11.922 -5.13,20.884 -5.13,20.884c2.3,-2.608 4.064,-6.826 4.064,-6.826c0.077,2.991 -2.378,8.897 -2.378,8.897c4.222,-6.783 6.242,-15.026 7.17,-20.334Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M179.302,82.112c-2.556,-1.377 -6.263,-2.842 -13.881,-8.742c5.766,4.341 15.394,7.115 15.394,7.115c-21.256,-10.789 -25.89,-20.57 -25.89,-20.57c-2.046,-0.066 -3.279,1.232 -4.089,1.677c-0.811,0.444 -3.021,0.406 -3.021,0.406c8.101,13.061 31.487,20.114 31.487,20.114Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M169.793,46.953c-7.062,-1.17 -12.249,-1.622 -12.249,-1.622c2.823,-0.709 5.225,-1.571 7.279,-2.509c-9.939,-7.239 -19.842,-9.021 -19.842,-9.021c0,0 -1.841,0.613 -2.097,3.682c-0.254,3.067 -2.607,3.477 -2.607,3.477c37.121,9.919 42.694,40.495 42.694,40.495c-2.531,-13.805 -7.9,-22.625 -7.9,-22.625c5.676,5.829 9.587,20.632 9.587,20.632c-1.259,-15.301 -7.604,-25.618 -14.865,-32.509Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n      <path d=\"M180.901,49.165c5.345,16.489 5.446,30.449 5.446,30.449c3.955,-7.668 2.914,-25.309 2.914,-25.309c3.681,7.209 3.221,26.844 3.221,26.844c1.888,-10.318 1.961,-19.753 0.878,-28.245c-3.92,-1.502 -8.228,-2.736 -12.459,-3.739Z\" style=\"fill:#fff;fill-rule:nonzero;\"/>\n  </g>\n</svg>\n" }]
        }], ctorParameters: () => [] });

const MISSING_LANGUAGE_MESSAGE = (email) => `Please email us at WorldSkills (${email}) if you are able to help us translate our interface into your language.`;

class FooterComponent {
    constructor(wsi, translator) {
        this.wsi = wsi;
        this.translator = translator;
        this.logoutClick = new EventEmitter();
        this.loginClick = new EventEmitter();
        this.wsi.appConfigSubject.subscribe(appConfig => {
            this.supportEmail = appConfig.supportEmailAddress;
        });
    }
    // tslint:disable-next-line:typedef
    ngOnInit() {
        this.date = new Date();
        this.languages = LangUtil.getDefaultLanguages();
        this.selectedLanguage = this.translator.getSelectedLanguage();
    }
    login() {
        this.loginClick.emit();
    }
    logout() {
        this.logoutClick.emit();
    }
    changeLanguage(model) {
        this.selectedLanguage = model;
        this.translator.init(model.code);
    }
    isLanguageSelected(model) {
        if (GenericUtil.isNullOrUndefined(this.selectedLanguage)) {
            return model.code === LangUtil.getDefaultLanguage().code;
        }
        return model.code === this.selectedLanguage.code;
    }
    languagePrompt() {
        alert(MISSING_LANGUAGE_MESSAGE(this.supportEmail || this.wsi.defaultSupportEmailAddress));
    }
    // get list of languages - backward compatible for apps that still want to define their own language
    getLanguages() {
        if (GenericUtil.isNullOrUndefined(this.languages) || this.languages.length === 0) {
            return LangUtil.getDefaultLanguages();
        }
        return this.languages;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FooterComponent, deps: [{ token: WorldskillsAngularLibService }, { token: WsiTranslateService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: FooterComponent, selector: "ws-footer", inputs: { isLoggedIn: "isLoggedIn", currentUser: "currentUser", col1Template: "col1Template", col2Template: "col2Template", col3Template: "col3Template", col4Template: "col4Template", col5Template: "col5Template", col6Template: "col6Template" }, outputs: { logoutClick: "logoutClick", loginClick: "loginClick" }, viewQueries: [{ propertyName: "col1DefaultTemplate", first: true, predicate: ["#col1DefaultTemplate"], descendants: true }, { propertyName: "col6DefaultTemplate", first: true, predicate: ["#col6DefaultTemplate"], descendants: true }, { propertyName: "colDefaultTemplate", first: true, predicate: ["#colDefaultTemplate"], descendants: true }], ngImport: i0, template: "<ng-template #col1DefaultTemplate>\n  <h1><a href=\"https://worldskills.org/internal/\" target=\"_blank\">{{ 'footer.links.my.worldskills' | wsTranslate | async }}</a>\n  </h1>\n  <ul>\n    <li><a href=\"https://glossary.worldskills.org/\" target=\"_blank\">{{ 'footer.links.glossary' | wsTranslate | async }}</a></li>\n    <li><a href=\"https://registrations.worldskills.org/\"\n        target=\"_blank\">{{ 'footer.links.registrations' | wsTranslate | async }}</a></li>\n    <li><a href=\"https://forums.worldskills.org/\" target=\"_blank\">{{ 'footer.links.forums' | wsTranslate | async }}</a></li>\n    <li><a href=\"https://il.worldskills.org/\" target=\"_blank\">{{ 'footer.links.infrastructure.lists' | wsTranslate | async }}</a>\n    </li>\n    <li><a href=\"https://skill-management.worldskills.org/\"\n        target=\"_blank\">{{ 'footer.links.skill.management' | wsTranslate | async }}</a></li>\n  </ul>\n</ng-template>\n<ng-template #col6DefaultTemplate>\n  <div class=\"text-right mt-5\">\n    <a href=\"https://worldskills.org/\" target=\"_blank\">\n      <ws-logo mode=\"default\"></ws-logo>\n    </a>\n  </div>\n</ng-template>\n\n<ng-template #colDefaultTemplate>\n</ng-template>\n\n<footer class=\"ws-page-footer\">\n  <div class=\"container\">\n    <div class=\"ws-page-footer-row\">\n      <aside class=\"ws-page-footer-col-sm\">\n        <ng-container *ngTemplateOutlet=\"col1Template ? col1Template : col1DefaultTemplate\"></ng-container>\n      </aside>\n      <aside class=\"ws-page-footer-col-sm\">\n        <ng-container *ngTemplateOutlet=\"col2Template ? col2Template : colDefaultTemplate\"></ng-container>\n      </aside>\n      <aside class=\"ws-page-footer-col-sm\">\n        <ng-container *ngTemplateOutlet=\"col3Template? col3Template : colDefaultTemplate\"></ng-container>\n      </aside>\n      <aside class=\"ws-page-footer-col-sm\">\n        <ng-container *ngTemplateOutlet=\"col4Template? col4Template : colDefaultTemplate\"></ng-container>\n      </aside>\n      <aside class=\"ws-page-footer-col-sm\">\n        <ng-container *ngTemplateOutlet=\"col5Template? col5Template : colDefaultTemplate\"></ng-container>\n      </aside>\n      <aside class=\"ws-page-footer-col-sm\">\n        <ng-container *ngTemplateOutlet=\"col6Template? col6Template : col6DefaultTemplate\"></ng-container>\n      </aside>\n    </div>\n    <div class=\"ws-page-footer-row pb-3\">\n      <div class=\"ws-page-footer-col-lg\">\n        <ul class=\"list-inline mt-2\">\n          <li class=\"list-inline-item\">\u00A9 {{date | date:'yyyy'}} {{ 'footer.copyright.wsi' | wsTranslate | async }}</li>\n          <li class=\"list-inline-item\"><a href=\"https://worldskills.org/site/privacy/\"\n              target=\"_blank\">{{ 'footer.copyright.privacy' | wsTranslate | async }}</a></li>\n          <li class=\"list-inline-item\"><a href=\"https://worldskills.org/site/terms/\"\n              target=\"_blank\">{{ 'footer.copyright.terms' | wsTranslate | async }}</a></li>\n          <li class=\"list-inline-item\"><a href=\"https://worldskills.org/site/contact/\"\n              target=\"_blank\">{{ 'footer.copyright.contact' | wsTranslate | async }}</a></li>\n        </ul>\n      </div>\n      <div class=\"ws-page-footer-col-lg\">\n        <div class=\"btn-toolbar justify-content-end\" *ngIf=\"getLanguages()\">\n          <div class=\"btn-group btn-group-sm dropup\">\n            <button type=\"button\" class=\"btn btn-outline-light dropdown-toggle\" data-toggle=\"dropdown\"\n              aria-haspopup=\"true\" aria-expanded=\"false\">\n              {{ 'footer.translation.language' | wsTranslate | async }}\n            </button>\n            <div class=\"dropdown-menu dropdown-menu-right\">\n              <a *ngFor=\"let language of getLanguages()\" (click)=\"changeLanguage(language); false;\"\n                [class.active]=\"isLanguageSelected(language)\" class=\"dropdown-item\" href=\"#\">\n                {{ language.name }}\n              </a>\n              <div class=\"dropdown-divider\"></div>\n              <a (click)=\"$event.preventDefault(); languagePrompt();\" class=\"dropdown-item\" href=\"#\">\n                {{ 'footer.translation.missing' | wsTranslate | async }}\n              </a>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n</footer>", styles: [""], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: LogoComponent, selector: "ws-logo" }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }, { kind: "pipe", type: i2.DatePipe, name: "date" }, { kind: "pipe", type: WSTranslate, name: "wsTranslate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FooterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-footer', template: "<ng-template #col1DefaultTemplate>\n  <h1><a href=\"https://worldskills.org/internal/\" target=\"_blank\">{{ 'footer.links.my.worldskills' | wsTranslate | async }}</a>\n  </h1>\n  <ul>\n    <li><a href=\"https://glossary.worldskills.org/\" target=\"_blank\">{{ 'footer.links.glossary' | wsTranslate | async }}</a></li>\n    <li><a href=\"https://registrations.worldskills.org/\"\n        target=\"_blank\">{{ 'footer.links.registrations' | wsTranslate | async }}</a></li>\n    <li><a href=\"https://forums.worldskills.org/\" target=\"_blank\">{{ 'footer.links.forums' | wsTranslate | async }}</a></li>\n    <li><a href=\"https://il.worldskills.org/\" target=\"_blank\">{{ 'footer.links.infrastructure.lists' | wsTranslate | async }}</a>\n    </li>\n    <li><a href=\"https://skill-management.worldskills.org/\"\n        target=\"_blank\">{{ 'footer.links.skill.management' | wsTranslate | async }}</a></li>\n  </ul>\n</ng-template>\n<ng-template #col6DefaultTemplate>\n  <div class=\"text-right mt-5\">\n    <a href=\"https://worldskills.org/\" target=\"_blank\">\n      <ws-logo mode=\"default\"></ws-logo>\n    </a>\n  </div>\n</ng-template>\n\n<ng-template #colDefaultTemplate>\n</ng-template>\n\n<footer class=\"ws-page-footer\">\n  <div class=\"container\">\n    <div class=\"ws-page-footer-row\">\n      <aside class=\"ws-page-footer-col-sm\">\n        <ng-container *ngTemplateOutlet=\"col1Template ? col1Template : col1DefaultTemplate\"></ng-container>\n      </aside>\n      <aside class=\"ws-page-footer-col-sm\">\n        <ng-container *ngTemplateOutlet=\"col2Template ? col2Template : colDefaultTemplate\"></ng-container>\n      </aside>\n      <aside class=\"ws-page-footer-col-sm\">\n        <ng-container *ngTemplateOutlet=\"col3Template? col3Template : colDefaultTemplate\"></ng-container>\n      </aside>\n      <aside class=\"ws-page-footer-col-sm\">\n        <ng-container *ngTemplateOutlet=\"col4Template? col4Template : colDefaultTemplate\"></ng-container>\n      </aside>\n      <aside class=\"ws-page-footer-col-sm\">\n        <ng-container *ngTemplateOutlet=\"col5Template? col5Template : colDefaultTemplate\"></ng-container>\n      </aside>\n      <aside class=\"ws-page-footer-col-sm\">\n        <ng-container *ngTemplateOutlet=\"col6Template? col6Template : col6DefaultTemplate\"></ng-container>\n      </aside>\n    </div>\n    <div class=\"ws-page-footer-row pb-3\">\n      <div class=\"ws-page-footer-col-lg\">\n        <ul class=\"list-inline mt-2\">\n          <li class=\"list-inline-item\">\u00A9 {{date | date:'yyyy'}} {{ 'footer.copyright.wsi' | wsTranslate | async }}</li>\n          <li class=\"list-inline-item\"><a href=\"https://worldskills.org/site/privacy/\"\n              target=\"_blank\">{{ 'footer.copyright.privacy' | wsTranslate | async }}</a></li>\n          <li class=\"list-inline-item\"><a href=\"https://worldskills.org/site/terms/\"\n              target=\"_blank\">{{ 'footer.copyright.terms' | wsTranslate | async }}</a></li>\n          <li class=\"list-inline-item\"><a href=\"https://worldskills.org/site/contact/\"\n              target=\"_blank\">{{ 'footer.copyright.contact' | wsTranslate | async }}</a></li>\n        </ul>\n      </div>\n      <div class=\"ws-page-footer-col-lg\">\n        <div class=\"btn-toolbar justify-content-end\" *ngIf=\"getLanguages()\">\n          <div class=\"btn-group btn-group-sm dropup\">\n            <button type=\"button\" class=\"btn btn-outline-light dropdown-toggle\" data-toggle=\"dropdown\"\n              aria-haspopup=\"true\" aria-expanded=\"false\">\n              {{ 'footer.translation.language' | wsTranslate | async }}\n            </button>\n            <div class=\"dropdown-menu dropdown-menu-right\">\n              <a *ngFor=\"let language of getLanguages()\" (click)=\"changeLanguage(language); false;\"\n                [class.active]=\"isLanguageSelected(language)\" class=\"dropdown-item\" href=\"#\">\n                {{ language.name }}\n              </a>\n              <div class=\"dropdown-divider\"></div>\n              <a (click)=\"$event.preventDefault(); languagePrompt();\" class=\"dropdown-item\" href=\"#\">\n                {{ 'footer.translation.missing' | wsTranslate | async }}\n              </a>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n</footer>" }]
        }], ctorParameters: () => [{ type: WorldskillsAngularLibService }, { type: WsiTranslateService }], propDecorators: { isLoggedIn: [{
                type: Input
            }], currentUser: [{
                type: Input
            }], col1Template: [{
                type: Input
            }], col2Template: [{
                type: Input
            }], col3Template: [{
                type: Input
            }], col4Template: [{
                type: Input
            }], col5Template: [{
                type: Input
            }], col6Template: [{
                type: Input
            }], logoutClick: [{
                type: Output
            }], loginClick: [{
                type: Output
            }], col1DefaultTemplate: [{
                type: ViewChild,
                args: ['#col1DefaultTemplate']
            }], col6DefaultTemplate: [{
                type: ViewChild,
                args: ['#col6DefaultTemplate']
            }], colDefaultTemplate: [{
                type: ViewChild,
                args: ['#colDefaultTemplate']
            }] } });

/**
 * @license
 * Copyright Google LLC All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
// Source: https://github.com/angular/angular/blob/d1ea1f4c7f3358b730b0d94e65b00bc28cae279c/packages/common/src/i18n/format_date.ts
const ISO8601_DATE_REGEX = /^(\d{4})-?(\d\d)-?(\d\d)(?:T(\d\d)(?::?(\d\d)(?::?(\d\d)(?:\.(\d+))?)?)?(Z|([+-])(\d\d):?(\d\d))?)?$/;
//    1        2       3         4          5          6          7          8  9     10      11
const NAMED_FORMATS = {};
const DATE_FORMATS_SPLIT = 
// tslint:disable-next-line:max-line-length
/((?:[^GyMLwWdEabBhHmsSzZO']+)|(?:'(?:[^']|'')*')|(?:G{1,5}|y{1,4}|M{1,5}|L{1,5}|w{1,2}|W{1}|d{1,2}|E{1,6}|a{1,5}|b{1,5}|B{1,5}|h{1,2}|H{1,2}|m{1,2}|s{1,2}|S{1,3}|z{1,4}|Z{1,5}|O{1,4}))([\s\S]*)/;
var ZoneWidth;
(function (ZoneWidth) {
    ZoneWidth[ZoneWidth["Short"] = 0] = "Short";
    ZoneWidth[ZoneWidth["ShortGMT"] = 1] = "ShortGMT";
    ZoneWidth[ZoneWidth["Long"] = 2] = "Long";
    ZoneWidth[ZoneWidth["Extended"] = 3] = "Extended";
})(ZoneWidth || (ZoneWidth = {}));
var DateType;
(function (DateType) {
    DateType[DateType["FullYear"] = 0] = "FullYear";
    DateType[DateType["Month"] = 1] = "Month";
    DateType[DateType["Date"] = 2] = "Date";
    DateType[DateType["Hours"] = 3] = "Hours";
    DateType[DateType["Minutes"] = 4] = "Minutes";
    DateType[DateType["Seconds"] = 5] = "Seconds";
    DateType[DateType["FractionalSeconds"] = 6] = "FractionalSeconds";
    DateType[DateType["Day"] = 7] = "Day";
})(DateType || (DateType = {}));
var TranslationType;
(function (TranslationType) {
    TranslationType[TranslationType["DayPeriods"] = 0] = "DayPeriods";
    TranslationType[TranslationType["Days"] = 1] = "Days";
    TranslationType[TranslationType["Months"] = 2] = "Months";
    TranslationType[TranslationType["Eras"] = 3] = "Eras";
})(TranslationType || (TranslationType = {}));
/**
 * @ngModule CommonModule
 * @description
 *
 * Formats a date according to locale rules.
 *
 * @param value The date to format, as a Date, or a number (milliseconds since UTC epoch)
 * or an [ISO date-time string](https://www.w3.org/TR/NOTE-datetime).
 * @param format The date-time components to include. See `DatePipe` for details.
 * @param locale A locale code for the locale format rules to use.
 * @param timezone The time zone. A time zone offset from GMT (such as `'+0430'`),
 * or a standard UTC/GMT or continental US time zone abbreviation.
 * If not specified, uses host system settings.
 *
 * @returns The formatted date string.
 *
 * @see `DatePipe`
 * @see [Internationalization (i18n) Guide](https://angular.io/guide/i18n)
 *
 * @publicApi
 */
function formatDate(value, format, locale, timezone) {
    let date = toDate(value);
    const namedFormat = getNamedFormat(locale, format);
    format = namedFormat || format;
    let parts = [];
    let match;
    while (format) {
        match = DATE_FORMATS_SPLIT.exec(format);
        if (match) {
            parts = parts.concat(match.slice(1));
            const part = parts.pop();
            if (!part) {
                break;
            }
            format = part;
        }
        else {
            parts.push(format);
            break;
        }
    }
    let dateTimezoneOffset = date.getTimezoneOffset();
    if (timezone) {
        dateTimezoneOffset = timezoneToOffset(timezone, dateTimezoneOffset);
        date = convertTimezoneToLocal(date, timezone, true);
    }
    let text = '';
    // tslint:disable-next-line:no-shadowed-variable
    parts.forEach(value => {
        const dateFormatter = getDateFormatter(value);
        text += dateFormatter ?
            dateFormatter(date, locale, dateTimezoneOffset) :
            value === '\'\'' ? '\'' : value.replace(/(^'|'$)/g, '').replace(/''/g, '\'');
    });
    return text;
}
function getNamedFormat(locale, format) {
    const localeId = getLocaleId(locale);
    NAMED_FORMATS[localeId] = NAMED_FORMATS[localeId] || {};
    if (NAMED_FORMATS[localeId][format]) {
        return NAMED_FORMATS[localeId][format];
    }
    let formatValue = '';
    switch (format) {
        case 'shortDate':
            formatValue = getLocaleDateFormat(locale, FormatWidth.Short);
            break;
        case 'mediumDate':
            formatValue = getLocaleDateFormat(locale, FormatWidth.Medium);
            break;
        case 'longDate':
            formatValue = getLocaleDateFormat(locale, FormatWidth.Long);
            break;
        case 'fullDate':
            formatValue = getLocaleDateFormat(locale, FormatWidth.Full);
            break;
        case 'shortTime':
            formatValue = getLocaleTimeFormat(locale, FormatWidth.Short);
            break;
        case 'mediumTime':
            formatValue = getLocaleTimeFormat(locale, FormatWidth.Medium);
            break;
        case 'longTime':
            formatValue = getLocaleTimeFormat(locale, FormatWidth.Long);
            break;
        case 'fullTime':
            formatValue = getLocaleTimeFormat(locale, FormatWidth.Full);
            break;
        case 'short':
            const shortTime = getNamedFormat(locale, 'shortTime');
            const shortDate = getNamedFormat(locale, 'shortDate');
            formatValue = formatDateTime(getLocaleDateTimeFormat(locale, FormatWidth.Short), [shortTime, shortDate]);
            break;
        case 'medium':
            const mediumTime = getNamedFormat(locale, 'mediumTime');
            const mediumDate = getNamedFormat(locale, 'mediumDate');
            formatValue = formatDateTime(getLocaleDateTimeFormat(locale, FormatWidth.Medium), [mediumTime, mediumDate]);
            break;
        case 'long':
            const longTime = getNamedFormat(locale, 'longTime');
            const longDate = getNamedFormat(locale, 'longDate');
            formatValue =
                formatDateTime(getLocaleDateTimeFormat(locale, FormatWidth.Long), [longTime, longDate]);
            break;
        case 'full':
            const fullTime = getNamedFormat(locale, 'fullTime');
            const fullDate = getNamedFormat(locale, 'fullDate');
            formatValue =
                formatDateTime(getLocaleDateTimeFormat(locale, FormatWidth.Full), [fullTime, fullDate]);
            break;
    }
    if (formatValue) {
        NAMED_FORMATS[localeId][format] = formatValue;
    }
    return formatValue;
}
// tslint:disable-next-line:variable-name
function formatDateTime(str, opt_values) {
    if (opt_values) {
        // tslint:disable-next-line:only-arrow-functions
        str = str.replace(/\{([^}]+)}/g, function (match, key) {
            return (opt_values != null && key in opt_values) ? opt_values[key] : match;
        });
    }
    return str;
}
function padNumber(num, digits, minusSign = '-', trim, negWrap) {
    let neg = '';
    if (num < 0 || (negWrap && num <= 0)) {
        if (negWrap) {
            num = -num + 1;
        }
        else {
            num = -num;
            neg = minusSign;
        }
    }
    let strNum = String(num);
    while (strNum.length < digits) {
        strNum = '0' + strNum;
    }
    if (trim) {
        strNum = strNum.substr(strNum.length - digits);
    }
    return neg + strNum;
}
function formatFractionalSeconds(milliseconds, digits) {
    const strMs = padNumber(milliseconds, 3);
    return strMs.substr(0, digits);
}
/**
 * Returns a date formatter that transforms a date into its locale digit representation
 */
function dateGetter(name, size, offset = 0, trim = false, negWrap = false) {
    // tslint:disable-next-line:only-arrow-functions
    return function (date, locale) {
        let part = getDatePart(name, date);
        if (offset > 0 || part > -offset) {
            part += offset;
        }
        if (name === DateType.Hours) {
            if (part === 0 && offset === -12) {
                part = 12;
            }
        }
        else if (name === DateType.FractionalSeconds) {
            return formatFractionalSeconds(part, size);
        }
        const localeMinus = getLocaleNumberSymbol(locale, NumberSymbol.MinusSign);
        return padNumber(part, size, localeMinus, trim, negWrap);
    };
}
function getDatePart(part, date) {
    switch (part) {
        case DateType.FullYear:
            return date.getFullYear();
        case DateType.Month:
            return date.getMonth();
        case DateType.Date:
            return date.getDate();
        case DateType.Hours:
            return date.getHours();
        case DateType.Minutes:
            return date.getMinutes();
        case DateType.Seconds:
            return date.getSeconds();
        case DateType.FractionalSeconds:
            return date.getMilliseconds();
        case DateType.Day:
            return date.getDay();
        default:
            throw new Error(`Unknown DateType value "${part}".`);
    }
}
/**
 * Returns a date formatter that transforms a date into its locale string representation
 */
function dateStrGetter(name, width, form = FormStyle.Format, extended = false) {
    // tslint:disable-next-line:only-arrow-functions
    return function (date, locale) {
        return getDateTranslation(date, locale, name, width, form, extended);
    };
}
/**
 * Returns the locale translation of a date for a given form, type and width
 */
// tslint:disable-next-line:typedef
function getDateTranslation(date, locale, name, width, form, extended) {
    switch (name) {
        case TranslationType.Months:
            return getLocaleMonthNames(locale, form, width)[date.getMonth()];
        case TranslationType.Days:
            return getLocaleDayNames(locale, form, width)[date.getDay()];
        case TranslationType.DayPeriods:
            const currentHours = date.getHours();
            const currentMinutes = date.getMinutes();
            if (extended) {
                const rules = getLocaleExtraDayPeriodRules(locale);
                const dayPeriods = getLocaleExtraDayPeriods(locale, form, width);
                const index = rules.findIndex(rule => {
                    if (Array.isArray(rule)) {
                        // morning, afternoon, evening, night
                        const [from, to] = rule;
                        const afterFrom = currentHours >= from.hours && currentMinutes >= from.minutes;
                        const beforeTo = (currentHours < to.hours ||
                            (currentHours === to.hours && currentMinutes < to.minutes));
                        // We must account for normal rules that span a period during the day (e.g. 6am-9am)
                        // where `from` is less (earlier) than `to`. But also rules that span midnight (e.g.
                        // 10pm - 5am) where `from` is greater (later!) than `to`.
                        //
                        // In the first case the current time must be BOTH after `from` AND before `to`
                        // (e.g. 8am is after 6am AND before 10am).
                        //
                        // In the second case the current time must be EITHER after `from` OR before `to`
                        // (e.g. 4am is before 5am but not after 10pm; and 11pm is not before 5am but it is
                        // after 10pm).
                        if (from.hours < to.hours) {
                            if (afterFrom && beforeTo) {
                                return true;
                            }
                        }
                        else if (afterFrom || beforeTo) {
                            return true;
                        }
                    }
                    else { // noon or midnight
                        if (rule.hours === currentHours && rule.minutes === currentMinutes) {
                            return true;
                        }
                    }
                    return false;
                });
                if (index !== -1) {
                    return dayPeriods[index];
                }
            }
            // if no rules for the day periods, we use am/pm by default
            // tslint:disable-next-line:no-angle-bracket-type-assertion
            return getLocaleDayPeriods(locale, form, width)[currentHours < 12 ? 0 : 1];
        case TranslationType.Eras:
            // tslint:disable-next-line:no-angle-bracket-type-assertion
            return getLocaleEraNames(locale, width)[date.getFullYear() <= 0 ? 0 : 1];
        default:
            // This default case is not needed by TypeScript compiler, as the switch is exhaustive.
            // However Closure Compiler does not understand that and reports an error in typed mode.
            // The `throw new Error` below works around the problem, and the unexpected: never variable
            // makes sure tsc still checks this code is unreachable.
            const unexpected = name;
            throw new Error(`unexpected translation type ${unexpected}`);
    }
}
/**
 * Returns a date formatter that transforms a date and an offset into a timezone with ISO8601 or
 * GMT format depending on the width (eg: short = +0430, short:GMT = GMT+4, long = GMT+04:30,
 * extended = +04:30)
 */
function timeZoneGetter(width) {
    // tslint:disable-next-line:only-arrow-functions typedef
    return function (date, locale, offset) {
        const zone = -1 * offset;
        const minusSign = getLocaleNumberSymbol(locale, NumberSymbol.MinusSign);
        const hours = zone > 0 ? Math.floor(zone / 60) : Math.ceil(zone / 60);
        switch (width) {
            case ZoneWidth.Short:
                return ((zone >= 0) ? '+' : '') + padNumber(hours, 2, minusSign) +
                    padNumber(Math.abs(zone % 60), 2, minusSign);
            case ZoneWidth.ShortGMT:
                return 'GMT' + ((zone >= 0) ? '+' : '') + padNumber(hours, 1, minusSign);
            case ZoneWidth.Long:
                return 'GMT' + ((zone >= 0) ? '+' : '') + padNumber(hours, 2, minusSign) + ':' +
                    padNumber(Math.abs(zone % 60), 2, minusSign);
            case ZoneWidth.Extended:
                if (offset === 0) {
                    return 'Z';
                }
                else {
                    return ((zone >= 0) ? '+' : '') + padNumber(hours, 2, minusSign) + ':' +
                        padNumber(Math.abs(zone % 60), 2, minusSign);
                }
            default:
                throw new Error(`Unknown zone width "${width}"`);
        }
    };
}
const JANUARY = 0;
const THURSDAY = 4;
function getFirstThursdayOfYear(year) {
    const firstDayOfYear = (new Date(year, JANUARY, 1)).getDay();
    return new Date(year, 0, 1 + ((firstDayOfYear <= THURSDAY) ? THURSDAY : THURSDAY + 7) - firstDayOfYear);
}
function getThursdayThisWeek(datetime) {
    return new Date(datetime.getFullYear(), datetime.getMonth(), datetime.getDate() + (THURSDAY - datetime.getDay()));
}
function weekGetter(size, monthBased = false) {
    // tslint:disable-next-line:only-arrow-functions typedef
    return function (date, locale) {
        let result;
        if (monthBased) {
            const nbDaysBefore1stDayOfMonth = new Date(date.getFullYear(), date.getMonth(), 1).getDay() - 1;
            const today = date.getDate();
            result = 1 + Math.floor((today + nbDaysBefore1stDayOfMonth) / 7);
        }
        else {
            const firstThurs = getFirstThursdayOfYear(date.getFullYear());
            const thisThurs = getThursdayThisWeek(date);
            const diff = thisThurs.getTime() - firstThurs.getTime();
            result = 1 + Math.round(diff / 6.048e8); // 6.048e8 ms per week
        }
        return padNumber(result, size, getLocaleNumberSymbol(locale, NumberSymbol.MinusSign));
    };
}
const DATE_FORMATS = {};
// Based on CLDR formats:
// See complete list: http://www.unicode.org/reports/tr35/tr35-dates.html#Date_Field_Symbol_Table
// See also explanations: http://cldr.unicode.org/translation/date-time
// TODO(ocombe): support all missing cldr formats: Y, U, Q, D, F, e, c, j, J, C, A, v, V, X, x
function getDateFormatter(format) {
    if (DATE_FORMATS[format]) {
        return DATE_FORMATS[format];
    }
    let formatter;
    switch (format) {
        // Era name (AD/BC)
        case 'G':
        case 'GG':
        case 'GGG':
            formatter = dateStrGetter(TranslationType.Eras, TranslationWidth.Abbreviated);
            break;
        case 'GGGG':
            formatter = dateStrGetter(TranslationType.Eras, TranslationWidth.Wide);
            break;
        case 'GGGGG':
            formatter = dateStrGetter(TranslationType.Eras, TranslationWidth.Narrow);
            break;
        // 1 digit representation of the year, e.g. (AD 1 => 1, AD 199 => 199)
        case 'y':
            formatter = dateGetter(DateType.FullYear, 1, 0, false, true);
            break;
        // 2 digit representation of the year, padded (00-99). (e.g. AD 2001 => 01, AD 2010 => 10)
        case 'yy':
            formatter = dateGetter(DateType.FullYear, 2, 0, true, true);
            break;
        // 3 digit representation of the year, padded (000-999). (e.g. AD 2001 => 01, AD 2010 => 10)
        case 'yyy':
            formatter = dateGetter(DateType.FullYear, 3, 0, false, true);
            break;
        // 4 digit representation of the year (e.g. AD 1 => 0001, AD 2010 => 2010)
        case 'yyyy':
            formatter = dateGetter(DateType.FullYear, 4, 0, false, true);
            break;
        // Month of the year (1-12), numeric
        case 'M':
        case 'L':
            formatter = dateGetter(DateType.Month, 1, 1);
            break;
        case 'MM':
        case 'LL':
            formatter = dateGetter(DateType.Month, 2, 1);
            break;
        // Month of the year (January, ...), string, format
        case 'MMM':
            formatter = dateStrGetter(TranslationType.Months, TranslationWidth.Abbreviated);
            break;
        case 'MMMM':
            formatter = dateStrGetter(TranslationType.Months, TranslationWidth.Wide);
            break;
        case 'MMMMM':
            formatter = dateStrGetter(TranslationType.Months, TranslationWidth.Narrow);
            break;
        // Month of the year (January, ...), string, standalone
        case 'LLL':
            formatter =
                dateStrGetter(TranslationType.Months, TranslationWidth.Abbreviated, FormStyle.Standalone);
            break;
        case 'LLLL':
            formatter =
                dateStrGetter(TranslationType.Months, TranslationWidth.Wide, FormStyle.Standalone);
            break;
        case 'LLLLL':
            formatter =
                dateStrGetter(TranslationType.Months, TranslationWidth.Narrow, FormStyle.Standalone);
            break;
        // Week of the year (1, ... 52)
        case 'w':
            formatter = weekGetter(1);
            break;
        case 'ww':
            formatter = weekGetter(2);
            break;
        // Week of the month (1, ...)
        case 'W':
            formatter = weekGetter(1, true);
            break;
        // Day of the month (1-31)
        case 'd':
            formatter = dateGetter(DateType.Date, 1);
            break;
        case 'dd':
            formatter = dateGetter(DateType.Date, 2);
            break;
        // Day of the Week
        case 'E':
        case 'EE':
        case 'EEE':
            formatter = dateStrGetter(TranslationType.Days, TranslationWidth.Abbreviated);
            break;
        case 'EEEE':
            formatter = dateStrGetter(TranslationType.Days, TranslationWidth.Wide);
            break;
        case 'EEEEE':
            formatter = dateStrGetter(TranslationType.Days, TranslationWidth.Narrow);
            break;
        case 'EEEEEE':
            formatter = dateStrGetter(TranslationType.Days, TranslationWidth.Short);
            break;
        // Generic period of the day (am-pm)
        case 'a':
        case 'aa':
        case 'aaa':
            formatter = dateStrGetter(TranslationType.DayPeriods, TranslationWidth.Abbreviated);
            break;
        case 'aaaa':
            formatter = dateStrGetter(TranslationType.DayPeriods, TranslationWidth.Wide);
            break;
        case 'aaaaa':
            formatter = dateStrGetter(TranslationType.DayPeriods, TranslationWidth.Narrow);
            break;
        // Extended period of the day (midnight, at night, ...), standalone
        case 'b':
        case 'bb':
        case 'bbb':
            formatter = dateStrGetter(TranslationType.DayPeriods, TranslationWidth.Abbreviated, FormStyle.Standalone, true);
            break;
        case 'bbbb':
            formatter = dateStrGetter(TranslationType.DayPeriods, TranslationWidth.Wide, FormStyle.Standalone, true);
            break;
        case 'bbbbb':
            formatter = dateStrGetter(TranslationType.DayPeriods, TranslationWidth.Narrow, FormStyle.Standalone, true);
            break;
        // Extended period of the day (midnight, night, ...), standalone
        case 'B':
        case 'BB':
        case 'BBB':
            formatter = dateStrGetter(TranslationType.DayPeriods, TranslationWidth.Abbreviated, FormStyle.Format, true);
            break;
        case 'BBBB':
            formatter =
                dateStrGetter(TranslationType.DayPeriods, TranslationWidth.Wide, FormStyle.Format, true);
            break;
        case 'BBBBB':
            formatter = dateStrGetter(TranslationType.DayPeriods, TranslationWidth.Narrow, FormStyle.Format, true);
            break;
        // Hour in AM/PM, (1-12)
        case 'h':
            formatter = dateGetter(DateType.Hours, 1, -12);
            break;
        case 'hh':
            formatter = dateGetter(DateType.Hours, 2, -12);
            break;
        // Hour of the day (0-23)
        case 'H':
            formatter = dateGetter(DateType.Hours, 1);
            break;
        // Hour in day, padded (00-23)
        case 'HH':
            formatter = dateGetter(DateType.Hours, 2);
            break;
        // Minute of the hour (0-59)
        case 'm':
            formatter = dateGetter(DateType.Minutes, 1);
            break;
        case 'mm':
            formatter = dateGetter(DateType.Minutes, 2);
            break;
        // Second of the minute (0-59)
        case 's':
            formatter = dateGetter(DateType.Seconds, 1);
            break;
        case 'ss':
            formatter = dateGetter(DateType.Seconds, 2);
            break;
        // Fractional second
        case 'S':
            formatter = dateGetter(DateType.FractionalSeconds, 1);
            break;
        case 'SS':
            formatter = dateGetter(DateType.FractionalSeconds, 2);
            break;
        case 'SSS':
            formatter = dateGetter(DateType.FractionalSeconds, 3);
            break;
        // Timezone ISO8601 short format (-0430)
        case 'Z':
        case 'ZZ':
        case 'ZZZ':
            formatter = timeZoneGetter(ZoneWidth.Short);
            break;
        // Timezone ISO8601 extended format (-04:30)
        case 'ZZZZZ':
            formatter = timeZoneGetter(ZoneWidth.Extended);
            break;
        // Timezone GMT short format (GMT+4)
        case 'O':
        case 'OO':
        case 'OOO':
        // Should be location, but fallback to format O instead because we don't have the data yet
        case 'z':
        case 'zz':
        case 'zzz':
            formatter = timeZoneGetter(ZoneWidth.ShortGMT);
            break;
        // Timezone GMT long format (GMT+0430)
        case 'OOOO':
        case 'ZZZZ':
        // Should be location, but fallback to format O instead because we don't have the data yet
        case 'zzzz':
            formatter = timeZoneGetter(ZoneWidth.Long);
            break;
        default:
            return null;
    }
    DATE_FORMATS[format] = formatter;
    return formatter;
}
function timezoneToOffset(timezone, fallback) {
    // Support: IE 9-11 only, Edge 13-15+
    // IE/Edge do not "understand" colon (`:`) in timezone
    timezone = timezone.replace(/:/g, '');
    const requestedTimezoneOffset = Date.parse('Jan 01, 1970 00:00:00 ' + timezone) / 60000;
    return isNaN(requestedTimezoneOffset) ? fallback : requestedTimezoneOffset;
}
function addDateMinutes(date, minutes) {
    date = new Date(date.getTime());
    date.setMinutes(date.getMinutes() + minutes);
    return date;
}
function convertTimezoneToLocal(date, timezone, reverse) {
    const reverseValue = reverse ? -1 : 1;
    const dateTimezoneOffset = date.getTimezoneOffset();
    const timezoneOffset = timezoneToOffset(timezone, dateTimezoneOffset);
    return addDateMinutes(date, reverseValue * (timezoneOffset - dateTimezoneOffset));
}
/**
 * Converts a value to date.
 *
 * Supported input formats:
 * - `Date`
 * - number: timestamp
 * - string: numeric (e.g. "1234"), ISO and date strings in a format supported by
 *   [Date.parse()](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date/parse).
 *   Note: ISO strings without time return a date without timeoffset.
 *
 * Throws if unable to convert to a date.
 */
function toDate(value) {
    if (isDate(value)) {
        return value;
    }
    if (typeof value === 'number' && !isNaN(value)) {
        return new Date(value);
    }
    if (typeof value === 'string') {
        value = value.trim();
        const parsedNb = parseFloat(value);
        // any string that only contains numbers, like "1234" but not like "1234hello"
        if (!isNaN(value - parsedNb)) {
            return new Date(parsedNb);
        }
        if (/^(\d{4}-\d{1,2}-\d{1,2})$/.test(value)) {
            /* For ISO Strings without time the day, month and year must be extracted from the ISO String
            before Date creation to avoid time offset and errors in the new Date.
            If we only replace '-' with ',' in the ISO String ("2015,01,01"), and try to create a new
            date, some browsers (e.g. IE 9) will throw an invalid Date error.
            If we leave the '-' ("2015-01-01") and try to create a new Date("2015-01-01") the timeoffset
            is applied.
            Note: ISO months are 0 for January, 1 for February, ... */
            const [y, m, d] = value.split('-').map((val) => +val);
            return new Date(y, m - 1, d);
        }
        let match;
        // tslint:disable-next-line:no-conditional-assignment
        if (match = value.match(ISO8601_DATE_REGEX)) {
            return isoStringToDate(match);
        }
    }
    const date = new Date(value);
    if (!isDate(date)) {
        throw new Error(`Unable to convert "${value}" into a date`);
    }
    return date;
}
/**
 * Converts a date in ISO8601 to a Date.
 * Used instead of `Date.parse` because of browser discrepancies.
 */
function isoStringToDate(match) {
    const date = new Date(0);
    let tzHour = 0;
    let tzMin = 0;
    // match[8] means that the string contains "Z" (UTC) or a timezone like "+01:00" or "+0100"
    const dateSetter = match[8] ? date.setUTCFullYear : date.setFullYear;
    const timeSetter = match[8] ? date.setUTCHours : date.setHours;
    // if there is a timezone defined like "+01:00" or "+0100"
    if (match[9]) {
        tzHour = Number(match[9] + match[10]);
        tzMin = Number(match[9] + match[11]);
    }
    dateSetter.call(date, Number(match[1]), Number(match[2]) - 1, Number(match[3]));
    const h = Number(match[4] || 0) - tzHour;
    const m = Number(match[5] || 0) - tzMin;
    const s = Number(match[6] || 0);
    const ms = Math.round(parseFloat('0.' + (match[7] || 0)) * 1000);
    timeSetter.call(date, h, m, s, ms);
    return date;
}
function isDate(value) {
    return value instanceof Date && !isNaN(value.valueOf());
}

class DateRangeComponent {
    get opacity() {
        return this.disabled ? 0.25 : 1;
    }
    constructor(calendar, formatter) {
        this.calendar = calendar;
        this.formatter = formatter;
        this.disabled = false;
        this.hoveredDate = null;
        // tslint:disable-next-line:no-output-native
        this.change = new EventEmitter();
        // Function to call when the range changes.
        this.onChange = (range) => { };
        // Function to call when the input is touched.
        this.onTouched = () => { };
    }
    onDateSelection(date) {
        if (!this.fromDate && !this.toDate) {
            this.fromDate = date;
        }
        else if (this.fromDate && !this.toDate && date && date.after(this.fromDate)) {
            this.toDate = date;
        }
        else {
            this.toDate = null;
            this.fromDate = date;
        }
        if (this.fromDate && this.toDate) {
            if (!this.value) {
                this.value = { start: new Date(), end: new Date() };
            }
            this.value.start = new Date(this.fromDate.year, this.fromDate.month - 1, this.fromDate.day);
            this.value.end = new Date(this.toDate.year, this.toDate.month - 1, this.toDate.day);
            this.writeValue(this.value);
        }
    }
    isHovered(date) {
        return this.fromDate && !this.toDate && this.hoveredDate && date.after(this.fromDate) && date.before(this.hoveredDate);
    }
    isInside(date) {
        return this.toDate && date.after(this.fromDate) && date.before(this.toDate);
    }
    isRange(date) {
        return date.equals(this.fromDate) || (this.toDate && date.equals(this.toDate)) || this.isInside(date) || this.isHovered(date);
    }
    validateInput(currentValue, input) {
        const parsed = this.formatter.parse(input);
        return parsed && this.calendar.isValid(NgbDate.from(parsed)) ? NgbDate.from(parsed) : currentValue;
    }
    writeValue(obj) {
        if (obj && !this.disabled) {
            this.fromDate = this.toNgbDate(obj.start);
            this.toDate = this.toNgbDate(obj.end);
            this.value = obj;
            this.onChange(obj);
            this.change.emit(obj);
        }
    }
    toNgbDate(date) {
        date = toDate(date);
        return new NgbDate(date.getFullYear(), date.getMonth() + 1, date.getDate());
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DateRangeComponent, deps: [{ token: i1$1.NgbCalendar }, { token: i1$1.NgbDateParserFormatter }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: DateRangeComponent, selector: "ws-date-range", inputs: { disabled: "disabled" }, outputs: { change: "change" }, host: { properties: { "style.opacity": "this.opacity" } }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => DateRangeComponent),
                multi: true
            }
        ], ngImport: i0, template: "<div class=\"form-inline\">\n  <div class=\"form-group\">\n    <div class=\"input-group hidden-group\">\n      <input name=\"datepicker\" class=\"form-control\" ngbDatepicker #datepicker=\"ngbDatepicker\" [autoClose]=\"'outside'\"\n        (dateSelect)=\"onDateSelection($event)\" [displayMonths]=\"2\" [dayTemplate]=\"t\" outsideDays=\"hidden\"\n        [startDate]=\"fromDate!\">\n      <ng-template #t let-date let-focused=\"focused\">\n        <span class=\"custom-day\" [class.focused]=\"focused\" [class.range]=\"isRange(date)\"\n          [class.faded]=\"isHovered(date) || isInside(date)\" (mouseenter)=\"hoveredDate = date\"\n          (mouseleave)=\"hoveredDate = null\">\n          {{ date.day }}\n        </span>\n      </ng-template>\n    </div>\n  </div>\n  <div class=\"form-group\">\n    <div class=\"input-group\">\n      <input #dpFromDate class=\"form-control\" placeholder=\"yyyy-mm-dd\" name=\"dpFromDate\"\n        [value]=\"formatter.format(fromDate)\" (input)=\"fromDate = validateInput(fromDate, dpFromDate.value)\" [disabled]=\"disabled ? 'disabled' : null\">\n      <div class=\"input-group-append\">\n        <button class=\"btn btn-outline-secondary calendar\" (click)=\"datepicker.toggle()\" type=\"button\" [disabled]=\"disabled ? 'disabled' : null\">\n          <i class=\"fa fa-calendar\" aria-hidden=\"true\"></i>\n        </button>\n      </div>\n    </div>\n  </div>\n  <div class=\"form-group ml-2\">\n    <div class=\"input-group\">\n      <input #dpToDate class=\"form-control\" placeholder=\"yyyy-mm-dd\" name=\"dpToDate\" [value]=\"formatter.format(toDate)\"\n        (input)=\"toDate = validateInput(toDate, dpToDate.value)\" [disabled]=\"disabled ? 'disabled' : null\">\n      <div class=\"input-group-append\">\n        <button class=\"btn btn-outline-secondary calendar\" (click)=\"datepicker.toggle()\" type=\"button\" [disabled]=\"disabled ? 'disabled' : null\">\n          <i class=\"fa fa-calendar\" aria-hidden=\"true\"></i>\n        </button>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: [".custom-day{text-align:center;padding:.185rem .25rem;display:inline-block;height:2rem;width:2rem}.custom-day.focused{background-color:#e6e6e6}.custom-day.range,.custom-day:hover{background-color:#0275d8;color:#fff}.custom-day.faded{background-color:#0275d880}.hidden-group{width:0}.hidden-group input{visibility:hidden}\n"], dependencies: [{ kind: "directive", type: i1$1.NgbInputDatepicker, selector: "input[ngbDatepicker]", inputs: ["autoClose", "contentTemplate", "datepickerClass", "dayTemplate", "dayTemplateData", "displayMonths", "firstDayOfWeek", "footerTemplate", "markDisabled", "minDate", "maxDate", "navigation", "outsideDays", "placement", "popperOptions", "restoreFocus", "showWeekNumbers", "startDate", "container", "positionTarget", "weekdays", "disabled"], outputs: ["dateSelect", "navigate", "closed"], exportAs: ["ngbDatepicker"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DateRangeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-date-range', providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => DateRangeComponent),
                            multi: true
                        }
                    ], template: "<div class=\"form-inline\">\n  <div class=\"form-group\">\n    <div class=\"input-group hidden-group\">\n      <input name=\"datepicker\" class=\"form-control\" ngbDatepicker #datepicker=\"ngbDatepicker\" [autoClose]=\"'outside'\"\n        (dateSelect)=\"onDateSelection($event)\" [displayMonths]=\"2\" [dayTemplate]=\"t\" outsideDays=\"hidden\"\n        [startDate]=\"fromDate!\">\n      <ng-template #t let-date let-focused=\"focused\">\n        <span class=\"custom-day\" [class.focused]=\"focused\" [class.range]=\"isRange(date)\"\n          [class.faded]=\"isHovered(date) || isInside(date)\" (mouseenter)=\"hoveredDate = date\"\n          (mouseleave)=\"hoveredDate = null\">\n          {{ date.day }}\n        </span>\n      </ng-template>\n    </div>\n  </div>\n  <div class=\"form-group\">\n    <div class=\"input-group\">\n      <input #dpFromDate class=\"form-control\" placeholder=\"yyyy-mm-dd\" name=\"dpFromDate\"\n        [value]=\"formatter.format(fromDate)\" (input)=\"fromDate = validateInput(fromDate, dpFromDate.value)\" [disabled]=\"disabled ? 'disabled' : null\">\n      <div class=\"input-group-append\">\n        <button class=\"btn btn-outline-secondary calendar\" (click)=\"datepicker.toggle()\" type=\"button\" [disabled]=\"disabled ? 'disabled' : null\">\n          <i class=\"fa fa-calendar\" aria-hidden=\"true\"></i>\n        </button>\n      </div>\n    </div>\n  </div>\n  <div class=\"form-group ml-2\">\n    <div class=\"input-group\">\n      <input #dpToDate class=\"form-control\" placeholder=\"yyyy-mm-dd\" name=\"dpToDate\" [value]=\"formatter.format(toDate)\"\n        (input)=\"toDate = validateInput(toDate, dpToDate.value)\" [disabled]=\"disabled ? 'disabled' : null\">\n      <div class=\"input-group-append\">\n        <button class=\"btn btn-outline-secondary calendar\" (click)=\"datepicker.toggle()\" type=\"button\" [disabled]=\"disabled ? 'disabled' : null\">\n          <i class=\"fa fa-calendar\" aria-hidden=\"true\"></i>\n        </button>\n      </div>\n    </div>\n  </div>\n</div>\n", styles: [".custom-day{text-align:center;padding:.185rem .25rem;display:inline-block;height:2rem;width:2rem}.custom-day.focused{background-color:#e6e6e6}.custom-day.range,.custom-day:hover{background-color:#0275d8;color:#fff}.custom-day.faded{background-color:#0275d880}.hidden-group{width:0}.hidden-group input{visibility:hidden}\n"] }]
        }], ctorParameters: () => [{ type: i1$1.NgbCalendar }, { type: i1$1.NgbDateParserFormatter }], propDecorators: { disabled: [{
                type: Input
            }], opacity: [{
                type: HostBinding,
                args: ['style.opacity']
            }], change: [{
                type: Output
            }] } });

class Datetime {
    constructor(init) {
        Object.assign(this, init);
    }
    static asToday() {
        const date = new Date();
        return new Datetime({
            year: date.getFullYear(),
            month: date.getMonth() + 1,
            day: date.getDate(),
            hour: date.getHours(),
            minute: date.getMinutes(),
            second: date.getSeconds(),
            timeZoneOffset: date.getTimezoneOffset()
        });
    }
    static fromLocalString(dateString) {
        const date = moment(dateString).toDate();
        return new Datetime({
            year: date.getFullYear(),
            month: date.getMonth() + 1,
            day: date.getDate(),
            hour: date.getHours(),
            minute: date.getMinutes(),
            second: date.getSeconds(),
            timeZoneOffset: date.getTimezoneOffset()
        });
    }
    isInteger(value) {
        return typeof value === 'number' && isFinite(value) && Math.floor(value) === value;
    }
    toString() {
        if (this.isInteger(this.year) && this.isInteger(this.month) && this.isInteger(this.day)) {
            const year = this.year.toString().padStart(2, '0');
            const month = this.month.toString().padStart(2, '0');
            const day = this.day.toString().padStart(2, '0');
            if (!this.hour) {
                this.hour = 0;
            }
            if (!this.minute) {
                this.minute = 0;
            }
            if (!this.second) {
                this.second = 0;
            }
            if (!this.timeZoneOffset) {
                this.timeZoneOffset = new Date().getTimezoneOffset();
            }
            const hour = this.hour.toString().padStart(2, '0');
            const minute = this.minute.toString().padStart(2, '0');
            const second = this.second.toString().padStart(2, '0');
            const tzo = -this.timeZoneOffset;
            const dif = tzo >= 0 ? '+' : '-';
            const pad = (num) => {
                const norm = Math.floor(Math.abs(num));
                return (norm < 10 ? '0' : '') + norm;
            };
            // tslint:disable-next-line:max-line-length
            const isoString = `${pad(year)}-${pad(month)}-${pad(day)}T${pad(hour)}:${pad(minute)}:${pad(second)}${dif}${pad(tzo / 60)}:${pad(tzo % 60)}`;
            return isoString;
        }
        return null;
    }
}

class DatetimePickerComponent {
    get opacity() {
        return this.disabled ? 0.25 : 1;
    }
    constructor(config) {
        this.config = config;
        this.disabled = false;
        this.readonly = false;
        this.inputDatetimeFormat = 'dd/MM/yyyy HH:mm';
        this.hourStep = 1;
        this.minuteStep = 1;
        this.secondStep = 30;
        this.seconds = false;
        this.minDate = new NgbDate(1900, 1, 1);
        this.showTimePickerToggle = false;
        // tslint:disable-next-line:no-output-native
        this.change = new EventEmitter();
        // Function to call when the range changes.
        this.onChange = (value) => { };
        // Function to call when the input is touched.
        this.onTouched = () => { };
        config.autoClose = 'outside';
        config.placement = 'auto';
    }
    writeValue(obj) {
        // report value back to the model
        if (obj && !this.disabled) {
            this.model = this.toNgbDate(new Date(obj.toString()));
            this.value = obj;
            this.onChange(obj);
            this.change.emit(obj);
        }
        else {
            // when there's no input model registered
            this.value = Datetime.asToday();
            this.change.emit(obj);
        }
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
    onInputChange($event) {
        const value = $event.target.value;
        const dt = Datetime.fromLocalString(value);
        if (dt) {
            this.writeValue(dt);
        }
        else if (value.trim() === '') {
            this.writeValue(new Datetime());
        }
    }
    toggleDateTimeState() {
        this.showTimePickerToggle = !this.showTimePickerToggle;
    }
    onDateChange(date) {
        if (!this.value) {
            this.value = new Datetime();
        }
        this.value.year = date.year;
        this.value.month = date.month;
        this.value.day = date.day;
        this.writeValue(this.value);
    }
    onTimeChange(event) {
        this.value.hour = event.hour;
        this.value.minute = event.minute;
        this.value.second = event.second;
        this.writeValue(this.value);
    }
    onAccept() {
        if (this.popover.isOpen()) {
            this.popover.close();
        }
    }
    inputBlur($event) {
        this.onTouched();
    }
    toNgbDate(date) {
        date = toDate(date);
        return new NgbDate(date.getFullYear(), date.getMonth() + 1, date.getDate());
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DatetimePickerComponent, deps: [{ token: i1$1.NgbPopoverConfig }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: DatetimePickerComponent, selector: "ws-datetime-picker", inputs: { disabled: "disabled", readonly: "readonly", inputDatetimeFormat: "inputDatetimeFormat", hourStep: "hourStep", minuteStep: "minuteStep", secondStep: "secondStep", seconds: "seconds", maxDate: "maxDate", minDate: "minDate" }, outputs: { change: "change" }, host: { properties: { "style.opacity": "this.opacity" } }, providers: [
            DatePipe,
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => DatetimePickerComponent),
                multi: true
            }
        ], viewQueries: [{ propertyName: "popover", first: true, predicate: ["popOver"], descendants: true }], ngImport: i0, template: "<div class=\"input-group mr-2\">\n  <input class=\"form-control form-control-sm\" (blur)=\"inputBlur($event)\"\n    [ngModel]=\"(value ? value.toString() : '') | date:inputDatetimeFormat\" (change)=\"onInputChange($event)\" [disabled]='disabled' [readonly]=\"readonly\"\n    [placeholder]=\"inputDatetimeFormat\" />\n\n  <div class=\"input-group-append\">\n    <button class=\"btn btn-outline-secondary btn-sm\" [ngbPopover]=\"calendarContent\" #popOver=\"ngbPopover\" [disabled]='disabled' type=\"button\">\n      <i class=\"fa fa-calendar\"></i>\n    </button>\n  </div>\n</div>\n\n\n<ng-template #calendarContent>\n  <div>\n    <div *ngIf=\"!showTimePickerToggle\">\n      <ngb-datepicker #dp name=\"datepicker\" [ngModel]=\"value\" (ngModelChange)=\"onDateChange($event)\" [minDate]=\"minDate\" [maxDate]=\"maxDate\"></ngb-datepicker>\n      <button class=\"btn btn-block btn-outline-secondary\" [disabled]=\"!value?.day\" [ngbPopover]=\"timePickerContent\"\n        type=\"button\" (click)=\"toggleDateTimeState();\">\n        <i class=\"fa fa-clock-o\"></i>\n      </button>\n      <button class=\"btn btn-block btn-outline-secondary\" type=\"button\" (click)=\"onAccept()\">\n        <i class=\"fa fa-check\"></i>\n      </button>\n    </div>\n    <div *ngIf=\"showTimePickerToggle\">\n      <button class=\"btn btn-block btn-outline-secondary\" type=\"button\" (click)=\"toggleDateTimeState();\">\n        <i class=\"fa fa-calendar\"></i>\n      </button>\n      <button class=\"btn btn-block btn-outline-secondary\" type=\"button\" (click)=\"onAccept()\">\n        <i class=\"fa fa-check\"></i>\n      </button>\n      <div class=\"mt-auto\">\n        <ngb-timepicker #tp name=\"timepicker\" [ngModel]=\"value\" (ngModelChange)=\"onTimeChange($event)\"\n          [seconds]=\"seconds\" [hourStep]=\"hourStep\" [minuteStep]=\"minuteStep\" [secondStep]=\"secondStep\">\n        </ngb-timepicker>\n      </div>\n    </div>\n  </div>\n</ng-template>\n\n<ng-template #timePickerContent>\n  timepicker here!\n</ng-template>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: i1$1.NgbDatepicker, selector: "ngb-datepicker", inputs: ["contentTemplate", "dayTemplate", "dayTemplateData", "displayMonths", "firstDayOfWeek", "footerTemplate", "markDisabled", "maxDate", "minDate", "navigation", "outsideDays", "showWeekNumbers", "startDate", "weekdays"], outputs: ["navigate", "dateSelect"], exportAs: ["ngbDatepicker"] }, { kind: "directive", type: i1$1.NgbPopover, selector: "[ngbPopover]", inputs: ["animation", "autoClose", "ngbPopover", "popoverTitle", "placement", "popperOptions", "triggers", "positionTarget", "container", "disablePopover", "popoverClass", "popoverContext", "openDelay", "closeDelay"], outputs: ["shown", "hidden"], exportAs: ["ngbPopover"] }, { kind: "component", type: i1$1.NgbTimepicker, selector: "ngb-timepicker", inputs: ["meridian", "spinners", "seconds", "hourStep", "minuteStep", "secondStep", "readonlyInputs", "size"], exportAs: ["ngbTimepicker"] }, { kind: "pipe", type: i2.DatePipe, name: "date" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: DatetimePickerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-datetime-picker', providers: [
                        DatePipe,
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => DatetimePickerComponent),
                            multi: true
                        }
                    ], template: "<div class=\"input-group mr-2\">\n  <input class=\"form-control form-control-sm\" (blur)=\"inputBlur($event)\"\n    [ngModel]=\"(value ? value.toString() : '') | date:inputDatetimeFormat\" (change)=\"onInputChange($event)\" [disabled]='disabled' [readonly]=\"readonly\"\n    [placeholder]=\"inputDatetimeFormat\" />\n\n  <div class=\"input-group-append\">\n    <button class=\"btn btn-outline-secondary btn-sm\" [ngbPopover]=\"calendarContent\" #popOver=\"ngbPopover\" [disabled]='disabled' type=\"button\">\n      <i class=\"fa fa-calendar\"></i>\n    </button>\n  </div>\n</div>\n\n\n<ng-template #calendarContent>\n  <div>\n    <div *ngIf=\"!showTimePickerToggle\">\n      <ngb-datepicker #dp name=\"datepicker\" [ngModel]=\"value\" (ngModelChange)=\"onDateChange($event)\" [minDate]=\"minDate\" [maxDate]=\"maxDate\"></ngb-datepicker>\n      <button class=\"btn btn-block btn-outline-secondary\" [disabled]=\"!value?.day\" [ngbPopover]=\"timePickerContent\"\n        type=\"button\" (click)=\"toggleDateTimeState();\">\n        <i class=\"fa fa-clock-o\"></i>\n      </button>\n      <button class=\"btn btn-block btn-outline-secondary\" type=\"button\" (click)=\"onAccept()\">\n        <i class=\"fa fa-check\"></i>\n      </button>\n    </div>\n    <div *ngIf=\"showTimePickerToggle\">\n      <button class=\"btn btn-block btn-outline-secondary\" type=\"button\" (click)=\"toggleDateTimeState();\">\n        <i class=\"fa fa-calendar\"></i>\n      </button>\n      <button class=\"btn btn-block btn-outline-secondary\" type=\"button\" (click)=\"onAccept()\">\n        <i class=\"fa fa-check\"></i>\n      </button>\n      <div class=\"mt-auto\">\n        <ngb-timepicker #tp name=\"timepicker\" [ngModel]=\"value\" (ngModelChange)=\"onTimeChange($event)\"\n          [seconds]=\"seconds\" [hourStep]=\"hourStep\" [minuteStep]=\"minuteStep\" [secondStep]=\"secondStep\">\n        </ngb-timepicker>\n      </div>\n    </div>\n  </div>\n</ng-template>\n\n<ng-template #timePickerContent>\n  timepicker here!\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i1$1.NgbPopoverConfig }], propDecorators: { disabled: [{
                type: Input
            }], readonly: [{
                type: Input
            }], opacity: [{
                type: HostBinding,
                args: ['style.opacity']
            }], inputDatetimeFormat: [{
                type: Input
            }], hourStep: [{
                type: Input
            }], minuteStep: [{
                type: Input
            }], secondStep: [{
                type: Input
            }], seconds: [{
                type: Input
            }], maxDate: [{
                type: Input
            }], minDate: [{
                type: Input
            }], popover: [{
                type: ViewChild,
                args: ['popOver']
            }], change: [{
                type: Output
            }] } });

class SortPipe {
    transform(items, direction, property) {
        // default direction ascending
        direction = direction === null || direction === undefined ? 'asc' : direction;
        return items.sort((a, b) => {
            // handle arrays or objects
            const left = property === null || property === undefined ? a : a[property];
            const right = property === null || property === undefined ? b : b[property];
            // if equal weighting is the same
            if (left === right) {
                return 0;
            }
            // handle ascending and descening sorts
            if (direction === 'desc') {
                return left < right ? 1 : -1;
            }
            else {
                return left < right ? -1 : 1;
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: SortPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.2.12", ngImport: i0, type: SortPipe, name: "wsSort" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: SortPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'wsSort'
                }]
        }] });

class OrdinalUtil {
    // standard suffix implementation
    static applyDefault(i) {
        const j = i % 10;
        const k = i % 100;
        if (i === 1 && k !== 11) {
            return i + 'st';
        }
        if (j === 2 && k !== 12) {
            return i + 'nd';
        }
        if (j === 3 && k !== 13) {
            return i + 'rd';
        }
        return i + 'th';
    }
}

class PollResultComponent {
    constructor() {
        this.optionResultItems = [];
    }
    ngOnInit() {
        this.init();
    }
    // tslint:disable-next-line:use-lifecycle-interface typedef
    ngOnChanges() {
        this.init();
    }
    init() {
        if (!GenericUtil.isNullOrUndefined(this.results)) {
            this.max = this.results.map(x => x.points).reduce((acc, cur) => acc + cur, 0);
            if (!GenericUtil.isNullOrUndefined(this.poll)) {
                if (!GenericUtil.isNullOrUndefined(this.poll.options)) {
                    this.optionResultItems = [];
                    this.poll.options.forEach(option => {
                        const optionResultItem = {
                            id: option.id,
                            text: option.text,
                            deleted: option.deleted,
                            votes: this.countVotes(option),
                            points: this.countPoints(option)
                        };
                        this.optionResultItems.push(optionResultItem);
                    });
                }
            }
        }
    }
    getPeople(option) {
        let records = [];
        // if anonymous, option id will be blank    this.max = this.tracks.map(x => x.weight).reduce((acc, cur) => acc + cur, 0);
        if (this.poll && this.tracks && !this.poll.anonymousVoting) {
            records = this.tracks.filter(t => t.option.id === option.id);
        }
        return records;
    }
    // displays within the voer tile
    getVoter(track) {
        if (!GenericUtil.isNullOrUndefined(track.relativePosition)) {
            if (!GenericUtil.isNullOrUndefined(track.relativePosition.memberCode)) {
                return track.relativePosition.memberCode;
            }
            else {
                return `${track.firstName} ${track.lastName}`;
            }
        }
        return `${track.firstName} ${track.lastName}`;
    }
    // displays when howvering over the voter tile
    getVoterHover(track) {
        if (!GenericUtil.isNullOrUndefined(track.relativePosition)) {
            if (!GenericUtil.isNullOrUndefined(track.relativePosition.memberCode)) {
                return `${track.firstName} ${track.lastName} - ${track.relativePosition.memberCode} ${track.relativePosition.name}`;
            }
            else {
                return `${track.firstName} ${track.lastName} - ${track.relativePosition.name}`;
            }
        }
        return `${track.firstName} ${track.lastName}`;
    }
    countVotes(option) {
        if (!this.poll || !this.results) {
            return 0;
        }
        if (this.max === 0) {
            return 0;
        }
        const result = this.results.find(x => x.option.id === option.id);
        return result ? result.count : 0;
    }
    countPoints(option) {
        if (!this.poll || !this.results) {
            return 0;
        }
        if (this.max === 0) {
            return 0;
        }
        const points = this.results.filter(x => x.option.id === option.id).map(x => x.points);
        return points.length > 0 ? points.reduce((acc, cur) => acc + cur, 0) : 0;
    }
    showVoteIndex() {
        if (!this.poll) {
            return false;
        }
        return this.poll.type === 'weighted' || this.poll.type === 'multiselect';
    }
    getVoteIndex(track) {
        return OrdinalUtil.applyDefault(track.voteIndex);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PollResultComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: PollResultComponent, selector: "ws-poll-result", inputs: { poll: "poll", results: "results", tracks: "tracks", canSeeWhoVoted: "canSeeWhoVoted" }, usesOnChanges: true, ngImport: i0, template: "<div *ngIf=\"results && optionResultItems\" class=\"poll-result\">\n  <p *ngFor=\"let option of optionResultItems | wsSort: 'desc': 'points'\">\n    <strong>{{ option.text.text }}</strong><br />\n    <ngb-progressbar [showValue]=\"false\" type=\"success\" [value]=\"option.points\" [max]=\"max\" ngbPopover=\"{{ option.points }} points, {{ option.votes }} votes\"\n      triggers=\"mouseenter:mouseleave\">\n      {{ option.points }} {{ 'polls.points' | wsTranslate | async }}, {{ option.votes }} {{ 'polls.votes' | wsTranslate | async }}</ngb-progressbar>\n    <span *ngIf=\"canSeeWhoVoted\">\n      <ul class=\"member-list row\">\n          <li class=\"member-block\" *ngFor=\"let track of getPeople(option)\">\n              <div class=\"member bg-primary\"  ngbPopover=\"{{ getVoterHover(track) }}\"\n              triggers=\"mouseenter:mouseleave\">\n                  <span class=\"text\">{{ getVoter(track) }}</span>\n                  <span *ngIf=\"showVoteIndex\">&nbsp;</span>\n                  <span *ngIf=\"showVoteIndex\" class=\"badge badge-pill badge-dark\">{{ getVoteIndex(track) }}</span>\n              </div>\n          </li>\n      </ul>\n    </span>\n  </p>\n</div>\n", styles: [".member-list{list-style-type:none;padding:0}.member-list li{padding:5px}.member-list li .member{border:1px solid #CCCC;padding:5px}.member-list .bg-primary .text{color:#fff}.member-block{float:left}\n"], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgbPopover, selector: "[ngbPopover]", inputs: ["animation", "autoClose", "ngbPopover", "popoverTitle", "placement", "popperOptions", "triggers", "positionTarget", "container", "disablePopover", "popoverClass", "popoverContext", "openDelay", "closeDelay"], outputs: ["shown", "hidden"], exportAs: ["ngbPopover"] }, { kind: "component", type: i1$1.NgbProgressbar, selector: "ngb-progressbar", inputs: ["max", "animated", "ariaLabel", "striped", "showValue", "textType", "type", "value", "height"] }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }, { kind: "pipe", type: SortPipe, name: "wsSort" }, { kind: "pipe", type: WSTranslate, name: "wsTranslate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PollResultComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-poll-result', template: "<div *ngIf=\"results && optionResultItems\" class=\"poll-result\">\n  <p *ngFor=\"let option of optionResultItems | wsSort: 'desc': 'points'\">\n    <strong>{{ option.text.text }}</strong><br />\n    <ngb-progressbar [showValue]=\"false\" type=\"success\" [value]=\"option.points\" [max]=\"max\" ngbPopover=\"{{ option.points }} points, {{ option.votes }} votes\"\n      triggers=\"mouseenter:mouseleave\">\n      {{ option.points }} {{ 'polls.points' | wsTranslate | async }}, {{ option.votes }} {{ 'polls.votes' | wsTranslate | async }}</ngb-progressbar>\n    <span *ngIf=\"canSeeWhoVoted\">\n      <ul class=\"member-list row\">\n          <li class=\"member-block\" *ngFor=\"let track of getPeople(option)\">\n              <div class=\"member bg-primary\"  ngbPopover=\"{{ getVoterHover(track) }}\"\n              triggers=\"mouseenter:mouseleave\">\n                  <span class=\"text\">{{ getVoter(track) }}</span>\n                  <span *ngIf=\"showVoteIndex\">&nbsp;</span>\n                  <span *ngIf=\"showVoteIndex\" class=\"badge badge-pill badge-dark\">{{ getVoteIndex(track) }}</span>\n              </div>\n          </li>\n      </ul>\n    </span>\n  </p>\n</div>\n", styles: [".member-list{list-style-type:none;padding:0}.member-list li{padding:5px}.member-list li .member{border:1px solid #CCCC;padding:5px}.member-list .bg-primary .text{color:#fff}.member-block{float:left}\n"] }]
        }], ctorParameters: () => [], propDecorators: { poll: [{
                type: Input
            }], results: [{
                type: Input
            }], tracks: [{
                type: Input
            }], canSeeWhoVoted: [{
                type: Input
            }] } });

class StandardPollComponent {
    constructor() {
        this.optionSelected = new EventEmitter();
    }
    ngOnInit() {
        this.init();
    }
    // tslint:disable-next-line:use-lifecycle-interface typedef
    ngOnChanges() {
        this.init();
    }
    init() {
        if (this.initialSelection) {
            if (this.initialSelection.length > 0) {
                this.selection = this.initialSelection[0];
            }
            else {
                this.loadDefaultSelection();
            }
        }
        else {
            this.loadDefaultSelection();
        }
    }
    loadDefaultSelection() {
        this.selection = { rank: 1, optionId: null };
    }
    isSelected(option) {
        if (!this.selection) {
            return false;
        }
        return this.selection.optionId === option.id;
    }
    onOptionSelect(option) {
        let model = [this.selection.optionId];
        model = this.optionHandler.onOptionSelect(this.poll.type, model, option.id, 0);
        const entry = { rank: 1, optionId: model[0] };
        this.optionSelected.emit([entry]);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: StandardPollComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: StandardPollComponent, selector: "ws-standard-poll", inputs: { poll: "poll", voted: "voted", initialSelection: "initialSelection", optionHandler: "optionHandler" }, outputs: { optionSelected: "optionSelected" }, usesOnChanges: true, ngImport: i0, template: "<ul class=\"list-group\">\n  <li *ngFor=\"let option of poll.options | wsSort: 'asc': 'id'\" class=\"list-group-item\"\n    [ngClass]=\"{active: voted.hasVoted && isSelected(option)}\">\n    <div class=\"form-check\">\n      <label class=\"form-check-label\">\n        <input type=\"radio\" class=\"form-check-input\" name=\"questions\" [disabled]=\"voted.hasVoted\"\n          [checked]=\"isSelected(option)\" [value]=\"option.id\" [(ngModel)]=\"selection.optionId\"\n          (click)=\"onOptionSelect(option)\" />{{ option.text.text }}\n      </label>\n    </div>\n  </li>\n</ul>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2$2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$2.RadioControlValueAccessor, selector: "input[type=radio][formControlName],input[type=radio][formControl],input[type=radio][ngModel]", inputs: ["name", "formControlName", "value"] }, { kind: "directive", type: i2$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "pipe", type: SortPipe, name: "wsSort" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: StandardPollComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-standard-poll', template: "<ul class=\"list-group\">\n  <li *ngFor=\"let option of poll.options | wsSort: 'asc': 'id'\" class=\"list-group-item\"\n    [ngClass]=\"{active: voted.hasVoted && isSelected(option)}\">\n    <div class=\"form-check\">\n      <label class=\"form-check-label\">\n        <input type=\"radio\" class=\"form-check-input\" name=\"questions\" [disabled]=\"voted.hasVoted\"\n          [checked]=\"isSelected(option)\" [value]=\"option.id\" [(ngModel)]=\"selection.optionId\"\n          (click)=\"onOptionSelect(option)\" />{{ option.text.text }}\n      </label>\n    </div>\n  </li>\n</ul>\n" }]
        }], ctorParameters: () => [], propDecorators: { poll: [{
                type: Input
            }], voted: [{
                type: Input
            }], initialSelection: [{
                type: Input
            }], optionSelected: [{
                type: Output
            }], optionHandler: [{
                type: Input
            }] } });

class WeightedPollComponent {
    constructor() {
        this.optionSelected = new EventEmitter();
    }
    ngOnInit() {
        this.init();
    }
    init() {
        // this.selection = [];
        // ensure variables
        this.numSelections = [];
        this.models = [];
        // loop for number of select boxes to show
        this.numSelections = Array(this.poll.numberOfSelections).fill(0).map((x, i) => i);
        // ensure each select box has a model to bind to
        this.numSelections.forEach(num => {
            const selected = this.initialSelection.find(x => x.rank === num + 1);
            if (selected) {
                this.models.push(selected.optionId.toString()); // handle initial selection
            }
            else {
                this.models.push('0'); // ensure the selection text is displayed
            }
        });
    }
    change(event, index) {
        this.models = this.optionHandler.onOptionSelect(this.poll.type, this.models, event.target.value, index);
        if (event.target.value === '0') {
            this.optionSelected.emit([]);
        }
        else {
            // emit selection only if all options are selected
            if (this.hasMaxSelections()) {
                const output = [];
                this.models.forEach((id, i) => {
                    const entry = { rank: i + 1, optionId: id };
                    output.push(entry);
                });
                this.optionSelected.emit(output);
            }
        }
    }
    hasMaxSelections() {
        // if there are no unset options, we have max selection
        return this.models.filter(x => x === '0').length === 0;
    }
    // convert this to an algorithm if the design works out
    numberToWord(num) {
        if (num < 0) {
            return null;
        }
        // TODO: Convert this to an algo
        const word = ['zero', 'first', 'second', 'third', 'fourth', 'fifth', 'sixth', 'seventh', 'eight', 'ninth', 'tenth'];
        return word[num];
    }
    calcPointsForItem(num) {
        return this.poll.numberOfSelections - num;
    }
    isSelected(optionId) {
        return this.models.findIndex(x => x === String(optionId)) !== -1;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WeightedPollComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: WeightedPollComponent, selector: "ws-weighted-poll", inputs: { poll: "poll", voted: "voted", initialSelection: "initialSelection", optionHandler: "optionHandler" }, outputs: { optionSelected: "optionSelected" }, ngImport: i0, template: "<ul class=\"list-group\">\n  <li class=\"list-group-item\" *ngFor=\"let num of numSelections\">\n    <select class=\"form-control\" [(ngModel)]=\"models[num]\" (change)=\"change($event, num)\" [disabled]=\"voted.hasVoted\">\n      <option value=\"0\">{{ numberToWord(num + 1) }} {{ 'polls.selection' | wsTranslate | async }} ({{ calcPointsForItem(num) }} {{ 'polls.points' | wsTranslate | async }})</option>\n      <option [disabled]=\"isSelected(option.id)\" *ngFor=\"let option of poll.options | wsSort: 'asc': id\" value=\"{{ option.id }}\">{{ option.text.text }}</option>\n    </select>\n  </li>\n</ul>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2$2.NgSelectOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i2$2.ɵNgSelectMultipleOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i2$2.SelectControlValueAccessor, selector: "select:not([multiple])[formControlName],select:not([multiple])[formControl],select:not([multiple])[ngModel]", inputs: ["compareWith"] }, { kind: "directive", type: i2$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }, { kind: "pipe", type: SortPipe, name: "wsSort" }, { kind: "pipe", type: WSTranslate, name: "wsTranslate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WeightedPollComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-weighted-poll', template: "<ul class=\"list-group\">\n  <li class=\"list-group-item\" *ngFor=\"let num of numSelections\">\n    <select class=\"form-control\" [(ngModel)]=\"models[num]\" (change)=\"change($event, num)\" [disabled]=\"voted.hasVoted\">\n      <option value=\"0\">{{ numberToWord(num + 1) }} {{ 'polls.selection' | wsTranslate | async }} ({{ calcPointsForItem(num) }} {{ 'polls.points' | wsTranslate | async }})</option>\n      <option [disabled]=\"isSelected(option.id)\" *ngFor=\"let option of poll.options | wsSort: 'asc': id\" value=\"{{ option.id }}\">{{ option.text.text }}</option>\n    </select>\n  </li>\n</ul>\n" }]
        }], ctorParameters: () => [], propDecorators: { poll: [{
                type: Input
            }], voted: [{
                type: Input
            }], initialSelection: [{
                type: Input
            }], optionHandler: [{
                type: Input
            }], optionSelected: [{
                type: Output
            }] } });

var WSIDateFormat;
(function (WSIDateFormat) {
    WSIDateFormat["default"] = "d MMMM yyyy";
    WSIDateFormat["defaultWithDay"] = "EEEE, d MMMM yyyy";
    WSIDateFormat["numeric"] = "dd.MM.yy";
})(WSIDateFormat || (WSIDateFormat = {}));

class WsiToastService {
    constructor() {
        this.toasts = [];
    }
    // Push new Toasts to array with content and options
    show(textOrTpl, options = {}) {
        this.toasts.push({ textOrTpl, ...options });
    }
    // Callback method to remove Toast DOM element from view
    remove(toast) {
        this.toasts = this.toasts.filter((t) => t !== toast);
    }
    showStandard(msg) {
        this.show(msg, {
            delay: 2000,
            autohide: true,
        });
    }
    showSuccess(title, msg) {
        this.show(msg, {
            classname: "bg-success text-light",
            delay: 2000,
            autohide: true,
            headertext: title,
        });
    }
    showError(title, msg) {
        this.show(msg, {
            classname: "bg-danger text-light",
            delay: 2000,
            autohide: true,
            headertext: title,
        });
    }
    // uwse custom view template for toast
    showCustomToast(customTpl) {
        this.show(customTpl, {
            classname: "bg-info text-light",
            delay: 3000,
            autohide: true,
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WsiToastService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WsiToastService, providedIn: "root" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WsiToastService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: "root",
                }]
        }], ctorParameters: () => [] });

class MultiselectPollComponent {
    constructor() {
        this.optionSelected = new EventEmitter();
    }
    ngOnInit() {
        this.init();
    }
    init() {
        // this.selection = [];
        // ensure variables
        this.numSelections = [];
        this.models = [];
        // loop for number of select boxes to show
        this.numSelections = Array(this.poll.numberOfSelections).fill(0).map((x, i) => i);
        // ensure each select box has a model to bind to
        this.numSelections.forEach(num => {
            const selected = this.initialSelection.find(x => x.rank === num + 1);
            if (selected) {
                this.models.push(selected.optionId.toString()); // handle initial selection
            }
            else {
                this.models.push('0'); // ensure the selection text is displayed
            }
        });
    }
    change(event, index) {
        // ensure we are not dealing with an unset action
        this.models = this.optionHandler.onOptionSelect(this.poll.type, this.models, event.target.value, index);
        if (event.target.value === '0') {
            this.optionSelected.emit([]);
        }
        else {
            // emit selection only if all options are selected
            if (this.hasMaxSelections()) {
                const output = [];
                this.models.forEach((id, i) => {
                    const entry = { rank: i + 1, optionId: id };
                    output.push(entry);
                });
                this.optionSelected.emit(output);
            }
        }
    }
    hasMaxSelections() {
        // if there are no unset options, we have max selection
        return this.models.filter(x => x === '0').length === 0;
    }
    // convert this to an algorithm if the design works out
    numberToWord(num) {
        if (num < 0) {
            return null;
        }
        // TODO: Convert this to an algo
        const word = ['zero', 'first', 'second', 'third', 'fourth', 'fifth', 'sixth', 'seventh', 'eight', 'ninth', 'tenth'];
        return word[num];
    }
    isSelected(optionId) {
        return this.models.findIndex(x => x === String(optionId)) !== -1;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MultiselectPollComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: MultiselectPollComponent, selector: "ws-multiselect-poll", inputs: { poll: "poll", voted: "voted", initialSelection: "initialSelection", optionHandler: "optionHandler" }, outputs: { optionSelected: "optionSelected" }, ngImport: i0, template: "<ul class=\"list-group\">\n    <li class=\"list-group-item\" *ngFor=\"let num of numSelections\">\n      <select class=\"form-control\" [(ngModel)]=\"models[num]\" (change)=\"change($event, num)\" [disabled]=\"voted.hasVoted\">\n        <option value=\"0\">{{ numberToWord(num + 1) }} selection (1 point)</option>\n        <option [disabled]=\"isSelected(option.id)\" *ngFor=\"let option of poll.options | wsSort: 'asc': id\" value=\"{{ option.id }}\">\n          {{ option.text.text }}\n        </option>\n      </select>\n    </li>\n  </ul>\n  ", styles: [""], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2$2.NgSelectOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i2$2.ɵNgSelectMultipleOption, selector: "option", inputs: ["ngValue", "value"] }, { kind: "directive", type: i2$2.SelectControlValueAccessor, selector: "select:not([multiple])[formControlName],select:not([multiple])[formControl],select:not([multiple])[ngModel]", inputs: ["compareWith"] }, { kind: "directive", type: i2$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "pipe", type: SortPipe, name: "wsSort" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: MultiselectPollComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-multiselect-poll', template: "<ul class=\"list-group\">\n    <li class=\"list-group-item\" *ngFor=\"let num of numSelections\">\n      <select class=\"form-control\" [(ngModel)]=\"models[num]\" (change)=\"change($event, num)\" [disabled]=\"voted.hasVoted\">\n        <option value=\"0\">{{ numberToWord(num + 1) }} selection (1 point)</option>\n        <option [disabled]=\"isSelected(option.id)\" *ngFor=\"let option of poll.options | wsSort: 'asc': id\" value=\"{{ option.id }}\">\n          {{ option.text.text }}\n        </option>\n      </select>\n    </li>\n  </ul>\n  " }]
        }], ctorParameters: () => [], propDecorators: { poll: [{
                type: Input
            }], voted: [{
                type: Input
            }], initialSelection: [{
                type: Input
            }], optionSelected: [{
                type: Output
            }], optionHandler: [{
                type: Input
            }] } });

class VoteControlComponent {
    constructor(toasts) {
        this.toasts = toasts;
        // events
        this.edit = new EventEmitter();
        this.extend = new EventEmitter();
        // tslint:disable-next-line:no-output-native
        this.reset = new EventEmitter();
        this.delete = new EventEmitter();
        this.viewChange = new EventEmitter();
        this.voteSelected = new EventEmitter();
        this.abstainSelected = new EventEmitter();
        this.voteRemoved = new EventEmitter();
        this.exportClicked = new EventEmitter();
        this.openClicked = new EventEmitter();
        this.closeClicked = new EventEmitter();
    }
    ngOnInit() {
        this.view = 'question';
        this.dateFormat = `${WSIDateFormat.default}`;
        this.init();
    }
    // tslint:disable-next-line:use-lifecycle-interface typedef
    ngOnChanges() {
        this.init();
    }
    init() {
        if (this.poll && this.results && this.voted) {
            this.selection = this.voted.votes;
            this.calculateState();
        }
    }
    calculateState() {
        this.state = 'running';
        const now = new Date();
        const start = toDate(this.poll.start);
        const expiry = toDate(this.poll.expiry);
        if (now < start) {
            this.state = 'Not yet started';
            this.view = 'result';
            return;
        }
        if (now > expiry) {
            this.state = 'expired';
            this.view = 'result';
            return;
        }
    }
    notifyInfo(message) {
        if (this.useToastNotifications) {
            this.toasts.showStandard(message);
        }
        else {
            // Fallback to alert if toast notifications are not used
            alert(message);
        }
    }
    notifySuccess(title, message) {
        if (this.useToastNotifications) {
            this.toasts.showSuccess(title, message);
        }
        else {
            // Fallback to alert if toast notifications are not used
            alert(message);
        }
    }
    notifyError(title, message) {
        if (this.useToastNotifications) {
            this.toasts.showError(title, message);
        }
        else {
            // Fallback to alert if toast notifications are not used
            alert(message);
        }
    }
    selected(model) {
        this.selection = model;
    }
    vote() {
        if (this.voted.hasVoted) {
            this.notifyInfo('You have already voted');
        }
        else {
            if (this.poll.dependsOn && this.votedDependsOn && !this.votedDependsOn.hasVoted) {
                this.notifyError('Error', `You must vote on the poll "${this.poll.dependsOn.title.text}" before you can vote on this poll.`);
                return;
            }
            if (this.confirmBeforeVote) {
                const voteSelections = [];
                this.selection.forEach(selected => {
                    // tslint:disable-next-line:triple-equals
                    const option = this.poll.options.find(x => x.id == selected.optionId);
                    voteSelections.push(option.text.text);
                });
                if (confirm(`Are you sure you want to vote for (${voteSelections.join(',')})`)) {
                    this.voteSelected.emit(this.selection);
                }
            }
            else {
                this.voteSelected.emit(this.selection);
            }
        }
    }
    abstain() {
        if (this.voted.hasVoted) {
            this.notifyInfo('You have already voted');
        }
        else {
            if (this.poll.dependsOn && this.votedDependsOn && !this.votedDependsOn.hasVoted) {
                this.notifyError('Error', `You must vote on the poll "${this.poll.dependsOn.title.text}" before you can vote on this poll.`);
                return;
            }
            if (this.confirmBeforeAbstain) {
                if (confirm(`Are you sure you wish to abstain from voting ?`)) {
                    this.abstainSelected.emit();
                }
            }
            else {
                this.abstainSelected.emit();
            }
        }
    }
    unvote() {
        this.voteRemoved.emit(this.selection);
    }
    changeView(view) {
        this.view = view;
        this.viewChange.emit(view);
    }
    viewResultsState() {
        if (this.view === 'result') {
            return false;
        }
        if (!this.poll) {
            return false;
        }
        // if results are anonymous, only the owner can view that results
        if (this.poll.anonymousResults) {
            return this.isOwner;
        }
        // allow the owner to view results at anytime
        if (this.isOwner) {
            return true;
        }
        const time = new Date().getTime();
        const end = toDate(this.poll.expiry).getTime();
        if (this.poll.showingResults || time > end) {
            return true;
        }
        return false;
    }
    hasVotesSelected() {
        if (GenericUtil.isNullOrUndefined(this.selection)) {
            return true;
        }
        return this.selection.length === 0;
    }
    editClick(poll) {
        this.edit.emit(poll);
    }
    extendClick(poll) {
        this.extend.emit(poll);
    }
    resetClick(poll) {
        this.reset.emit(poll);
    }
    deleteClick(poll) {
        this.delete.emit(poll);
    }
    openClick(poll) {
        this.openClicked.emit(poll);
    }
    closeClick(poll) {
        this.closeClicked.emit(poll);
    }
    getVoteText(entry) {
        // tslint:disable-next-line:triple-equals
        const option = this.poll.options.find(x => x.id == entry.optionId);
        if (option == null) {
            return '';
        }
        return option.text.text;
    }
    isWhiteListed() {
        if (this.poll.whitelist) {
            return this.poll.allowedVoters.filter(x => x.id == this.personId).length > 0;
        }
        return true;
    }
    showVoteButton() {
        return this.isWhiteListed() && this.voted && !this.voted.hasVoted && this.view === 'question' && this.state === 'running';
    }
    showAbstainButton() {
        return this.isWhiteListed() && this.voted && !this.voted.hasVoted && this.poll.allowingAbstain && this.view === 'question' && this.state === 'running';
    }
    showClearVoteButton() {
        return this.poll && this.voted && this.voted.hasVoted && this.view === 'question' && this.poll.allowingReVote
            && this.state === 'running';
    }
    showManageButton() {
        return this.showDeleteButton || this.showEditButton || this.showExtendButton
            || this.showResetButton || (this.view === 'result' && this.showExportButton);
    }
    showWhoVoted() {
        if (GenericUtil.isNullOrUndefined(this.poll)) {
            return false;
        }
        return this.poll.anonymousResults ? this.isOwner : true;
    }
    export() {
        this.exportClicked.emit(new Date());
    }
    useDateRange() {
        if (GenericUtil.isNullOrUndefined(this.poll)) {
            return false;
        }
        const sameMonth = this.poll.start.getMonth() === this.poll.expiry.getMonth();
        const sameYear = this.poll.start.getFullYear() === this.poll.expiry.getFullYear();
        return sameMonth && sameYear;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: VoteControlComponent, deps: [{ token: WsiToastService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: VoteControlComponent, selector: "ws-vote-control", inputs: { personId: "personId", useToastNotifications: "useToastNotifications", showEditButton: "showEditButton", showExtendButton: "showExtendButton", showResetButton: "showResetButton", showDeleteButton: "showDeleteButton", showExportButton: "showExportButton", showOpenButton: "showOpenButton", showCloseButton: "showCloseButton", poll: "poll", results: "results", voted: "voted", votedDependsOn: "votedDependsOn", tracks: "tracks", confirmBeforeVote: "confirmBeforeVote", confirmBeforeAbstain: "confirmBeforeAbstain", optionHandler: "optionHandler", isOwner: "isOwner", beforeOptionsTemplate: "beforeOptionsTemplate", optionsDefaultTemplate: "optionsDefaultTemplate", optionsTemplate: "optionsTemplate", afterOptionsTemplate: "afterOptionsTemplate", beforeResultTemplate: "beforeResultTemplate", resultDefaultTemplate: "resultDefaultTemplate", resultTemplate: "resultTemplate", afterResultTemplate: "afterResultTemplate", controlBarLeftTemplate: "controlBarLeftTemplate", controlBarRightTemplate: "controlBarRightTemplate", titleTemplate: "titleTemplate", footerTemplate: "footerTemplate", questionTemplate: "questionTemplate" }, outputs: { edit: "edit", extend: "extend", reset: "reset", delete: "delete", viewChange: "viewChange", voteSelected: "voteSelected", abstainSelected: "abstainSelected", voteRemoved: "voteRemoved", exportClicked: "exportClicked", openClicked: "openClicked", closeClicked: "closeClicked" }, usesOnChanges: true, ngImport: i0, template: "<ng-template #voteControlEmptyTemplate>\n</ng-template>\n<ng-template #voteControlDefaultTitleTemplate>\n  {{ poll.title.text }}\n  <br />\n  <small class=\"text-muted\">{{ 'polls.created.by' | wsTranslate | async }}: {{ poll.createdBy.firstName }} {{ poll.createdBy.lastName }}</small>\n</ng-template>\n<ng-template #voteControlDefaultFooterTemplate>\n  <small class=\"text-muted\"><strong>{{ 'polls.status' | wsTranslate | async }}:</strong> {{ state }} </small>&nbsp;|&nbsp;\n  <span *ngIf=\"!useDateRange()\">\n    <span *ngIf=\"poll.start\">\n      {{ poll.start | date: dateFormat }} {{ 'polls.to' | wsTranslate | async }} {{ poll.expiry | date: dateFormat }}\n    </span>\n  </span>\n  <span *ngIf=\"useDateRange()\">\n    <span *ngIf=\"poll.start\" ngbPopover=\"{{ poll.start | date: dateFormat }} to {{ poll.expiry | date: dateFormat }}\" triggers=\"mouseenter:mouseleave\">\n      {{ poll.start | date: 'd' }}-{{ poll.expiry | date: dateFormat }}\n    </span>\n  </span>\n</ng-template>\n<ng-template #voteControlDefaultQuestionTemplate>\n  {{ poll.question.text }}\n</ng-template>\n<ng-template #optionsDefaultTemplate>\n  <div *ngIf=\"voted.hasVoted\">\n    <em>{{ 'polls.messages.voted' | wsTranslate | async }}</em>\n    <div *ngIf=\"voted.abstained\">\n      <strong>{{ 'polls.messages.abstained' | wsTranslate | async }}</strong>\n    </div>\n    <div *ngIf=\"voted.anonymous\">\n      <strong>{{ 'polls.messages.anon' | wsTranslate | async }}</strong>\n    </div>\n    <div *ngIf=\"!voted.abstained && !voted.anonymous\">\n      <strong>{{ 'polls.messages.choices' | wsTranslate | async }}</strong>\n      <ol>\n        <li *ngFor=\"let entry of voted.votes\">\n          {{ getVoteText(entry) }}\n        </li>\n      </ol>\n    </div>\n  </div>\n  <div *ngIf=\"!voted.hasVoted\">\n    <ws-standard-poll *ngIf=\"poll.type === 'standard'\" [poll]=\"poll\" [voted]=\"voted\" [initialSelection]=\"selection\"\n      [optionHandler]=\"optionHandler\" (optionSelected)=\"selected($event)\">\n    </ws-standard-poll>\n    <ws-weighted-poll *ngIf=\"poll.type === 'weighted'\" [poll]=\"poll\" [voted]=\"voted\" [initialSelection]=\"selection\"\n      [optionHandler]=\"optionHandler\" (optionSelected)=\"selected($event)\">\n    </ws-weighted-poll>\n    <ws-multiselect-poll *ngIf=\"poll.type === 'multiselect'\" [poll]=\"poll\" [voted]=\"voted\"\n      [initialSelection]=\"selection\" [optionHandler]=\"optionHandler\" (optionSelected)=\"selected($event)\">\n    </ws-multiselect-poll>\n  </div>\n</ng-template>\n<ng-template #resultDefaultTemplate>\n  <ws-poll-result *ngIf=\"results\" [poll]=\"poll\" [results]=\"results\" [tracks]=\"tracks\" [canSeeWhoVoted]=\"showWhoVoted()\"></ws-poll-result>\n</ng-template>\n\n<ng-template #controlBarLeftDefaultTemplate>\n  <button [disabled]=\"hasVotesSelected()\" *ngIf=\"showVoteButton()\" class=\"btn btn-success\" href=\"#\"\n    (click)=\"vote(); false;\"><i class=\"fa fa-check\"></i>&nbsp; {{ 'polls.buttons.vote' | wsTranslate | async }}</button>&nbsp;\n  <button *ngIf=\"showAbstainButton()\" class=\"btn btn-warning\" href=\"#\" (click)=\"abstain(); false;\"><i\n      class=\"fa fa-ban\"></i>&nbsp; {{ 'polls.buttons.abstain' | wsTranslate | async }}</button>&nbsp;\n  <button *ngIf=\"showClearVoteButton()\" class=\"btn btn-warning\" href=\"#\" (click)=\"unvote(); false;\"><i\n      class=\"fa fa-close\"></i>&nbsp; {{ 'polls.buttons.clear.vote' | wsTranslate | async }}</button>&nbsp;\n  <button *ngIf=\"viewResultsState() && state === 'running'\" class=\"btn btn-primary\" href=\"#\"\n    (click)=\"changeView('result'); false;\"><i class=\"fa fa-area-chart\"></i>&nbsp; {{ 'polls.buttons.view.results' | wsTranslate | async }}</button>&nbsp;\n  <button *ngIf=\"view === 'result' && state === 'running'\" class=\"btn btn-primary\" href=\"#\"\n    (click)=\"changeView('question'); false;\"><i class=\"fa fa-question-circle\"></i>&nbsp; {{ 'polls.buttons.view.choices' | wsTranslate | async }}</button>&nbsp;\n  <span *ngIf=\"!isWhiteListed()\" class=\"vote-not-allowed\">\n    {{ 'polls.vote_note_allowed' | wsTranslate | async }}\n  </span>\n</ng-template>\n\n<ng-template #controlBarRightDefaultTemplate>\n  <!-- Example single danger button -->\n  <div class=\"btn-group\" *ngIf=\"showManageButton()\">\n    <button type=\"button\" class=\"btn btn-primary dropdown-toggle\" data-toggle=\"dropdown\" aria-haspopup=\"true\"\n      aria-expanded=\"false\">\n      Manage\n    </button>\n    <div class=\"dropdown-menu\">\n      <a *ngIf=\"view === 'result' && showExportButton\" (click)=\"export(); false;\" class=\"dropdown-item\" href=\"#\">\n        <i class=\"fa fa-download\"></i>&nbsp;{{ 'polls.buttons.export.results' | wsTranslate | async }}\n      </a>\n      <a *ngIf=\"showResetButton\" (click)=\"resetClick(poll); false;\" class=\"dropdown-item\" href=\"#\">\n        <i class=\"fa fa-refresh\"></i>&nbsp;{{ 'polls.buttons.reset' | wsTranslate | async }}\n      </a>\n      <a *ngIf=\"showExtendButton\" (click)=\"extendClick(poll); false;\" class=\"dropdown-item\" href=\"#\">\n        <i class=\"fa fa-arrows-h\"></i>&nbsp;{{ 'polls.buttons.extend' | wsTranslate | async }}\n      </a>\n      <a *ngIf=\"showEditButton\" (click)=\"editClick(poll); false;\" class=\"dropdown-item\" href=\"#\">\n        <i class=\"fa fa-edit\"></i>&nbsp;{{ 'polls.buttons.edit' | wsTranslate | async }}\n      </a>\n      <a *ngIf=\"showDeleteButton\" (click)=\"deleteClick(poll); false;\" class=\"dropdown-item\" href=\"#\">\n        <i class=\"fa fa-trash\"></i>&nbsp;{{ 'polls.buttons.delete' | wsTranslate | async }}\n      </a>\n      <a *ngIf=\"showOpenButton && state != 'running'\" class=\"dropdown-item\" href=\"#\" (click)=\"openClick(poll); false;\">\n        <i class=\"fa fa-play\"></i>&nbsp;{{ 'polls.buttons.open' | wsTranslate | async }}\n      </a>\n      <a *ngIf=\"showCloseButton && state == 'running'\" class=\"dropdown-item\" href=\"#\" (click)=\"closeClick(poll); false;\">\n          <i class=\"fa fa-stop\"></i>&nbsp;{{ 'polls.buttons.close' | wsTranslate | async }}\n      </a>\n    </div>\n  </div>\n</ng-template>\n\n<div class=\"card\">\n  <div class=\"card-header\">\n    <ng-container *ngTemplateOutlet=\"titleTemplate ? titleTemplate : voteControlDefaultTitleTemplate\"></ng-container>\n  </div>\n  <div class=\"card-body\">\n    <div class=\"card-title\">\n      <ng-container *ngTemplateOutlet=\"questionTemplate ? questionTemplate : voteControlDefaultQuestionTemplate\">\n      </ng-container>\n    </div>\n    <div class=\"card-text\" *ngIf=\"view === 'question'\">\n      <ng-container *ngTemplateOutlet=\"beforeOptionsTemplate ? beforeOptionsTemplate : voteControlEmptyTemplate\">\n      </ng-container>\n      <ng-container *ngTemplateOutlet=\"optionsTemplate ? optionsTemplate : optionsDefaultTemplate\"></ng-container>\n      <ng-container *ngTemplateOutlet=\"afterOptionsTemplate ? afterOptionsTemplate : voteControlEmptyTemplate\">\n      </ng-container>\n    </div>\n    <div class=\"card-text\" *ngIf=\"view === 'result'\">\n      <ng-container *ngTemplateOutlet=\"beforeResultTemplate ? beforeResultTemplate : voteControlEmptyTemplate\">\n      </ng-container>\n      <ng-container *ngTemplateOutlet=\"resultTemplate ? resultTemplate : resultDefaultTemplate\"></ng-container>\n      <ng-container *ngTemplateOutlet=\"afterResultTemplate ? afterResultTemplate : voteControlEmptyTemplate\">\n      </ng-container>\n    </div>\n    <hr />\n\n    <div class=\"pull-left\">\n      <ng-container *ngTemplateOutlet=\"controlBarLeftTemplate ? controlBarLeftTemplate : controlBarLeftDefaultTemplate\">\n      </ng-container>\n    </div>\n    <div class=\"pull-right\">\n      <ng-container\n        *ngTemplateOutlet=\"controlBarRightTemplate ? controlBarRightTemplate : controlBarRightDefaultTemplate\">\n      </ng-container>\n    </div>\n  </div>\n  <div class=\"card-footer text-muted\">\n    <ng-container *ngTemplateOutlet=\"footerTemplate ? footerTemplate : voteControlDefaultFooterTemplate\"></ng-container>\n  </div>\n</div>", styles: [".vote-not-allowed{color:#8b0000}\n"], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i1$1.NgbPopover, selector: "[ngbPopover]", inputs: ["animation", "autoClose", "ngbPopover", "popoverTitle", "placement", "popperOptions", "triggers", "positionTarget", "container", "disablePopover", "popoverClass", "popoverContext", "openDelay", "closeDelay"], outputs: ["shown", "hidden"], exportAs: ["ngbPopover"] }, { kind: "component", type: PollResultComponent, selector: "ws-poll-result", inputs: ["poll", "results", "tracks", "canSeeWhoVoted"] }, { kind: "component", type: StandardPollComponent, selector: "ws-standard-poll", inputs: ["poll", "voted", "initialSelection", "optionHandler"], outputs: ["optionSelected"] }, { kind: "component", type: WeightedPollComponent, selector: "ws-weighted-poll", inputs: ["poll", "voted", "initialSelection", "optionHandler"], outputs: ["optionSelected"] }, { kind: "component", type: MultiselectPollComponent, selector: "ws-multiselect-poll", inputs: ["poll", "voted", "initialSelection", "optionHandler"], outputs: ["optionSelected"] }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }, { kind: "pipe", type: i2.DatePipe, name: "date" }, { kind: "pipe", type: WSTranslate, name: "wsTranslate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: VoteControlComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-vote-control', template: "<ng-template #voteControlEmptyTemplate>\n</ng-template>\n<ng-template #voteControlDefaultTitleTemplate>\n  {{ poll.title.text }}\n  <br />\n  <small class=\"text-muted\">{{ 'polls.created.by' | wsTranslate | async }}: {{ poll.createdBy.firstName }} {{ poll.createdBy.lastName }}</small>\n</ng-template>\n<ng-template #voteControlDefaultFooterTemplate>\n  <small class=\"text-muted\"><strong>{{ 'polls.status' | wsTranslate | async }}:</strong> {{ state }} </small>&nbsp;|&nbsp;\n  <span *ngIf=\"!useDateRange()\">\n    <span *ngIf=\"poll.start\">\n      {{ poll.start | date: dateFormat }} {{ 'polls.to' | wsTranslate | async }} {{ poll.expiry | date: dateFormat }}\n    </span>\n  </span>\n  <span *ngIf=\"useDateRange()\">\n    <span *ngIf=\"poll.start\" ngbPopover=\"{{ poll.start | date: dateFormat }} to {{ poll.expiry | date: dateFormat }}\" triggers=\"mouseenter:mouseleave\">\n      {{ poll.start | date: 'd' }}-{{ poll.expiry | date: dateFormat }}\n    </span>\n  </span>\n</ng-template>\n<ng-template #voteControlDefaultQuestionTemplate>\n  {{ poll.question.text }}\n</ng-template>\n<ng-template #optionsDefaultTemplate>\n  <div *ngIf=\"voted.hasVoted\">\n    <em>{{ 'polls.messages.voted' | wsTranslate | async }}</em>\n    <div *ngIf=\"voted.abstained\">\n      <strong>{{ 'polls.messages.abstained' | wsTranslate | async }}</strong>\n    </div>\n    <div *ngIf=\"voted.anonymous\">\n      <strong>{{ 'polls.messages.anon' | wsTranslate | async }}</strong>\n    </div>\n    <div *ngIf=\"!voted.abstained && !voted.anonymous\">\n      <strong>{{ 'polls.messages.choices' | wsTranslate | async }}</strong>\n      <ol>\n        <li *ngFor=\"let entry of voted.votes\">\n          {{ getVoteText(entry) }}\n        </li>\n      </ol>\n    </div>\n  </div>\n  <div *ngIf=\"!voted.hasVoted\">\n    <ws-standard-poll *ngIf=\"poll.type === 'standard'\" [poll]=\"poll\" [voted]=\"voted\" [initialSelection]=\"selection\"\n      [optionHandler]=\"optionHandler\" (optionSelected)=\"selected($event)\">\n    </ws-standard-poll>\n    <ws-weighted-poll *ngIf=\"poll.type === 'weighted'\" [poll]=\"poll\" [voted]=\"voted\" [initialSelection]=\"selection\"\n      [optionHandler]=\"optionHandler\" (optionSelected)=\"selected($event)\">\n    </ws-weighted-poll>\n    <ws-multiselect-poll *ngIf=\"poll.type === 'multiselect'\" [poll]=\"poll\" [voted]=\"voted\"\n      [initialSelection]=\"selection\" [optionHandler]=\"optionHandler\" (optionSelected)=\"selected($event)\">\n    </ws-multiselect-poll>\n  </div>\n</ng-template>\n<ng-template #resultDefaultTemplate>\n  <ws-poll-result *ngIf=\"results\" [poll]=\"poll\" [results]=\"results\" [tracks]=\"tracks\" [canSeeWhoVoted]=\"showWhoVoted()\"></ws-poll-result>\n</ng-template>\n\n<ng-template #controlBarLeftDefaultTemplate>\n  <button [disabled]=\"hasVotesSelected()\" *ngIf=\"showVoteButton()\" class=\"btn btn-success\" href=\"#\"\n    (click)=\"vote(); false;\"><i class=\"fa fa-check\"></i>&nbsp; {{ 'polls.buttons.vote' | wsTranslate | async }}</button>&nbsp;\n  <button *ngIf=\"showAbstainButton()\" class=\"btn btn-warning\" href=\"#\" (click)=\"abstain(); false;\"><i\n      class=\"fa fa-ban\"></i>&nbsp; {{ 'polls.buttons.abstain' | wsTranslate | async }}</button>&nbsp;\n  <button *ngIf=\"showClearVoteButton()\" class=\"btn btn-warning\" href=\"#\" (click)=\"unvote(); false;\"><i\n      class=\"fa fa-close\"></i>&nbsp; {{ 'polls.buttons.clear.vote' | wsTranslate | async }}</button>&nbsp;\n  <button *ngIf=\"viewResultsState() && state === 'running'\" class=\"btn btn-primary\" href=\"#\"\n    (click)=\"changeView('result'); false;\"><i class=\"fa fa-area-chart\"></i>&nbsp; {{ 'polls.buttons.view.results' | wsTranslate | async }}</button>&nbsp;\n  <button *ngIf=\"view === 'result' && state === 'running'\" class=\"btn btn-primary\" href=\"#\"\n    (click)=\"changeView('question'); false;\"><i class=\"fa fa-question-circle\"></i>&nbsp; {{ 'polls.buttons.view.choices' | wsTranslate | async }}</button>&nbsp;\n  <span *ngIf=\"!isWhiteListed()\" class=\"vote-not-allowed\">\n    {{ 'polls.vote_note_allowed' | wsTranslate | async }}\n  </span>\n</ng-template>\n\n<ng-template #controlBarRightDefaultTemplate>\n  <!-- Example single danger button -->\n  <div class=\"btn-group\" *ngIf=\"showManageButton()\">\n    <button type=\"button\" class=\"btn btn-primary dropdown-toggle\" data-toggle=\"dropdown\" aria-haspopup=\"true\"\n      aria-expanded=\"false\">\n      Manage\n    </button>\n    <div class=\"dropdown-menu\">\n      <a *ngIf=\"view === 'result' && showExportButton\" (click)=\"export(); false;\" class=\"dropdown-item\" href=\"#\">\n        <i class=\"fa fa-download\"></i>&nbsp;{{ 'polls.buttons.export.results' | wsTranslate | async }}\n      </a>\n      <a *ngIf=\"showResetButton\" (click)=\"resetClick(poll); false;\" class=\"dropdown-item\" href=\"#\">\n        <i class=\"fa fa-refresh\"></i>&nbsp;{{ 'polls.buttons.reset' | wsTranslate | async }}\n      </a>\n      <a *ngIf=\"showExtendButton\" (click)=\"extendClick(poll); false;\" class=\"dropdown-item\" href=\"#\">\n        <i class=\"fa fa-arrows-h\"></i>&nbsp;{{ 'polls.buttons.extend' | wsTranslate | async }}\n      </a>\n      <a *ngIf=\"showEditButton\" (click)=\"editClick(poll); false;\" class=\"dropdown-item\" href=\"#\">\n        <i class=\"fa fa-edit\"></i>&nbsp;{{ 'polls.buttons.edit' | wsTranslate | async }}\n      </a>\n      <a *ngIf=\"showDeleteButton\" (click)=\"deleteClick(poll); false;\" class=\"dropdown-item\" href=\"#\">\n        <i class=\"fa fa-trash\"></i>&nbsp;{{ 'polls.buttons.delete' | wsTranslate | async }}\n      </a>\n      <a *ngIf=\"showOpenButton && state != 'running'\" class=\"dropdown-item\" href=\"#\" (click)=\"openClick(poll); false;\">\n        <i class=\"fa fa-play\"></i>&nbsp;{{ 'polls.buttons.open' | wsTranslate | async }}\n      </a>\n      <a *ngIf=\"showCloseButton && state == 'running'\" class=\"dropdown-item\" href=\"#\" (click)=\"closeClick(poll); false;\">\n          <i class=\"fa fa-stop\"></i>&nbsp;{{ 'polls.buttons.close' | wsTranslate | async }}\n      </a>\n    </div>\n  </div>\n</ng-template>\n\n<div class=\"card\">\n  <div class=\"card-header\">\n    <ng-container *ngTemplateOutlet=\"titleTemplate ? titleTemplate : voteControlDefaultTitleTemplate\"></ng-container>\n  </div>\n  <div class=\"card-body\">\n    <div class=\"card-title\">\n      <ng-container *ngTemplateOutlet=\"questionTemplate ? questionTemplate : voteControlDefaultQuestionTemplate\">\n      </ng-container>\n    </div>\n    <div class=\"card-text\" *ngIf=\"view === 'question'\">\n      <ng-container *ngTemplateOutlet=\"beforeOptionsTemplate ? beforeOptionsTemplate : voteControlEmptyTemplate\">\n      </ng-container>\n      <ng-container *ngTemplateOutlet=\"optionsTemplate ? optionsTemplate : optionsDefaultTemplate\"></ng-container>\n      <ng-container *ngTemplateOutlet=\"afterOptionsTemplate ? afterOptionsTemplate : voteControlEmptyTemplate\">\n      </ng-container>\n    </div>\n    <div class=\"card-text\" *ngIf=\"view === 'result'\">\n      <ng-container *ngTemplateOutlet=\"beforeResultTemplate ? beforeResultTemplate : voteControlEmptyTemplate\">\n      </ng-container>\n      <ng-container *ngTemplateOutlet=\"resultTemplate ? resultTemplate : resultDefaultTemplate\"></ng-container>\n      <ng-container *ngTemplateOutlet=\"afterResultTemplate ? afterResultTemplate : voteControlEmptyTemplate\">\n      </ng-container>\n    </div>\n    <hr />\n\n    <div class=\"pull-left\">\n      <ng-container *ngTemplateOutlet=\"controlBarLeftTemplate ? controlBarLeftTemplate : controlBarLeftDefaultTemplate\">\n      </ng-container>\n    </div>\n    <div class=\"pull-right\">\n      <ng-container\n        *ngTemplateOutlet=\"controlBarRightTemplate ? controlBarRightTemplate : controlBarRightDefaultTemplate\">\n      </ng-container>\n    </div>\n  </div>\n  <div class=\"card-footer text-muted\">\n    <ng-container *ngTemplateOutlet=\"footerTemplate ? footerTemplate : voteControlDefaultFooterTemplate\"></ng-container>\n  </div>\n</div>", styles: [".vote-not-allowed{color:#8b0000}\n"] }]
        }], ctorParameters: () => [{ type: WsiToastService }], propDecorators: { personId: [{
                type: Input
            }], useToastNotifications: [{
                type: Input
            }], showEditButton: [{
                type: Input
            }], showExtendButton: [{
                type: Input
            }], showResetButton: [{
                type: Input
            }], showDeleteButton: [{
                type: Input
            }], showExportButton: [{
                type: Input
            }], showOpenButton: [{
                type: Input
            }], showCloseButton: [{
                type: Input
            }], poll: [{
                type: Input
            }], results: [{
                type: Input
            }], voted: [{
                type: Input
            }], votedDependsOn: [{
                type: Input
            }], tracks: [{
                type: Input
            }], confirmBeforeVote: [{
                type: Input
            }], confirmBeforeAbstain: [{
                type: Input
            }], optionHandler: [{
                type: Input
            }], isOwner: [{
                type: Input
            }], beforeOptionsTemplate: [{
                type: Input
            }], optionsDefaultTemplate: [{
                type: Input
            }], optionsTemplate: [{
                type: Input
            }], afterOptionsTemplate: [{
                type: Input
            }], beforeResultTemplate: [{
                type: Input
            }], resultDefaultTemplate: [{
                type: Input
            }], resultTemplate: [{
                type: Input
            }], afterResultTemplate: [{
                type: Input
            }], controlBarLeftTemplate: [{
                type: Input
            }], controlBarRightTemplate: [{
                type: Input
            }], titleTemplate: [{
                type: Input
            }], footerTemplate: [{
                type: Input
            }], questionTemplate: [{
                type: Input
            }], edit: [{
                type: Output
            }], extend: [{
                type: Output
            }], reset: [{
                type: Output
            }], delete: [{
                type: Output
            }], viewChange: [{
                type: Output
            }], voteSelected: [{
                type: Output
            }], abstainSelected: [{
                type: Output
            }], voteRemoved: [{
                type: Output
            }], exportClicked: [{
                type: Output
            }], openClicked: [{
                type: Output
            }], closeClicked: [{
                type: Output
            }] } });

class DefaultRelativeDateProccessor {
    /**
     * @deprecated The method should not be used. use tthe relative-date component instead
     */
    handlePastDate(date) {
        const now = new Date();
        const diff = ((now.getTime() - date.getTime()) / 1000);
        const daydiff = Math.floor(diff / 86400);
        if (isNaN(daydiff) || daydiff < 0 || daydiff >= 31) {
            return '';
        }
        return daydiff === 0 && (diff < 60 && 'Just now' ||
            diff < 120 && '1 minute ago' ||
            diff < 3600 && Math.floor(diff / 60) + ' minutes ago' ||
            diff < 7200 && '1 hour ago' ||
            diff < 86400 && Math.floor(diff / 3600) + ' hours ago') ||
            daydiff === 1 && 'Yesterday' ||
            daydiff < 7 && daydiff + ' days ago' ||
            daydiff === 7 && '1 week ago' ||
            daydiff < 31 && Math.ceil(daydiff / 7) + ' weeks ago';
    }
    /**
     * @deprecated The method should not be used. use tthe relative-date component instead
     */
    handleFutureDate(date) {
        const now = new Date();
        const diff = ((date.getTime() - now.getTime()) / 1000);
        const daydiff = Math.floor(diff / 86400);
        if (isNaN(daydiff) || daydiff < 0 || daydiff >= 31) {
            return '';
        }
        return daydiff === 0 && (diff < 60 && 'Soon' ||
            diff < 120 && '1 minute from now' ||
            diff < 3600 && Math.floor(diff / 60) + ' minutes from now' ||
            diff < 7200 && '1 hour from now' ||
            diff < 86400 && Math.floor(diff / 3600) + ' hours from now') ||
            daydiff === 1 && 'Tomorrow' ||
            daydiff < 7 && daydiff + ' days from now' ||
            daydiff === 7 && '1 week from now' ||
            daydiff < 31 && Math.ceil(daydiff / 7) + ' weeks from now';
    }
}

// based of: http://www.angulartutorial.net/2017/10/how-to-show-date-is-today-or-yesterday.html
class RelativeDatePipe {
    /**
     * @deprecated The method should not be used. use tthe relative-date component instead
     */
    transform(value, format, locale, processor) {
        processor = processor || new DefaultRelativeDateProccessor();
        const dt = new Date(value);
        const isDateValid = dt.toString() !== 'Invalid Date';
        if (!isDateValid) {
            return formatDate$1(value, format, locale);
        }
        format = format || 'MMM-dd-yyyy';
        locale = locale || 'en';
        const v = Number(value);
        const dif = Math.floor(((Date.now() - v) / 1000) / 86400);
        if (dif < 30) {
            const now = new Date();
            return value.getTime() < now.getTime() ? processor.handlePastDate(value) : processor.handleFutureDate(value);
        }
        else {
            return formatDate$1(value, format, locale);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RelativeDatePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.2.12", ngImport: i0, type: RelativeDatePipe, name: "relativeDate" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RelativeDatePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'relativeDate',
                }]
        }] });

const DEFAULT_LABELS = {
    clearAllText: 'Clear all',
    loadingText: 'Loading entities...',
    notFoundText: 'No entities found',
    typeToSearchText: 'Type to search',
    placeholder: 'Select entity'
};

// This is meant to work onn the session sotrage engine by default.
// We will change this when we have a use case for another engine
class CacheStorageService {
    constructor() {
    }
    // get the key from the storage
    get(key, defaultValue = null, engine = sessionStorage) {
        const value = engine.getItem(key);
        if (GenericUtil.isNullOrUndefined(value)) {
            return defaultValue;
        }
        const obj = JSON.parse(value);
        if (GenericUtil.isNullOrUndefined(obj)) {
            return defaultValue;
        }
        else {
            if ('expire' in obj && 'data' in obj) {
                const wrapper = obj;
                if (!GenericUtil.isNullOrUndefined(wrapper.expire)) {
                    wrapper.expire = toDate(wrapper.expire);
                    const now = new Date();
                    if (now.getTime() >= wrapper.expire.getTime()) {
                        wrapper.data = null;
                    }
                }
                return GenericUtil.isNullOrUndefined(wrapper.data) ? defaultValue : wrapper.data;
            }
            else {
                return obj;
            }
        }
    }
    // set the key in the storage
    set(key, value, engine = sessionStorage) {
        engine.setItem(key, JSON.stringify(value));
    }
    // set the key with an expiration date
    setExpire(key, value, expire) {
        const data = ({
            data: value,
            expire
        });
        this.set(key, data);
    }
    // remove the key from the storage
    remove(key, engine = sessionStorage) {
        engine.removeItem(key);
    }
    // used for caching http requests
    fetchObservable(fetchFn, key, expire, defaultValue = null) {
        const data = this.get(key, null);
        if (data) {
            return of(data);
        }
        return fetchFn().pipe(map(result => {
            this.setExpire(key, result, expire);
            return result;
        }));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CacheStorageService, deps: [], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CacheStorageService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: CacheStorageService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [] });

class EntityTreeService {
    constructor(cache, wsi, http) {
        this.cache = cache;
        this.wsi = wsi;
        this.http = http;
        this.subjects = [];
        this.subject = new BehaviorSubject(null);
        this.wsi.serviceConfigSubject.subscribe(next => {
            this.endpoint = next.apiEndpoint + '/auth/ws_entities';
        });
    }
    static equals(a, b) {
        return (a.limit === b.limit &&
            a.offset === b.offset &&
            a.depth === b.depth &&
            a.member_of === b.member_of &&
            a.name === b.name &&
            a.role === b.role &&
            a.roleApp === b.roleApp &&
            a.sort === b.sort);
    }
    clearCache(params = null) {
        if (params === null) {
            this.subjects = [];
        }
        else {
            const cacheEntryIndex = this.subjects.findIndex(cE => EntityTreeService.equals(cE.params, params));
            if (cacheEntryIndex >= 0) {
                this.subjects.splice(cacheEntryIndex, 1);
            }
        }
    }
    getCachedSubject(params = {}, fetchOnCreate = true) {
        const cacheEntry = this.subjects.find(cE => EntityTreeService.equals(cE.params, params));
        if (cacheEntry) {
            return cacheEntry.subject;
        }
        else {
            const newCacheEntry = {
                params,
                subject: new BehaviorSubject(null),
            };
            this.subjects.push(newCacheEntry);
            if (fetchOnCreate) {
                this.list(params);
            }
            return newCacheEntry.subject;
        }
    }
    list(params = {}, legacyCaching = true) {
        let httpParams = new HttpParams();
        if (params.limit !== undefined) {
            httpParams = httpParams.set('limit', params.limit.toString());
        }
        if (params.offset !== undefined) {
            httpParams = httpParams.set('offset', params.offset.toString());
        }
        if (params.depth !== undefined) {
            httpParams = httpParams.set('depth', params.depth.toString());
        }
        if (params.member_of !== undefined) {
            httpParams = httpParams.set('member_of', params.member_of.toString());
        }
        if (params.name !== undefined) {
            httpParams = httpParams.set('name', params.name.toString());
        }
        if (params.role !== undefined) {
            httpParams = httpParams.set('role', params.role.toString());
        }
        if (params.roleApp !== undefined) {
            httpParams = httpParams.set('roleApp', params.roleApp.toString());
        }
        if (params.sort !== undefined) {
            httpParams = httpParams.set('sort', params.sort.toString());
        }
        const observable = this.http.get(this.endpoint, { params: httpParams }).pipe(share());
        if (legacyCaching) {
            const cacheEntry = this.subjects.find(cE => EntityTreeService.equals(cE.params, params));
            if (cacheEntry) {
                observable.subscribe(value => cacheEntry.subject.next(value));
            }
        }
        observable.subscribe(value => this.subject.next(value));
        return observable;
    }
    listCached(params = {}, cacheTime = 5 * 60 * 1000) {
        const key = `EntityTreeService-list?${JSON.stringify(params)}`;
        const observable = this.cache.fetchObservable(() => this.list(params), key, new Date(Date.now() + cacheTime));
        observable.subscribe(value => this.subject.next(value));
        return observable;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: EntityTreeService, deps: [{ token: CacheStorageService }, { token: WorldskillsAngularLibService }, { token: i2$3.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: EntityTreeService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: EntityTreeService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: CacheStorageService }, { type: WorldskillsAngularLibService }, { type: i2$3.HttpClient }] });

function isTreeEntity(obj) {
    return obj && typeof obj === 'object' && 'type' in obj && obj.type === 'treeEntity';
}
class EntityTreeSelectComponent {
    constructor(entityTreeService) {
        this.entityTreeService = entityTreeService;
        /** labels for ng-select */
        this.labels = {};
        /** control templates for the toolbar buttons */
        this.controls = {};
        /** entities input array */
        this.entities = null;
        /** force disable the following entities */
        this.disableEntities = null;
        /** always make children selectable of passed entities */
        this.selectableChildren = true;
        /** show unselectable parents */
        this.showUnselectableParents = true;
        /** whether or not to show the full path for selected entities */
        this.showFullPath = true;
        /** whether or not to show the header controls */
        this.showControls = true;
        /** whether to use api caching or not, caching is done per query request object, see EntityTreeService for more details */
        this.cache = true;
        /** implement the cache style for the entity tree. legacy = no changes; any other value uses the modern strategy */
        this.cacheStyle = 'legacy';
        /** time before cachce needs to be refreshed */
        this.cacheTimerMS = 5 * 60 * 1000;
        /** if the tree is expanded by default */
        this.defaultExpand = false;
        this.expandedSearch = [];
        this.flattenedEntities = [];
        this.flattenedTreeEntities = [];
        this.lastTerm = ' ';
        this.refreshing = false;
        this.update = new Subject();
        this.fetchedTreeEntities = [];
        this.cachedWriteValueSubject = new Subject();
        this.treeEntitiesSubject = new Subject();
        this.hasFocus = false;
        this.loading = true;
        this.treeEntities = [];
        this.expanded = [];
        /** ng-select input */
        this.appendTo = null;
        /** ng-select input */
        this.closeOnSelect = true;
        /** ng-select input */
        this.clearable = true;
        /** ng-select input */
        this.clearOnBackspace = true;
        /** ng-select input */
        this.dropdownPosition = 'auto';
        /** ng-select input */
        this.markFirst = true;
        /** ng-select input */
        this.isOpen = undefined;
        /** ng-select input */
        this.maxSelectedItems = undefined;
        /** ng-select input */
        this.hideSelected = false;
        /** ng-select input */
        this.multiple = false;
        /** ng-select input */
        this.searchable = true;
        /** ng-select input */
        this.readonly = false;
        /** ng-select input */
        this.searchWhileComposing = true;
        /** ng-select input */
        this.selectOnTab = false;
        /** ng-select input */
        this.openOnEnter = true;
        /** ng-select input */
        this.virtualScroll = false;
        /** ng-select input */
        this.inputAttrs = undefined;
        /** ng-select input */
        this.tabIndex = undefined;
        /** ng-select output */
        // tslint:disable-next-line:no-output-native
        this.blur = new EventEmitter();
        /** ng-select output */
        // tslint:disable-next-line:no-output-native
        this.focus = new EventEmitter();
        /** ng-select output */
        // tslint:disable-next-line:no-output-native
        this.change = new EventEmitter();
        /** ng-select output */
        // tslint:disable-next-line:no-output-native
        this.open = new EventEmitter();
        /** ng-select output */
        // tslint:disable-next-line:no-output-native
        this.close = new EventEmitter();
        /** ng-select output */
        this.search = new EventEmitter();
        /** ng-select output */
        this.clear = new EventEmitter();
        /** ng-select output */
        this.add = new EventEmitter();
        /** ng-select output */
        this.remove = new EventEmitter();
        /** ng-select output */
        // tslint:disable-next-line:no-output-native
        this.scroll = new EventEmitter();
        /** ng-select output */
        this.scrollToEnd = new EventEmitter();
        /** the id callback function for the Input entities */
        this.entityIdCallback = (entity) => entity ? entity.id : undefined;
        this.htmlId = v4();
        this.compareWith = this.compareWith || ((a, b) => {
            const aId = this.toId(a);
            const bId = this.toId(b);
            return aId && bId && aId === bId;
        });
        this.onKeyDown = this.onKeyDown.bind(this);
        this.onClick = this.onClick.bind(this);
        this.searchFn = this.searchFn.bind(this);
    }
    get currentMarkedEntity() {
        return (this.ngSelectComponent.itemsList.markedItem ? this.ngSelectComponent.itemsList.markedItem.value : null);
    }
    get filtered() {
        return this.getFiltered(this.treeEntities);
    }
    get total() {
        return this.ngSelectComponent.itemsList.items.length;
    }
    get queryParams() {
        return { limit: 9999, depth: 10, ...this.query };
    }
    ngOnChanges(changes) {
        if ('entities' in changes) {
            this.createTreeEntities();
        }
    }
    ngOnInit() {
        this.labels = { ...DEFAULT_LABELS, ...this.labels };
        this.controls = {
            wrapper: this.wrapperControl,
            expand: this.expandControl,
            expandAll: this.expandAllControl,
            collapse: this.collapseControl,
            collapseAll: this.collapseAllControl,
            separator: this.separatorControl,
            showing: this.showingControl,
            ...this.controls
        };
        let observable;
        if (this.cache === false) {
            observable = this.entityTreeService.list(this.queryParams);
        }
        else {
            if (this.cacheStyle == 'legacy') {
                observable = this.entityTreeService.getCachedSubject(this.queryParams);
            }
            else {
                observable = this.entityTreeService.listCached(this.queryParams, this.cacheTimerMS);
            }
        }
        this.writeValueSubscription = combineLatest([
            this.cachedWriteValueSubject,
            this.treeEntitiesSubject,
        ]).subscribe(([value]) => this.ngSelectComponent.writeValue(this.multiple ?
            (value || []).map(o => this.toTreeEntity(o)).filter(o => !!o) :
            this.toTreeEntity(value)));
        observable.subscribe(entities => {
            if (!!entities) {
                this.fetchedTreeEntities = entities.ws_entity_list.map(entity => this.deepCopyEntity(entity));
                this.createTreeEntities();
                this.loading = false;
                this.treeEntitiesSubject.next();
            }
        });
        this.update.subscribe(() => {
            this.refreshing = true;
            this.ngSelectComponent.filter(this.lastTerm);
            this.refreshing = false;
        });
        this.ngSelectComponentRef.nativeElement.addEventListener('click', this.onClick, true);
        this.ngSelectComponentRef.nativeElement.addEventListener('keydown', this.onKeyDown, true);
    }
    createTreeEntities() {
        this.treeEntities = this.fetchedTreeEntities.map(e => this.deepCopyEntity(e));
        this.flattenedEntities = this.flatten(this.entities || []);
        this.setSelectable(this.treeEntities, this.entities === null ? true : this.flattenedEntities.map(this.toId), this.disableEntities === null ? false : this.flatten(this.disableEntities).map(this.toId));
        if (this.selectableChildren) {
            this.setSelectableForChildren(this.treeEntities);
        }
        this.clearUnselectableTrees(this.treeEntities);
        this.setParentsForEntities(this.treeEntities);
        this.setPathNamesAndTypes(this.treeEntities);
        if (!this.showUnselectableParents) {
            this.treeEntities = this.flattenUnselectableParents(this.treeEntities);
        }
        this.flattenedTreeEntities = this.flatten(this.treeEntities);
        if (this.defaultExpand) {
            this.expandAll(this.treeEntities, false);
        }
        if (this.hasFocus) {
            setTimeout(() => this.update.next(null));
        }
    }
    deepCopyEntity(entity) {
        return { ...entity, children: entity.children ? entity.children.map(e => this.deepCopyEntity(e)) : [] };
    }
    ngOnDestroy() {
        this.writeValueSubscription.unsubscribe();
        this.ngSelectComponentRef.nativeElement.removeEventListener('click', this.onClick, true);
        this.ngSelectComponentRef.nativeElement.removeEventListener('keydown', this.onKeyDown, true);
    }
    isDomIdentifier(name) {
        return name.startsWith(`_${this.htmlId}`);
    }
    getDomIdentifier(name) {
        return `_${this.htmlId}-${name}`;
    }
    stripDomIdentifier(name) {
        return name.replace(`_${this.htmlId}-`, '');
    }
    flatten(entities) {
        return entities.reduce((acc, entity) => entity.children ?
            [...acc, entity, ...this.flatten(entity.children)] : [...acc, entity], []);
    }
    setParentsForEntities(entities) {
        entities.forEach(e => {
            e.children.forEach(c => {
                c.parent = e;
            });
            this.setParentsForEntities(e.children);
        });
    }
    setPathNamesAndTypes(entities) {
        entities.forEach(e => {
            const paths = [];
            let p = e;
            while (p) {
                paths.push(p.name.text);
                p = p.parent;
            }
            e.allPaths = paths.reverse();
            e.fullPathName = e.allPaths.join(' > ');
            e.allPaths = e.allPaths.map(n => n.toLowerCase());
            e.paths = [...e.allPaths];
            e.paths.pop();
            e.type = 'treeEntity';
            this.setPathNamesAndTypes(e.children);
        });
    }
    setSelectable(entities, selectables, ignoreables) {
        entities.forEach(e => {
            e.filtered = true;
            e.selectable = selectables === true ? true : selectables.includes(e.id);
            e.selectable = ignoreables === false ? e.selectable : (ignoreables.includes(e.id) ? false : e.selectable);
            this.setSelectable(e.children, selectables, ignoreables);
        });
    }
    setSelectableForChildren(entities) {
        entities.forEach(e => {
            if (e.selectable) {
                e.children.forEach(c => {
                    c.selectable = true;
                });
            }
            this.setSelectableForChildren(e.children);
        });
    }
    clearSafeChildren(entity) {
        return entity.children.every(e => !e.selectable && this.clearSafeChildren(e));
    }
    clearUnselectableTrees(entities) {
        let clear = true;
        while (clear) {
            clear = false;
            for (let i = 0; i < entities.length; i++) {
                this.clearUnselectableTrees(entities[i].children);
                if (!entities[i].selectable && this.clearSafeChildren(entities[i])) {
                    entities.splice(i, 1);
                    clear = true;
                    break;
                }
            }
        }
    }
    clearUnselectableTree(entity) {
        if (entity.children.length === 0 || entity.children.every(c => !c.selectable)) {
            return false;
        }
        else {
            this.clearUnselectableTrees(entity.children);
            return true;
        }
    }
    flattenUnselectableParents(entities) {
        entities = [...entities];
        let modified = true;
        while (modified) {
            modified = false;
            for (let i = 0; i < entities.length; i++) {
                if (!entities[i].selectable) {
                    const children = [...entities[i].children];
                    children.forEach(c => {
                        c.parent = entities[i].parent;
                    });
                    entities.splice(i, 1, ...children);
                    modified = true;
                    break;
                }
            }
        }
        // tslint:disable-next-line:prefer-for-of
        for (let i = 0; i < entities.length; i++) {
            entities[i].children = this.flattenUnselectableParents(entities[i].children);
        }
        return entities;
    }
    isExpandable(entity) {
        return entity.children.length > 0;
    }
    expandFn(entity) {
        return () => entity && this.expand(entity);
    }
    expand(entity) {
        if (!this.expanded.includes(entity.id)) {
            this.expanded.push(entity.id);
        }
        this.update.next(entity);
    }
    expandAllFn() {
        return () => this.expandAll(this.treeEntities);
    }
    expandAll(entities, update = true) {
        entities.forEach(entity => {
            if (this.isExpandable(entity) && !this.expanded.includes(entity.id)) {
                this.expanded.push(entity.id);
            }
            this.expandAll(entity.children, false);
        });
        if (update) {
            this.update.next(null);
        }
    }
    expandArray(entities) {
        entities.forEach(entity => {
            if (!this.expanded.includes(entity.id)) {
                this.expanded.push(entity.id);
            }
        });
        this.update.next(null);
    }
    expandTree(entity) {
        let currentEntity = entity;
        while (currentEntity) {
            if (!this.expanded.includes(currentEntity.id)) {
                this.expanded.push(currentEntity.id);
            }
            currentEntity = currentEntity.parent;
        }
        this.update.next(null);
    }
    expandTrees(entities) {
        entities.forEach(entity => {
            let currentEntity = entity;
            while (currentEntity) {
                if (!this.expanded.includes(currentEntity.id)) {
                    this.expanded.push(currentEntity.id);
                }
                currentEntity = currentEntity.parent;
            }
        });
        this.update.next(null);
    }
    collapseFn(entity) {
        return () => entity && this.collapse(entity);
    }
    collapse(entity) {
        if (this.expanded.includes(entity.id)) {
            this.expanded.splice(this.expanded.findIndex(e => e === entity.id), 1);
        }
        this.update.next(entity);
    }
    collapseAllFn() {
        return () => this.collapseAll(this.treeEntities);
    }
    collapseAll(entities, update = true) {
        entities.forEach(entity => {
            if (this.isExpandable(entity) && this.expanded.includes(entity.id)) {
                this.expanded.splice(this.expanded.findIndex(e => e === entity.id), 1);
            }
            this.collapseAll(entity.children, false);
        });
        if (update) {
            this.update.next(null);
        }
    }
    toggleExpanded(entity) {
        if (this.expanded.includes(entity.id)) {
            this.expanded.splice(this.expanded.findIndex(e => e === entity.id), 1);
        }
        else {
            this.expanded.push(entity.id);
        }
        this.update.next(entity);
    }
    toggleExpandedById(id) {
        if (this.expanded.includes(id)) {
            this.expanded.splice(this.expanded.findIndex(e => e === id), 1);
        }
        else {
            this.expanded.push(id);
        }
        this.update.next(null);
    }
    isTreeExpanded(entity) {
        let currentEntity = entity;
        while (currentEntity) {
            if (!this.isExpanded(currentEntity)) {
                return false;
            }
            else {
                currentEntity = currentEntity.parent;
            }
        }
        return true;
    }
    isExpanded(entity) {
        return this.expanded.includes(entity.id);
    }
    isCollapsed(entity) {
        return !this.expanded.includes(entity.id);
    }
    isVisible(entity) {
        return !entity.parent || this.isTreeExpanded(entity.parent);
    }
    trackByFn(entity) {
        return entity.id;
    }
    onClear(event) {
        this.lastTerm = ' ';
        this.update.next(null);
        this.clear.emit(event);
    }
    onOpen(event) {
        setTimeout(() => {
            this.update.next(null);
        });
        this.open.emit(event);
    }
    onSearch(event) {
        const lastSearch = this.lastSearch || '';
        if (!this.refreshing) {
            if (!!event.term.trim() && !lastSearch.trim()) {
                this.expandedSearch = [...this.expanded];
            }
            else if (!event.term.trim() && !!lastSearch.trim()) {
                this.expanded = [...this.expandedSearch];
                this.update.next(null);
            }
            if (!!event.term.trim()) {
                this.expandTrees(event.items);
            }
        }
        if (event.term === '') {
            this.lastTerm = ' ';
            this.update.next(null);
        }
        this.lastSearch = event.term;
        this.search.emit(event);
    }
    searchFn(term, entity) {
        if (!GenericUtil.isNullOrUndefined(term)) {
            term = term.toLowerCase();
        }
        this.lastTerm = term;
        const terms = !!term.trim() ? term.split(/\s*>\s*/) : [];
        const visible = this.entityContainsSearchTerm(terms, entity);
        entity.filtered = visible;
        return visible && this.isVisible(entity);
    }
    entityContainsSearchTerm(terms, entity) {
        if (terms.length > 0) {
            const copyOfTerms = [...terms];
            const actualTerm = copyOfTerms.pop().trim();
            if (entity.name.text.toLowerCase().includes(actualTerm) &&
                copyOfTerms.every(term => entity.paths.some(path => path.includes(term.trim())))) {
                return true;
            }
            else {
                return this.childrenContainSearchTerm(terms, entity.children);
            }
        }
        else {
            return true;
        }
    }
    childrenContainSearchTerm(terms, entities) {
        return entities.some(e => this.entityContainsSearchTerm(terms, e));
    }
    onChange(entity) {
        this.change.emit(this.multiple ? entity.map(o => this.toId(o)) : this.toId(entity));
    }
    onClick(event) {
        const target = event.target;
        if (target.dataset && target.dataset.entityExpanderId && this.isDomIdentifier(target.dataset.entityExpanderId)) {
            const entityId = parseInt(this.stripDomIdentifier(target.dataset.entityExpanderId), 0);
            this.toggleExpandedById(entityId);
            event.preventDefault();
            event.stopImmediatePropagation();
        }
    }
    onKeyDown(event) {
        if (this.hasFocus) {
            const itemsList = this.ngSelectComponent.itemsList;
            const entity = itemsList.markedItem ? itemsList.markedItem.value : null;
            if (entity) {
                if (event.metaKey) {
                    let prevent = false;
                    let scrollAndUpdate = false;
                    if (event.key === 'ArrowLeft') {
                        if (this.isExpandable(entity) && this.isExpanded(entity)) {
                            this.collapse(entity);
                        }
                        else if (entity.parent) {
                            const option = itemsList.filteredItems.find(item => item.value.id === entity.parent.id);
                            if (option) {
                                itemsList.markItem(option);
                                scrollAndUpdate = true;
                            }
                        }
                        else {
                            itemsList.markPreviousItem();
                            scrollAndUpdate = true;
                        }
                        prevent = true;
                    }
                    if (event.key === 'ArrowRight') {
                        if (this.isExpandable(entity) && this.isCollapsed(entity)) {
                            this.expand(entity);
                        }
                        else if (this.isExpandable(entity) && this.isExpanded(entity)) {
                            const option = itemsList.filteredItems.find(item => item.value.parent_id && item.value.parent_id === entity.id);
                            if (option) {
                                itemsList.markItem(option);
                                scrollAndUpdate = true;
                            }
                        }
                        else {
                            itemsList.markNextItem();
                            scrollAndUpdate = true;
                        }
                        prevent = true;
                    }
                    if (scrollAndUpdate) {
                        const dom = document.getElementById(itemsList.markedItem.htmlId);
                        if (dom) {
                            dom.scrollIntoView();
                        }
                        this.update.next(null);
                    }
                    if (prevent) {
                        event.preventDefault();
                        event.stopImmediatePropagation();
                    }
                }
            }
        }
    }
    getFiltered(entities) {
        return entities.reduce((acc, e) => (e.filtered ? acc + 1 : acc) + this.getFiltered(e.children), 0);
    }
    registerOnChange(fn) {
        this.ngSelectComponent.registerOnChange(obj => fn(this.multiple ? obj.map(o => this.toId(o)) : this.toId(obj)));
    }
    registerOnTouched(fn) {
        this.ngSelectComponent.registerOnTouched(fn);
    }
    setDisabledState(isDisabled) {
        this.ngSelectComponent.setDisabledState(isDisabled);
    }
    writeValue(obj) {
        this.cachedWriteValueSubject.next(obj);
    }
    toId(obj) {
        if (isTreeEntity(obj)) {
            return obj.id;
        }
        else if (typeof obj === 'number') {
            return obj;
        }
        else if (typeof obj === 'object') {
            return this.entityIdCallback(obj);
        }
        else {
            return null;
        }
    }
    toTreeEntity(obj) {
        if (isTreeEntity(obj)) {
            return this.flattenedTreeEntities.find(e => e.id === obj.id);
        }
        else if (typeof obj === 'number') {
            return this.flattenedTreeEntities.find(e => e.id === obj);
        }
        else if (typeof obj === 'object') {
            return this.flattenedTreeEntities.find(e => e.id === this.entityIdCallback(obj));
        }
        else {
            return null;
        }
    }
    toEntity(obj) {
        if (isTreeEntity(obj)) {
            return this.flattenedEntities.find(e => this.entityIdCallback(e) === obj.id);
        }
        else if (typeof obj === 'number') {
            return this.flattenedEntities.find(e => this.entityIdCallback(e) === obj);
        }
        else if (typeof obj === 'object') {
            return this.flattenedEntities.find(e => this.entityIdCallback(e) === this.entityIdCallback(obj));
        }
        else {
            return null;
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: EntityTreeSelectComponent, deps: [{ token: EntityTreeService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: EntityTreeSelectComponent, selector: "ws-entity-tree-select", inputs: { labels: "labels", controls: "controls", query: "query", entities: "entities", disableEntities: "disableEntities", selectableChildren: "selectableChildren", showUnselectableParents: "showUnselectableParents", showFullPath: "showFullPath", showControls: "showControls", cache: "cache", cacheStyle: "cacheStyle", cacheTimerMS: "cacheTimerMS", defaultExpand: "defaultExpand", appendTo: "appendTo", closeOnSelect: "closeOnSelect", clearable: "clearable", clearOnBackspace: "clearOnBackspace", dropdownPosition: "dropdownPosition", markFirst: "markFirst", isOpen: "isOpen", maxSelectedItems: "maxSelectedItems", hideSelected: "hideSelected", multiple: "multiple", searchable: "searchable", readonly: "readonly", searchWhileComposing: "searchWhileComposing", selectOnTab: "selectOnTab", openOnEnter: "openOnEnter", virtualScroll: "virtualScroll", inputAttrs: "inputAttrs", tabIndex: "tabIndex", compareWith: "compareWith", entityIdCallback: "entityIdCallback" }, outputs: { blur: "blur", focus: "focus", change: "change", open: "open", close: "close", search: "search", clear: "clear", add: "add", remove: "remove", scroll: "scroll", scrollToEnd: "scrollToEnd" }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => EntityTreeSelectComponent),
                multi: true
            }
        ], viewQueries: [{ propertyName: "ngSelectComponent", first: true, predicate: ["ngSelectComponent"], descendants: true, static: true }, { propertyName: "ngSelectComponentRef", first: true, predicate: ["ngSelectComponent"], descendants: true, read: ElementRef, static: true }, { propertyName: "wrapperControl", first: true, predicate: ["wrapperControl"], descendants: true, static: true }, { propertyName: "expandControl", first: true, predicate: ["expandControl"], descendants: true, static: true }, { propertyName: "expandAllControl", first: true, predicate: ["expandAllControl"], descendants: true, static: true }, { propertyName: "collapseControl", first: true, predicate: ["collapseControl"], descendants: true, static: true }, { propertyName: "collapseAllControl", first: true, predicate: ["collapseAllControl"], descendants: true, static: true }, { propertyName: "separatorControl", first: true, predicate: ["separatorControl"], descendants: true, static: true }, { propertyName: "showingControl", first: true, predicate: ["showingControl"], descendants: true, static: true }], usesOnChanges: true, ngImport: i0, template: "<ng-template #wrapperControl let-template>\n  <div class=\"btn-group btn-group-sm\" role=\"group\">\n    <ng-template [ngTemplateOutlet]=\"template\"></ng-template>\n  </div>\n</ng-template>\n<ng-template #expandControl let-enabled=\"enabled\" let-click=\"click\">\n  <button [disabled]=\"!enabled\" class=\"btn btn-primary\" (click)=\"$event.preventDefault(); click()\">Expand</button>\n</ng-template>\n<ng-template #expandAllControl let-click=\"click\">\n  <button class=\"btn btn-primary\" (click)=\"click()\">Expand all</button>\n</ng-template>\n<ng-template #collapseControl let-enabled=\"enabled\" let-click=\"click\">\n  <button [disabled]=\"!enabled\" class=\"btn btn-primary\" (click)=\"click()\">Collapse</button>\n</ng-template>\n<ng-template #collapseAllControl let-click=\"click\">\n  <button class=\"btn btn-primary\" (click)=\"$event.preventDefault(); click()\">Collapse all</button>\n</ng-template>\n<ng-template #separatorControl></ng-template>\n<ng-template #showingControl let-showing=\"showing\" let-total=\"total\">\n  Showing {{showing}} of {{total}}\n</ng-template>\n\n<ng-template #controlsWrapper>\n  <ng-template [ngTemplateOutlet]=\"controls.collapse\"\n               [ngTemplateOutletContext]=\"{enabled: currentMarkedEntity && isExpandable(currentMarkedEntity) && isExpanded(currentMarkedEntity), click: collapseFn(currentMarkedEntity)}\"></ng-template>\n  <ng-template [ngTemplateOutlet]=\"controls.separator\"></ng-template>\n  <ng-template [ngTemplateOutlet]=\"controls.expand\"\n               [ngTemplateOutletContext]=\"{enabled: currentMarkedEntity && isExpandable(currentMarkedEntity) && isCollapsed(currentMarkedEntity), click: expandFn(currentMarkedEntity)}\"></ng-template>\n  <ng-template [ngTemplateOutlet]=\"controls.separator\"></ng-template>\n  <ng-template [ngTemplateOutlet]=\"controls.collapseAll\"\n               [ngTemplateOutletContext]=\"{click: collapseAllFn()}\"></ng-template>\n  <ng-template [ngTemplateOutlet]=\"controls.separator\"></ng-template>\n  <ng-template [ngTemplateOutlet]=\"controls.expandAll\"\n               [ngTemplateOutletContext]=\"{click: expandAllFn()}\"></ng-template>\n</ng-template>\n\n<ng-select\n\t#ngSelectComponent\n    [appendTo]=\"appendTo\"\n    [closeOnSelect]=\"closeOnSelect\"\n    [clearAllText]=\"labels.clearAllText\"\n    [clearable]=\"clearable\"\n    [clearOnBackspace]=\"clearOnBackspace\"\n    [compareWith]=\"compareWith\"\n    [dropdownPosition]=\"dropdownPosition\"\n    [loadingText]=\"labels.loadingText\"\n    [markFirst]=\"markFirst\"\n    [isOpen]=\"isOpen\"\n    [maxSelectedItems]=\"maxSelectedItems\"\n    [hideSelected]=\"hideSelected\"\n    [multiple]=\"multiple\"\n    [notFoundText]=\"labels.notFoundText\"\n    [searchable]=\"searchable\"\n    [readonly]=\"readonly\"\n    [searchFn]=\"searchFn\"\n    [searchWhileComposing]=\"searchWhileComposing\"\n    [selectOnTab]=\"selectOnTab\"\n    [openOnEnter]=\"openOnEnter\"\n    [typeToSearchText]=\"labels.typeToSearchText\"\n    [placeholder]=\"labels.placeholder\"\n    [virtualScroll]=\"virtualScroll\"\n    [inputAttrs]=\"inputAttrs\"\n    [loading]=\"loading\"\n    [tabIndex]=\"tabIndex\"\n    (blur)=\"hasFocus = false; blur.emit($event)\"\n    (focus)=\"hasFocus = true; focus.emit($event)\"\n    (change)=\"onChange($event)\"\n    (open)=\"onOpen($event)\"\n    (close)=\"close.emit($event)\"\n    (search)=\"onSearch($event)\"\n    (clear)=\"onClear($event)\"\n    (add)=\"add.emit($event)\"\n    (remove)=\"remove.emit($event)\"\n    (scroll)=\"scroll.emit($event)\"\n    (scrollToEnd)=\"scrollToEnd.emit($event)\"\n    [trackByFn]=\"trackByFn\"\n>\n  <ng-template #entityOption let-entity let-depth=\"depth\" let-visible=\"visible\">\n    <ng-container *ngIf=\"showControls && !!treeEntities\">\n      <ng-template ng-header-tmp>\n        <div class=\"d-flex flex-row justify-content-between align-items-center\">\n          <div>\n            <ng-template\n              [ngTemplateOutlet]=\"controls.showing\"\n              [ngTemplateOutletContext]=\"{showing: filtered, total: total}\"></ng-template>\n          </div>\n          <div>\n            <ng-template\n              [ngTemplateOutlet]=\"controls.wrapper\"\n              [ngTemplateOutletContext]=\"{$implicit: controlsWrapper}\"></ng-template>\n          </div>\n        </div>\n      </ng-template>\n    </ng-container>\n    <ng-template ng-label-tmp let-entity=\"item\" let-clear=\"clear\">\n      <span class=\"{{multiple ? 'px-2' : ''}}\">{{showFullPath ? entity.fullPathName : entity.name.text}}</span>\n      <ng-container *ngIf=\"multiple\">\n        <span style=\"cursor: pointer\" class=\"font-weight-bold px-2 border-left\" (click)=\"clear(entity)\">\u00D7</span>\n      </ng-container>\n    </ng-template>\n    <ng-option [value]=\"entity\" [disabled]=\"!entity.selectable\">\n      <div\n        [id]=\"getDomIdentifier('entity-' + entity.id)\"\n        [ngClass]=\"{'item-wrapper': true, 'level-0': depth === 0, 'level-1': depth === 1, 'level-2': depth === 2, 'level-3': depth === 3, 'level-4': depth === 4, 'level-5': depth === 5, 'level-6': depth === 6, 'expanded': isExpandable(entity) && isExpanded(entity), 'collapsed': isExpandable(entity) && isCollapsed(entity)}\">\n        <div class=\"expander\">\n          <div class=\"arrow\" [attr.data-entity-expander-id]=\"getDomIdentifier(entity.id)\">\n            {{isExpandable(entity) && isExpanded(entity) ? 'expanded' : (isExpandable(entity) && isCollapsed(entity) ? 'collapsed' : '')}}\n          </div>\n        </div>\n        <div class=\"item\">{{entity.name.text}}</div>\n      </div>\n    </ng-option>\n    <ng-container *ngFor=\"let child of entity.children\">\n      <ng-template\n        [ngTemplateOutlet]=\"entityOption\"\n        [ngTemplateOutletContext]=\"{$implicit: child, depth: depth + 1}\">\n      </ng-template>\n    </ng-container>\n  </ng-template>\n  <ng-container *ngFor=\"let entity of treeEntities\">\n    <ng-template\n      [ngTemplateOutlet]=\"entityOption\"\n      [ngTemplateOutletContext]=\"{$implicit: entity, depth: 0}\">\n    </ng-template>\n  </ng-container>\n</ng-select>\n", styles: [".level-0{margin-left:0}.level-1{margin-left:20px}.level-2{margin-left:40px}.level-3{margin-left:60px}.level-4{margin-left:80px}.level-5{margin-left:100px}.level-6{margin-left:120px}.item-wrapper{display:flex;flex-direction:row}.item{flex:1}.expander{text-align:center;width:20px;display:flex;justify-content:center;align-items:center}.arrow{width:0;height:0;border:5px solid transparent;visibility:hidden;font-size:0}.item-wrapper.collapsed .arrow{margin:0 0 0 3px;border-left-color:#000;visibility:visible}.item-wrapper.expanded .arrow{margin:3px 0 0;border-top-color:#000;visibility:visible}\n"], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: i3.NgSelectComponent, selector: "ng-select", inputs: ["bindLabel", "bindValue", "markFirst", "placeholder", "notFoundText", "typeToSearchText", "addTagText", "loadingText", "clearAllText", "appearance", "dropdownPosition", "appendTo", "loading", "closeOnSelect", "hideSelected", "selectOnTab", "openOnEnter", "maxSelectedItems", "groupBy", "groupValue", "bufferAmount", "virtualScroll", "selectableGroup", "selectableGroupAsModel", "searchFn", "trackByFn", "clearOnBackspace", "labelForId", "inputAttrs", "tabIndex", "readonly", "searchWhileComposing", "minTermLength", "editableSearchTerm", "keyDownFn", "typeahead", "multiple", "addTag", "searchable", "clearable", "isOpen", "items", "compareWith", "clearSearchOnAdd"], outputs: ["blur", "focus", "change", "open", "close", "search", "clear", "add", "remove", "scroll", "scrollToEnd"] }, { kind: "component", type: i3.NgOptionComponent, selector: "ng-option", inputs: ["value", "disabled"] }, { kind: "directive", type: i3.NgLabelTemplateDirective, selector: "[ng-label-tmp]" }, { kind: "directive", type: i3.NgHeaderTemplateDirective, selector: "[ng-header-tmp]" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: EntityTreeSelectComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-entity-tree-select', providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => EntityTreeSelectComponent),
                            multi: true
                        }
                    ], template: "<ng-template #wrapperControl let-template>\n  <div class=\"btn-group btn-group-sm\" role=\"group\">\n    <ng-template [ngTemplateOutlet]=\"template\"></ng-template>\n  </div>\n</ng-template>\n<ng-template #expandControl let-enabled=\"enabled\" let-click=\"click\">\n  <button [disabled]=\"!enabled\" class=\"btn btn-primary\" (click)=\"$event.preventDefault(); click()\">Expand</button>\n</ng-template>\n<ng-template #expandAllControl let-click=\"click\">\n  <button class=\"btn btn-primary\" (click)=\"click()\">Expand all</button>\n</ng-template>\n<ng-template #collapseControl let-enabled=\"enabled\" let-click=\"click\">\n  <button [disabled]=\"!enabled\" class=\"btn btn-primary\" (click)=\"click()\">Collapse</button>\n</ng-template>\n<ng-template #collapseAllControl let-click=\"click\">\n  <button class=\"btn btn-primary\" (click)=\"$event.preventDefault(); click()\">Collapse all</button>\n</ng-template>\n<ng-template #separatorControl></ng-template>\n<ng-template #showingControl let-showing=\"showing\" let-total=\"total\">\n  Showing {{showing}} of {{total}}\n</ng-template>\n\n<ng-template #controlsWrapper>\n  <ng-template [ngTemplateOutlet]=\"controls.collapse\"\n               [ngTemplateOutletContext]=\"{enabled: currentMarkedEntity && isExpandable(currentMarkedEntity) && isExpanded(currentMarkedEntity), click: collapseFn(currentMarkedEntity)}\"></ng-template>\n  <ng-template [ngTemplateOutlet]=\"controls.separator\"></ng-template>\n  <ng-template [ngTemplateOutlet]=\"controls.expand\"\n               [ngTemplateOutletContext]=\"{enabled: currentMarkedEntity && isExpandable(currentMarkedEntity) && isCollapsed(currentMarkedEntity), click: expandFn(currentMarkedEntity)}\"></ng-template>\n  <ng-template [ngTemplateOutlet]=\"controls.separator\"></ng-template>\n  <ng-template [ngTemplateOutlet]=\"controls.collapseAll\"\n               [ngTemplateOutletContext]=\"{click: collapseAllFn()}\"></ng-template>\n  <ng-template [ngTemplateOutlet]=\"controls.separator\"></ng-template>\n  <ng-template [ngTemplateOutlet]=\"controls.expandAll\"\n               [ngTemplateOutletContext]=\"{click: expandAllFn()}\"></ng-template>\n</ng-template>\n\n<ng-select\n\t#ngSelectComponent\n    [appendTo]=\"appendTo\"\n    [closeOnSelect]=\"closeOnSelect\"\n    [clearAllText]=\"labels.clearAllText\"\n    [clearable]=\"clearable\"\n    [clearOnBackspace]=\"clearOnBackspace\"\n    [compareWith]=\"compareWith\"\n    [dropdownPosition]=\"dropdownPosition\"\n    [loadingText]=\"labels.loadingText\"\n    [markFirst]=\"markFirst\"\n    [isOpen]=\"isOpen\"\n    [maxSelectedItems]=\"maxSelectedItems\"\n    [hideSelected]=\"hideSelected\"\n    [multiple]=\"multiple\"\n    [notFoundText]=\"labels.notFoundText\"\n    [searchable]=\"searchable\"\n    [readonly]=\"readonly\"\n    [searchFn]=\"searchFn\"\n    [searchWhileComposing]=\"searchWhileComposing\"\n    [selectOnTab]=\"selectOnTab\"\n    [openOnEnter]=\"openOnEnter\"\n    [typeToSearchText]=\"labels.typeToSearchText\"\n    [placeholder]=\"labels.placeholder\"\n    [virtualScroll]=\"virtualScroll\"\n    [inputAttrs]=\"inputAttrs\"\n    [loading]=\"loading\"\n    [tabIndex]=\"tabIndex\"\n    (blur)=\"hasFocus = false; blur.emit($event)\"\n    (focus)=\"hasFocus = true; focus.emit($event)\"\n    (change)=\"onChange($event)\"\n    (open)=\"onOpen($event)\"\n    (close)=\"close.emit($event)\"\n    (search)=\"onSearch($event)\"\n    (clear)=\"onClear($event)\"\n    (add)=\"add.emit($event)\"\n    (remove)=\"remove.emit($event)\"\n    (scroll)=\"scroll.emit($event)\"\n    (scrollToEnd)=\"scrollToEnd.emit($event)\"\n    [trackByFn]=\"trackByFn\"\n>\n  <ng-template #entityOption let-entity let-depth=\"depth\" let-visible=\"visible\">\n    <ng-container *ngIf=\"showControls && !!treeEntities\">\n      <ng-template ng-header-tmp>\n        <div class=\"d-flex flex-row justify-content-between align-items-center\">\n          <div>\n            <ng-template\n              [ngTemplateOutlet]=\"controls.showing\"\n              [ngTemplateOutletContext]=\"{showing: filtered, total: total}\"></ng-template>\n          </div>\n          <div>\n            <ng-template\n              [ngTemplateOutlet]=\"controls.wrapper\"\n              [ngTemplateOutletContext]=\"{$implicit: controlsWrapper}\"></ng-template>\n          </div>\n        </div>\n      </ng-template>\n    </ng-container>\n    <ng-template ng-label-tmp let-entity=\"item\" let-clear=\"clear\">\n      <span class=\"{{multiple ? 'px-2' : ''}}\">{{showFullPath ? entity.fullPathName : entity.name.text}}</span>\n      <ng-container *ngIf=\"multiple\">\n        <span style=\"cursor: pointer\" class=\"font-weight-bold px-2 border-left\" (click)=\"clear(entity)\">\u00D7</span>\n      </ng-container>\n    </ng-template>\n    <ng-option [value]=\"entity\" [disabled]=\"!entity.selectable\">\n      <div\n        [id]=\"getDomIdentifier('entity-' + entity.id)\"\n        [ngClass]=\"{'item-wrapper': true, 'level-0': depth === 0, 'level-1': depth === 1, 'level-2': depth === 2, 'level-3': depth === 3, 'level-4': depth === 4, 'level-5': depth === 5, 'level-6': depth === 6, 'expanded': isExpandable(entity) && isExpanded(entity), 'collapsed': isExpandable(entity) && isCollapsed(entity)}\">\n        <div class=\"expander\">\n          <div class=\"arrow\" [attr.data-entity-expander-id]=\"getDomIdentifier(entity.id)\">\n            {{isExpandable(entity) && isExpanded(entity) ? 'expanded' : (isExpandable(entity) && isCollapsed(entity) ? 'collapsed' : '')}}\n          </div>\n        </div>\n        <div class=\"item\">{{entity.name.text}}</div>\n      </div>\n    </ng-option>\n    <ng-container *ngFor=\"let child of entity.children\">\n      <ng-template\n        [ngTemplateOutlet]=\"entityOption\"\n        [ngTemplateOutletContext]=\"{$implicit: child, depth: depth + 1}\">\n      </ng-template>\n    </ng-container>\n  </ng-template>\n  <ng-container *ngFor=\"let entity of treeEntities\">\n    <ng-template\n      [ngTemplateOutlet]=\"entityOption\"\n      [ngTemplateOutletContext]=\"{$implicit: entity, depth: 0}\">\n    </ng-template>\n  </ng-container>\n</ng-select>\n", styles: [".level-0{margin-left:0}.level-1{margin-left:20px}.level-2{margin-left:40px}.level-3{margin-left:60px}.level-4{margin-left:80px}.level-5{margin-left:100px}.level-6{margin-left:120px}.item-wrapper{display:flex;flex-direction:row}.item{flex:1}.expander{text-align:center;width:20px;display:flex;justify-content:center;align-items:center}.arrow{width:0;height:0;border:5px solid transparent;visibility:hidden;font-size:0}.item-wrapper.collapsed .arrow{margin:0 0 0 3px;border-left-color:#000;visibility:visible}.item-wrapper.expanded .arrow{margin:3px 0 0;border-top-color:#000;visibility:visible}\n"] }]
        }], ctorParameters: () => [{ type: EntityTreeService }], propDecorators: { labels: [{
                type: Input
            }], controls: [{
                type: Input
            }], query: [{
                type: Input
            }], entities: [{
                type: Input
            }], disableEntities: [{
                type: Input
            }], selectableChildren: [{
                type: Input
            }], showUnselectableParents: [{
                type: Input
            }], showFullPath: [{
                type: Input
            }], showControls: [{
                type: Input
            }], cache: [{
                type: Input
            }], cacheStyle: [{
                type: Input
            }], cacheTimerMS: [{
                type: Input
            }], defaultExpand: [{
                type: Input
            }], appendTo: [{
                type: Input
            }], closeOnSelect: [{
                type: Input
            }], clearable: [{
                type: Input
            }], clearOnBackspace: [{
                type: Input
            }], dropdownPosition: [{
                type: Input
            }], markFirst: [{
                type: Input
            }], isOpen: [{
                type: Input
            }], maxSelectedItems: [{
                type: Input
            }], hideSelected: [{
                type: Input
            }], multiple: [{
                type: Input
            }], searchable: [{
                type: Input
            }], readonly: [{
                type: Input
            }], searchWhileComposing: [{
                type: Input
            }], selectOnTab: [{
                type: Input
            }], openOnEnter: [{
                type: Input
            }], virtualScroll: [{
                type: Input
            }], inputAttrs: [{
                type: Input
            }], tabIndex: [{
                type: Input
            }], blur: [{
                type: Output
            }], focus: [{
                type: Output
            }], change: [{
                type: Output
            }], open: [{
                type: Output
            }], close: [{
                type: Output
            }], search: [{
                type: Output
            }], clear: [{
                type: Output
            }], add: [{
                type: Output
            }], remove: [{
                type: Output
            }], scroll: [{
                type: Output
            }], scrollToEnd: [{
                type: Output
            }], ngSelectComponent: [{
                type: ViewChild,
                args: ['ngSelectComponent', { static: true }]
            }], ngSelectComponentRef: [{
                type: ViewChild,
                args: ['ngSelectComponent', { static: true, read: ElementRef }]
            }], wrapperControl: [{
                type: ViewChild,
                args: ['wrapperControl', { static: true }]
            }], expandControl: [{
                type: ViewChild,
                args: ['expandControl', { static: true }]
            }], expandAllControl: [{
                type: ViewChild,
                args: ['expandAllControl', { static: true }]
            }], collapseControl: [{
                type: ViewChild,
                args: ['collapseControl', { static: true }]
            }], collapseAllControl: [{
                type: ViewChild,
                args: ['collapseAllControl', { static: true }]
            }], separatorControl: [{
                type: ViewChild,
                args: ['separatorControl', { static: true }]
            }], showingControl: [{
                type: ViewChild,
                args: ['showingControl', { static: true }]
            }], compareWith: [{
                type: Input
            }], entityIdCallback: [{
                type: Input
            }] } });

class SelectAsyncHeaderComponent {
    constructor() {
        this.content = '';
    }
    get isString() {
        return typeof this.content === 'string';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: SelectAsyncHeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: SelectAsyncHeaderComponent, selector: "ws-select-async-header", inputs: { content: "content" }, viewQueries: [{ propertyName: "templateRef", first: true, predicate: ["templateRef"], descendants: true, static: true }], ngImport: i0, template: '<ng-template #templateRef><ng-container *ngIf="isString">{{content}}</ng-container><ng-container *ngIf="!isString"><ng-template [ngTemplateOutlet]="content"></ng-template></ng-container></ng-template>', isInline: true, dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: SelectAsyncHeaderComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'ws-select-async-header',
                    template: '<ng-template #templateRef><ng-container *ngIf="isString">{{content}}</ng-container><ng-container *ngIf="!isString"><ng-template [ngTemplateOutlet]="content"></ng-template></ng-container></ng-template>',
                }]
        }], propDecorators: { content: [{
                type: Input
            }], templateRef: [{
                type: ViewChild,
                args: ['templateRef', { static: true }]
            }] } });

const DEFAULT_DEBOUNCE_TIME = 200;
const DEFAULT_MIN_CHARACTERS = 3;
class SelectAsyncHandler {
    constructor(ngSelectComponent, changeDetectorRef, settings) {
        this.ngSelectComponent = ngSelectComponent;
        this.changeDetectorRef = changeDetectorRef;
        this.settings = settings;
    }
    initialize() {
        if (this.debounceSubscription) {
            this.debounceSubscription.unsubscribe();
        }
        let theDebounceTime = DEFAULT_DEBOUNCE_TIME;
        let subscription;
        if (typeof this.settings === 'object' && 'debounceTime' in this.settings) {
            theDebounceTime = this.settings.debounceTime;
        }
        if (typeof this.settings === 'object' && 'observer' in this.settings) {
            subscription = this.settings.observer;
        }
        else {
            subscription = this.settings;
        }
        this.debounceSubject = new Subject();
        this.debounceSubscription = this.debounceSubject.pipe(debounceTime(theDebounceTime)).subscribe(value => {
            if (typeof subscription === 'function') {
                const observable = subscription(value);
                if (observable) {
                    observable.subscribe(() => {
                        this.ngSelectComponent.loading = false;
                        this.changeDetectorRef.detectChanges();
                    });
                    this.ngSelectComponent.loading = true;
                    this.changeDetectorRef.detectChanges();
                }
            }
            else {
                subscription.next(value);
            }
        });
    }
    setupSearchListener() {
        this.ngSelectComponent.searchEvent.subscribe(value => {
            const minCharacters = (typeof this.settings === 'object' && 'minCharacters' in this.settings)
                ? this.settings.minCharacters : DEFAULT_MIN_CHARACTERS;
            if (value.term && value.term.length >= minCharacters) {
                this.hideHeader();
                if (typeof this.settings === 'object' && 'onValid' in this.settings) {
                    this.settings.onValid(true);
                }
                this.debounceSubject.next(value.term);
            }
            else {
                this.showHeader();
                if (typeof this.settings === 'object' && 'onValid' in this.settings) {
                    this.settings.onValid(false);
                }
            }
        });
    }
    showHeader() {
        if (this.template) {
            this.ngSelectComponent.headerTemplate = this.template;
            this.changeDetectorRef.detectChanges();
        }
    }
    hideHeader() {
        if (this.template) {
            this.ngSelectComponent.headerTemplate = null;
            this.changeDetectorRef.detectChanges();
        }
    }
    destroy() {
        if (this.debounceSubscription) {
            this.debounceSubscription.unsubscribe();
        }
    }
}

class SelectDirective {
    constructor(ngSelectComponent, changeDetectorRef, viewContainerRef, componentFactoryResolver) {
        this.ngSelectComponent = ngSelectComponent;
        this.changeDetectorRef = changeDetectorRef;
        this.viewContainerRef = viewContainerRef;
        this.componentFactoryResolver = componentFactoryResolver;
        this.wsChange = new EventEmitter();
    }
    ngAfterViewInit() {
        if (this.asyncHandler && !this.ngSelectComponent.headerTemplate) {
            this.viewContainerRef.clear();
            const factory = this.componentFactoryResolver.resolveComponentFactory(SelectAsyncHeaderComponent);
            const instance = this.viewContainerRef.createComponent(factory).instance;
            if (typeof this.asyncSearch === 'object' && 'message' in this.asyncSearch) {
                instance.content = this.asyncSearch.message;
            }
            else {
                const chars = (typeof this.asyncSearch === 'object' && 'minCharacters' in this.asyncSearch)
                    ? this.asyncSearch.minCharacters : DEFAULT_MIN_CHARACTERS;
                instance.content = `Type at least ${chars} characters to start searching...`;
            }
            this.asyncHandler.template = instance.templateRef;
            this.asyncHandler.showHeader();
        }
    }
    ngOnChanges(changes) {
        if (this.ngSelectComponent) {
            if (changes.items) {
                this.updateItems(changes.items.currentValue, changes.items.isFirstChange());
            }
            if (changes.asyncSearch && changes.asyncSearch.currentValue) {
                if (this.asyncHandler) {
                    this.asyncHandler.destroy();
                }
                this.asyncHandler
                    = new SelectAsyncHandler(this.ngSelectComponent, this.changeDetectorRef, changes.asyncSearch.currentValue);
                this.asyncHandler.initialize();
            }
        }
    }
    ngOnInit() {
        if (this.ngSelectComponent) {
            let labelReaderFromMainSelector;
            let valueReaderFromMainSelector;
            let groupReaderFromMainSelector;
            if (this.entryReader) {
                if (Array.isArray(this.entryReader)) {
                    const [valueReaderFromMainArray, labelReaderFromMainArray, groupReaderFromMainArray] = this.entryReader;
                    labelReaderFromMainSelector = labelReaderFromMainArray;
                    valueReaderFromMainSelector = valueReaderFromMainArray;
                    groupReaderFromMainSelector = groupReaderFromMainArray;
                }
                else {
                    const { labelReader: labelReaderFromMainObject, valueReader: valueReaderFromMainObject, groupReader: groupReaderFromMainObject } = this.entryReader;
                    labelReaderFromMainSelector = labelReaderFromMainObject;
                    valueReaderFromMainSelector = valueReaderFromMainObject;
                    groupReaderFromMainSelector = groupReaderFromMainObject;
                }
                if (!this.labelReader) {
                    this.labelReader = labelReaderFromMainSelector;
                }
                if (!this.valueReader) {
                    this.valueReader = valueReaderFromMainSelector;
                }
                if (!this.groupReader) {
                    this.groupReader = groupReaderFromMainSelector;
                }
            }
            if (!this.labelReader || !this.valueReader) {
                throw new Error('Provide both a means to read the label and the value');
            }
            if (typeof this.labelReader === 'string') {
                this.labelReader = this.labelReader.split('.');
            }
            if (typeof this.valueReader === 'string') {
                this.valueReader = this.valueReader.split('.');
            }
            this.ngSelectComponent.bindLabel = 'label';
            this.ngSelectComponent.bindValue = 'value';
            if (this.groupReader) {
                this.ngSelectComponent.groupBy = 'group';
            }
            if (this.wsChange) {
                const currentChangeEvent = this.ngSelectComponent.changeEvent;
                const newEventEmitter = new EventEmitter();
                newEventEmitter.subscribe(original => {
                    if (original) {
                        this.wsChange.emit({
                            item: this.originalItems.find(i => this.readObjectValue(i) === original.value),
                            original,
                            value: original.value
                        });
                    }
                    else {
                        this.wsChange.emit(null);
                    }
                });
                if (currentChangeEvent) {
                    const overrideEventEmitter = new EventEmitter();
                    overrideEventEmitter.subscribe(obj => {
                        currentChangeEvent.emit(obj);
                        newEventEmitter.emit(obj);
                    });
                    this.ngSelectComponent.changeEvent = overrideEventEmitter;
                }
                else {
                    this.ngSelectComponent.changeEvent = newEventEmitter;
                }
            }
            if (this.asyncHandler) {
                this.asyncHandler.setupSearchListener();
            }
            this.updateItems(this.items);
        }
    }
    ngOnDestroy() {
        if (this.asyncHandler) {
            this.asyncHandler.destroy();
        }
    }
    updateItems(items, firstChange = false) {
        if (items) {
            this.originalItems = [...items];
            this.ngSelectComponent.items = items.map(obj => ({
                label: this.readObjectLabel(obj),
                value: this.readObjectValue(obj),
                group: this.groupReader ? this.readObjectGroup(obj) : undefined
            }));
            this.ngSelectComponent.ngOnChanges({ items: new SimpleChange(null, this.ngSelectComponent.items, firstChange) });
        }
    }
    readObjectLabel(obj) {
        let label;
        if (Array.isArray(this.labelReader)) {
            if (this.labelReader.length === 1) {
                label = obj[this.labelReader[0]];
            }
            else {
                label = obj;
                for (const entry of this.labelReader) {
                    label = label[entry];
                    if (label === undefined) {
                        break;
                    }
                }
            }
        }
        else if (typeof this.labelReader === 'function') {
            label = this.labelReader(obj);
        }
        return label;
    }
    readObjectValue(obj) {
        let value;
        if (Array.isArray(this.valueReader)) {
            if (this.valueReader.length === 1) {
                value = obj[this.valueReader[0]];
            }
            else {
                value = obj;
                for (const entry of this.valueReader) {
                    value = value[entry];
                    if (value === undefined) {
                        break;
                    }
                }
            }
        }
        else if (typeof this.valueReader === 'function') {
            value = this.valueReader(obj);
        }
        return value;
    }
    readObjectGroup(obj) {
        let group;
        if (Array.isArray(this.groupReader)) {
            if (this.groupReader.length === 1) {
                group = obj[this.groupReader[0]];
            }
            else {
                group = obj;
                for (const entry of this.groupReader) {
                    group = group[entry];
                    if (group === undefined) {
                        break;
                    }
                }
            }
        }
        else if (typeof this.groupReader === 'function') {
            group = this.groupReader(obj);
        }
        return group;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: SelectDirective, deps: [{ token: i3.NgSelectComponent, host: true, optional: true, self: true }, { token: i0.ChangeDetectorRef }, { token: i0.ViewContainerRef }, { token: i0.ComponentFactoryResolver }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.12", type: SelectDirective, selector: "[wsSelect]", inputs: { entryReader: ["wsSelect", "entryReader"], items: "items", labelReader: "labelReader", valueReader: "valueReader", groupReader: "groupReader", asyncSearch: "asyncSearch" }, outputs: { wsChange: "wsChange" }, usesOnChanges: true, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: SelectDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[wsSelect]'
                }]
        }], ctorParameters: () => [{ type: i3.NgSelectComponent, decorators: [{
                    type: Host
                }, {
                    type: Optional
                }, {
                    type: Self
                }] }, { type: i0.ChangeDetectorRef }, { type: i0.ViewContainerRef }, { type: i0.ComponentFactoryResolver }], propDecorators: { entryReader: [{
                type: Input,
                args: ['wsSelect']
            }], items: [{
                type: Input
            }], wsChange: [{
                type: Output
            }], labelReader: [{
                type: Input
            }], valueReader: [{
                type: Input
            }], groupReader: [{
                type: Input
            }], asyncSearch: [{
                type: Input
            }] } });

class UserRoleUtil {
    static userHasRoles(user, appId, ...roles) {
        const userRoles = user && user.roles
            ? user.roles
                .filter((role) => role.role_application.application_code === appId)
                .map((role) => role.name)
            : [];
        return roles.some((r1) => userRoles.some((r2) => r1 === r2));
    }
    static userHasRolesOfEntity(user, appId, entityId, ...roles) {
        const userRoles = user && user.roles
            ? user.roles
                .filter((role) => role.role_application.application_code === appId)
                .filter((role) => !role.apply_per_entity ||
                (role.ws_entity && role.ws_entity.id === entityId) ||
                (role.ws_entity_ids && role.ws_entity_ids.includes(entityId)))
                .map((role) => role.name)
            : [];
        return roles.some((r1) => userRoles.some((r2) => r1 === r2));
    }
    static userHasAllRoles(user, appId, ...roles) {
        const userRoles = user && user.roles
            ? user.roles
                .filter((role) => role.role_application.application_code === appId)
                .map((role) => role.name)
            : [];
        return roles.every((r1) => userRoles.some((r2) => r1 === r2));
    }
    static userHasAllRolesOfEntity(user, appId, entityId, ...roles) {
        const userRoles = user && user.roles
            ? user.roles
                .filter((role) => role.role_application.application_code === appId)
                .filter((role) => !role.apply_per_entity ||
                (role.ws_entity && role.ws_entity.id === entityId) ||
                (role.ws_entity_ids && role.ws_entity_ids.includes(entityId)))
                .map((role) => role.name)
            : [];
        return roles.every((r1) => userRoles.some((r2) => r1 === r2));
    }
    static userHasRolesOfAnyApp(user, ...roles) {
        const userRoles = user && user.roles ? user.roles.map((role) => role.name) : [];
        return roles.some((r1) => userRoles.some((r2) => r1 === r2));
    }
    static userHasRolesOfEntityOfAnyApp(user, entityId, ...roles) {
        const userRoles = user && user.roles
            ? user.roles
                .filter((role) => !role.apply_per_entity ||
                (role.ws_entity && role.ws_entity.id === entityId) ||
                (role.ws_entity_ids && role.ws_entity_ids.includes(entityId)))
                .map((role) => role.name)
            : [];
        return roles.some((r1) => userRoles.some((r2) => r1 === r2));
    }
    static userHasAllRolesOfAnyApp(user, ...roles) {
        const userRoles = user && user.roles ? user.roles.map((role) => role.name) : [];
        return roles.every((r1) => userRoles.some((r2) => r1 === r2));
    }
    static userHasAllRolesOfEntityOfAnyApp(user, entityId, ...roles) {
        const userRoles = user && user.roles
            ? user.roles
                .filter((role) => !role.apply_per_entity ||
                (role.ws_entity && role.ws_entity.id === entityId) ||
                (role.ws_entity_ids && role.ws_entity_ids.includes(entityId)))
                .map((role) => role.name)
            : [];
        return roles.every((r1) => userRoles.some((r2) => r1 === r2));
    }
}

const RETURN_URL_KEY = 'returnUrl';
const USER_CURRENT_KEY = 'user.current';

class HttpUtil {
    /*
     * Convert any class to an HTTP Params object
    */
    static objectToParams(obj) {
        let params = new HttpParams();
        Object.getOwnPropertyNames(obj).forEach((propName, propIndex) => {
            const prop = obj[propName];
            if (ArrayUtil.isArray(prop)) {
                prop.filter(item => !GenericUtil.isNullOrUndefined(item)).forEach((item, valueIndex) => {
                    if (valueIndex === 0) {
                        params = params.set(propName, item);
                    }
                    else {
                        params = params.append(propName, item);
                    }
                });
            }
            else if (!GenericUtil.isNullOrUndefined(prop)) {
                params = params.set(propName, prop);
            }
        });
        return params;
    }
    /*
    * Determine if the current user is actually logged out from an http error
    *
    * @param err - The Http Error Response
    * @param notLoggedInCode - application specific WSI code that identifies as not logged in
    * @returns true if the user is not logged in. false if the user is logged in
    */
    static isNotLoggedIn(err, notLoggedInCode) {
        if (err.error) {
            const apiError = err.error;
            if (apiError.code === notLoggedInCode) {
                return true;
            }
        }
        return false;
    }
    /*
    * Determine if the current user token is stale
    *
    * @param err - The Http Error Response
    * @param authorizationMissingCode - the WSI code that identifies as authorization missing. usually 100-100
    * @returns true if the user token is stale. false if the user token is valid
    */
    static hasStaleToken(err, authorizationMissingCode = '100-100') {
        if (err.error) {
            const apiError = err.error;
            if (apiError.code === authorizationMissingCode) {
                return true;
            }
        }
        if (err.error) {
            const matches = JSON.stringify(err.error).match('Authorization token is invalid');
            return GenericUtil.isNullOrUndefined(matches) ? false : matches.length > 0;
        }
        return false;
    }
}

class AuthService {
    constructor(wsi, http) {
        this.wsi = wsi;
        this.http = http;
        this.wsi.serviceConfigSubject.subscribe(next => {
            this.appCode = next.appCode;
            this.endpoint = next.apiEndpoint + '/auth';
        });
    }
    getLoggedInUser(showCollapsedChildRoles = false) {
        let params = new HttpParams();
        params = params.set('show_child_roles', 'false');
        params = params.set('show_collapsed_child_roles', String(showCollapsedChildRoles));
        if (!GenericUtil.isNullOrUndefined(this.appCode)) {
            this.appCode.forEach(code => {
                if (params.has('app_code')) {
                    params = params.append('app_code', String(code));
                }
                else {
                    params = params.set('app_code', String(code));
                }
            });
        }
        const url = `${this.endpoint}/users/loggedIn`;
        return this.http.get(url, { params }).pipe(share());
    }
    logout() {
        const authUrl = `${this.endpoint}/sessions/logout`;
        return this.http.post(authUrl, {});
    }
    ping() {
        const url = `${this.endpoint}/ping`;
        return this.http.get(url, {});
    }
    /*
      User
    */
    listUsers(filter) {
        const params = HttpUtil.objectToParams(filter);
        const url = `${this.endpoint}/users`;
        return this.http.get(url, { params });
    }
    getUser(id) {
        const url = `${this.endpoint}/users/${id}`;
        return this.http.get(url);
    }
    getUserByPerson(id) {
        const url = `${this.endpoint}/users/person/${id}`;
        return this.http.get(url);
    }
    /*
      User Roles
    */
    addRole(userId, roleId) {
        const url = `${this.endpoint}/users/${userId}/roles`;
        const data = { role_id: roleId };
        return this.http.post(url, data);
    }
    addRoleWithEntity(userId, roleId, entityId) {
        const url = `${this.endpoint}/users/${userId}/roles`;
        const data = { role_id: roleId, ws_entity_id: entityId };
        return this.http.post(url, data);
    }
    deleteRole(userId, roleId) {
        const url = `${this.endpoint}/users/${userId}/roles/${roleId}`;
        return this.http.delete(url);
    }
    deleteRoleWithEntity(userId, roleId, entityId) {
        const url = `${this.endpoint}/users/${userId}/roles/${roleId}?ws_entity_id=${entityId}`;
        return this.http.delete(url);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AuthService, deps: [{ token: WorldskillsAngularLibService }, { token: i2$3.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AuthService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AuthService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: WorldskillsAngularLibService }, { type: i2$3.HttpClient }] });

// TODO: This class can be cleanup up and optimized
// TODO: Generate auth state
class NgAuthService {
    constructor(wsi, oAuthService, authService) {
        this.wsi = wsi;
        this.oAuthService = oAuthService;
        this.authService = authService;
        this.currentUser = new BehaviorSubject(null);
        combineLatest([
            this.wsi.authConfigSubject,
            this.wsi.serviceConfigSubject
        ])
            .subscribe(([next]) => {
            this.oAuthService.configure(next);
            const user = JSON.parse(sessionStorage.getItem(USER_CURRENT_KEY));
            this.currentUser.next(user);
            this.oAuthService.setStorage(sessionStorage);
            this.oAuthService.tryLogin();
        });
    }
    keepAlive() {
        const observable = this.authService.ping().pipe(share());
        observable.subscribe(error => {
            console.log(error);
            this.logout();
        });
        return observable;
    }
    isLoggedIn() {
        return this.oAuthService.hasValidAccessToken();
    }
    getLoggedInUser(showChildRoles = false) {
        const observable = this.authService.getLoggedInUser(showChildRoles).pipe(share());
        observable.subscribe(next => {
            if (next != null) {
                sessionStorage.setItem(USER_CURRENT_KEY, JSON.stringify(next));
                this.currentUser.next(next);
            }
        }, () => {
            this.currentUser.next(null);
        });
        return observable;
    }
    login() {
        this.oAuthService.initImplicitFlow();
    }
    logout() {
        const observable = this.authService.logout().pipe(share());
        observable.subscribe(() => this.clearSession(), () => this.clearSession(), () => { });
        return observable;
    }
    clearSession() {
        sessionStorage.removeItem('nonce');
        sessionStorage.removeItem(USER_CURRENT_KEY);
        sessionStorage.removeItem('access_token_stored_at');
        sessionStorage.removeItem('access_token');
        sessionStorage.removeItem('token');
        this.oAuthService.logOut();
        this.currentUser.next(null);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: NgAuthService, deps: [{ token: WorldskillsAngularLibService }, { token: i2$4.OAuthService }, { token: AuthService }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: NgAuthService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: NgAuthService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: WorldskillsAngularLibService }, { type: i2$4.OAuthService }, { type: AuthService }] });

class UserRoleDirective {
    constructor(templateRef, viewContainerRef, ngAuthService) {
        this.templateRef = templateRef;
        this.viewContainerRef = viewContainerRef;
        this.ngAuthService = ngAuthService;
        this.wsUserRole = [];
        this.wsUserRoleUser = true;
        this.wsUserRoleAll = false;
        this.wsUserRoleNegate = false;
    }
    ngOnInit() {
        if (this.wsUserRoleUser === true) {
            this.ngAuthService.currentUser.subscribe(user => this.renderIfValid(user));
        }
        else {
            this.renderIfValid(this.wsUserRoleUser);
        }
    }
    renderIfValid(user) {
        let valid = true;
        const roles = typeof this.wsUserRole === 'string' ? [this.wsUserRole] : this.wsUserRole;
        const all = this.wsUserRoleAll;
        const entityId = typeof this.wsUserRoleEntity === 'object' ? this.wsUserRoleEntity.id : this.wsUserRoleEntity;
        const appId = this.wsUserRoleAppId;
        if (user) {
            if (appId) {
                if (all) {
                    if (entityId) {
                        valid = UserRoleUtil.userHasAllRolesOfEntity(user, appId, entityId, ...roles);
                    }
                    else {
                        valid = UserRoleUtil.userHasAllRoles(user, appId, ...roles);
                    }
                }
                else {
                    if (entityId) {
                        valid = UserRoleUtil.userHasRolesOfEntity(user, appId, entityId, ...roles);
                    }
                    else {
                        valid = UserRoleUtil.userHasRoles(user, appId, ...roles);
                    }
                }
            }
            else {
                if (all) {
                    if (entityId) {
                        valid = UserRoleUtil.userHasAllRolesOfEntityOfAnyApp(user, entityId, ...roles);
                    }
                    else {
                        valid = UserRoleUtil.userHasAllRolesOfAnyApp(user, ...roles);
                    }
                }
                else {
                    if (entityId) {
                        valid = UserRoleUtil.userHasRolesOfEntityOfAnyApp(user, entityId, ...roles);
                    }
                    else {
                        valid = UserRoleUtil.userHasRolesOfAnyApp(user, ...roles);
                    }
                }
            }
        }
        else {
            valid = false;
        }
        if (this.wsUserRoleNegate) {
            valid = !valid;
        }
        if (valid) {
            this.viewContainerRef.clear();
            this.viewContainerRef.createEmbeddedView(this.templateRef);
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: UserRoleDirective, deps: [{ token: i0.TemplateRef }, { token: i0.ViewContainerRef }, { token: NgAuthService }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.12", type: UserRoleDirective, selector: "[wsUserRole]", inputs: { wsUserRole: "wsUserRole", wsUserRoleUser: "wsUserRoleUser", wsUserRoleAll: "wsUserRoleAll", wsUserRoleEntity: "wsUserRoleEntity", wsUserRoleAppId: "wsUserRoleAppId", wsUserRoleNegate: "wsUserRoleNegate" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: UserRoleDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[wsUserRole]',
                }]
        }], ctorParameters: () => [{ type: i0.TemplateRef }, { type: i0.ViewContainerRef }, { type: NgAuthService }], propDecorators: { wsUserRole: [{
                type: Input
            }], wsUserRoleUser: [{
                type: Input
            }], wsUserRoleAll: [{
                type: Input
            }], wsUserRoleEntity: [{
                type: Input
            }], wsUserRoleAppId: [{
                type: Input
            }], wsUserRoleNegate: [{
                type: Input
            }] } });

class AuthHeaderComponent {
    constructor(router, ngAuthService) {
        this.router = router;
        this.ngAuthService = ngAuthService;
        this.appName = 'Application';
        this.menuItems = [];
        // tslint:disable-next-line:no-output-on-prefix
        this.onLogin = new EventEmitter();
        // tslint:disable-next-line:no-output-on-prefix
        this.onLogout = new EventEmitter();
        this.autoLoginOnLogout = false;
    }
    ngOnInit() {
        this.ngAuthService.currentUser.subscribe(user => (this.currentUser = user));
    }
    isRouteActive(route) {
        return route === this.router.url;
    }
    login() {
        this.ngAuthService.login();
        if (this.onLogin) {
            this.onLogin.emit();
        }
    }
    logout() {
        this.ngAuthService.logout().subscribe(() => {
            if (this.onLogout) {
                this.onLogout.emit();
            }
            if (this.autoLoginOnLogout) {
                this.login();
            }
        });
    }
    get userRoles() {
        return this.currentUser && this.currentUser.roles ? this.currentUser.roles.map(item => item.name) : [];
    }
    get initials() {
        let s = '';
        if (this.currentUser) {
            if (this.currentUser.first_name) {
                s = this.currentUser.first_name.substr(0, 1);
            }
            if (this.currentUser.last_name) {
                s += this.currentUser.last_name.substr(0, 1);
            }
        }
        return s.toUpperCase();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AuthHeaderComponent, deps: [{ token: i2$1.Router }, { token: NgAuthService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: AuthHeaderComponent, selector: "ws-auth-header", inputs: { appName: "appName", menuItems: "menuItems", appNameTemplate: "appNameTemplate", menuTemplate: "menuTemplate", autoLoginOnLogout: "autoLoginOnLogout" }, outputs: { onLogin: "onLogin", onLogout: "onLogout" }, ngImport: i0, template: "<ng-template #appNameDefaultTemplate>\n    <a class=\"navbar-brand\" href=\"#\">\n        <ws-wordmark></ws-wordmark>\n        <span class=\"ml-1 text-white\">{{ appName }}</span>\n    </a>\n</ng-template>\n<ng-template #menuDefaultTemplate>\n    <button class=\"navbar-toggler collapsed\" type=\"button\" data-toggle=\"collapse\" data-target=\"#navbarSupportedContent\"\n        aria-controls=\"navbarSupportedContent\" aria-expanded=\"false\" aria-label=\"Toggle navigation\">\n        Menu\n    </button>\n    <div class=\"collapse navbar-collapse\" id=\"navbarSupportedContent\">\n        <ul class=\"navbar-nav ml-auto\">\n            <li class=\"nav-item {{ isRouteActive(item.url) ? 'active' : '' }}\"\n                *ngFor=\"let item of menuItems | wsMenuAccessFilter : !!currentUser : userRoles\">\n                <a class=\"nav-link\" [routerLink]=\"item.params ? [item.url, item.params] : [item.url]\">\n                    {{ item.label }}\n                </a>\n            </li>\n        </ul>\n        <div class=\"dropdown ml-2\" *ngIf=\"currentUser\">\n            <button class=\"btn btn-white rounded-pill\" type=\"button\" data-toggle=\"dropdown\">\n                {{ initials }}\n            </button>\n            <div class=\"dropdown-menu dropdown-menu-right\">\n                <a class=\"dropdown-item disabled\" href=\"#\" tabindex=\"-1\">{{ currentUser.first_name }}\n                    {{ currentUser.last_name }}</a>\n                <div class=\"dropdown-divider\"></div>\n                <a class=\"dropdown-item\" href=\"#\" (click)=\"$event.preventDefault(); logout()\">{{ 'auth.logout' | wsTranslate | async }}</a>\n            </div>\n        </div>\n        <a class=\"btn btn-light btn-sm ml-2 wsi-login\" (click)=\"$event.preventDefault(); login()\"\n            *ngIf=\"!currentUser\">{{ 'auth.login' | wsTranslate | async }}</a>\n    </div>\n</ng-template>\n<nav class=\"navbar navbar-expand-md ws-navbar-main ws-navbar-stripe wsmember-navbar-main wsmember-bg-pink\">\n    <div class=\"container\">\n        <ng-container *ngTemplateOutlet=\"appNameTemplate ? appNameTemplate : appNameDefaultTemplate\"></ng-container>\n        <ng-container *ngTemplateOutlet=\"menuTemplate ? menuTemplate : menuDefaultTemplate\"></ng-container>\n    </div>\n</nav>", styles: [""], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i2$1.RouterLink, selector: "[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "info", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "component", type: WordmarkComponent, selector: "ws-wordmark" }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }, { kind: "pipe", type: MenuAccessPipe, name: "wsMenuAccessFilter" }, { kind: "pipe", type: WSTranslate, name: "wsTranslate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AuthHeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-auth-header', template: "<ng-template #appNameDefaultTemplate>\n    <a class=\"navbar-brand\" href=\"#\">\n        <ws-wordmark></ws-wordmark>\n        <span class=\"ml-1 text-white\">{{ appName }}</span>\n    </a>\n</ng-template>\n<ng-template #menuDefaultTemplate>\n    <button class=\"navbar-toggler collapsed\" type=\"button\" data-toggle=\"collapse\" data-target=\"#navbarSupportedContent\"\n        aria-controls=\"navbarSupportedContent\" aria-expanded=\"false\" aria-label=\"Toggle navigation\">\n        Menu\n    </button>\n    <div class=\"collapse navbar-collapse\" id=\"navbarSupportedContent\">\n        <ul class=\"navbar-nav ml-auto\">\n            <li class=\"nav-item {{ isRouteActive(item.url) ? 'active' : '' }}\"\n                *ngFor=\"let item of menuItems | wsMenuAccessFilter : !!currentUser : userRoles\">\n                <a class=\"nav-link\" [routerLink]=\"item.params ? [item.url, item.params] : [item.url]\">\n                    {{ item.label }}\n                </a>\n            </li>\n        </ul>\n        <div class=\"dropdown ml-2\" *ngIf=\"currentUser\">\n            <button class=\"btn btn-white rounded-pill\" type=\"button\" data-toggle=\"dropdown\">\n                {{ initials }}\n            </button>\n            <div class=\"dropdown-menu dropdown-menu-right\">\n                <a class=\"dropdown-item disabled\" href=\"#\" tabindex=\"-1\">{{ currentUser.first_name }}\n                    {{ currentUser.last_name }}</a>\n                <div class=\"dropdown-divider\"></div>\n                <a class=\"dropdown-item\" href=\"#\" (click)=\"$event.preventDefault(); logout()\">{{ 'auth.logout' | wsTranslate | async }}</a>\n            </div>\n        </div>\n        <a class=\"btn btn-light btn-sm ml-2 wsi-login\" (click)=\"$event.preventDefault(); login()\"\n            *ngIf=\"!currentUser\">{{ 'auth.login' | wsTranslate | async }}</a>\n    </div>\n</ng-template>\n<nav class=\"navbar navbar-expand-md ws-navbar-main ws-navbar-stripe wsmember-navbar-main wsmember-bg-pink\">\n    <div class=\"container\">\n        <ng-container *ngTemplateOutlet=\"appNameTemplate ? appNameTemplate : appNameDefaultTemplate\"></ng-container>\n        <ng-container *ngTemplateOutlet=\"menuTemplate ? menuTemplate : menuDefaultTemplate\"></ng-container>\n    </div>\n</nav>" }]
        }], ctorParameters: () => [{ type: i2$1.Router }, { type: NgAuthService }], propDecorators: { appName: [{
                type: Input
            }], menuItems: [{
                type: Input
            }], onLogin: [{
                type: Output
            }], onLogout: [{
                type: Output
            }], appNameTemplate: [{
                type: Input
            }], menuTemplate: [{
                type: Input
            }], autoLoginOnLogout: [{
                type: Input
            }] } });

class AuthFooterComponent {
    constructor(ngAuthService, wsi, translator) {
        this.ngAuthService = ngAuthService;
        this.wsi = wsi;
        this.translator = translator;
        // tslint:disable-next-line:no-output-on-prefix
        this.onLogin = new EventEmitter();
        // tslint:disable-next-line:no-output-on-prefix
        this.onLogout = new EventEmitter();
        this.loginLabel = 'Log in';
        this.logoutLabel = 'Log out';
        this.languageChange = new EventEmitter();
        this.autoLoginOnLogout = false;
    }
    ngOnInit() {
        this.date = new Date();
        this.ngAuthService.currentUser.subscribe(user => (this.currentUser = user));
        this.wsi.appConfigSubject.subscribe(appConfig => {
            this.supportEmail = appConfig.supportEmailAddress;
        });
        this.languages = LangUtil.getDefaultLanguages();
        this.selectedLanguage = this.translator.getSelectedLanguage();
    }
    login() {
        this.ngAuthService.login();
        if (this.onLogin) {
            this.onLogin.emit();
        }
    }
    logout() {
        this.ngAuthService.logout().subscribe(() => {
            if (this.onLogout) {
                this.onLogout.emit();
            }
            if (this.autoLoginOnLogout) {
                this.login();
            }
        });
    }
    changeLanguage(model) {
        this.selectedLanguage = model;
        this.translator.init(model.code);
    }
    isLanguageSelected(model) {
        if (GenericUtil.isNullOrUndefined(this.selectedLanguage)) {
            return model.code === LangUtil.getDefaultLanguage().code;
        }
        return model.code === this.selectedLanguage.code;
    }
    languagePrompt() {
        alert(MISSING_LANGUAGE_MESSAGE(this.supportEmail || this.wsi.defaultSupportEmailAddress));
    }
    // get list of languages - backward compatible for apps that still want to define their own language
    getLanguages() {
        if (GenericUtil.isNullOrUndefined(this.languages) || this.languages.length === 0) {
            return LangUtil.getDefaultLanguages();
        }
        return this.languages;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AuthFooterComponent, deps: [{ token: NgAuthService }, { token: WorldskillsAngularLibService }, { token: WsiTranslateService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: AuthFooterComponent, selector: "ws-auth-footer", inputs: { col1Template: "col1Template", col2Template: "col2Template", col3Template: "col3Template", col4Template: "col4Template", col5Template: "col5Template", col6Template: "col6Template", loginLabel: "loginLabel", logoutLabel: "logoutLabel", autoLoginOnLogout: "autoLoginOnLogout" }, outputs: { onLogin: "onLogin", onLogout: "onLogout", languageChange: "languageChange" }, viewQueries: [{ propertyName: "col1DefaultTemplate", first: true, predicate: ["#col1DefaultTemplate"], descendants: true }, { propertyName: "col6DefaultTemplate", first: true, predicate: ["#col6DefaultTemplate"], descendants: true }, { propertyName: "colDefaultTemplate", first: true, predicate: ["#colDefaultTemplate"], descendants: true }], ngImport: i0, template: "<ng-template #col1DefaultTemplate>\n    <h1><a href=\"https://worldskills.org/internal/\" target=\"_blank\">{{ 'footer.links.my.worldskills' | wsTranslate | async }}</a>\n    </h1>\n    <ul>\n        <li><a href=\"https://glossary.worldskills.org/\" target=\"_blank\">{{ 'footer.links.glossary' | wsTranslate | async }}</a>\n        </li>\n        <li><a href=\"https://registrations.worldskills.org/\"\n                target=\"_blank\">{{ 'footer.links.registrations' | wsTranslate | async }}</a></li>\n        <li><a href=\"https://forums.worldskills.org/\" target=\"_blank\">{{ 'footer.links.forums' | wsTranslate | async }}</a></li>\n        <li><a href=\"https://il.worldskills.org/\"\n                target=\"_blank\">{{ 'footer.links.infrastructure.lists' | wsTranslate | async }}</a></li>\n        <li><a href=\"https://skill-management.worldskills.org/\"\n                target=\"_blank\">{{ 'footer.links.skill.management' | wsTranslate | async }}</a></li>\n    </ul>\n</ng-template>\n<ng-template #col6DefaultTemplate>\n    <div class=\"text-right mt-5\">\n        <a href=\"https://worldskills.org/\" target=\"_blank\">\n            <ws-logo mode=\"default\"></ws-logo>\n        </a>\n    </div>\n</ng-template>\n\n<ng-template #colDefaultTemplate>\n</ng-template>\n\n<footer class=\"ws-page-footer\">\n    <div class=\"container\">\n        <div class=\"ws-page-footer-row\">\n            <aside class=\"ws-page-footer-col-sm\">\n                <ng-container *ngTemplateOutlet=\"col1Template ? col1Template : col1DefaultTemplate\"></ng-container>\n            </aside>\n            <aside class=\"ws-page-footer-col-sm\">\n                <ng-container *ngTemplateOutlet=\"col2Template ? col2Template : colDefaultTemplate\"></ng-container>\n            </aside>\n            <aside class=\"ws-page-footer-col-sm\">\n                <ng-container *ngTemplateOutlet=\"col3Template? col3Template : colDefaultTemplate\"></ng-container>\n            </aside>\n            <aside class=\"ws-page-footer-col-sm\">\n                <ng-container *ngTemplateOutlet=\"col4Template? col4Template : colDefaultTemplate\"></ng-container>\n            </aside>\n            <aside class=\"ws-page-footer-col-sm\">\n                <ng-container *ngTemplateOutlet=\"col5Template? col5Template : colDefaultTemplate\"></ng-container>\n            </aside>\n            <aside class=\"ws-page-footer-col-sm\">\n                <ng-container *ngTemplateOutlet=\"col6Template? col6Template : col6DefaultTemplate\"></ng-container>\n            </aside>\n        </div>\n        <div class=\"ws-page-footer-row pb-3\">\n            <div class=\"ws-page-footer-col-lg\">\n                <ul class=\"list-inline mt-2\">\n                    <li class=\"list-inline-item\">\u00A9 {{date | date:'yyyy'}} {{ 'footer.copyright.wsi' | wsTranslate | async }}</li>\n                    <li class=\"list-inline-item\"><a href=\"https://worldskills.org/site/privacy/\"\n                            target=\"_blank\">{{ 'footer.copyright.privacy' | wsTranslate | async }}</a></li>\n                    <li class=\"list-inline-item\"><a href=\"https://worldskills.org/site/terms/\"\n                            target=\"_blank\">{{ 'footer.copyright.terms' | wsTranslate | async }}</a>\n                    </li>\n                    <li class=\"list-inline-item\"><a href=\"https://worldskills.org/site/contact/\"\n                            target=\"_blank\">{{ 'footer.copyright.contact' | wsTranslate | async }}</a></li>\n                    <li *ngIf=\"!currentUser\" class=\"list-inline-item\">\n                        <a href=\"#\" (click)=\"$event.preventDefault(); login()\">{{ 'auth.login' | wsTranslate | async }}</a>\n                    </li>\n                    <li *ngIf=\"!!currentUser\" class=\"list-inline-item\">\n                        <a href=\"#\" (click)=\"$event.preventDefault(); logout()\">{{'auth.logout' | wsTranslate | async}}</a>\n                    </li>\n                </ul>\n            </div>\n            <div class=\"ws-page-footer-col-lg\">\n                <div class=\"btn-toolbar justify-content-end\" *ngIf=\"getLanguages()\">\n                    <div class=\"btn-group btn-group-sm dropup\">\n                        <button type=\"button\" class=\"btn btn-outline-light dropdown-toggle\" data-toggle=\"dropdown\"\n                            aria-haspopup=\"true\" aria-expanded=\"false\">\n                            {{ 'footer.translation.language' | wsTranslate | async }}\n                        </button>\n                        <div class=\"dropdown-menu dropdown-menu-right\">\n                            <a *ngFor=\"let language of getLanguages()\"\n                                (click)=\"$event.preventDefault(); changeLanguage(language);\"\n                                [class.active]=\"isLanguageSelected(language)\" class=\"dropdown-item\" href=\"#\">\n                                {{ language.name }}\n                            </a>\n                            <div class=\"dropdown-divider\"></div>\n                            <a (click)=\"$event.preventDefault(); languagePrompt();\" class=\"dropdown-item\" href=\"#\">\n                                {{ 'footer.translation.missing' | wsTranslate | async }}\n                            </a>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</footer>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: LogoComponent, selector: "ws-logo" }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }, { kind: "pipe", type: i2.DatePipe, name: "date" }, { kind: "pipe", type: WSTranslate, name: "wsTranslate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AuthFooterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-auth-footer', template: "<ng-template #col1DefaultTemplate>\n    <h1><a href=\"https://worldskills.org/internal/\" target=\"_blank\">{{ 'footer.links.my.worldskills' | wsTranslate | async }}</a>\n    </h1>\n    <ul>\n        <li><a href=\"https://glossary.worldskills.org/\" target=\"_blank\">{{ 'footer.links.glossary' | wsTranslate | async }}</a>\n        </li>\n        <li><a href=\"https://registrations.worldskills.org/\"\n                target=\"_blank\">{{ 'footer.links.registrations' | wsTranslate | async }}</a></li>\n        <li><a href=\"https://forums.worldskills.org/\" target=\"_blank\">{{ 'footer.links.forums' | wsTranslate | async }}</a></li>\n        <li><a href=\"https://il.worldskills.org/\"\n                target=\"_blank\">{{ 'footer.links.infrastructure.lists' | wsTranslate | async }}</a></li>\n        <li><a href=\"https://skill-management.worldskills.org/\"\n                target=\"_blank\">{{ 'footer.links.skill.management' | wsTranslate | async }}</a></li>\n    </ul>\n</ng-template>\n<ng-template #col6DefaultTemplate>\n    <div class=\"text-right mt-5\">\n        <a href=\"https://worldskills.org/\" target=\"_blank\">\n            <ws-logo mode=\"default\"></ws-logo>\n        </a>\n    </div>\n</ng-template>\n\n<ng-template #colDefaultTemplate>\n</ng-template>\n\n<footer class=\"ws-page-footer\">\n    <div class=\"container\">\n        <div class=\"ws-page-footer-row\">\n            <aside class=\"ws-page-footer-col-sm\">\n                <ng-container *ngTemplateOutlet=\"col1Template ? col1Template : col1DefaultTemplate\"></ng-container>\n            </aside>\n            <aside class=\"ws-page-footer-col-sm\">\n                <ng-container *ngTemplateOutlet=\"col2Template ? col2Template : colDefaultTemplate\"></ng-container>\n            </aside>\n            <aside class=\"ws-page-footer-col-sm\">\n                <ng-container *ngTemplateOutlet=\"col3Template? col3Template : colDefaultTemplate\"></ng-container>\n            </aside>\n            <aside class=\"ws-page-footer-col-sm\">\n                <ng-container *ngTemplateOutlet=\"col4Template? col4Template : colDefaultTemplate\"></ng-container>\n            </aside>\n            <aside class=\"ws-page-footer-col-sm\">\n                <ng-container *ngTemplateOutlet=\"col5Template? col5Template : colDefaultTemplate\"></ng-container>\n            </aside>\n            <aside class=\"ws-page-footer-col-sm\">\n                <ng-container *ngTemplateOutlet=\"col6Template? col6Template : col6DefaultTemplate\"></ng-container>\n            </aside>\n        </div>\n        <div class=\"ws-page-footer-row pb-3\">\n            <div class=\"ws-page-footer-col-lg\">\n                <ul class=\"list-inline mt-2\">\n                    <li class=\"list-inline-item\">\u00A9 {{date | date:'yyyy'}} {{ 'footer.copyright.wsi' | wsTranslate | async }}</li>\n                    <li class=\"list-inline-item\"><a href=\"https://worldskills.org/site/privacy/\"\n                            target=\"_blank\">{{ 'footer.copyright.privacy' | wsTranslate | async }}</a></li>\n                    <li class=\"list-inline-item\"><a href=\"https://worldskills.org/site/terms/\"\n                            target=\"_blank\">{{ 'footer.copyright.terms' | wsTranslate | async }}</a>\n                    </li>\n                    <li class=\"list-inline-item\"><a href=\"https://worldskills.org/site/contact/\"\n                            target=\"_blank\">{{ 'footer.copyright.contact' | wsTranslate | async }}</a></li>\n                    <li *ngIf=\"!currentUser\" class=\"list-inline-item\">\n                        <a href=\"#\" (click)=\"$event.preventDefault(); login()\">{{ 'auth.login' | wsTranslate | async }}</a>\n                    </li>\n                    <li *ngIf=\"!!currentUser\" class=\"list-inline-item\">\n                        <a href=\"#\" (click)=\"$event.preventDefault(); logout()\">{{'auth.logout' | wsTranslate | async}}</a>\n                    </li>\n                </ul>\n            </div>\n            <div class=\"ws-page-footer-col-lg\">\n                <div class=\"btn-toolbar justify-content-end\" *ngIf=\"getLanguages()\">\n                    <div class=\"btn-group btn-group-sm dropup\">\n                        <button type=\"button\" class=\"btn btn-outline-light dropdown-toggle\" data-toggle=\"dropdown\"\n                            aria-haspopup=\"true\" aria-expanded=\"false\">\n                            {{ 'footer.translation.language' | wsTranslate | async }}\n                        </button>\n                        <div class=\"dropdown-menu dropdown-menu-right\">\n                            <a *ngFor=\"let language of getLanguages()\"\n                                (click)=\"$event.preventDefault(); changeLanguage(language);\"\n                                [class.active]=\"isLanguageSelected(language)\" class=\"dropdown-item\" href=\"#\">\n                                {{ language.name }}\n                            </a>\n                            <div class=\"dropdown-divider\"></div>\n                            <a (click)=\"$event.preventDefault(); languagePrompt();\" class=\"dropdown-item\" href=\"#\">\n                                {{ 'footer.translation.missing' | wsTranslate | async }}\n                            </a>\n                        </div>\n                    </div>\n                </div>\n            </div>\n        </div>\n    </div>\n</footer>\n" }]
        }], ctorParameters: () => [{ type: NgAuthService }, { type: WorldskillsAngularLibService }, { type: WsiTranslateService }], propDecorators: { col1Template: [{
                type: Input
            }], col2Template: [{
                type: Input
            }], col3Template: [{
                type: Input
            }], col4Template: [{
                type: Input
            }], col5Template: [{
                type: Input
            }], col6Template: [{
                type: Input
            }], onLogin: [{
                type: Output
            }], onLogout: [{
                type: Output
            }], loginLabel: [{
                type: Input
            }], logoutLabel: [{
                type: Input
            }], languageChange: [{
                type: Output
            }], autoLoginOnLogout: [{
                type: Input
            }], col1DefaultTemplate: [{
                type: ViewChild,
                args: ['#col1DefaultTemplate']
            }], col6DefaultTemplate: [{
                type: ViewChild,
                args: ['#col6DefaultTemplate']
            }], colDefaultTemplate: [{
                type: ViewChild,
                args: ['#colDefaultTemplate']
            }] } });

var WSIMediaType;
(function (WSIMediaType) {
    WSIMediaType["XML"] = "application/xml";
    WSIMediaType["JSON"] = "application/json";
    WSIMediaType["PDF"] = "application/pdf";
    WSIMediaType["VCF"] = "text/vcard";
    WSIMediaType["XLSX"] = "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet";
    WSIMediaType["ZIP"] = "application/zip";
})(WSIMediaType || (WSIMediaType = {}));
function formatBytes(bytes, decimals = 2) {
    if (bytes === 0) {
        return '0 Bytes';
    }
    const k = 1024;
    const dm = decimals < 0 ? 0 : decimals;
    const sizes = ['Bytes', 'KB', 'MB', 'GB', 'TB', 'PB', 'EB', 'ZB', 'YB'];
    const i = Math.floor(Math.log(bytes) / Math.log(k));
    return parseFloat((bytes / Math.pow(k, i)).toFixed(dm)) + ' ' + sizes[i];
}
function getFilenameExtension(filename) {
    return filename.substr(filename.lastIndexOf('.') + 1);
}

class FileSizePipe {
    transform(size, ...args) {
        return size ? formatBytes(size) : '';
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FileSizePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe }); }
    static { this.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "18.2.12", ngImport: i0, type: FileSizePipe, name: "fileSize" }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: FileSizePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'fileSize'
                }]
        }] });

class ResourceThumbnailComponent {
    constructor() {
        this.showDetailInfo = false;
    }
    get resourceThumbnail() {
        return this._resourceThumbnail;
    }
    set resourceThumbnail(view) {
        this._resourceThumbnail = view;
        if (!this._resourceThumbnail.thumbnailLink) {
            this._resourceThumbnail.thumbnailLink = 'assets/images/default-thumbnail.png';
        }
    }
    ngOnInit() {
    }
    isNumber(value) {
        return typeof value === 'number';
    }
    showDownload() {
        return this._resourceThumbnail && !!this._resourceThumbnail.downloadLink;
    }
    getFileTypeIcon() {
        let defaultIcon;
        const ext = getFilenameExtension(this._resourceThumbnail.filename).toLowerCase();
        switch (ext) {
            case 'pdf':
                defaultIcon = 'file-pdf-o';
                break;
            case 'jpg':
            case 'png':
            case 'jpeg':
            case 'bmp':
                defaultIcon = 'file-image-o';
                break;
            default:
                defaultIcon = 'file';
                break;
        }
        return `fa-${defaultIcon}`;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ResourceThumbnailComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ResourceThumbnailComponent, selector: "ws-resource-thumbnail", inputs: { resourceThumbnail: "resourceThumbnail" }, ngImport: i0, template: "<div class=\"ws-thumbnail card shadow\" style=\"max-width: 160px;width: auto; height: auto\">\n    <img class=\"card-img-top\" [src]=\"resourceThumbnail.thumbnailLink\" alt=\"Resource thumbnail image\"\n         style=\"display: block; max-width: 160px;max-height: 160px; width: auto; height: auto\">\n\n    <div class=\"card-footer bg-white text-center small\">\n        <div class=\"title-overflow font-weight-bolder \"\n             [title]=\"resourceThumbnail.filename\">{{resourceThumbnail.filename}}</div>\n        <div class=\"text-muted \">{{isNumber(resourceThumbnail.fileSize) ? (resourceThumbnail.fileSize | fileSize) : resourceThumbnail.fileSize}}</div>\n        <div *ngIf=\"showDownload()\"><a [href]=\"resourceThumbnail.downloadLink\" target=\"_blank\" rel=\"noopener\">Download</a></div>\n    </div>\n</div>\n", styles: [".ws-thumbnail{opacity:1;transition:.5s ease}.ws-thumbnail:hover .card-img-top,.card-footer{opacity:.7}.file-extension-icon{width:20%}.title-overflow{overflow:hidden;text-overflow:ellipsis;white-space:nowrap;width:100%}\n"], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: FileSizePipe, name: "fileSize" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ResourceThumbnailComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-resource-thumbnail', template: "<div class=\"ws-thumbnail card shadow\" style=\"max-width: 160px;width: auto; height: auto\">\n    <img class=\"card-img-top\" [src]=\"resourceThumbnail.thumbnailLink\" alt=\"Resource thumbnail image\"\n         style=\"display: block; max-width: 160px;max-height: 160px; width: auto; height: auto\">\n\n    <div class=\"card-footer bg-white text-center small\">\n        <div class=\"title-overflow font-weight-bolder \"\n             [title]=\"resourceThumbnail.filename\">{{resourceThumbnail.filename}}</div>\n        <div class=\"text-muted \">{{isNumber(resourceThumbnail.fileSize) ? (resourceThumbnail.fileSize | fileSize) : resourceThumbnail.fileSize}}</div>\n        <div *ngIf=\"showDownload()\"><a [href]=\"resourceThumbnail.downloadLink\" target=\"_blank\" rel=\"noopener\">Download</a></div>\n    </div>\n</div>\n", styles: [".ws-thumbnail{opacity:1;transition:.5s ease}.ws-thumbnail:hover .card-img-top,.card-footer{opacity:.7}.file-extension-icon{width:20%}.title-overflow{overflow:hidden;text-overflow:ellipsis;white-space:nowrap;width:100%}\n"] }]
        }], ctorParameters: () => [], propDecorators: { resourceThumbnail: [{
                type: Input
            }] } });

var AlertType;
(function (AlertType) {
    AlertType["error"] = "alert-danger";
    AlertType["info"] = "alert-info";
    AlertType["success"] = "alert-success";
    AlertType["warning"] = "alert-warning";
})(AlertType || (AlertType = {}));

class ErrorUtil {
    /*
    * Returns the user message from an instance of a WSI API Error
    *
    * @param error - The error object extracted from an Http message
    * @param defaultErrorMessage - The default message if an error message cannot be extracted
    * @returns The error message or a default error
    */
    static getErrorMsg(error, defaultErrorMessage) {
        return ErrorUtil.hasApiError(error) ? defaultErrorMessage : error.error.user_msg;
    }
    /*
    * Returns if an error is an instance of a WSI API error
    *
    * @param error - The error object extracted from an Http message
    * @returns true if this is an instance of a WSI API error
    */
    static hasApiError(error) {
        if (GenericUtil.isNullOrUndefined(error)) {
            return false;
        }
        return error.error && error.error.user_msg;
    }
    static arrayBufferToJSON(error) {
        const decodedString = String.fromCharCode.apply(null, new Uint8Array(error.error));
        return JSON.parse(decodedString);
    }
    /*
        Capture an API response as an error to sentry
    */
    static captureAPIError(type, name, action, error, msg) {
        Sentry.setTag(`app_${type}`, name);
        Sentry.setTag('app_action', action);
        Sentry.setExtra('app_error', error);
        Sentry.captureMessage(msg, "error");
    }
}

// tslint:disable-next-line:directive-class-suffix
class WsComponent {
    constructor() {
        this.subscriptions = new Subscription();
    }
    ngOnDestroy() {
        this.subscriptions.unsubscribe();
    }
    // tslint:disable-next-line:typedef
    subscribe(...teardowns) {
        teardowns.forEach(teardown => this.subscriptions.add(teardown));
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WsComponent, deps: [], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.12", type: WsComponent, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WsComponent, decorators: [{
            type: Directive
        }], ctorParameters: () => [] });

function isMulticastOptions(object) {
    return object && ('subject' in object || 'loader' in object || 'subscription' in object || 'onError' in object);
}
// Fetch params can be empty and probably is most of the time, so hard to check this in a signature
function isFetchParams(object) {
    return object && ('limit' in object || 'offset' in object || 'sort' in object || 'l' in object);
}
function isRequestOptions(object) {
    return object && ('url' in object);
}
const FULL = {
    subject: true,
    loader: true,
    subscription: true
};
const LOADER_ONLY = {
    loader: true
};
const NO_SUBJECT = {
    loader: true,
    subscription: true
};
class WsService {
    constructor() {
        this.loaders = new BehaviorSubject(0);
        this.subscription = null;
        this.subject = new ReplaySubject(1);
        this.loading = new ReplaySubject(1);
        this.loaders.subscribe(numLoaders => this.loading.next(numLoaders !== 0));
    }
    resolveArgs(p1, p2, p3, defaultMulticastOptions, defaultFetchParams) {
        let fetchParams;
        let multicastOptions;
        let requestOptions;
        if (isRequestOptions(p3)) {
            fetchParams = p1;
            multicastOptions = p2;
            requestOptions = p3;
        }
        else if (isRequestOptions(p2)) {
            requestOptions = p2;
            if (isMulticastOptions(p1)) {
                multicastOptions = p1;
            }
            else if (!isMulticastOptions(p1)) {
                fetchParams = p1;
            }
        }
        else if (isRequestOptions(p1)) {
            requestOptions = p1;
        }
        else {
            if (isMulticastOptions(p2) && !isMulticastOptions(p1)) {
                fetchParams = p1;
                multicastOptions = p2;
            }
            else {
                if (isMulticastOptions(p1)) {
                    multicastOptions = p1;
                }
                else if (!isMulticastOptions(p1)) {
                    fetchParams = p1;
                }
            }
        }
        if (fetchParams === undefined) {
            fetchParams = defaultFetchParams;
        }
        if (multicastOptions === undefined) {
            multicastOptions = defaultMulticastOptions;
        }
        if (requestOptions === undefined) {
            requestOptions = {};
        }
        return {
            fetchParams,
            multicastOptions,
            requestOptions
        };
    }
    incrementLoader() {
        this.loaders.pipe(take(1)).subscribe(v => {
            this.loaders.next(++v);
        });
    }
    decrementLoader() {
        this.loaders.pipe(take(1)).subscribe(v => {
            const loaders = Math.max(0, v - 1);
            this.loaders.next(loaders);
        });
    }
    multicast(observable, options = FULL) {
        const { loader, subject, subscription, onError } = options;
        if (loader) {
            this.incrementLoader();
        }
        if (subscription && this.subscription) {
            if (loader && !this.subscription.closed) {
                this.decrementLoader();
                this.subscription.unsubscribe();
            }
        }
        const s = observable.subscribe(value => {
            if (loader) {
                this.decrementLoader();
            }
            if (subject) {
                this.subject.next(value);
            }
        }, error => {
            if (loader) {
                this.decrementLoader();
            }
            if (onError) {
                onError(error);
            }
        });
        if (subscription) {
            this.subscription = s;
        }
    }
    request(observable, options = FULL) {
        this.multicast(observable, options);
        return observable;
    }
    requestMany(observables, options = NO_SUBJECT) {
        const forkJoined = forkJoin(observables);
        this.multicast(forkJoined, options);
        return forkJoined;
    }
}

class UploadService {
    constructor(http) {
        this.http = http;
    }
    prepareUpload(url, data, params, method = 'POST') {
        const options = {
            params,
            reportProgress: true,
        };
        return new HttpRequest(method, url, data, options);
    }
    // Full list of events: https://angular.io/api/common/http/HttpEventType
    // event specific classes: https://angular.io/api/common/http/HttpEvent#description
    listen(request, progress, complete) {
        this.http.request(request).subscribe((event) => {
            switch (event.type) {
                case HttpEventType.UploadProgress:
                    progress(event);
                    break;
                case HttpEventType.Response:
                    complete(event);
                    break;
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: UploadService, deps: [{ token: i2$3.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: UploadService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: UploadService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: i2$3.HttpClient }] });

class ResourceService extends WsService {
    constructor(wsi, http, uploader) {
        super();
        this.wsi = wsi;
        this.http = http;
        this.uploader = uploader;
        this.wsi.serviceConfigSubject.subscribe(next => {
            this.url = next.apiEndpoint + '/resources';
        });
    }
    /*
      ResourceResource
    */
    // allow a client to user submit an object directly or use a managed object
    search(filter) {
        const params = HttpUtil.objectToParams(filter);
        return this.http.get(this.url, { params });
    }
    get(id) {
        const url = `${this.url}/${id}`;
        return this.http.get(url);
    }
    delete(id) {
        const url = `${this.url}/${id}`;
        return this.http.delete(url);
    }
    update(id, model) {
        const url = `${this.url}/${id}`;
        return this.http.put(url, model);
    }
    // this more or less saves the resource to the api
    // the client has control over weather it's a POST or a PUT
    upload(data, file, method = 'POST', id = 0) {
        const url = method === 'POST' ? this.url : `${this.url}/${id}`;
        const formData = new FormData();
        formData.append('key', 'value');
        formData.append('requestData', JSON.stringify(data));
        formData.append('file', file);
        return this.uploader.prepareUpload(url, formData, new HttpParams(), method);
    }
    /* /types
      ResourceTypeResource
    */
    listTypes() {
        const url = `${this.url}/types`;
        return this.http.get(url);
    }
    getType(id) {
        const url = `${this.url}/types/${id}`;
        return this.http.get(url);
    }
    /* /metadata
      MetadataResource
    */
    listMetadata() {
        const url = `${this.url}/metadata`;
        return this.http.get(url);
    }
    getMetadata(id) {
        const url = `${this.url}/metadata/${id}`;
        return this.http.get(url);
    }
    createMetadata(model) {
        const url = `${this.url}/metadata`;
        return this.http.post(url, model);
    }
    updateMetadata(id, model) {
        const url = `${this.url}/metadata/${id}`;
        return this.http.put(url, model);
    }
    deleteMetadata(id) {
        const url = `${this.url}/metadata/${id}`;
        return this.http.delete(url);
    }
    downloadResources(resourceIds) {
        const uniqueResourceIds = new Set(resourceIds);
        let params = new HttpParams();
        for (const id of uniqueResourceIds) {
            params = params.append('resource_ids', id.toString());
        }
        const observable = this.http.get(`${this.url}/download/resources`, {
            params,
            responseType: 'arraybuffer'
        }).pipe(share());
        return this.request(observable);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ResourceService, deps: [{ token: WorldskillsAngularLibService }, { token: i2$3.HttpClient }, { token: UploadService }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ResourceService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ResourceService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: WorldskillsAngularLibService }, { type: i2$3.HttpClient }, { type: UploadService }] });

class ResourceThumbnailContainerComponent extends WsComponent {
    constructor(resourceService, datePipe, alertService) {
        super();
        this.resourceService = resourceService;
        this.datePipe = datePipe;
        this.alertService = alertService;
        this.isZippingFiles = false;
    }
    get getDownloadAllBtnText() {
        return this.isZippingFiles ? 'Zipping files...' : 'Download all';
    }
    ngOnInit() {
    }
    showDownloadAll() {
        return this.resourceThumbnailList && this.resourceThumbnailList.filter(r => !!r.downloadLink).length > 0;
    }
    downloadAllResourcesAsZipFile() {
        this.isZippingFiles = true;
        this.resourceService.downloadResources(this.resourceThumbnailList.map(rt => rt.resource_id)).subscribe(res => {
            this.createDownloadLink(res);
            this.isZippingFiles = false;
        }, error => {
            this.isZippingFiles = false;
            this.alertService.setAlert('new-alert', AlertType.error, null, ErrorUtil.arrayBufferToJSON(error).user_msg, true);
        });
    }
    createDownloadLink(res) {
        const blob = new Blob([res], { type: WSIMediaType.ZIP });
        const url = window.URL.createObjectURL(blob);
        const downloadLink = document.createElement('a');
        downloadLink.href = url;
        const now = new Date();
        const date = this.datePipe.transform(now, 'yyyyMMddHHmmss');
        downloadLink.setAttribute('download', `Resources${date}.zip`);
        document.body.appendChild(downloadLink);
        downloadLink.click();
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ResourceThumbnailContainerComponent, deps: [{ token: ResourceService }, { token: i2.DatePipe }, { token: AlertService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ResourceThumbnailContainerComponent, selector: "ws-resource-thumbnail-container", inputs: { title: "title", resourceThumbnailList: "resourceThumbnailList" }, usesInheritance: true, ngImport: i0, template: "<div class=\"card\">\n    <div class=\"card-header\">\n        <div class=\"row\">\n            <div class=\"col-md-6\">{{title}}</div>\n            <div class=\"col-md-6\">\n                <button\n                        class=\"btn btn-link float-right\"\n                        [disabled]=\"isZippingFiles\"\n                        (click)=\"downloadAllResourcesAsZipFile()\"\n                        *ngIf=\"showDownloadAll()\">\n                    {{getDownloadAllBtnText}}\n                </button>\n            </div>\n        </div>\n    </div>\n    <div class=\"card-body d-flex flex-row flex-wrap\" style=\"max-height: 250px;overflow-y: scroll\">\n        <ws-resource-thumbnail\n                class=\"mr-3 mb-3\"\n                [resourceThumbnail]=\"thumbnail\"\n                *ngFor=\"let thumbnail of resourceThumbnailList\"></ws-resource-thumbnail>\n    </div>\n</div>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: ResourceThumbnailComponent, selector: "ws-resource-thumbnail", inputs: ["resourceThumbnail"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ResourceThumbnailContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-resource-thumbnail-container', template: "<div class=\"card\">\n    <div class=\"card-header\">\n        <div class=\"row\">\n            <div class=\"col-md-6\">{{title}}</div>\n            <div class=\"col-md-6\">\n                <button\n                        class=\"btn btn-link float-right\"\n                        [disabled]=\"isZippingFiles\"\n                        (click)=\"downloadAllResourcesAsZipFile()\"\n                        *ngIf=\"showDownloadAll()\">\n                    {{getDownloadAllBtnText}}\n                </button>\n            </div>\n        </div>\n    </div>\n    <div class=\"card-body d-flex flex-row flex-wrap\" style=\"max-height: 250px;overflow-y: scroll\">\n        <ws-resource-thumbnail\n                class=\"mr-3 mb-3\"\n                [resourceThumbnail]=\"thumbnail\"\n                *ngFor=\"let thumbnail of resourceThumbnailList\"></ws-resource-thumbnail>\n    </div>\n</div>\n" }]
        }], ctorParameters: () => [{ type: ResourceService }, { type: i2.DatePipe }, { type: AlertService }], propDecorators: { title: [{
                type: Input
            }], resourceThumbnailList: [{
                type: Input
            }] } });

class I18nTextComponent {
    constructor(modalService) {
        this.modalService = modalService;
        this.placeholder = '';
        this.required = false;
        this.model = { lang_code: 'en', text: '' };
        this.onChange = (_) => { };
        this.onTouched = () => { };
    }
    ngOnInit() {
        this.languages = LangUtil.getDefaultLanguages();
    }
    switchTranslation(translation) {
        this.model.lang_code = translation.key;
        this.model.text = translation.value;
    }
    editAllTranslations(content) {
        this.modalService.open(content, { size: 'lg' });
    }
    getLanguages() {
        return this.languages.filter(l => !(l.code in this.model.translations));
    }
    changeTranslation(lang_code, text) {
        if (this.model.translations) {
            this.model.translations[lang_code] = text;
        }
        if (this.model.lang_code == lang_code) {
            this.model.text = text;
        }
        this.onChange(this.model);
    }
    addTranslation(lang_code) {
        this.model.translations[lang_code] = '';
        this.onChange(this.model);
    }
    deleteTranslation(lang_code) {
        delete this.model.translations[lang_code];
        if (this.model.lang_code == lang_code) {
            for (var l in this.model.translations) {
                this.model.lang_code = l;
                this.model.text = this.model.translations[l];
                break;
            }
        }
        this.onChange(this.model);
    }
    blurTranslation() {
        this.onTouched();
    }
    numTranslations() {
        return Object.keys(this.model.translations).length;
    }
    writeValue(value) {
        if (value !== null) {
            this.model = value;
        }
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: I18nTextComponent, deps: [{ token: i1$1.NgbModal }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: I18nTextComponent, selector: "ws-i18n-text", inputs: { inputId: "inputId", name: "name", placeholder: "placeholder", required: "required" }, providers: [{
                provide: NG_VALUE_ACCESSOR,
                useExisting: forwardRef(() => I18nTextComponent),
                multi: true,
            }], ngImport: i0, template: "<div class=\"input-group\">\n  <input\n    [placeholder]=\"placeholder\"\n    type=\"text\"\n    class=\"form-control\"\n    [id]=\"inputId\"\n    [name]=\"name\"\n    [required]=\"required\"\n    [ngModel]=\"model.translations ? model.translations[model.lang_code] : model.text\"\n    (change)=\"changeTranslation(model.lang_code, $event.target.value)\"\n    (blur)=\"blurTranslation()\">\n  <div *ngIf=\"model.translations\">\n    <div class=\"input-group-append\" ngbDropdown placement=\"bottom-right\">\n      <button class=\"btn btn-outline-secondary text-uppercase\" style=\"padding: 0.375rem 0.8rem;\" type=\"button\" ngbDropdownToggle>{{model.lang_code}}</button>\n      <div ngbDropdownMenu>\n        <button type=\"button\" ngbDropdownItem *ngFor=\"let translation of model.translations | keyvalue\" [ngClass]=\"{'active': translation.key === model.lang_code}\" (click)=\"switchTranslation(translation)\">\n          <span class=\"text-uppercase\" style=\"display: inline-block; width: 50px;\">{{translation.key}} </span>\n          <span>{{translation.value}}</span>\n        </button>\n        <div role=\"separator\" class=\"dropdown-divider\"></div>\n        <button type=\"button\" ngbDropdownItem (click)=\"editAllTranslations(contentTranslations)\">{{'edit_all_translations' | translate}}</button>\n      </div>\n    </div>\n  </div>\n  <div *ngIf=\"!model.translations\">\n    <div class=\"input-group-append\">\n      <span class=\"input-group-text text-uppercase\">{{model.lang_code}}</span>\n    </div>\n  </div>\n</div>\n\n<ng-template #contentTranslations let-modal>\n  <div class=\"modal-header\">\n    <h4 class=\"modal-title\" id=\"modal-basic-title\">{{'translations' | translate}}</h4>\n    <button type=\"button\" class=\"close\" aria-label=\"Close\" (click)=\"modal.dismiss()\">\n      <span aria-hidden=\"true\">&times;</span>\n    </button>\n  </div>\n  <div class=\"modal-body\">\n    <form class=\"form-horizontal\">\n      <div class=\"form-group row\" *ngFor=\"let translation of model.translations | keyvalue\">\n        <label for=\"translation{{translation.key}}\" class=\"col-1 col-form-label text-uppercase font-weight-bold\"><span class=\"pl-2\">{{translation.key}}</span></label>\n        <div class=\"col-9\">\n        <input\n          [placeholder]=\"placeholder\"\n          type=\"text\"\n          class=\"form-control\"\n          id=\"translation{{translation.key}}\"\n          name=\"translation{{translation.key}}\"\n          required\n          autocomplete=\"off\"\n          [ngModel]=\"translation.value\"\n          (change)=\"changeTranslation(translation.key, $event.target.value)\"\n          (blur)=\"blurTranslation()\">\n        </div>\n        <div class=\"col-2\">\n          <button\n            class=\"btn btn-outline-danger btn-sm btn-block\"\n            type=\"button\"\n            (click)=\"deleteTranslation(translation.key)\"\n             *ngIf=\"numTranslations() > 1\"\n          >\n            {{'remove' | translate}}\n          </button>\n        </div>\n      </div>\n    </form>\n    <div class=\"row mt-4 mb-3\">\n      <div class=\"offset-1 col-9\">\n    <div ngbDropdown>\n      <button class=\"btn btn-outline-success btn-sm\" ngbDropdownToggle>{{'add_translation' | translate}}</button>\n      <div ngbDropdownMenu>\n        <button *ngFor=\"let language of getLanguages()\" ngbDropdownItem (click)=\"addTranslation(language.code)\" class=\"text-uppercase\">{{language.code}}</button>\n      </div>\n      </div>\n    </div>\n    </div>\n  </div>\n</ng-template>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2$2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2$2.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i2$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i2$2.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "directive", type: i1$1.NgbDropdown, selector: "[ngbDropdown]", inputs: ["autoClose", "dropdownClass", "open", "placement", "popperOptions", "container", "display"], outputs: ["openChange"], exportAs: ["ngbDropdown"] }, { kind: "directive", type: i1$1.NgbDropdownToggle, selector: "[ngbDropdownToggle]" }, { kind: "directive", type: i1$1.NgbDropdownMenu, selector: "[ngbDropdownMenu]" }, { kind: "directive", type: i1$1.NgbDropdownItem, selector: "[ngbDropdownItem]", inputs: ["tabindex", "disabled"] }, { kind: "directive", type: i1$1.NgbDropdownButtonItem, selector: "button[ngbDropdownItem]" }, { kind: "pipe", type: i2.KeyValuePipe, name: "keyvalue" }, { kind: "pipe", type: i1.TranslatePipe, name: "translate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: I18nTextComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-i18n-text', providers: [{
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => I18nTextComponent),
                            multi: true,
                        }], template: "<div class=\"input-group\">\n  <input\n    [placeholder]=\"placeholder\"\n    type=\"text\"\n    class=\"form-control\"\n    [id]=\"inputId\"\n    [name]=\"name\"\n    [required]=\"required\"\n    [ngModel]=\"model.translations ? model.translations[model.lang_code] : model.text\"\n    (change)=\"changeTranslation(model.lang_code, $event.target.value)\"\n    (blur)=\"blurTranslation()\">\n  <div *ngIf=\"model.translations\">\n    <div class=\"input-group-append\" ngbDropdown placement=\"bottom-right\">\n      <button class=\"btn btn-outline-secondary text-uppercase\" style=\"padding: 0.375rem 0.8rem;\" type=\"button\" ngbDropdownToggle>{{model.lang_code}}</button>\n      <div ngbDropdownMenu>\n        <button type=\"button\" ngbDropdownItem *ngFor=\"let translation of model.translations | keyvalue\" [ngClass]=\"{'active': translation.key === model.lang_code}\" (click)=\"switchTranslation(translation)\">\n          <span class=\"text-uppercase\" style=\"display: inline-block; width: 50px;\">{{translation.key}} </span>\n          <span>{{translation.value}}</span>\n        </button>\n        <div role=\"separator\" class=\"dropdown-divider\"></div>\n        <button type=\"button\" ngbDropdownItem (click)=\"editAllTranslations(contentTranslations)\">{{'edit_all_translations' | translate}}</button>\n      </div>\n    </div>\n  </div>\n  <div *ngIf=\"!model.translations\">\n    <div class=\"input-group-append\">\n      <span class=\"input-group-text text-uppercase\">{{model.lang_code}}</span>\n    </div>\n  </div>\n</div>\n\n<ng-template #contentTranslations let-modal>\n  <div class=\"modal-header\">\n    <h4 class=\"modal-title\" id=\"modal-basic-title\">{{'translations' | translate}}</h4>\n    <button type=\"button\" class=\"close\" aria-label=\"Close\" (click)=\"modal.dismiss()\">\n      <span aria-hidden=\"true\">&times;</span>\n    </button>\n  </div>\n  <div class=\"modal-body\">\n    <form class=\"form-horizontal\">\n      <div class=\"form-group row\" *ngFor=\"let translation of model.translations | keyvalue\">\n        <label for=\"translation{{translation.key}}\" class=\"col-1 col-form-label text-uppercase font-weight-bold\"><span class=\"pl-2\">{{translation.key}}</span></label>\n        <div class=\"col-9\">\n        <input\n          [placeholder]=\"placeholder\"\n          type=\"text\"\n          class=\"form-control\"\n          id=\"translation{{translation.key}}\"\n          name=\"translation{{translation.key}}\"\n          required\n          autocomplete=\"off\"\n          [ngModel]=\"translation.value\"\n          (change)=\"changeTranslation(translation.key, $event.target.value)\"\n          (blur)=\"blurTranslation()\">\n        </div>\n        <div class=\"col-2\">\n          <button\n            class=\"btn btn-outline-danger btn-sm btn-block\"\n            type=\"button\"\n            (click)=\"deleteTranslation(translation.key)\"\n             *ngIf=\"numTranslations() > 1\"\n          >\n            {{'remove' | translate}}\n          </button>\n        </div>\n      </div>\n    </form>\n    <div class=\"row mt-4 mb-3\">\n      <div class=\"offset-1 col-9\">\n    <div ngbDropdown>\n      <button class=\"btn btn-outline-success btn-sm\" ngbDropdownToggle>{{'add_translation' | translate}}</button>\n      <div ngbDropdownMenu>\n        <button *ngFor=\"let language of getLanguages()\" ngbDropdownItem (click)=\"addTranslation(language.code)\" class=\"text-uppercase\">{{language.code}}</button>\n      </div>\n      </div>\n    </div>\n    </div>\n  </div>\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i1$1.NgbModal }], propDecorators: { inputId: [{
                type: Input
            }], name: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], required: [{
                type: Input
            }] } });

class I18nTextboxComponent {
    constructor() {
        // we can directly repace the "text" array of an object we need to save
        this.valueChanged = new EventEmitter();
        this.show = false;
        // ability to disable the dropdown
        this.disaableLangChange = false;
    }
    ngOnInit() {
        this.defaultLanguage = LangUtil.getDefaultLanguage();
        this.allowedLanguages = LangUtil.getDefaultLanguages();
        // setup default languages - can be overriden with a change
        if (GenericUtil.isNullOrUndefined(this.value)) {
            this.value = this.getValues();
        }
        // get current selected language to determine the focused innpiut
        let current = sessionStorage.getItem('lang');
        if (GenericUtil.isNullOrUndefined(current)) {
            current = this.defaultLanguage.code;
        }
        this.currentCode = current;
    }
    // tslint:disable-next-line:use-lifecycle-interface
    ngOnChanges() {
        // if therre are no inputs provided, generate them until they are provided
        if (GenericUtil.isNullOrUndefined(this.value)) {
            this.value = this.getValues();
        }
    }
    // useed for looping to cater for missing languages
    getValues() {
        if (GenericUtil.isNullOrUndefined(this.allowedLanguages)) {
            this.allowedLanguages = LangUtil.getDefaultLanguages();
        }
        if (GenericUtil.isNullOrUndefined(this.value)) {
            this.value = this.allowedLanguages.map(X => {
                return { lang_code: X.code, text: null };
            });
        }
        return this.value;
    }
    textChanged(text) {
        const index = this.value.findIndex(x => x.lang_code === this.currentCode);
        this.value[index].text = text;
        this.valueChanged.emit(this.value);
    }
    selectLang(lang) {
        this.currentCode = lang.lang_code;
        this.loadText();
        this.show = false;
    }
    loadText() {
        const index = this.value.findIndex(x => x.lang_code === this.currentCode);
        if (index !== -1) {
            this.text = this.value[index].text;
        }
        else {
            this.text = null;
        }
    }
    getLang(code) {
        const lang = LangUtil.getDefaultLanguages().find(x => x.code === code);
        return GenericUtil.isNullOrUndefined(lang) ? '' : lang.name;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: I18nTextboxComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: I18nTextboxComponent, selector: "ws-i18n-textbox", inputs: { value: "value", disaableLangChange: "disaableLangChange" }, outputs: { valueChanged: "valueChanged" }, usesOnChanges: true, ngImport: i0, template: "<div style=\"position:relative\">\n  <div class=\"input-group\" *ngIf=\"currentCode\">\n    <input type=\"text\" class=\"form-control\" (input)=\"textChanged($event.target.value)\" [(ngModel)]=\"text\">\n    <div class=\"input-group-append\">\n      <button [disabled]=\"disaableLangChange\" (click)=\"show = !show\" class=\"btn btn-outline-secondary dropdown-toggle\" type=\"button\" >{{ getLang(currentCode) }}</button>\n    </div>\n    <div style=\"position: absolute; top:36px; left: 0; width: 100%;\">\n      <div class=\"dropdown-menu\" style=\"width: 100%;\" [ngClass]=\"{show: show}\">\n        <div class=\"dropdown-item\" (click)=\"selectLang(lang)\"  *ngFor=\"let lang of value\" [ngClass]=\"{active: lang.lang_code === currentCode }\" ngbPopover=\"{{ lang.text }}\" triggers=\"mouseenter:mouseleave\" placement=\"left\">\n          <div class=\"row\">\n            <div class=\"col-sm-10\">\n              <span *ngIf=\"lang.text\">{{ lang.text }}</span>\n              <span *ngIf=\"!lang.text\" class=\"text-muted\">\n                <em>(Empty)</em>\n              </span>\n            </div>\n            <div class=\"col-sm-2\">\n              <div class=\"pull-right\">\n                {{ getLang(lang.lang_code) }}\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n  ", styles: [""], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i1$1.NgbPopover, selector: "[ngbPopover]", inputs: ["animation", "autoClose", "ngbPopover", "popoverTitle", "placement", "popperOptions", "triggers", "positionTarget", "container", "disablePopover", "popoverClass", "popoverContext", "openDelay", "closeDelay"], outputs: ["shown", "hidden"], exportAs: ["ngbPopover"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: I18nTextboxComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-i18n-textbox', template: "<div style=\"position:relative\">\n  <div class=\"input-group\" *ngIf=\"currentCode\">\n    <input type=\"text\" class=\"form-control\" (input)=\"textChanged($event.target.value)\" [(ngModel)]=\"text\">\n    <div class=\"input-group-append\">\n      <button [disabled]=\"disaableLangChange\" (click)=\"show = !show\" class=\"btn btn-outline-secondary dropdown-toggle\" type=\"button\" >{{ getLang(currentCode) }}</button>\n    </div>\n    <div style=\"position: absolute; top:36px; left: 0; width: 100%;\">\n      <div class=\"dropdown-menu\" style=\"width: 100%;\" [ngClass]=\"{show: show}\">\n        <div class=\"dropdown-item\" (click)=\"selectLang(lang)\"  *ngFor=\"let lang of value\" [ngClass]=\"{active: lang.lang_code === currentCode }\" ngbPopover=\"{{ lang.text }}\" triggers=\"mouseenter:mouseleave\" placement=\"left\">\n          <div class=\"row\">\n            <div class=\"col-sm-10\">\n              <span *ngIf=\"lang.text\">{{ lang.text }}</span>\n              <span *ngIf=\"!lang.text\" class=\"text-muted\">\n                <em>(Empty)</em>\n              </span>\n            </div>\n            <div class=\"col-sm-2\">\n              <div class=\"pull-right\">\n                {{ getLang(lang.lang_code) }}\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n  " }]
        }], ctorParameters: () => [], propDecorators: { valueChanged: [{
                type: Output
            }], value: [{
                type: Input
            }], disaableLangChange: [{
                type: Input
            }] } });

class I18nTextareaComponent {
    constructor() {
        // we can directly repace the "text" array of an object we need to save
        this.valueChanged = new EventEmitter();
        this.show = false;
        // ability to disable the dropdown
        this.disaableLangChange = false;
    }
    ngOnInit() {
        this.defaultLanguage = LangUtil.getDefaultLanguage();
        this.allowedLanguages = LangUtil.getDefaultLanguages();
        // setup default languages - can be overriden with a change
        if (GenericUtil.isNullOrUndefined(this.value)) {
            this.value = this.getValues();
        }
        // get current selected language to determine the focused innpiut
        let current = sessionStorage.getItem('lang');
        if (GenericUtil.isNullOrUndefined(current)) {
            current = this.defaultLanguage.code;
        }
        this.currentCode = current;
    }
    // tslint:disable-next-line:use-lifecycle-interface
    ngOnChanges() {
        // if therre are no inputs provided, generate them until they are provided
        if (GenericUtil.isNullOrUndefined(this.value)) {
            this.value = this.getValues();
        }
    }
    // useed for looping to cater for missing languages
    getValues() {
        if (GenericUtil.isNullOrUndefined(this.allowedLanguages)) {
            this.allowedLanguages = LangUtil.getDefaultLanguages();
        }
        if (GenericUtil.isNullOrUndefined(this.value)) {
            this.value = this.allowedLanguages.map(X => {
                return { lang_code: X.code, text: null };
            });
        }
        return this.value;
    }
    textChanged(text) {
        const index = this.value.findIndex(x => x.lang_code === this.currentCode);
        this.value[index].text = text;
        this.valueChanged.emit(this.value);
    }
    selectLang(lang) {
        this.currentCode = lang.lang_code;
        this.loadText();
        this.show = false;
    }
    loadText() {
        const index = this.value.findIndex(x => x.lang_code === this.currentCode);
        if (index !== -1) {
            this.text = this.value[index].text;
        }
        else {
            this.text = null;
        }
    }
    getLang(code) {
        const lang = LangUtil.getDefaultLanguages().find(x => x.code === code);
        return GenericUtil.isNullOrUndefined(lang) ? '' : lang.name;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: I18nTextareaComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: I18nTextareaComponent, selector: "ws-i18n-textarea", inputs: { value: "value", disaableLangChange: "disaableLangChange" }, outputs: { valueChanged: "valueChanged" }, usesOnChanges: true, ngImport: i0, template: "<div style=\"position:relative\">\n    <div class=\"input-group\" *ngIf=\"currentCode\">\n      <textarea class=\"form-control\" (input)=\"textChanged($event.target.value)\" [(ngModel)]=\"text\"></textarea>\n      <div class=\"input-group-append\">\n        <button [disabled]=\"disaableLangChange\" (click)=\"show = !show\" class=\"btn btn-outline-secondary dropdown-toggle\" type=\"button\" >{{ getLang(currentCode) }}</button>\n      </div>\n      <div style=\"position: absolute; top:36px; left: 0; width: 100%;\">\n        <div class=\"dropdown-menu\" style=\"width: 100%;\" [ngClass]=\"{show: show}\">\n          <div class=\"dropdown-item\" (click)=\"selectLang(lang)\"  *ngFor=\"let lang of value\" [ngClass]=\"{active: lang.lang_code === currentCode }\" ngbPopover=\"{{ lang.text }}\" triggers=\"mouseenter:mouseleave\" placement=\"left\">\n            <div class=\"row\">\n              <div class=\"col-sm-10\">\n                <span *ngIf=\"lang.text\">{{ lang.text }}</span>\n                <span *ngIf=\"!lang.text\" class=\"text-muted\">\n                  <em>(Empty)</em>\n                </span>\n              </div>\n              <div class=\"col-sm-2\">\n                <div class=\"pull-right\">\n                  {{ getLang(lang.lang_code) }}\n                </div>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n    ", styles: [""], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i1$1.NgbPopover, selector: "[ngbPopover]", inputs: ["animation", "autoClose", "ngbPopover", "popoverTitle", "placement", "popperOptions", "triggers", "positionTarget", "container", "disablePopover", "popoverClass", "popoverContext", "openDelay", "closeDelay"], outputs: ["shown", "hidden"], exportAs: ["ngbPopover"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: I18nTextareaComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-i18n-textarea', template: "<div style=\"position:relative\">\n    <div class=\"input-group\" *ngIf=\"currentCode\">\n      <textarea class=\"form-control\" (input)=\"textChanged($event.target.value)\" [(ngModel)]=\"text\"></textarea>\n      <div class=\"input-group-append\">\n        <button [disabled]=\"disaableLangChange\" (click)=\"show = !show\" class=\"btn btn-outline-secondary dropdown-toggle\" type=\"button\" >{{ getLang(currentCode) }}</button>\n      </div>\n      <div style=\"position: absolute; top:36px; left: 0; width: 100%;\">\n        <div class=\"dropdown-menu\" style=\"width: 100%;\" [ngClass]=\"{show: show}\">\n          <div class=\"dropdown-item\" (click)=\"selectLang(lang)\"  *ngFor=\"let lang of value\" [ngClass]=\"{active: lang.lang_code === currentCode }\" ngbPopover=\"{{ lang.text }}\" triggers=\"mouseenter:mouseleave\" placement=\"left\">\n            <div class=\"row\">\n              <div class=\"col-sm-10\">\n                <span *ngIf=\"lang.text\">{{ lang.text }}</span>\n                <span *ngIf=\"!lang.text\" class=\"text-muted\">\n                  <em>(Empty)</em>\n                </span>\n              </div>\n              <div class=\"col-sm-2\">\n                <div class=\"pull-right\">\n                  {{ getLang(lang.lang_code) }}\n                </div>\n              </div>\n            </div>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n    " }]
        }], ctorParameters: () => [], propDecorators: { valueChanged: [{
                type: Output
            }], value: [{
                type: Input
            }], disaableLangChange: [{
                type: Input
            }] } });

class RelativeDateComponent {
    constructor() {
        // number of daays relative proessing is calculated for
        this.tresholdInDays = 30;
        this.calculateDelta = (now, date) => Math.round(Math.abs(now - date) / 1000);
    }
    ngOnInit() {
    }
    // tslint:disable-next-line:use-lifecycle-interface
    ngOnChanges() {
        this.calcRelativeDate();
    }
    calcRelativeDate() {
        const dt = new Date(this.date);
        const isDateValid = dt.toString() !== 'Invalid Date';
        if (!isDateValid) {
            this.output = formatDate(this.date, this.format, this.locale);
            return;
        }
        else {
            this.date = dt;
        }
        this.format = this.format || 'MMM-dd-yyyy';
        this.locale = this.locale || 'en';
        const v = Number(this.date);
        const dif = Math.floor(((Date.now() - v) / 1000) / 86400);
        if (dif < this.tresholdInDays) {
            this.isRelative = true;
            const now = new Date();
            this.isPastDate = this.date.getTime() <= now.getTime();
            if (this.isPastDate) {
                this.diff = ((now.getTime() - this.date.getTime()) / 1000);
            }
            else {
                this.diff = ((this.date.getTime() - now.getTime()) / 1000);
            }
            this.daydiff = Math.floor(this.diff / 86400);
        }
        else {
            this.isRelative = false;
            this.output = formatDate(this.date, this.format, this.locale);
        }
    }
    isNotValid() {
        return isNaN(this.daydiff) || this.daydiff < 0 || this.daydiff >= 31;
    }
    ceil(value) {
        return Math.ceil(value);
    }
    floor(value) {
        return Math.floor(value);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RelativeDateComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: RelativeDateComponent, selector: "ws-relative-date", inputs: { date: "date", format: "format", locale: "locale", tresholdInDays: "tresholdInDays" }, usesOnChanges: true, ngImport: i0, template: "<span *ngIf=\"!isRelative\">{{ output }}</span>\n<span *ngIf=\"isRelative && isNotValid()\"></span>\n<span *ngIf=\"isRelative && isPastDate\">\n    <span *ngIf=\"diff < 60\">{{ 'dates.just_now' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 60 && diff < 120\">{{ 'dates.minute_ago' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 120 && diff < 3600\">{{ floor(diff / 60) }} {{ 'dates.minutes_ago' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 3600 && diff < 7200\">{{ 'dates.hour_ago' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 7200 && diff < 86400\">{{ floor(diff / 3600) }} {{ 'dates.hours_ago' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff >= 86400 && daydiff === 1 \">{{ 'dates.yesterday' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 86400 && daydiff > 1 && daydiff < 7\">{{ daydiff }} {{ 'dates.days_ago' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 86400 && daydiff === 7\">{{ 'dates.week_ago' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 86400 && daydiff > 7 && daydiff < 31\">{{ ceil(daydiff / 7) }} {{ 'dates.weeks_ago' | wsTranslate | async }}</span>\n</span>\n<span *ngIf=\"isRelative && !isPastDate\">\n    <span *ngIf=\"diff < 60\">{{ 'dates.soon' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 60 && diff < 120\">{{ 'dates.in_a_minute' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 120 && diff < 3600\">{{ 'dates.in_n_minutes' | wsTranslate | async: {number: floor(diff / 60)} }}</span>\n    <span *ngIf=\"diff > 3600 && diff < 7200\">{{ 'dates.in_an_hour' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 7200 && diff < 86400\">{{ 'dates.in_n_hours' | wsTranslate | async: {number: floor(diff / 3600)} }}</span>\n    <span *ngIf=\"diff >= 86400 && daydiff === 1 \">{{ 'dates.tomorrow' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 86400 && daydiff > 1 && daydiff < 7\">{{ 'dates.in_n_days' | wsTranslate | async: {number: daydiff} }}</span>\n    <span *ngIf=\"diff > 86400 && daydiff === 7\">{{ 'dates.in_a_week' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 86400 && daydiff > 7 && daydiff < 31\">{{ 'dates.in_n_weeks' | wsTranslate | async: {number: ceil(daydiff / 7)} }}</span>\n</span>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }, { kind: "pipe", type: WSTranslate, name: "wsTranslate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RelativeDateComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-relative-date', template: "<span *ngIf=\"!isRelative\">{{ output }}</span>\n<span *ngIf=\"isRelative && isNotValid()\"></span>\n<span *ngIf=\"isRelative && isPastDate\">\n    <span *ngIf=\"diff < 60\">{{ 'dates.just_now' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 60 && diff < 120\">{{ 'dates.minute_ago' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 120 && diff < 3600\">{{ floor(diff / 60) }} {{ 'dates.minutes_ago' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 3600 && diff < 7200\">{{ 'dates.hour_ago' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 7200 && diff < 86400\">{{ floor(diff / 3600) }} {{ 'dates.hours_ago' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff >= 86400 && daydiff === 1 \">{{ 'dates.yesterday' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 86400 && daydiff > 1 && daydiff < 7\">{{ daydiff }} {{ 'dates.days_ago' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 86400 && daydiff === 7\">{{ 'dates.week_ago' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 86400 && daydiff > 7 && daydiff < 31\">{{ ceil(daydiff / 7) }} {{ 'dates.weeks_ago' | wsTranslate | async }}</span>\n</span>\n<span *ngIf=\"isRelative && !isPastDate\">\n    <span *ngIf=\"diff < 60\">{{ 'dates.soon' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 60 && diff < 120\">{{ 'dates.in_a_minute' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 120 && diff < 3600\">{{ 'dates.in_n_minutes' | wsTranslate | async: {number: floor(diff / 60)} }}</span>\n    <span *ngIf=\"diff > 3600 && diff < 7200\">{{ 'dates.in_an_hour' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 7200 && diff < 86400\">{{ 'dates.in_n_hours' | wsTranslate | async: {number: floor(diff / 3600)} }}</span>\n    <span *ngIf=\"diff >= 86400 && daydiff === 1 \">{{ 'dates.tomorrow' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 86400 && daydiff > 1 && daydiff < 7\">{{ 'dates.in_n_days' | wsTranslate | async: {number: daydiff} }}</span>\n    <span *ngIf=\"diff > 86400 && daydiff === 7\">{{ 'dates.in_a_week' | wsTranslate | async }}</span>\n    <span *ngIf=\"diff > 86400 && daydiff > 7 && daydiff < 31\">{{ 'dates.in_n_weeks' | wsTranslate | async: {number: ceil(daydiff / 7)} }}</span>\n</span>\n" }]
        }], ctorParameters: () => [], propDecorators: { date: [{
                type: Input
            }], format: [{
                type: Input
            }], locale: [{
                type: Input
            }], tresholdInDays: [{
                type: Input
            }] } });

class ToastComponent {
    constructor(service) {
        this.service = service;
    }
    ngOnInit() {
    }
    isTemplate(toast) {
        return toast.textOrTpl instanceof TemplateRef;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ToastComponent, deps: [{ token: WsiToastService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ToastComponent, selector: "ws-toast", ngImport: i0, template: "<div class=\"ws-toast-container\">\n    <ngb-toast *ngFor=\"let toast of service.toasts\" [header]=\"toast.headertext\" [class]=\"toast.classname\"\n    [autohide]=\"toast.autohide\" [delay]=\"toast.delay || 5000\" (hide)=\"service.remove(toast)\">\n    <ng-template [ngIf]=\"isTemplate(toast)\" [ngIfElse]=\"text\">\n        <ng-template [ngTemplateOutlet]=\"toast.textOrTpl\"></ng-template>\n    </ng-template>\n\n    <ng-template #text>{{ toast.textOrTpl }}</ng-template>\n</ngb-toast>\n</div>", styles: [".ws-toast-container{position:absolute;top:0;right:0}\n"], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: i1$1.NgbToast, selector: "ngb-toast", inputs: ["animation", "delay", "autohide", "header"], outputs: ["shown", "hidden"], exportAs: ["ngbToast"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ToastComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-toast', template: "<div class=\"ws-toast-container\">\n    <ngb-toast *ngFor=\"let toast of service.toasts\" [header]=\"toast.headertext\" [class]=\"toast.classname\"\n    [autohide]=\"toast.autohide\" [delay]=\"toast.delay || 5000\" (hide)=\"service.remove(toast)\">\n    <ng-template [ngIf]=\"isTemplate(toast)\" [ngIfElse]=\"text\">\n        <ng-template [ngTemplateOutlet]=\"toast.textOrTpl\"></ng-template>\n    </ng-template>\n\n    <ng-template #text>{{ toast.textOrTpl }}</ng-template>\n</ngb-toast>\n</div>", styles: [".ws-toast-container{position:absolute;top:0;right:0}\n"] }]
        }], ctorParameters: () => [{ type: WsiToastService }] });

/*
  This servicec actts as a wrapper to the NgModal service and provides extended functionality for common modals.
  this can also be extended to include custsom app modals.
*/
class WsiModalService {
    constructor(modal) {
        this.modal = modal;
        this.onModalUpdate = new Subject();
        this.modals = [];
        this.openModals = [];
    }
    /*
      Update tracking properties on modal close
    */
    closeModal(item) {
        const idx = this.openModals.findIndex(x => x.name === item.name);
        if (idx !== -1) {
            this.updateModal(item.name, item); // update last reason or last result
            this.openModals.splice(idx, 1);
        }
    }
    /*
      Listen ffor modal close event
    */
    listenModal(item) {
        item.ref.result.then((result) => {
            item.lastResult = result;
            this.closeModal(item);
        }, (reason) => {
            item.lastReason = this.getDismissReason(reason);
            this.closeModal(item);
        });
    }
    /*
      Open a specific registered modal
    */
    open(item) {
        item.options = item.options || this.getDefaultOptions();
        item.ref = this.modal.open(item.content, item.options);
        this.updateModal(item.name, item); // update modal ref
        this.listenModal(item); // listen for close event
        return item;
    }
    /*
      Get default modal optioons
    */
    getDefaultOptions() {
        return {
            centered: true
        };
    }
    /*
      Extract modal dismiss reason
    */
    getDismissReason(reason) {
        if (reason === ModalDismissReasons.ESC) {
            return 'ESC';
        }
        else if (reason === ModalDismissReasons.BACKDROP_CLICK) {
            return 'BACKDROP';
        }
        else {
            return reason;
        }
    }
    /*
      Get a registered modal
    */
    getModal(name) {
        return this.modals.find(x => x.name === name);
    }
    /*
      Update a regitered modal
    */
    updateModal(name, item) {
        const idx = this.modals.findIndex(x => x.name === name);
        if (idx === -1) {
            return false;
        }
        this.modals[idx] = item;
        this.onModalUpdate.next(item);
        return true;
    }
    /*
      Determine if a specific modal is open
    */
    isModalOpen(item) {
        return this.openModals.filter(x => x.name === item.name).length > 0;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WsiModalService, deps: [{ token: i1$1.NgbModal }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WsiModalService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WsiModalService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: i1$1.NgbModal }] });

/*
  If required thesse modals caan be exended to include angular template
*/
class ModalsComponent {
    constructor(service) {
        this.service = service;
    }
    ngOnInit() {
    }
    // content is only available after view init
    // tslint:disable-next-line:use-lifecycle-interface
    ngAfterViewInit() {
        // listen for modal updates
        this.okModalItem = {
            name: 'ok',
            content: this.okContent,
            title: '',
            body: ''
        };
        this.okCancelModalItem = {
            name: 'okcancel',
            content: this.okCancelContent,
            title: '',
            body: ''
        };
        this.yesModalItem = {
            name: 'yes',
            content: this.yesContent,
            title: '',
            body: ''
        };
        this.yesNoModalItem = {
            name: 'yesno',
            content: this.yesContent,
            title: '',
            body: ''
        };
        // register Modals
        this.service.modals.push(this.okModalItem, this.okCancelModalItem, this.yesModalItem, this.yesNoModalItem);
        // listen for modal changes
        this.service.onModalUpdate.subscribe(item => {
            if (item) {
                switch (item.name) {
                    default:
                        break;
                    case 'ok':
                        this.okModalItem = item;
                        break;
                    case 'okcancel':
                        this.okCancelModalItem = item;
                        break;
                    case 'yes':
                        this.yesModalItem = item;
                        break;
                    case 'yesno':
                        this.yesNoModalItem = item;
                        break;
                }
            }
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ModalsComponent, deps: [{ token: WsiModalService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ModalsComponent, selector: "ws-modals", viewQueries: [{ propertyName: "okContent", first: true, predicate: ["okmodal"], descendants: true }, { propertyName: "okCancelContent", first: true, predicate: ["okcancelmodal"], descendants: true }, { propertyName: "yesContent", first: true, predicate: ["yesmodal"], descendants: true }, { propertyName: "yesNoContent", first: true, predicate: ["yesnomodal"], descendants: true }], ngImport: i0, template: "<ng-template #okmodal let-modal>\n    <div class=\"modal-header\">\n      <h4 class=\"modal-title\" id=\"modal-basic-title\">{{ okModalItem.title }}</h4>\n      <button type=\"button\" class=\"close\" aria-label=\"Close\" (click)=\"modal.dismiss('close')\">\n        <span aria-hidden=\"true\">&times;</span>\n      </button>\n    </div>\n    <div class=\"modal-body\">\n        {{ okModalItem.body }}\n    </div>\n    <div class=\"modal-footer\">\n      <button type=\"button\" class=\"btn btn-outline-dark\" (click)=\"modal.close('ok')\">{{ 'modals.ok' | wsTranslate | async }}</button>\n    </div>\n  </ng-template>\n\n  <ng-template #okcancelmodal let-modal>\n    <div class=\"modal-header\">\n      <h4 class=\"modal-title\" id=\"modal-basic-title\">{{ okCancelModalItem.title }}</h4>\n      <button type=\"button\" class=\"close\" aria-label=\"Close\" (click)=\"modal.dismiss('close')\">\n        <span aria-hidden=\"true\">&times;</span>\n      </button>\n    </div>\n    <div class=\"modal-body\">\n        {{ okCancelModalItem.body }}\n    </div>\n    <div class=\"modal-footer\">\n      <button type=\"button\" class=\"btn btn-outline-dark\" (click)=\"modal.close('cancel')\">{{ 'modals.cancel' | wsTranslate | async }}</button>\n      <button type=\"button\" class=\"btn btn-outline-dark\" (click)=\"modal.close('ok')\">{{ 'modals.ok' | wsTranslate | async }}</button>\n    </div>\n  </ng-template>\n\n  <ng-template #yesmodal let-modal>\n    <div class=\"modal-header\">\n      <h4 class=\"modal-title\" id=\"modal-basic-title\">{{ yesModalItem.title }}</h4>\n      <button type=\"button\" class=\"close\" aria-label=\"Close\" (click)=\"modal.dismiss('close')\">\n        <span aria-hidden=\"true\">&times;</span>\n      </button>\n    </div>\n    <div class=\"modal-body\">\n        {{ yesModalItem.body }}\n    </div>\n    <div class=\"modal-footer\">\n      <button type=\"button\" class=\"btn btn-outline-dark\" (click)=\"modal.close('yes')\">{{ 'modals.yes' | wsTranslate | async }}</button>\n    </div>\n  </ng-template>\n\n\n  <ng-template #yesnomodal let-modal>\n    <div class=\"modal-header\">\n      <h4 class=\"modal-title\" id=\"modal-basic-title\">{{ yesModalItem.title }}</h4>\n      <button type=\"button\" class=\"close\" aria-label=\"Close\" (click)=\"modal.dismiss('close')\">\n        <span aria-hidden=\"true\">&times;</span>\n      </button>\n    </div>\n    <div class=\"modal-body\">\n        {{ yesModalItem.body }}\n    </div>\n    <div class=\"modal-footer\">\n      <button type=\"button\" class=\"btn btn-outline-dark\" (click)=\"modal.close('yes')\">{{ 'modals.no' | wsTranslate | async }}</button>\n      <button type=\"button\" class=\"btn btn-outline-dark\" (click)=\"modal.close('yes')\">{{ 'modals.yes' | wsTranslate | async }}</button>\n    </div>\n  </ng-template>", styles: [""], dependencies: [{ kind: "pipe", type: i2.AsyncPipe, name: "async" }, { kind: "pipe", type: WSTranslate, name: "wsTranslate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ModalsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-modals', template: "<ng-template #okmodal let-modal>\n    <div class=\"modal-header\">\n      <h4 class=\"modal-title\" id=\"modal-basic-title\">{{ okModalItem.title }}</h4>\n      <button type=\"button\" class=\"close\" aria-label=\"Close\" (click)=\"modal.dismiss('close')\">\n        <span aria-hidden=\"true\">&times;</span>\n      </button>\n    </div>\n    <div class=\"modal-body\">\n        {{ okModalItem.body }}\n    </div>\n    <div class=\"modal-footer\">\n      <button type=\"button\" class=\"btn btn-outline-dark\" (click)=\"modal.close('ok')\">{{ 'modals.ok' | wsTranslate | async }}</button>\n    </div>\n  </ng-template>\n\n  <ng-template #okcancelmodal let-modal>\n    <div class=\"modal-header\">\n      <h4 class=\"modal-title\" id=\"modal-basic-title\">{{ okCancelModalItem.title }}</h4>\n      <button type=\"button\" class=\"close\" aria-label=\"Close\" (click)=\"modal.dismiss('close')\">\n        <span aria-hidden=\"true\">&times;</span>\n      </button>\n    </div>\n    <div class=\"modal-body\">\n        {{ okCancelModalItem.body }}\n    </div>\n    <div class=\"modal-footer\">\n      <button type=\"button\" class=\"btn btn-outline-dark\" (click)=\"modal.close('cancel')\">{{ 'modals.cancel' | wsTranslate | async }}</button>\n      <button type=\"button\" class=\"btn btn-outline-dark\" (click)=\"modal.close('ok')\">{{ 'modals.ok' | wsTranslate | async }}</button>\n    </div>\n  </ng-template>\n\n  <ng-template #yesmodal let-modal>\n    <div class=\"modal-header\">\n      <h4 class=\"modal-title\" id=\"modal-basic-title\">{{ yesModalItem.title }}</h4>\n      <button type=\"button\" class=\"close\" aria-label=\"Close\" (click)=\"modal.dismiss('close')\">\n        <span aria-hidden=\"true\">&times;</span>\n      </button>\n    </div>\n    <div class=\"modal-body\">\n        {{ yesModalItem.body }}\n    </div>\n    <div class=\"modal-footer\">\n      <button type=\"button\" class=\"btn btn-outline-dark\" (click)=\"modal.close('yes')\">{{ 'modals.yes' | wsTranslate | async }}</button>\n    </div>\n  </ng-template>\n\n\n  <ng-template #yesnomodal let-modal>\n    <div class=\"modal-header\">\n      <h4 class=\"modal-title\" id=\"modal-basic-title\">{{ yesModalItem.title }}</h4>\n      <button type=\"button\" class=\"close\" aria-label=\"Close\" (click)=\"modal.dismiss('close')\">\n        <span aria-hidden=\"true\">&times;</span>\n      </button>\n    </div>\n    <div class=\"modal-body\">\n        {{ yesModalItem.body }}\n    </div>\n    <div class=\"modal-footer\">\n      <button type=\"button\" class=\"btn btn-outline-dark\" (click)=\"modal.close('yes')\">{{ 'modals.no' | wsTranslate | async }}</button>\n      <button type=\"button\" class=\"btn btn-outline-dark\" (click)=\"modal.close('yes')\">{{ 'modals.yes' | wsTranslate | async }}</button>\n    </div>\n  </ng-template>" }]
        }], ctorParameters: () => [{ type: WsiModalService }], propDecorators: { okContent: [{
                type: ViewChild,
                args: ['okmodal']
            }], okCancelContent: [{
                type: ViewChild,
                args: ['okcancelmodal']
            }], yesContent: [{
                type: ViewChild,
                args: ['yesmodal']
            }], yesNoContent: [{
                type: ViewChild,
                args: ['yesnomodal']
            }] } });

class AwardService extends WsService {
    constructor(wsi, http) {
        super();
        this.wsi = wsi;
        this.http = http;
        this.wsi.serviceConfigSubject.subscribe(next => {
            this.apiAwardsURL = next.apiEndpoint + '/awards';
        });
    }
    getList(entityId) {
        let params = new HttpParams();
        if (!GenericUtil.isNullOrUndefined(entityId)) {
            params = params.set('entityId', entityId.toString());
        }
        const observable = this.http.get(`${this.apiAwardsURL}/awards`, { params }).pipe(share());
        return this.request(observable);
    }
    getListUnderWSIEntity() {
        return this.getList(1);
    }
    get(awardId) {
        const observable = this.http.get(`${this.apiAwardsURL}/awards/${awardId}`).pipe(share());
        return this.request(observable);
    }
    create(awardRequest, p1, p2, p3) {
        const { fetchParams, multicastOptions, requestOptions } = this.resolveArgs(p1, p2, p3, FULL);
        const params = HttpUtil.objectToParams(fetchParams || {});
        const observable = this.http.post(requestOptions.url ?? `${this.apiAwardsURL}/awards`, awardRequest, { params }).pipe(share());
        return this.request(observable, multicastOptions);
    }
    // tslint:disable-next-line:max-line-length
    update(awardId, awardRequest, p1, p2, p3) {
        const { fetchParams, multicastOptions, requestOptions } = this.resolveArgs(p1, p2, p3, FULL);
        const params = HttpUtil.objectToParams(fetchParams || {});
        const observable = this.http.put(requestOptions.url ?? `${this.apiAwardsURL}/awards/${awardId}`, awardRequest, { params }).pipe(share());
        return this.request(observable, multicastOptions);
    }
    delete(awardId) {
        return this.http.delete(`${this.apiAwardsURL}/awards/${awardId}`);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AwardService, deps: [{ token: WorldskillsAngularLibService }, { token: i2$3.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AwardService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: AwardService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: WorldskillsAngularLibService }, { type: i2$3.HttpClient }] });

var RecipientAwardCertificateType;
(function (RecipientAwardCertificateType) {
    RecipientAwardCertificateType["DIGITAL"] = "DIGITAL";
    RecipientAwardCertificateType["PRINT"] = "PRINT";
})(RecipientAwardCertificateType || (RecipientAwardCertificateType = {}));

class RecipientAwardCertificateFormComponent {
    get certificates() {
        return this._certificates;
    }
    set certificates(certs) {
        if (GenericUtil.isNullOrUndefined(certs)) {
            certs = [];
        }
        this._certificates = [...certs];
    }
    constructor() {
        this.certificatesEmitter = new EventEmitter();
        this.certificateTypes = Object.values(RecipientAwardCertificateType);
    }
    ngOnInit() {
    }
    addCert() {
        this._certificates.push({
            certificate_unique_id: '',
            certificate_dropbox_path: ''
        });
    }
    generateNewUniqueID(cert) {
        cert.certificate_unique_id = v4();
    }
    emitValues() {
        this.certificatesEmitter.emit(this._certificates);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RecipientAwardCertificateFormComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: RecipientAwardCertificateFormComponent, selector: "ws-recipient-award-certificate-form", inputs: { certificates: "certificates" }, outputs: { certificatesEmitter: "certificatesEmitter" }, ngImport: i0, template: "<button class=\"btn btn-link btn-sm mb-2\" type=\"button\" (click)=\"addCert()\">+ {{'add_certificate' | wsTranslate | async}}</button>\n\n<ng-container *ngFor=\"let cert of certificates\">\n    <div class=\"row\">\n        <div class=\"col-md-4 text-right font-weight-bold\">\n            <label for=\"certificate_unique_id\">{{'certificate_unique_id' | wsTranslate | async}}</label>\n        </div>\n        <div class=\"col-md-8\">\n            <input type=\"text\" class=\"form-control\" name=\"certificate_unique_id\" id=\"certificate_unique_id\"\n                   [(ngModel)]=\"cert.certificate_unique_id\" (ngModelChange)=\"emitValues()\">\n            <button class=\"btn btn-link btn-sm\" type=\"button\" (click)=\"generateNewUniqueID(cert)\">Generate New ID\n            </button>\n        </div>\n    </div>\n\n    <div class=\"row my-2\">\n        <div class=\"col-md-4 text-right font-weight-bold\">\n            <label for=\"certificate_dropbox_path\">{{'certificate_dropbox_path' | wsTranslate | async}}</label>\n        </div>\n        <div class=\"col-md-8\">\n            <input type=\"text\" class=\"form-control\" name=\"certificate_dropbox_path\" id=\"certificate_dropbox_path\"\n                   [(ngModel)]=\"cert.certificate_dropbox_path\" (ngModelChange)=\"emitValues()\">\n        </div>\n    </div>\n\n    <div class=\"row my-2\">\n        <div class=\"col-md-4 text-right font-weight-bold\">\n            <label for=\"certificate_type\">{{'certificate_type' | wsTranslate | async}}</label>\n        </div>\n        <div class=\"col-md-8\">\n            <ng-select id=\"certificate_type\" [items]=\"certificateTypes\" [(ngModel)]=\"cert.certificate_type\"\n                       (ngModelChange)=\"emitValues()\"></ng-select>\n        </div>\n    </div>\n\n    <hr class=\"m-0 my-3\">\n</ng-container>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2$2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "component", type: i3.NgSelectComponent, selector: "ng-select", inputs: ["bindLabel", "bindValue", "markFirst", "placeholder", "notFoundText", "typeToSearchText", "addTagText", "loadingText", "clearAllText", "appearance", "dropdownPosition", "appendTo", "loading", "closeOnSelect", "hideSelected", "selectOnTab", "openOnEnter", "maxSelectedItems", "groupBy", "groupValue", "bufferAmount", "virtualScroll", "selectableGroup", "selectableGroupAsModel", "searchFn", "trackByFn", "clearOnBackspace", "labelForId", "inputAttrs", "tabIndex", "readonly", "searchWhileComposing", "minTermLength", "editableSearchTerm", "keyDownFn", "typeahead", "multiple", "addTag", "searchable", "clearable", "isOpen", "items", "compareWith", "clearSearchOnAdd"], outputs: ["blur", "focus", "change", "open", "close", "search", "clear", "add", "remove", "scroll", "scrollToEnd"] }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }, { kind: "pipe", type: WSTranslate, name: "wsTranslate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RecipientAwardCertificateFormComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-recipient-award-certificate-form', template: "<button class=\"btn btn-link btn-sm mb-2\" type=\"button\" (click)=\"addCert()\">+ {{'add_certificate' | wsTranslate | async}}</button>\n\n<ng-container *ngFor=\"let cert of certificates\">\n    <div class=\"row\">\n        <div class=\"col-md-4 text-right font-weight-bold\">\n            <label for=\"certificate_unique_id\">{{'certificate_unique_id' | wsTranslate | async}}</label>\n        </div>\n        <div class=\"col-md-8\">\n            <input type=\"text\" class=\"form-control\" name=\"certificate_unique_id\" id=\"certificate_unique_id\"\n                   [(ngModel)]=\"cert.certificate_unique_id\" (ngModelChange)=\"emitValues()\">\n            <button class=\"btn btn-link btn-sm\" type=\"button\" (click)=\"generateNewUniqueID(cert)\">Generate New ID\n            </button>\n        </div>\n    </div>\n\n    <div class=\"row my-2\">\n        <div class=\"col-md-4 text-right font-weight-bold\">\n            <label for=\"certificate_dropbox_path\">{{'certificate_dropbox_path' | wsTranslate | async}}</label>\n        </div>\n        <div class=\"col-md-8\">\n            <input type=\"text\" class=\"form-control\" name=\"certificate_dropbox_path\" id=\"certificate_dropbox_path\"\n                   [(ngModel)]=\"cert.certificate_dropbox_path\" (ngModelChange)=\"emitValues()\">\n        </div>\n    </div>\n\n    <div class=\"row my-2\">\n        <div class=\"col-md-4 text-right font-weight-bold\">\n            <label for=\"certificate_type\">{{'certificate_type' | wsTranslate | async}}</label>\n        </div>\n        <div class=\"col-md-8\">\n            <ng-select id=\"certificate_type\" [items]=\"certificateTypes\" [(ngModel)]=\"cert.certificate_type\"\n                       (ngModelChange)=\"emitValues()\"></ng-select>\n        </div>\n    </div>\n\n    <hr class=\"m-0 my-3\">\n</ng-container>\n" }]
        }], ctorParameters: () => [], propDecorators: { certificatesEmitter: [{
                type: Output
            }], certificates: [{
                type: Input
            }] } });

class RecipientAwardFormComponent {
    constructor(awardService) {
        this.awardService = awardService;
        this.save = new EventEmitter();
        this.cancel = new EventEmitter();
        this.certificateEnabled = false;
        this.certificates = [];
    }
    ngOnInit() {
        this.loadAwards();
    }
    get awardGroupByRenderer() {
        return (award) => `${award.entity.name.text}`;
    }
    loadAwards() {
        this.awardService.getList().subscribe(res => {
            this.awards = res.awards;
        });
    }
    saveRecipientAward() {
        if (this.form.valid) {
            const award = this.awards.find(a => a.id === this.form.value.award);
            const rar = {
                id: this.recipientAward?.id ?? 0,
                award,
                presented_at: this.form.value.presentedAt,
                extra_information: this.form.value.extraInformation,
                public_extra_information: this.form.value.publicExtraInformation,
                certificates: this.certificates
            };
            this.save.emit(rar);
        }
    }
    awardSelectionChange($event) {
        this.selectedAward = $event.item;
    }
    certificatesEmitReceiver(pac) {
        this.certificates = pac;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RecipientAwardFormComponent, deps: [{ token: AwardService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: RecipientAwardFormComponent, selector: "ws-recipient-award-form", inputs: { recipientAward: "recipientAward", certificateEnabled: "certificateEnabled", certificates: "certificates" }, outputs: { save: "save", cancel: "cancel" }, viewQueries: [{ propertyName: "form", first: true, predicate: ["form"], descendants: true }], ngImport: i0, template: "<form class=\"form-horizontal\" [ngClass]=\"{'was-validated': form.submitted}\" novalidate\n      (ngSubmit)=\"saveRecipientAward()\" #form=\"ngForm\">\n    <div class=\"container\">\n        <div class=\"row my-1\">\n            <div class=\"col-4 text-right font-weight-bold\">\n                <label for=\"award\">{{'award' | wsTranslate | async}}</label>\n            </div>\n            <div class=\"col-8\">\n                <ng-select id=\"award\"\n                           [wsSelect]=\"['id','name.text', awardGroupByRenderer]\"\n                           required\n                           name=\"award\"\n                           [items]=\"awards\"\n                           [multiple]=\"false\"\n                           [ngModel]=\"recipientAward ? recipientAward?.award?.id : null\"\n                           [readonly]=\"recipientAward?.award?.id !== null\"\n                           (wsChange)=\"awardSelectionChange($event)\"\n                ></ng-select>\n            </div>\n        </div>\n        <div class=\"row my-1\">\n            <div class=\"col-4 text-right font-weight-bold\">\n                <label for=\"presentedAt\">{{'presented_at' | wsTranslate | async}}</label>\n            </div>\n            <div class=\"col-8\">\n                <input type=\"number\" class=\"form-control\" name=\"presentedAt\" id=\"presentedAt\"\n                       [ngModel]=\"recipientAward ? recipientAward.presented_at : null\">\n            </div>\n        </div>\n        <div class=\"row my-1\">\n            <div class=\"col-4 text-right font-weight-bold\">\n                <label for=\"extraInformation\">{{'extra_information' | wsTranslate | async}}</label>\n            </div>\n            <div class=\"col-8\">\n                <textarea class=\"form-control\"\n                          name=\"extraInformation\" id=\"extraInformation\"\n                          rows=\"4\"\n                          placeholder=\"{{'extra_information' | wsTranslate | async}}\"\n                          [ngModel]=\"recipientAward ? recipientAward.extra_information : null\">\n                </textarea>\n            </div>\n        </div>\n        <div class=\"row my-1\">\n            <div class=\"col-4 text-right font-weight-bold\">\n                <label for=\"publicExtraInformation\">{{'public_extra_information' | wsTranslate | async}}</label>\n            </div>\n            <div class=\"col-8\">\n                <textarea class=\"form-control\"\n                          name=\"publicExtraInformation\" id=\"publicExtraInformation\"\n                          rows=\"4\"\n                          placeholder=\"{{'public_extra_information' | wsTranslate | async}}\"\n                          [ngModel]=\"recipientAward ? recipientAward.public_extra_information : null\">\n                </textarea>\n            </div>\n        </div>\n\n        <ng-container *ngIf=\"certificateEnabled && (selectedAward?.has_certificate || recipientAward?.award?.has_certificate)\">\n            <h4>{{'certificates' | wsTranslate | async | titlecase}}</h4>\n            <ws-recipient-award-certificate-form (certificatesEmitter)=\"certificatesEmitReceiver($event)\"\n                                                 [certificates]=\"certificates\"></ws-recipient-award-certificate-form>\n        </ng-container>\n    </div>\n    <div class=\"row\">\n        <div class=\"col-12 text-right\">\n            <button type=\"button\" class=\"btn btn-warning btn-sm\"\n                    (click)=\"cancel.emit()\">{{'cancel' | wsTranslate | async}}</button>\n            <button type=\"submit\"\n                    class=\"btn btn-success btn-sm ml-1\">{{'save' | wsTranslate | async}}</button>\n        </div>\n    </div>\n</form>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$2.ɵNgNoValidate, selector: "form:not([ngNoForm]):not([ngNativeValidate])" }, { kind: "directive", type: i2$2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2$2.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i2$2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2$2.NgControlStatusGroup, selector: "[formGroupName],[formArrayName],[ngModelGroup],[formGroup],form:not([ngNoForm]),[ngForm]" }, { kind: "directive", type: i2$2.RequiredValidator, selector: ":not([type=checkbox])[required][formControlName],:not([type=checkbox])[required][formControl],:not([type=checkbox])[required][ngModel]", inputs: ["required"] }, { kind: "directive", type: i2$2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: i2$2.NgForm, selector: "form:not([ngNoForm]):not([formGroup]),ng-form,[ngForm]", inputs: ["ngFormOptions"], outputs: ["ngSubmit"], exportAs: ["ngForm"] }, { kind: "component", type: i3.NgSelectComponent, selector: "ng-select", inputs: ["bindLabel", "bindValue", "markFirst", "placeholder", "notFoundText", "typeToSearchText", "addTagText", "loadingText", "clearAllText", "appearance", "dropdownPosition", "appendTo", "loading", "closeOnSelect", "hideSelected", "selectOnTab", "openOnEnter", "maxSelectedItems", "groupBy", "groupValue", "bufferAmount", "virtualScroll", "selectableGroup", "selectableGroupAsModel", "searchFn", "trackByFn", "clearOnBackspace", "labelForId", "inputAttrs", "tabIndex", "readonly", "searchWhileComposing", "minTermLength", "editableSearchTerm", "keyDownFn", "typeahead", "multiple", "addTag", "searchable", "clearable", "isOpen", "items", "compareWith", "clearSearchOnAdd"], outputs: ["blur", "focus", "change", "open", "close", "search", "clear", "add", "remove", "scroll", "scrollToEnd"] }, { kind: "directive", type: SelectDirective, selector: "[wsSelect]", inputs: ["wsSelect", "items", "labelReader", "valueReader", "groupReader", "asyncSearch"], outputs: ["wsChange"] }, { kind: "component", type: RecipientAwardCertificateFormComponent, selector: "ws-recipient-award-certificate-form", inputs: ["certificates"], outputs: ["certificatesEmitter"] }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }, { kind: "pipe", type: i2.TitleCasePipe, name: "titlecase" }, { kind: "pipe", type: WSTranslate, name: "wsTranslate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RecipientAwardFormComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-recipient-award-form', template: "<form class=\"form-horizontal\" [ngClass]=\"{'was-validated': form.submitted}\" novalidate\n      (ngSubmit)=\"saveRecipientAward()\" #form=\"ngForm\">\n    <div class=\"container\">\n        <div class=\"row my-1\">\n            <div class=\"col-4 text-right font-weight-bold\">\n                <label for=\"award\">{{'award' | wsTranslate | async}}</label>\n            </div>\n            <div class=\"col-8\">\n                <ng-select id=\"award\"\n                           [wsSelect]=\"['id','name.text', awardGroupByRenderer]\"\n                           required\n                           name=\"award\"\n                           [items]=\"awards\"\n                           [multiple]=\"false\"\n                           [ngModel]=\"recipientAward ? recipientAward?.award?.id : null\"\n                           [readonly]=\"recipientAward?.award?.id !== null\"\n                           (wsChange)=\"awardSelectionChange($event)\"\n                ></ng-select>\n            </div>\n        </div>\n        <div class=\"row my-1\">\n            <div class=\"col-4 text-right font-weight-bold\">\n                <label for=\"presentedAt\">{{'presented_at' | wsTranslate | async}}</label>\n            </div>\n            <div class=\"col-8\">\n                <input type=\"number\" class=\"form-control\" name=\"presentedAt\" id=\"presentedAt\"\n                       [ngModel]=\"recipientAward ? recipientAward.presented_at : null\">\n            </div>\n        </div>\n        <div class=\"row my-1\">\n            <div class=\"col-4 text-right font-weight-bold\">\n                <label for=\"extraInformation\">{{'extra_information' | wsTranslate | async}}</label>\n            </div>\n            <div class=\"col-8\">\n                <textarea class=\"form-control\"\n                          name=\"extraInformation\" id=\"extraInformation\"\n                          rows=\"4\"\n                          placeholder=\"{{'extra_information' | wsTranslate | async}}\"\n                          [ngModel]=\"recipientAward ? recipientAward.extra_information : null\">\n                </textarea>\n            </div>\n        </div>\n        <div class=\"row my-1\">\n            <div class=\"col-4 text-right font-weight-bold\">\n                <label for=\"publicExtraInformation\">{{'public_extra_information' | wsTranslate | async}}</label>\n            </div>\n            <div class=\"col-8\">\n                <textarea class=\"form-control\"\n                          name=\"publicExtraInformation\" id=\"publicExtraInformation\"\n                          rows=\"4\"\n                          placeholder=\"{{'public_extra_information' | wsTranslate | async}}\"\n                          [ngModel]=\"recipientAward ? recipientAward.public_extra_information : null\">\n                </textarea>\n            </div>\n        </div>\n\n        <ng-container *ngIf=\"certificateEnabled && (selectedAward?.has_certificate || recipientAward?.award?.has_certificate)\">\n            <h4>{{'certificates' | wsTranslate | async | titlecase}}</h4>\n            <ws-recipient-award-certificate-form (certificatesEmitter)=\"certificatesEmitReceiver($event)\"\n                                                 [certificates]=\"certificates\"></ws-recipient-award-certificate-form>\n        </ng-container>\n    </div>\n    <div class=\"row\">\n        <div class=\"col-12 text-right\">\n            <button type=\"button\" class=\"btn btn-warning btn-sm\"\n                    (click)=\"cancel.emit()\">{{'cancel' | wsTranslate | async}}</button>\n            <button type=\"submit\"\n                    class=\"btn btn-success btn-sm ml-1\">{{'save' | wsTranslate | async}}</button>\n        </div>\n    </div>\n</form>\n" }]
        }], ctorParameters: () => [{ type: AwardService }], propDecorators: { recipientAward: [{
                type: Input
            }], save: [{
                type: Output
            }], cancel: [{
                type: Output
            }], form: [{
                type: ViewChild,
                args: ['form']
            }], certificateEnabled: [{
                type: Input
            }], certificates: [{
                type: Input
            }] } });

class WsSpinnerComponent {
    constructor() { }
    ngOnInit() {
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WsSpinnerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: WsSpinnerComponent, selector: "ws-spinner", ngImport: i0, template: "<div style=\"display: block; text-align: center\">\n  <div class=\"spinner-border\" role=\"status\">\n    <span class=\"sr-only\">{{'ws-spinner.loading_indicator' | wsTranslate | async}}</span>\n  </div>\n</div>\n", styles: [""], dependencies: [{ kind: "pipe", type: i2.AsyncPipe, name: "async" }, { kind: "pipe", type: WSTranslate, name: "wsTranslate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WsSpinnerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-spinner', template: "<div style=\"display: block; text-align: center\">\n  <div class=\"spinner-border\" role=\"status\">\n    <span class=\"sr-only\">{{'ws-spinner.loading_indicator' | wsTranslate | async}}</span>\n  </div>\n</div>\n" }]
        }], ctorParameters: () => [] });

class ModalComponent {
    constructor(modalService) {
        this.modalService = modalService;
        this.onClose = new EventEmitter();
    }
    openModal() {
        if (!this.modalRef) {
            this.modalRef = this.modalService.open(this.content, this.options);
            this.modalRef.result.then(() => {
                this.onClose.emit();
                this.modalRef = null;
            }).catch(() => {
                this.onClose.emit();
                this.modalRef = null;
            });
        }
    }
    closeModal() {
        if (this.modalRef) {
            this.modalRef.close();
            this.modalRef = null;
        }
    }
    ngOnChanges(changes) {
        if ('open' in changes) {
            if (changes.open.currentValue) {
                this.openModal();
            }
            else {
                this.closeModal();
            }
        }
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ModalComponent, deps: [{ token: i1$1.NgbModal }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: ModalComponent, selector: "ws-modal", inputs: { open: "open", options: "options" }, outputs: { onClose: "onClose" }, viewQueries: [{ propertyName: "content", first: true, predicate: ["content"], descendants: true, static: true }], usesOnChanges: true, ngImport: i0, template: "<ng-template #content>\n    <div class=\"modal-header\">\n        <ng-content select=\"[header]\"></ng-content>\n        <button type=\"button\" class=\"close\" aria-label=\"Close\" (click)=\"closeModal()\">\n            <span aria-hidden=\"true\">&times;</span>\n        </button>\n    </div>\n    <div class=\"modal-body\">\n        <ng-content select=\"[body]\"></ng-content>\n    </div>\n    <div class=\"modal-footer\">\n        <ng-content select=\"[footer]\"></ng-content>\n    </div>\n</ng-template>\n", styles: [""] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: ModalComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-modal', template: "<ng-template #content>\n    <div class=\"modal-header\">\n        <ng-content select=\"[header]\"></ng-content>\n        <button type=\"button\" class=\"close\" aria-label=\"Close\" (click)=\"closeModal()\">\n            <span aria-hidden=\"true\">&times;</span>\n        </button>\n    </div>\n    <div class=\"modal-body\">\n        <ng-content select=\"[body]\"></ng-content>\n    </div>\n    <div class=\"modal-footer\">\n        <ng-content select=\"[footer]\"></ng-content>\n    </div>\n</ng-template>\n" }]
        }], ctorParameters: () => [{ type: i1$1.NgbModal }], propDecorators: { open: [{
                type: Input
            }], options: [{
                type: Input
            }], onClose: [{
                type: Output
            }], content: [{
                type: ViewChild,
                args: ['content', { static: true }]
            }] } });

class PanelRowActionsComponent {
    constructor(translateService) {
        this.translateService = translateService;
        this.edit = new EventEmitter();
        this.view = new EventEmitter();
        this.delete = new EventEmitter();
        this.editLabel = null;
        this.viewLabel = null;
        this.deleteLabel = null;
        this.editDisabled = false;
        this.viewDisabled = false;
        this.deleteDisabled = false;
    }
    ngOnInit() {
        const editLabelObservable = this.editLabel != null ? of(this.editLabel) : this.translateService.get('edit');
        const viewLabelObservable = this.viewLabel != null ? of(this.viewLabel) : this.translateService.get('view');
        const deleteLabelObservable = this.deleteLabel != null ? of(this.deleteLabel) : this.translateService.get('delete');
        combineLatest([
            editLabelObservable,
            viewLabelObservable,
            deleteLabelObservable
        ]).subscribe(([editLabel, viewLabel, deleteLabel]) => {
            this.editLabel = editLabel;
            this.viewLabel = viewLabel;
            this.deleteLabel = deleteLabel;
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PanelRowActionsComponent, deps: [{ token: i1.TranslateService }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: PanelRowActionsComponent, selector: "ws-panel-row-actions", inputs: { editLabel: "editLabel", viewLabel: "viewLabel", deleteLabel: "deleteLabel", editDisabled: "editDisabled", viewDisabled: "viewDisabled", deleteDisabled: "deleteDisabled" }, outputs: { edit: "edit", view: "view", delete: "delete" }, ngImport: i0, template: "<a *ngIf=\"!!edit.observers.length\">\n  <button\n    style=\"width: 30px; height: 30px\"\n    type=\"button\"\n    class=\"btn btn-warning btn-sm ml-1\"\n    (click)=\"edit.emit()\"\n    placement=\"top\"\n    [ngbTooltip]=\"this.editLabel\"\n    [disabled]=\"editDisabled\"\n  >\n    <span class=\"fa fa-edit\"></span>\n  </button>\n</a>\n<a *ngIf=\"!!view.observers.length\">\n  <button\n    style=\"width: 30px; height: 30px\"\n    type=\"button\"\n    class=\"btn btn-warning btn-sm ml-1\"\n    (click)=\"view.emit()\"\n    placement=\"top\"\n    [ngbTooltip]=\"this.viewLabel\"\n    [disabled]=\"viewDisabled\"\n  >\n    <span class=\"fa fa-eye\"></span>\n  </button>\n</a>\n<a *ngIf=\"!!delete.observers.length\">\n  <button\n    style=\"width: 30px; height: 30px\"\n    type=\"button\"\n    class=\"btn btn-danger btn-sm ml-1\"\n    (click)=\"delete.emit()\"\n    placement=\"top\"\n    [ngbTooltip]=\"this.deleteLabel\"\n    [disabled]=\"deleteDisabled\"\n  >\n    <span class=\"fa fa-times\"></span>\n  </button>\n</a>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1$1.NgbTooltip, selector: "[ngbTooltip]", inputs: ["animation", "autoClose", "placement", "popperOptions", "triggers", "positionTarget", "container", "disableTooltip", "tooltipClass", "tooltipContext", "openDelay", "closeDelay", "ngbTooltip"], outputs: ["shown", "hidden"], exportAs: ["ngbTooltip"] }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PanelRowActionsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-panel-row-actions', template: "<a *ngIf=\"!!edit.observers.length\">\n  <button\n    style=\"width: 30px; height: 30px\"\n    type=\"button\"\n    class=\"btn btn-warning btn-sm ml-1\"\n    (click)=\"edit.emit()\"\n    placement=\"top\"\n    [ngbTooltip]=\"this.editLabel\"\n    [disabled]=\"editDisabled\"\n  >\n    <span class=\"fa fa-edit\"></span>\n  </button>\n</a>\n<a *ngIf=\"!!view.observers.length\">\n  <button\n    style=\"width: 30px; height: 30px\"\n    type=\"button\"\n    class=\"btn btn-warning btn-sm ml-1\"\n    (click)=\"view.emit()\"\n    placement=\"top\"\n    [ngbTooltip]=\"this.viewLabel\"\n    [disabled]=\"viewDisabled\"\n  >\n    <span class=\"fa fa-eye\"></span>\n  </button>\n</a>\n<a *ngIf=\"!!delete.observers.length\">\n  <button\n    style=\"width: 30px; height: 30px\"\n    type=\"button\"\n    class=\"btn btn-danger btn-sm ml-1\"\n    (click)=\"delete.emit()\"\n    placement=\"top\"\n    [ngbTooltip]=\"this.deleteLabel\"\n    [disabled]=\"deleteDisabled\"\n  >\n    <span class=\"fa fa-times\"></span>\n  </button>\n</a>\n" }]
        }], ctorParameters: () => [{ type: i1.TranslateService }], propDecorators: { edit: [{
                type: Output
            }], view: [{
                type: Output
            }], delete: [{
                type: Output
            }], editLabel: [{
                type: Input
            }], viewLabel: [{
                type: Input
            }], deleteLabel: [{
                type: Input
            }], editDisabled: [{
                type: Input
            }], viewDisabled: [{
                type: Input
            }], deleteDisabled: [{
                type: Input
            }] } });

class RecipientAwardListComponent {
    constructor() {
        this.certificateEnabled = false;
        this.create = new EventEmitter();
        this.update = new EventEmitter();
        this.delete = new EventEmitter();
        this.addAward = false;
    }
    ngOnInit() {
    }
    deleteRecipientAward(ra) {
        this.delete.emit(ra);
    }
    saveRecipientAward(ra) {
        if (this.editRecipientAward) {
            this.update.emit(ra);
        }
        else {
            this.create.emit(ra);
        }
        this.closeModal();
    }
    closeModal() {
        this.addAward = false;
        this.editRecipientAward = null;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RecipientAwardListComponent, deps: [], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "18.2.12", type: RecipientAwardListComponent, selector: "ws-recipient-award-list", inputs: { canCreate: "canCreate", canUpdate: "canUpdate", canDelete: "canDelete", recipientAwards: "recipientAwards", certificateEnabled: "certificateEnabled" }, outputs: { create: "create", update: "update", delete: "delete" }, ngImport: i0, template: "<div class=\"card\">\n    <div class=\"card-header\">\n        {{'awards_and_recognition'|translate}}\n    </div>\n\n    <div class=\"card-body\">\n        <div class=\"table-responsive-md\">\n            <table class=\"table\">\n                <colgroup>\n                    <col style=\"width: 30%\">\n                    <col style=\"width: 20%\">\n                    <col style=\"width: 35%\">\n                    <col style=\"width: 15%\">\n                </colgroup>\n                <thead>\n                <tr>\n                    <th class=\"border-top-0\">{{'award' | wsTranslate | async}}</th>\n                    <th class=\"border-top-0\">{{'presented_at' | wsTranslate | async}}</th>\n                    <th class=\"border-top-0\">{{'public_extra_information' | wsTranslate | async}}</th>\n                    <th class=\"border-top-0\">{{'action' | wsTranslate | async}}</th>\n                </tr>\n                </thead>\n                <tbody>\n                <!-- list loaded -->\n                <ng-container *ngIf=\"recipientAwards\">\n                    <ng-container *ngIf=\"recipientAwards?.length > 0; else recipientAwardsEmpty\">\n                        <ng-container *ngFor=\"let ra of recipientAwards\">\n                            <tr>\n                                <td>{{ra.award.name.text}}</td>\n                                <td>{{ra.presented_at}}</td>\n                                <td>{{ra.public_extra_information}}</td>\n                                <td>\n                                    <ws-panel-row-actions\n                                            [deleteDisabled]=\"!canDelete\"\n                                            [editDisabled]=\"!canUpdate\"\n                                            (delete)=\"deleteRecipientAward(ra)\"\n                                            (edit)=\"editRecipientAward = ra\"\n                                    ></ws-panel-row-actions>\n                                </td>\n                            </tr>\n                            <tr class=\"p-0 m-0 border-0\">\n                                <td colspan=\"4\" class=\"p-0 m-0 border-0 text-right\"><p\n                                        class=\"text-muted small\">{{'last_updated' | wsTranslate | async}}\n                                    : {{ra.last_updated | date: 'long'}}</p></td>\n                            </tr>\n                        </ng-container>\n                    </ng-container>\n                    <ng-template #recipientAwardsEmpty>\n                        <tr>\n                            <!-- no awards on the list-->\n                            <td colspan=\"5\">{{'no_awards_on_the_list' | wsTranslate | async}}</td>\n                        </tr>\n                    </ng-template>\n                </ng-container>\n\n                <!-- loading spinner -->\n                <ng-container *ngIf=\"!recipientAwards\">\n                    <tr class=\"border-top-0\">\n                        <td colspan=\"4\">\n                            <ws-spinner></ws-spinner>\n                        </td>\n                    </tr>\n                </ng-container>\n                </tbody>\n            </table>\n\n            <a (click)=\"addAward = true\" [routerLink]=\"[]\" *ngIf=\"canCreate\">+ {{'add_award' | wsTranslate | async}}</a>\n        </div>\n    </div>\n</div>\n\n<ws-modal [open]=\"addAward || !!editRecipientAward\" (onClose)=\"closeModal()\"\n          [options]=\"{ size: 'lg' }\">\n    <ng-container header>\n        <h4 *ngIf=\"addAward\">{{'add_new_award' | wsTranslate | async}}</h4>\n        <h4 *ngIf=\"!!editRecipientAward\">{{'edit_award' | wsTranslate | async}} - {{editRecipientAward.award.name.text}}</h4>\n    </ng-container>\n\n    <ng-container body>\n        <ws-recipient-award-form *ngIf=\"addAward || !!editRecipientAward\"\n                                 [certificateEnabled]=\"certificateEnabled\"\n                                 (cancel)=\"closeModal()\"\n                                 (save)=\"saveRecipientAward($event)\"\n                                 [recipientAward]=\"editRecipientAward\"\n                                 [certificates]=\"editRecipientAward?.certificates ?? []\"\n        ></ws-recipient-award-form>\n    </ng-container>\n</ws-modal>\n", styles: [""], dependencies: [{ kind: "directive", type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2$1.RouterLink, selector: "[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "info", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "component", type: RecipientAwardFormComponent, selector: "ws-recipient-award-form", inputs: ["recipientAward", "certificateEnabled", "certificates"], outputs: ["save", "cancel"] }, { kind: "component", type: WsSpinnerComponent, selector: "ws-spinner" }, { kind: "component", type: ModalComponent, selector: "ws-modal", inputs: ["open", "options"], outputs: ["onClose"] }, { kind: "component", type: PanelRowActionsComponent, selector: "ws-panel-row-actions", inputs: ["editLabel", "viewLabel", "deleteLabel", "editDisabled", "viewDisabled", "deleteDisabled"], outputs: ["edit", "view", "delete"] }, { kind: "pipe", type: i2.AsyncPipe, name: "async" }, { kind: "pipe", type: i2.DatePipe, name: "date" }, { kind: "pipe", type: i1.TranslatePipe, name: "translate" }, { kind: "pipe", type: WSTranslate, name: "wsTranslate" }] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RecipientAwardListComponent, decorators: [{
            type: Component,
            args: [{ selector: 'ws-recipient-award-list', template: "<div class=\"card\">\n    <div class=\"card-header\">\n        {{'awards_and_recognition'|translate}}\n    </div>\n\n    <div class=\"card-body\">\n        <div class=\"table-responsive-md\">\n            <table class=\"table\">\n                <colgroup>\n                    <col style=\"width: 30%\">\n                    <col style=\"width: 20%\">\n                    <col style=\"width: 35%\">\n                    <col style=\"width: 15%\">\n                </colgroup>\n                <thead>\n                <tr>\n                    <th class=\"border-top-0\">{{'award' | wsTranslate | async}}</th>\n                    <th class=\"border-top-0\">{{'presented_at' | wsTranslate | async}}</th>\n                    <th class=\"border-top-0\">{{'public_extra_information' | wsTranslate | async}}</th>\n                    <th class=\"border-top-0\">{{'action' | wsTranslate | async}}</th>\n                </tr>\n                </thead>\n                <tbody>\n                <!-- list loaded -->\n                <ng-container *ngIf=\"recipientAwards\">\n                    <ng-container *ngIf=\"recipientAwards?.length > 0; else recipientAwardsEmpty\">\n                        <ng-container *ngFor=\"let ra of recipientAwards\">\n                            <tr>\n                                <td>{{ra.award.name.text}}</td>\n                                <td>{{ra.presented_at}}</td>\n                                <td>{{ra.public_extra_information}}</td>\n                                <td>\n                                    <ws-panel-row-actions\n                                            [deleteDisabled]=\"!canDelete\"\n                                            [editDisabled]=\"!canUpdate\"\n                                            (delete)=\"deleteRecipientAward(ra)\"\n                                            (edit)=\"editRecipientAward = ra\"\n                                    ></ws-panel-row-actions>\n                                </td>\n                            </tr>\n                            <tr class=\"p-0 m-0 border-0\">\n                                <td colspan=\"4\" class=\"p-0 m-0 border-0 text-right\"><p\n                                        class=\"text-muted small\">{{'last_updated' | wsTranslate | async}}\n                                    : {{ra.last_updated | date: 'long'}}</p></td>\n                            </tr>\n                        </ng-container>\n                    </ng-container>\n                    <ng-template #recipientAwardsEmpty>\n                        <tr>\n                            <!-- no awards on the list-->\n                            <td colspan=\"5\">{{'no_awards_on_the_list' | wsTranslate | async}}</td>\n                        </tr>\n                    </ng-template>\n                </ng-container>\n\n                <!-- loading spinner -->\n                <ng-container *ngIf=\"!recipientAwards\">\n                    <tr class=\"border-top-0\">\n                        <td colspan=\"4\">\n                            <ws-spinner></ws-spinner>\n                        </td>\n                    </tr>\n                </ng-container>\n                </tbody>\n            </table>\n\n            <a (click)=\"addAward = true\" [routerLink]=\"[]\" *ngIf=\"canCreate\">+ {{'add_award' | wsTranslate | async}}</a>\n        </div>\n    </div>\n</div>\n\n<ws-modal [open]=\"addAward || !!editRecipientAward\" (onClose)=\"closeModal()\"\n          [options]=\"{ size: 'lg' }\">\n    <ng-container header>\n        <h4 *ngIf=\"addAward\">{{'add_new_award' | wsTranslate | async}}</h4>\n        <h4 *ngIf=\"!!editRecipientAward\">{{'edit_award' | wsTranslate | async}} - {{editRecipientAward.award.name.text}}</h4>\n    </ng-container>\n\n    <ng-container body>\n        <ws-recipient-award-form *ngIf=\"addAward || !!editRecipientAward\"\n                                 [certificateEnabled]=\"certificateEnabled\"\n                                 (cancel)=\"closeModal()\"\n                                 (save)=\"saveRecipientAward($event)\"\n                                 [recipientAward]=\"editRecipientAward\"\n                                 [certificates]=\"editRecipientAward?.certificates ?? []\"\n        ></ws-recipient-award-form>\n    </ng-container>\n</ws-modal>\n" }]
        }], ctorParameters: () => [], propDecorators: { canCreate: [{
                type: Input
            }], canUpdate: [{
                type: Input
            }], canDelete: [{
                type: Input
            }], recipientAwards: [{
                type: Input
            }], certificateEnabled: [{
                type: Input
            }], create: [{
                type: Output
            }], update: [{
                type: Output
            }], delete: [{
                type: Output
            }] } });

function HttpLoaderFactory(http) {
    return new TranslateHttpLoader(http, '/assets/i18n/lazy-loaded/', '.json');
}
const translateConfig = TranslateModule.forChild({
    loader: {
        provide: TranslateLoader,
        useFactory: HttpLoaderFactory,
        deps: [HttpClient]
    },
    isolate: true
});
class WorldskillsAngularLibModule {
    static forRoot(environment) {
        return {
            ngModule: WorldskillsAngularLibModule,
            providers: [
                provideHttpClient(withInterceptorsFromDi()),
                { provide: 'environment', useValue: environment }
            ]
        };
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WorldskillsAngularLibModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "18.2.12", ngImport: i0, type: WorldskillsAngularLibModule, declarations: [WorldskillsAngularLibComponent,
            AlertComponent,
            AlertsComponent,
            BreadcrumbsComponent,
            DateRangeComponent,
            DatetimePickerComponent,
            EntityTreeSelectComponent,
            FooterComponent,
            HeaderComponent,
            LogoComponent,
            MenuAccessPipe,
            PollResultComponent,
            PuppeteerBannerComponent,
            RelativeDatePipe,
            SelectDirective,
            SelectAsyncHeaderComponent,
            SortPipe,
            StagingBannerComponent,
            StandardPollComponent,
            VoteControlComponent,
            WordmarkComponent,
            WeightedPollComponent,
            MultiselectPollComponent,
            UserRoleDirective,
            AuthHeaderComponent,
            AuthFooterComponent,
            ResourceThumbnailComponent,
            FileSizePipe,
            ResourceThumbnailContainerComponent,
            I18nTextComponent,
            I18nTextboxComponent,
            I18nTextareaComponent,
            RelativeDateComponent,
            ToastComponent,
            ModalsComponent,
            RecipientAwardListComponent,
            RecipientAwardFormComponent,
            WsSpinnerComponent,
            ModalComponent,
            PanelRowActionsComponent,
            RecipientAwardCertificateFormComponent,
            WSTranslate], imports: [CommonModule,
            FormsModule,
            RouterModule,
            NgbModule,
            NgSelectModule, i1.TranslateModule], exports: [WorldskillsAngularLibComponent,
            AlertComponent,
            AlertsComponent,
            BreadcrumbsComponent,
            DateRangeComponent,
            DatetimePickerComponent,
            EntityTreeSelectComponent,
            FooterComponent,
            HeaderComponent,
            AuthHeaderComponent,
            AuthFooterComponent,
            LogoComponent,
            MenuAccessPipe,
            PollResultComponent,
            PuppeteerBannerComponent,
            RelativeDatePipe,
            SelectDirective,
            SelectAsyncHeaderComponent,
            SortPipe,
            StagingBannerComponent,
            StandardPollComponent,
            MultiselectPollComponent,
            VoteControlComponent,
            WordmarkComponent,
            WeightedPollComponent,
            UserRoleDirective,
            ResourceThumbnailComponent,
            ResourceThumbnailContainerComponent,
            I18nTextComponent,
            I18nTextboxComponent,
            I18nTextareaComponent,
            RelativeDateComponent,
            ToastComponent,
            ModalsComponent,
            RecipientAwardListComponent,
            RecipientAwardFormComponent,
            WsSpinnerComponent,
            ModalComponent,
            PanelRowActionsComponent,
            RecipientAwardCertificateFormComponent,
            TranslateModule,
            WSTranslate] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WorldskillsAngularLibModule, providers: [provideHttpClient(withInterceptorsFromDi())], imports: [CommonModule,
            FormsModule,
            RouterModule,
            NgbModule,
            NgSelectModule,
            translateConfig, TranslateModule] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WorldskillsAngularLibModule, decorators: [{
            type: NgModule,
            args: [{ declarations: [
                        WorldskillsAngularLibComponent,
                        AlertComponent,
                        AlertsComponent,
                        BreadcrumbsComponent,
                        DateRangeComponent,
                        DatetimePickerComponent,
                        EntityTreeSelectComponent,
                        FooterComponent,
                        HeaderComponent,
                        LogoComponent,
                        MenuAccessPipe,
                        PollResultComponent,
                        PuppeteerBannerComponent,
                        RelativeDatePipe,
                        SelectDirective,
                        SelectAsyncHeaderComponent,
                        SortPipe,
                        StagingBannerComponent,
                        StandardPollComponent,
                        VoteControlComponent,
                        WordmarkComponent,
                        WeightedPollComponent,
                        MultiselectPollComponent,
                        UserRoleDirective,
                        AuthHeaderComponent,
                        AuthFooterComponent,
                        ResourceThumbnailComponent,
                        FileSizePipe,
                        ResourceThumbnailContainerComponent,
                        I18nTextComponent,
                        I18nTextboxComponent,
                        I18nTextareaComponent,
                        RelativeDateComponent,
                        ToastComponent,
                        ModalsComponent,
                        RecipientAwardListComponent,
                        RecipientAwardFormComponent,
                        WsSpinnerComponent,
                        ModalComponent,
                        PanelRowActionsComponent,
                        RecipientAwardCertificateFormComponent,
                        WSTranslate
                    ],
                    exports: [
                        WorldskillsAngularLibComponent,
                        AlertComponent,
                        AlertsComponent,
                        BreadcrumbsComponent,
                        DateRangeComponent,
                        DatetimePickerComponent,
                        EntityTreeSelectComponent,
                        FooterComponent,
                        HeaderComponent,
                        AuthHeaderComponent,
                        AuthFooterComponent,
                        LogoComponent,
                        MenuAccessPipe,
                        PollResultComponent,
                        PuppeteerBannerComponent,
                        RelativeDatePipe,
                        SelectDirective,
                        SelectAsyncHeaderComponent,
                        SortPipe,
                        StagingBannerComponent,
                        StandardPollComponent,
                        MultiselectPollComponent,
                        VoteControlComponent,
                        WordmarkComponent,
                        WeightedPollComponent,
                        UserRoleDirective,
                        ResourceThumbnailComponent,
                        ResourceThumbnailContainerComponent,
                        I18nTextComponent,
                        I18nTextboxComponent,
                        I18nTextareaComponent,
                        RelativeDateComponent,
                        ToastComponent,
                        ModalsComponent,
                        RecipientAwardListComponent,
                        RecipientAwardFormComponent,
                        WsSpinnerComponent,
                        ModalComponent,
                        PanelRowActionsComponent,
                        RecipientAwardCertificateFormComponent,
                        TranslateModule,
                        WSTranslate,
                    ], imports: [CommonModule,
                        FormsModule,
                        RouterModule,
                        NgbModule,
                        NgSelectModule,
                        translateConfig], providers: [provideHttpClient(withInterceptorsFromDi())] }]
        }] });

var WSITimeFormat;
(function (WSITimeFormat) {
    WSITimeFormat["TwentyFourHour"] = "HH:mm";
    WSITimeFormat["TwentyFourHourGMT"] = "HH:mm (O)";
    WSITimeFormat["TwelveHour"] = "hh.mm aa.";
    WSITimeFormat["TwelveHourGMT"] = "hh.mm aa. (O)";
})(WSITimeFormat || (WSITimeFormat = {}));

class DateUtil {
    // example: '2019-04-25T16:10:25+0200'
    static toJavaDateString(date, locale) {
        return formatDate$1(date, 'yyyy-MM-ddTHH:mm:ssZ', locale);
    }
}

class HtmlUtil {
    static txt(html) {
        const result = String(html).replace(/<[^>]+>/gm, '');
        return result;
    }
}

class I18nUtil {
    static instanceOfI18nModel(object) {
        return object !== null && typeof object === 'object' && object.hasOwnProperty('lang_code') && object.hasOwnProperty('text');
    }
    static setObjectI18n(object, langCode) {
        if (typeof object === 'object') {
            if (Array.isArray(object)) {
                for (let i = 0; i < object.length; i++) {
                    if (I18nUtil.instanceOfI18nModel(object[i])) {
                        object[i].lang_code = langCode;
                    }
                    else {
                        object[i] = I18nUtil.setObjectI18n(object[i], langCode);
                    }
                }
            }
            else {
                for (const key in object) {
                    if (object.hasOwnProperty(key)) {
                        if (I18nUtil.instanceOfI18nModel(object[key])) {
                            object[key].lang_code = langCode;
                        }
                        else {
                            object[key] = I18nUtil.setObjectI18n(object[key], langCode);
                        }
                    }
                }
            }
        }
        return object;
    }
}

class ObjectUtil {
    static stripUndefined(obj, deep = false) {
        if (Array.isArray(obj)) {
            if (deep) {
                // tslint:disable-next-line:forin
                for (const k in obj) {
                    obj[k] = ObjectUtil.stripUndefined(obj[k], true);
                }
            }
        }
        else if (obj && typeof obj === 'object') {
            Object.keys(obj).forEach(key => obj[key] === undefined && delete obj[key]);
        }
        return obj;
    }
    static stripNullOrUndefined(obj, deep = false) {
        if (Array.isArray(obj)) {
            if (deep) {
                // tslint:disable-next-line:forin
                for (const k in obj) {
                    obj[k] = ObjectUtil.stripNullOrUndefined(obj[k], true);
                }
            }
        }
        else if (obj && typeof obj === 'object') {
            Object.keys(obj).forEach(key => (obj[key] === undefined || obj[key] === null) && delete obj[key]);
        }
        return obj;
    }
}

class RouterUtil {
    static lastNavigationEventWithOrInitialObservable(router, name = null) {
        const result = router.events.pipe(filter(event => event instanceof NavigationEnd), startWith(true), map(v => name !== null ? name : v));
        return result;
    }
    static getResolvedUrl(route) {
        const result = route.pathFromRoot
            .map(v => v.url.map(segment => segment.toString()).join('/'))
            .join('/');
        return result;
    }
    static getConfiguredUrl(route) {
        const result = '/' + route.pathFromRoot
            .filter(v => v.routeConfig)
            .map(v => v.routeConfig.path)
            .join('/');
        return result;
    }
}

class RxjsUtil {
    static loaderSubscriber(...subscribables) {
        const sources = subscribables
            .map((s) => s instanceof WsService ? s.loading : s);
        return combineLatest(sources).pipe(map(ls => !ls.every(l => !l)));
    }
}

class RedirectHandler {
    constructor(ngAuthService, router) {
        this.ngAuthService = ngAuthService;
        this.router = router;
    }
    redirectOrReturn(redirectOptions) {
        const observable = new Observable(subscriber => {
            if (!this.ngAuthService.isLoggedIn()) {
                this.ngAuthService.login();
                subscriber.next();
                subscriber.complete();
            }
            else {
                if (this.hasReturnUrl()) {
                    this.handleReturnUrl(!!redirectOptions.showChildRoles).subscribe(() => subscriber.next(), error => subscriber.error(error), () => subscriber.complete());
                }
                else {
                    this.ngAuthService.getLoggedInUser(!!redirectOptions.showChildRoles).subscribe(next => {
                        sessionStorage.removeItem(RETURN_URL_KEY);
                        if (redirectOptions.url) {
                            if (!redirectOptions.onlyIfExact ||
                                RouterUtil.getResolvedUrl(redirectOptions.onlyIfExact instanceof ActivatedRoute
                                    ? redirectOptions.onlyIfExact.snapshot
                                    : redirectOptions.onlyIfExact) === this.router.routerState.snapshot.url) {
                                this.redirectUserToRoute(next, redirectOptions.url);
                            }
                        }
                        subscriber.next();
                    }, error => {
                        this.ngAuthService.clearSession();
                        subscriber.error(error);
                    }, () => subscriber.complete());
                }
            }
        });
        return observable;
    }
    hasReturnUrl() {
        const returnUrl = sessionStorage.getItem(RETURN_URL_KEY);
        return returnUrl !== null && returnUrl !== undefined && returnUrl !== 'undefined';
    }
    handleReturnUrl(showChildRoles = false) {
        const observable = new Observable(subscriber => {
            const returnUrl = sessionStorage.getItem(RETURN_URL_KEY);
            sessionStorage.removeItem(RETURN_URL_KEY);
            this.ngAuthService.getLoggedInUser(showChildRoles).subscribe(next => {
                this.redirectUserToUrl(next, returnUrl);
                subscriber.next();
            }, error => subscriber.error(error), () => subscriber.complete());
        });
        return observable;
    }
    // override this method to catch a user being redirected to a specific returnUrl (when a user pastes a link in the browser)
    redirectUserToUrl(user, returnUrl, skipLocationChange = false) {
        this.router.navigateByUrl(returnUrl, { skipLocationChange });
    }
    // override this method to catch a user being redirected to the homepage route. useful if you need to load the homepage from the DB
    redirectUserToRoute(user, route) {
        this.router.navigate(route);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RedirectHandler, deps: [{ token: NgAuthService }, { token: i2$1.Router }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RedirectHandler, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RedirectHandler, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: NgAuthService }, { type: i2$1.Router }] });

/*
    A lighter verssion of the URL redirect that places more power in the calling application
*/
class RedirectEventHandler {
    constructor(ngAuthService, router) {
        this.ngAuthService = ngAuthService;
        this.router = router;
    }
    getReturnUrl() {
        return sessionStorage.getItem(RETURN_URL_KEY);
    }
    getUser(showRoles) {
        return this.ngAuthService.getLoggedInUser(showRoles);
    }
    redirectUserToUrl(returnUrl, skipLocationChange = false) {
        this.router.navigateByUrl(returnUrl, { skipLocationChange });
    }
    listen() {
        const observable = new Observable(subscriber => {
            if (!this.ngAuthService.isLoggedIn()) {
                this.ngAuthService.login();
                subscriber.next('logging-in');
                subscriber.complete();
            }
            else {
                const returnUrl = this.getReturnUrl();
                if (returnUrl !== null && returnUrl !== undefined && returnUrl !== 'undefined') {
                    sessionStorage.removeItem(RETURN_URL_KEY);
                    subscriber.next(returnUrl);
                    subscriber.complete();
                }
                else {
                    subscriber.next(null);
                    subscriber.complete();
                }
            }
        });
        return observable;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RedirectEventHandler, deps: [{ token: NgAuthService }, { token: i2$1.Router }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RedirectEventHandler, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: RedirectEventHandler, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: NgAuthService }, { type: i2$1.Router }] });

class EntityTreeView {
    constructor(obj) {
        this.id = obj && obj.id || undefined;
        this.name = obj && obj.name || { lang_code: 'en', text: null };
        this.parent_id = obj && obj.parent_id || undefined;
        this.children = obj && obj.children || [];
    }
}

class GuardService {
    constructor(ngAuthService, wsi, router) {
        this.ngAuthService = ngAuthService;
        this.wsi = wsi;
        this.router = router;
        this.wsi.appConfigSubject.subscribe(config => (this.config = config));
    }
    canActivate(next, state) {
        const user = this.getCurrentUser();
        if (user == null) {
            return this.login(state);
        }
        const roles = next.data.roles;
        if (GenericUtil.isNullOrUndefined(roles)) {
            return false;
        }
        const userRoles = user.roles
            .filter(x => roles.findIndex(y => y.appCode === x.role_application.application_code && y.name === x.name) !== -1);
        const accessible = userRoles.length > 0;
        if (this.config && !accessible) {
            const error = {
                missingRole: !accessible,
                url: state.url
            };
            sessionStorage.setItem('error', JSON.stringify(error));
            this.router.navigate(this.config.notAuthorizedRoute, { replaceUrl: true });
        }
        return accessible;
    }
    getCurrentUser() {
        const user = sessionStorage.getItem(USER_CURRENT_KEY);
        if (GenericUtil.isNullOrUndefined(user)) {
            return null;
        }
        return JSON.parse(user);
    }
    login(state) {
        sessionStorage.setItem(RETURN_URL_KEY, state.url);
        this.ngAuthService.login();
        return false;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: GuardService, deps: [{ token: NgAuthService }, { token: WorldskillsAngularLibService }, { token: i2$1.Router }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: GuardService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: GuardService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: NgAuthService }, { type: WorldskillsAngularLibService }, { type: i2$1.Router }] });

// this incoder handles reserved characters such as the '+' symbol for special cases
class WsHttpEncoder {
    encodeKey(key) {
        return encodeURIComponent(key);
    }
    encodeValue(value) {
        return encodeURIComponent(value);
    }
    decodeKey(key) {
        return decodeURIComponent(key);
    }
    decodeValue(value) {
        return decodeURIComponent(value);
    }
}

class WsHttpInterceptor {
    constructor(wsi, oAuthService) {
        this.wsi = wsi;
        this.oAuthService = oAuthService;
        this.wsi.httpConfigSubject.subscribe(config => (this.config = config));
    }
    intercept(req, next) {
        if (this.config) {
            const uriPatterns = GenericUtil.getValueOrDefault(this.config.authUriPatterns, []);
            const encoderPatterns = GenericUtil.getValueOrDefault(this.config.encoderUriPatterns, []);
            const includeLanguageParam = GenericUtil.getValueOrDefault(this.config.includeLanguageParam, false);
            const authorize = uriPatterns.filter(s => req.url.match(s)).length > 0;
            const rewrite = encoderPatterns.filter(s => req.url.match(s)).length > 0;
            // append auth header
            if (authorize) {
                req = req.clone({
                    headers: new HttpHeaders({
                        Authorization: this.oAuthService.authorizationHeader(),
                    })
                });
            }
            // append language code
            if (includeLanguageParam) {
                // append language param to requests
                const lang = sessionStorage.getItem('lang') ?? 'en';
                req = req.clone({
                    params: (req.params ? req.params : new HttpParams())
                        .set('l', lang),
                    headers: (req.headers ? req.headers : new HttpHeaders())
                        .set('Accept-Language', lang)
                });
            }
            // rewrite parameters with encoder
            if (rewrite) {
                const params = new HttpParams({ encoder: new WsHttpEncoder(), fromString: req.params.toString() });
                req = req.clone({ params });
            }
        }
        return next.handle(req);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WsHttpInterceptor, deps: [{ token: WorldskillsAngularLibService }, { token: i2$4.OAuthService }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WsHttpInterceptor }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: WsHttpInterceptor, decorators: [{
            type: Injectable
        }], ctorParameters: () => [{ type: WorldskillsAngularLibService }, { type: i2$4.OAuthService }] });

class ResourceUpload {
    constructor(obj) {
        this.tags = []; // do not create tags
        this.name = obj && obj.name || { lang_code: 'en', text: null };
        this.ws_entity = obj && obj.ws_entity;
        this.types = obj && obj.types || [];
        this.version = obj && obj.version || { name: '1.0', };
        this.metadata = obj && obj.metadata || [];
    }
    static fromResource(resource) {
        const version = resource.versions[resource.versions.length - 1];
        const translation = version.translations[version.translations.length - 1];
        return new ResourceUpload({
            name: resource.name,
            ws_entity: resource.ws_entity.id,
            tags: resource.tags,
            types: resource.resource_types.map(x => x.id),
            metadata: resource.metadata.map(x => {
                return { metadata: x.metadata.id, value: x.value };
            }),
            version: {
                name: version.name,
                date: version.date,
                tags: version.tags,
                translation: {
                    version: version.id,
                    lang_code: translation.lang_code,
                    storage_data: translation.storage_data,
                    storage_type: translation.storage_type.id
                }
            }
        });
    }
}

/*
    We will start moving to a handler approach over time as we cusstomize and improve the controls
*/
class DefaultOptionHandler {
    onOptionSelect(pollType, currentSelection, newSelectedValue, selectionIndex) {
        if (pollType === 'standard') {
            return [newSelectedValue];
        }
        else {
            if (newSelectedValue !== '0') {
                currentSelection.forEach((model, idx) => {
                    if (idx === selectionIndex) {
                        currentSelection[idx] = newSelectedValue;
                    }
                    else {
                        if (model === newSelectedValue) {
                            currentSelection[idx] = '0';
                        }
                    }
                });
            }
            return currentSelection;
        }
    }
}

class PollListService {
    constructor(wsi, http) {
        this.wsi = wsi;
        this.http = http;
        this.wsi.serviceConfigSubject.subscribe(next => {
            this.endpoint = next.apiEndpoint + '/votes/list';
        });
    }
    list(params) {
        return this.http.get(this.endpoint, { params });
    }
    get(id) {
        const url = `${this.endpoint}/${id}`;
        return this.http.get(url);
    }
    getBySlug(slug) {
        const url = `${this.endpoint}/slug/${slug}`;
        return this.http.get(url);
    }
    create(model) {
        return this.http.post(this.endpoint, model);
    }
    update(id, model) {
        const url = `${this.endpoint}/${id}`;
        return this.http.put(url, model);
    }
    delete(id) {
        const url = `${this.endpoint}/${id}`;
        return this.http.delete(url);
    }
    undelete(id) {
        const url = `${this.endpoint}/${id}/undelete`;
        return this.http.put(url, {});
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PollListService, deps: [{ token: WorldskillsAngularLibService }, { token: i2$3.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PollListService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PollListService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: WorldskillsAngularLibService }, { type: i2$3.HttpClient }] });

class PollService {
    constructor(wsi, http) {
        this.wsi = wsi;
        this.http = http;
        this.wsi.serviceConfigSubject.subscribe(next => {
            this.endpoint = next.apiEndpoint + '/votes';
        });
    }
    list(params) {
        return this.http.get(this.endpoint, { params });
    }
    select(params) {
        const url = `${this.endpoint}/select`;
        return this.http.get(url, { params });
    }
    get(id) {
        const url = `${this.endpoint}/${id}`;
        return this.http.get(url);
    }
    getAbstains(id) {
        const url = `${this.endpoint}/${id}/abstains`;
        return this.http.get(url);
    }
    getResults(id) {
        const url = `${this.endpoint}/${id}/results`;
        return this.http.get(url);
    }
    getTrackRecords(id) {
        const url = `${this.endpoint}/${id}/tracks`;
        return this.http.get(url);
    }
    hasVoted(id) {
        const url = `${this.endpoint}/${id}/has_voted`;
        return this.http.get(url);
    }
    create(model) {
        return this.http.post(this.endpoint, model);
    }
    update(id, model) {
        const url = `${this.endpoint}/${id}`;
        return this.http.put(url, model);
    }
    open(id, start, expiry) {
        const model = { start, expiry };
        const url = `${this.endpoint}/${id}/open`;
        return this.http.put(url, model);
    }
    close(id) {
        const url = `${this.endpoint}/${id}/close`;
        return this.http.put(url, {});
    }
    delete(id) {
        const url = `${this.endpoint}/${id}`;
        return this.http.delete(url);
    }
    undelete(id) {
        const url = `${this.endpoint}/${id}/undelete`;
        return this.http.put(url, {});
    }
    reset(id, start, expiry) {
        const model = { start, expiry };
        const url = `${this.endpoint}/${id}/reset`;
        return this.http.put(url, model);
    }
    extend(id, expiry) {
        const model = { expiry };
        const url = `${this.endpoint}/${id}/extend`;
        return this.http.put(url, model);
    }
    addVote(pollId, votes) {
        const model = { votes };
        const url = `${this.endpoint}/${pollId}/addVote`;
        return this.http.post(url, model);
    }
    addAbstain(pollId) {
        const url = `${this.endpoint}/${pollId}/addAbstain`;
        return this.http.post(url, {});
    }
    unvote(pollId) {
        const url = `${this.endpoint}/${pollId}/removeVote`;
        return this.http.delete(url);
    }
    unAbstain(pollId) {
        const url = `${this.endpoint}/${pollId}/removeAbstain`;
        return this.http.delete(url);
    }
    copy(pollId) {
        const url = `${this.endpoint}/${pollId}/copy`;
        return this.http.post(url, {});
    }
    export(id) {
        this.http.get(`${this.endpoint}/${id}/results_export`, { responseType: 'arraybuffer' })
            .subscribe(response => {
            const objectURL = window.URL.createObjectURL(new Blob([response], { type: 'application/octet-stream' }));
            const downloadLink = document.createElement('a');
            downloadLink.href = objectURL;
            downloadLink.setAttribute('download', `poll_results_${id}.xlsx`);
            document.body.appendChild(downloadLink);
            downloadLink.click();
        });
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PollService, deps: [{ token: WorldskillsAngularLibService }, { token: i2$3.HttpClient }], target: i0.ɵɵFactoryTarget.Injectable }); }
    static { this.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PollService, providedIn: 'root' }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.12", ngImport: i0, type: PollService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: () => [{ type: WorldskillsAngularLibService }, { type: i2$3.HttpClient }] });

/*
 * Public API Surface of worldskills-angular-lib
 */

/**
 * Generated bundle index. Do not edit.
 */

export { AlertComponent, AlertService, AlertType, AlertsComponent, ArrayUtil, AuthFooterComponent, AuthHeaderComponent, AuthService, AwardService, BreadcrumbsComponent, BreadcrumbsService, DEFAULT_LABELS, DateRangeComponent, DateUtil, Datetime, DatetimePickerComponent, DefaultOptionHandler, DefaultRelativeDateProccessor, EntityTreeSelectComponent, EntityTreeService, EntityTreeView, ErrorUtil, FULL, FooterComponent, GenericUtil, GuardService, HeaderComponent, HtmlUtil, HttpLoaderFactory, HttpUtil, I18nTextComponent, I18nTextareaComponent, I18nTextboxComponent, I18nUtil, ISO8601_DATE_REGEX, LOADER_ONLY, LangUtil, LogoComponent, MISSING_LANGUAGE_MESSAGE, MenuAccessPipe, ModalComponent, ModalsComponent, MultiselectPollComponent, NO_SUBJECT, NgAuthService, ObjectUtil, OrdinalUtil, PanelRowActionsComponent, PollListService, PollResultComponent, PollService, PuppeteerBannerComponent, RETURN_URL_KEY, RecipientAwardCertificateFormComponent, RecipientAwardFormComponent, RecipientAwardListComponent, RedirectEventHandler, RedirectHandler, RelativeDateComponent, RelativeDatePipe, ResourceService, ResourceThumbnailComponent, ResourceThumbnailContainerComponent, ResourceUpload, RouterUtil, RxjsUtil, SelectAsyncHeaderComponent, SelectDirective, SortPipe, StagingBannerComponent, StandardPollComponent, ToastComponent, USER_CURRENT_KEY, UploadService, UserRoleDirective, UserRoleUtil, VoteControlComponent, WSIDateFormat, WSITimeFormat, WSTranslate, WeightedPollComponent, WordmarkComponent, WorldskillsAngularLibComponent, WorldskillsAngularLibModule, WorldskillsAngularLibService, WsComponent, WsHttpEncoder, WsHttpInterceptor, WsService, WsSpinnerComponent, WsiModalService, WsiToastService, WsiTranslateService, formatDate, isDate, isFetchParams, isMulticastOptions, isRequestOptions, isoStringToDate, toDate, translateConfig };
//# sourceMappingURL=worldskills-worldskills-angular-lib.mjs.map
